var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C800917A-45CC-4FE7-914D-87D0BEFF506A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BezierDefaultParams Structure</h1></div><p>The <strong>BezierDefaultParams</strong> Structure allows you to set the default Bezier key parameters to be used for newly created Bezier controller keys.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the free <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BezierDefaultParams.inTangentType BezierDefaultParams.outTangentType</code></pre><p>Get/set the default Bezier key in and out Tangent Types.</p>\n\
<p>Valid values are: <code>#smooth | #linear | #step | #fast | #slow | #custom | #flat</code></p>\n\
<p><img src=\"./images/GUID-F430C53E-7148-4E92-8F30-D14C2E09B342-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Bezier-Controllers.html\">Bezier Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Bezier-Controllers-1.html\">Bezier Controllers</a></li>\n\
          <li><a class=\"link\" href=\"Bezier-Controller-Keys.html\">Bezier Controller Keys</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";