var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B990D25E-F200-4A7D-9AA1-A98A9DD3E00A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>LookAt : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lookat - superclass: Matrix3Controller; super-superclass:MAXWrapper - 3:3 - classID: #(8198, 0) </code></pre><p>The LookAt controller is obsolete and available only for backwards compatibility. You are encouraged to use the <a href=\"./../../Constraints/LookAt_Constraint-superclass.html\">LookAt Constraint</a> (which is a Rotation Controller and not a Matrix3 Controller) instead.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lookat ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;lookAt&gt;.position Bezier_Position -- the position controller </code></pre><p>Get/Set the Position sub-controller of the LookAt controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;lookAt&gt;.roll_angle Bezier_Float -- the roll controller </code></pre><p>Get/Set the Roll sub-controller of the LookAt controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;lookAt&gt;.scale Bezier_Scale -- the scale controller </code></pre><p>Get/Set the Scale sub-controller of the LookAt controller.</p>\n\
<p>There presently are no methods for directly accessing or setting the target node in the LookAt controller. To set the target node, the LookAt controller needs to be assigned to a node, and then the <code>lookat</code> property of the node is set to the target node. If the transform controller for a node is not a LookAt controller, and a target node is assigned to the <code>lookat</code> property of the node, a LookAt controller is automatically assigned to the node.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.lookat=$box02\n\
</code></pre><p>   is equivalent to</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.transform.controller=lookat()\n\
   $box01.lookat=$box02\n\
</code></pre></blockquote>\n\
<p><strong>lookat interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ILookatControl </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.UseTargetAsUpNode: boolean : Read|Write </code></pre><p>Get/Set whether to use the target as the Up Node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Axis: integer : Read|Write|Validated by Range: 0 to 2 </code></pre><p>Get/Set the axis. Possible values are:</p>\n\
<p>0 - X Axis</p>\n\
<p>1 - Y Axis</p>\n\
<p>2 - Z Axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Flip: boolean : Read|Write </code></pre><p>Get/Set whether to flip the orientation.Normally, a node will look at the target with the negative axis. Setting Flip to true will make the node to look at the target with the positive axis.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Matrix3-Controllers.html\">Matrix3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Constraints/LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";