var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CFAF04F2-BBA9-432C-B0CA-4CE682A323E0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>transform_script - superclass: Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">transform_script - superclass: Matrix3Controller; super-superclass:MAXWrapper - 1:0 - classID: #(2136360284, 468085864)</code></pre><p>The <strong>Transform Script controller</strong> contains all of the information contained in a Position/Rotation/Scale (PRS) controller in one scripted matrix value. Instead of having three separate tracks for position, rotation, and scale, all three values can be simultaneously accessed from one script controller dialog. Because the transform values are defined by a script, they are easier to animate.</p>\n\
<p>The Transform Script controller exposes the same properties and interfaces as all other script controllers. See the <a href=\"./../Script-Controllers/Script-Controllers-1.html\">Script Controllers</a> topic for details.</p>\n\
<p>The value of the controller script must be a matrix3 value.A matrix3 valueis a 4x3 3D transformation matrix. For more information, see the <a href=\"./../../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3 Values</a> topic.</p>\n\
<p>For a practical example of a Transform Script controller, see <a href=\"./../../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\">How do I keep a Plane aligned to 3 Point Helpers?</a> in the MAXScript FAQ section of the Reference.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">transform_script ...</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Matrix3-Controllers.html\">Matrix3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Script-Controllers/Script-Controllers-1.html\">Script Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\">How do I keep a Plane aligned to 3 Point Helpers?</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3 Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";