var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-596E2144-26B1-4231-BFA9-D43AA361C03B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpringPoint3Controller - superclass: Point3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpringPoint3Controller - superclass: Point3Controller; super-superclass:MAXWrapper - 4:4 - classID: #(327754098, 1754751609) </code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpringPoint3Controller ... Point3Spring...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpringPoint3Controller&gt;.position Point3 default: [0,0,0] -- animatable; point3 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpringPoint3Controller&gt;.x_effect Float default: 100.0 </code></pre><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpringPoint3Controller&gt;.y_effect Float default: 100.0 </code></pre><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpringPoint3Controller&gt;.z_effect Float default: 100.0 </code></pre><p>These settings let you control the percentage of the effect on the individual world axes. Default=100. Range=0 to 200.See Also</p>\n\
<p><strong>SpringPoint3Controller Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:Spring </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getMass () </code></pre><p>Returns the mass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setMass &lt;float&gt;mass </code></pre><p>Sets the mass. The mass of the object to which the Spring controller is applied. Increasing the mass causes the &quot;bouncing&quot; spring motion to become more exaggerated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getDrag () </code></pre><p>Returns the drag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDrag &lt;float&gt;drag </code></pre><p>Sets the drag. Acts as air friction on the spring motion. A low Drag setting results in a greater &quot;bouncing&quot; effect, while a high Drag results in subdued bouncing. Default=1. Range=0 to 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getTension &lt;index&gt;springIndex </code></pre><p>Gets the tension for the spring corresponding to the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTension &lt;index&gt;springIndex&lt;float&gt;tension </code></pre><p>Sets the tension for the spring corresponding to the index. The &quot;stiffness&quot; of the virtual spring between the controlled object and the highlighted spring object(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getDampening &lt;index&gt;springIndex </code></pre><p>Gets the dampening for the spring corresponding to the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDampening &lt;index&gt;springIndex&lt;float&gt;dampening </code></pre><p>Sets the dampening for the spring corresponding to the index. Acts as a multiplier of an internal factor that determines how quickly the object comes to rest. With the Self Influence spring, changing Dampening has the same effect as changing Drag. With other springs, Dampening affects only the movement caused by that spring. Internally, the dampening value is proportional to the tension, so as you increase the tension and make the solution more stiff, the dampening is increased to maintain system stability.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;addSpring &lt;node&gt;node </code></pre><p>Adds the node to the spring list. Returns <code>true</code> if successful, <code>false</code> otherwise</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getSpringCount () </code></pre><p>Returns the number of springs in the spring system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeSpringByIndex &lt;index&gt;springIndex </code></pre><p>Removes the spring corresponding to the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeSpring &lt;node&gt;node </code></pre><p>Removes the spring if the node is in the spring list.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Point3-Controllers.html\">Point3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Spring-Controller.html\">Spring Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/SpringPositionController.html\">SpringPositionController - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Flex-Modifier.html\">Flex : Modifier</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";