var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E381CF5E-1D82-4C04-B870-5ECB9E2052BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Atmospheric : MAXWrapper</h1></div><p>The Atmospheric class lets you set up volumetric rendering effects with MAXScript. You can create atmospherics like fire and fog, access various properties on them and maintain their list of gizmo nodes such as lights and atmospheric helpers.</p>\n\
<p>The classes derived directly from the Atmospheric class are described in <a href=\"Atmospheric-Effect-Types/Atmospheric-Effect-Types-1.html\">Atmospheric Effect Types</a>.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the Atmospheric class are described in <a href=\"Atmospheric-Effects-Common.html\">Atmospheric Effects Common Properties, Operators, and Methods</a>.</p>\n\
<p>The Atmospheric class is derived from the MAXWrapper class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\"./../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
<p>The topic <a href=\"Working-with-Atmospherics.html\">Working with Atmospherics</a> contains an example of adding Atmospheric Effects to the environment.</p>\n\
<p>Atmospheric Effects are managed in the 3ds Max User Interface through the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Atmospheric-MAXWrapper.html\">Atmospheric : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";