var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9394C031-25FB-434B-A744-A587C5D99C6A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Atmospherics</h1></div><p>The following script shows an example of creating Volume Fog and Volume Light atmospherics.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Atmospheric Effects Test Bed\n\
   -- create a geosphere, sphere gizmo, onnilight, and targetted camera\n\
   geos=geosphere radius:24\n\
   sgizmo=spheregizmo radius:40\n\
   omni=omnilight farAttenStart:20 farAttenEnd:100 useFarAtten:true v=255\n\
   cam=targetcamera pos:[150,-50,100] target:(targetobject())\n\
   --\n\
   -- put a material on the geosphere\n\
   geos.material=standard ()\n\
   geos.material.selfIllumColor = color 238 241 2\n\
   --\n\
   -- create a Volume Fog atmospheric. Set name so it has one in Environment dialog.\n\
   vf=volume_fog name:&quot;VolFog&quot; soften_gizmo_edges:0.7 exponential:1 density:75\n\
   vf.fog_color=color 255 157 0\n\
   vf.noise_type=2\n\
   vf.size=4\n\
   appendGizmo vf sgizmo\n\
   addAtmospheric vf\n\
   --\n\
   -- create a Volume Light atmospheric. Set name so it has one in Environment dialog.\n\
   vl=volume_light name: &quot;VolLight&quot; exponential:1 density:20\n\
   vl.fog_color=color 255 30 0\n\
   vl.attenuation_color= color 255 162 0\n\
   vl.Use_Attenuation_Color=1\n\
   vl.noise_on=1\n\
   vl.Noise_Amount=1\n\
   vl.size=5\n\
   vl.noise_type=2\n\
   appendGizmo vl omni\n\
   addAtmospheric vl\n\
   --\n\
   -- and render away...\n\
   renderWidth=320\n\
   renderHeight=200\n\
   render camera:cam\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Atmospheric-MAXWrapper.html\">Atmospheric : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Atmospheric-MAXWrapper-1.html\">Atmospheric : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"Atmospheric-Effects-Common.html\">Atmospheric Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Atmospheric-Effect-Types/Atmospheric-Effect-Types-1.html\">Atmospheric Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/envEffectsDialog-Open-and-Close.html\">envEffectsDialog - Open and Close the Environment and Effects dialog</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";