var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F1683751-BC0E-4A2C-A05C-14C0981D56A8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Ambient_Occlusion : BakeElement</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Ambient_Occlusion - superclass: BakeElement; super-superclass:MAXWrapper - 17:0 - classID: #(65547, 0) </code></pre><p>This BakeElement allows the Ambient Occlusion to be baked to a bitmap.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Ambient_Occlusion... AmbientOcclusionBakeElement... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.autoSzOn BooleanClass default: false -- boolean; Auto_Size_On </code></pre><p>Enable/Disable AutoSize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.bitmap UndefinedClass default: undefined -- bitmap </code></pre><p>Get the bake element&#x2019;s bitmap. This property cannot be set through MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.bright Color default: (color 255 255 255) -- fRGBA color </code></pre><p>Get/set the bright color of the ambient occlusion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.dark Color default: (color 0 0 0 0) -- fRGBA color </code></pre><p>Get/set the dark color of the ambient occlusion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.elementName String default: &quot;Ambient Occlusion (MR)&quot; -- string </code></pre><p>Get/Set the element name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.enabled BooleanClass default: true -- boolean </code></pre><p>Get/Set the enabled state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.falloff Float default: 1.0 -- float </code></pre><p>Get/set the falloff value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.fileName Filenamedefault: &quot;&quot; -- string </code></pre><p>Get/Set the bake element file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.filenameUnique BooleanClass default: false -- boolean; Filename_Unique </code></pre><p>Get/set whether the file name should be made unique.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.fileType Filenamedefault: &quot;&quot; -- string </code></pre><p>Get/Set the file type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.filterOn BooleanClass default: true -- boolean; FilteringOn </code></pre><p>Enable/Disable filtering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.maxDistance Float default: 0.0 -- float; Max_Dist </code></pre><p>Get/set the maximum distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.outputSzX Integer default: 256 -- integer; output_width </code></pre><p>Get/set the output width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.outputSzY Integer default: 256 -- integer; output_height </code></pre><p>Get/set the output height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.samples Integer default: 16 -- integer </code></pre><p>Get/set the number of samples.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.spread Float default: 0.8 -- float </code></pre><p>Get/set the spread value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ambient_Occlusion&gt;.targetMapSlotName String default: &quot;&quot; -- string</code></pre><p>Get/Set the name of the map slot where element output will be applied.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BakeElement.html\">BakeElement</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">Interface: BakeElementProperties</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"Bake-Elements.html\">Bake Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";