var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC65B699-708B-40B5-8871-10EE15A0C933\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ShadowsMap : BakeElement</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShadowsMap - superclass: BakeElement; super-superclass:MAXWrapper - classID: #(65541, 0) </code></pre><p>This BakeElement allows a shadow map to be baked. This is a mono map, with a multiplier value in the rgb channels and the matting version in the alpha channel, as opposed to the lightingMap which is color.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShadowsMap ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.autoSzOn Boolean default: false -- boolean; Auto_Size_On </code></pre><p>Enable/Disable AutoSize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.bitmap Bitmap default: undefined -- bitmap </code></pre><p>Get the bake element&#x2019;s bitmap. This property cannot be set through MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.elementName String default: &quot;ShadowsMap&quot; -- string </code></pre><p>Get/Set the bake element&#x2019;s name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.enabled Boolean default: true -- boolean </code></pre><p>Enable/Disable the bake element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.fileName Filenamedefault: &quot;&quot; -- string; </code></pre><p>Get/Set the element&#x2019;s output file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.filenameUnique Boolean default: false -- boolean; Filename_Unique </code></pre><p>Enable/Disable unique file name generation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.fileType Filenamedefault: &quot;&quot; -- string; </code></pre><p>Get/Set the bake element&#x2019;s output file type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.filterOn Boolean default: true -- boolean; FilteringOn </code></pre><p>Enable/Disable filtering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.outputSzX Integer default: 256 -- integer; output_width </code></pre><p>Get/Set the output width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.outputSzY Integer default: 256 -- integer; output_height </code></pre><p>Get/Set the output height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShadowsMap&gt;.targetMapSlotName String default: &quot;&quot;&quot;&quot; -- string; </code></pre><p>Get/Set the name of the map slot where element output will be applied</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BakeElement.html\">BakeElement</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">Interface: BakeElementProperties</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"Bake-Elements.html\">Bake Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";