var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A583C75E-C8B8-470E-B083-CCE87CAEB65E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MSCustAttribDef Class</h1></div><p>This class derives from the MSPluginClass which in turn derives from the MAXClass. Custom Attributes are instances of this class.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MSCustAttribDef&gt;.ispb2based</code></pre><p>Read-only Boolean property. Always returns True since Custom Attributes use <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"\">ParamBlock2</a>. This property is also available in MAXClass and MSPluginClass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MSCustAttribDef&gt;.isMSPluginClass</code></pre><p>Read-only property of custom attribute definition. Also available in MAXClass, and MSPluginClass. SinceMSPluginClass derives from MAXClass, and MSCustAttribDef derives from MSPluginClass, the property always returns True for custom attribute definitions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MSCustAttribDef&gt;.isMSCustAttribClass</code></pre><p>A read-only property, always <code>true</code> for custom attribute definitions. Also available in MAXClass and MSPluginClass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MSCustAttribDef&gt;.version</code></pre><p>A read-only property of custom attribute definition. Also available in MSPluginClass. The property contains the version of the custom attribute definitions.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\"Adding-Custom-Attributes.html\">Adding Custom Attributes</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">Custom Attributes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Global-and-Private-Custom.html\">Global and Private Custom Attributes Definitions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attribute-Management.html\">Custom Attribute Management Functions</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></li>\n\
          <li><a class=\"link\" href=\"Access-to-Custom-Attributes.html\">Access to Custom Attributes Virtual Array</a></li>\n\
          <li><a class=\"link\" href=\"Custom-Attributes-in-Materials.html\">Custom Attributes in Materials and Texture Maps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";