var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-59FC1891-1A03-4E0F-86D8-C8DB0DE73CD9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Get Face Center, Normal and Area Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFaceCenter &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Returns the center of the face by taking the average of all its vertices.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position returned is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return value is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getSafeFaceCenter &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Returns the &quot;safe&quot; center of the face, if possible.</p>\n\
<p>For non-convex faces, the average point found using <code>getFaceCenter</code> is unsuitable for some applications because it can lie outside the face completely, or in a region where it cannot see all the face&apos;s vertices (line segments from the center to the corner pass outside of the face).</p>\n\
<p>If a safe center cannot be found, a value of <strong><code>undefined</code></strong> is returned.</p>\n\
<p>This routine provides a better solution in some cases by finding the center of the convex hull of the face. The convex hull is defined as the region in a face with a clear line-of-sight to all the corners. Some faces such as, the top face in an extruded letter M have an empty convex hull, in which case this routine fails and merely provides the regular center given by <code>ComputeCenter</code> .</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position returned is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return value is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFaceNormal &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Returns the face normal of the face.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the direction vector returned is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return value is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFaceArea &lt;Poly poly&gt; &lt;int face&gt;</code></pre><p>Returns the area of the specified face.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";