var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7D8FE93F-BB97-4509-8CE7-EB8483E48EC4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Third-Party Plug-In Classes</h1></div><p>The <a href=\"./../MAXWrapper-Value/MAXWrapper-Value-1.html\">MAXWrapper Value</a> classes are the core <strong>3ds Max</strong> classes that are supported directly within MAXScript. Many of the kinds of <strong>3ds Max</strong> objects you will work with are provided through 3rd-party plug-ins for <strong>3ds Max</strong>, they are not built directly in to MAXScript.</p>\n\
<p>For these classes, an automatic plug-in detector scans for plug-ins that MAXScript doesn&#39;t internally know about and attempts to provide MAXScript access to them. This includes new core classes in new releases of <strong>3ds Max</strong> that MAXScript doesn&#39;t internally know about, and 3rd-party plug-ins. Not <strong>all</strong> parameters and properties of the detected plug-ins are accessible. In general, the detector will only find <strong>animatable</strong> parameters on these plug-ins, and in some cases none at all, if the plug-in uses non-standard parameter coding.</p>\n\
<p>You can use the <a href=\"Class-and-Object-Inspector.html\">class and object inspector functions</a> in MAXScript to browse through the <strong>3ds Max</strong> core and 3rd-party classes accessible in MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Identifying-and-Accessing.html\">Identifying and Accessing MAXScript Classes and Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";