var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-504B022E-C059-49EF-A54D-A1EDC88D1B4A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Alembic_Import : ImporterPlugin</h1></div><p>Exposes the Alembic Importer plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p>Several properties have been added, removed, or changed in 2019. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>2019</th>\n\
<th>2018</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>AnimTimeRange</td>\n\
<td>CacheTimeRange</td>\n\
</tr>\n\
<tr>\n\
<td>CustomAttributes</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>EndFrame</td>\n\
<td>EndFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>ExtraChannels</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>gone in 2019</td>\n\
<td>StepFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>Hidden</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>LayerName</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>MaterialIDs</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>MaterialName</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Normals</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectID</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>SamplesPerFrame</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>ShapeSuffix</td>\n\
<td>ShapeName</td>\n\
</tr>\n\
<tr>\n\
<td>StartFrame</td>\n\
<td>StartFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>UVs</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Velocity</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>VertexColors</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Visibility</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Alembic_Import\n\
AlembicImport\n\
</code></pre><p><strong>Alembic_Import interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: AlembicImport</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.CoordinateSystem : enum : Read|Write\n\
CoordinateSystem enums: {#Max|#Maya|#ZUp|#YUp}</code></pre><p>Set the coordinate system of the imported Alembic file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.ImportToRoot : boolean : Read|Write</code></pre><p>Controls the state of the &quot;Import To Root&quot; option of the Alembic Importer.</p>\n\
<p>When set to False (default), the imported Alembic objects will be parented to an Alembic Container. This is useful if you want to transform or select all imported Alembic objects as one.</p>\n\
<p>When set to True, the imported Alembic objects will become Children Of The World without a parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.FitTimeRange : boolean : Read|Write</code></pre><p>When true, update the scene time range to match the imported Alembic animation time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.SetStartTime : boolean : Read|Write</code></pre><p>When true, set the current scene time to match the imported Alembic animation start time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.UVs : boolean : Read|Write</code></pre><p>When true, import the mesh UV map channel. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.Normals : boolean : Read|Write</code></pre><p>When true, import the mesh normals. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.VertexColors : boolean : Read|Write</code></pre><p>When true, import the mesh vertex color map 0. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.ExtraChannels : boolean : Read|Write</code></pre><p>When true, import the mesh extra map channels. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.Velocity : boolean : Read|Write</code></pre><p>When true, import the mesh vertex velocity data. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.MaterialIDs : boolean : Read|Write</code></pre><p>When true, import the mesh material IDs from Alembic face sets. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.Visibility : boolean : Read|Write</code></pre><p>When true, import the node visibility data. This global import option is copied locally into the created Alembic node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicImport.ShapeSuffix : boolean : Read|Write</code></pre><p>When set to true, the &quot;Shape&quot; suffix is stripped from the name of the imported objects. This property is set to false by default.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDefaults()</code></pre><p>Reset all AlembicImport properties to their default values.</p>\n\
<h2 id=\"alembic-file-inspection-methods\">Alembic File Inspection Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; AlembicImport.Inspect &lt;string&gt;alembicFile</code></pre><p>Loads the specified <code>almembicFile</code> for inspection, and returns the &quot;root&quot; path of the Alembic file hierarchy. This method exposes the <strong>Inspect Alembic File</strong> option on the Alembic Import Options dialog.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; AlembicImport.GetNumChildren &lt;string&gt;pathToNode</code></pre><p>Returns the number of children for the specified node path.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; AlembicImport.GetParent &lt;string&gt;pathToNode</code></pre><p>Returns the path of the parent node of the specified node.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; AlembicImport.GetChild &lt;string&gt;pathToNode &lt;integer&gt;index</code></pre><p>Returns the path of the child node for the specified node, at the specified index.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Index is 0-based.</div>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; AlembicImport.GetABCNodeName &lt;string&gt;pathToNode</code></pre><p>Returns the name of the specified node. This is the string displayed in the tree view in the Inspect Alembic File dialog.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; AlembicImport.IsPropertyNode &lt;string&gt;pathToNode</code></pre><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns true if the specified node defines a property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt; AlembicImport.GetABCNodeType &lt;string&gt;pathToNode\n\
       GetABCNodeType enums: {#Compound|#Scalar|#Array</code></pre><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the property type of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt; AlembicImport.GetABCNodeDataType &lt;string&gt;pathToNode\n\
       GetABCNodeDataType enums: {#Bool|#Int8|#UInt8|#Int16|#UInt16|#Int32|#UInt32|#Int64|#UInt64|#Float16|#Float32|#Float64|#String|#WString|#Unknown</code></pre><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the data type of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; AlembicImport.GetABCNodeExtent &lt;string&gt;pathToNode</code></pre><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the extent of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;  AlembicImport.GetABCNodeProperties &lt;string&gt;pathToNode</code></pre><p>Returns the object properties node for the specified node, where <code>pathToNode</code> is a string in the form of &quot;path/to/alembic/object&quot;.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; AlembicImport.GetNumProperties &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty</code></pre><p>Returns the number of properties held in the specified property node.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;  AlembicImport.GetChildPropertyFromIndex &lt;string&gt;pathToNode\n\
  &lt;string&gt;pathToProperty &lt;integer&gt; index</code></pre><p>Returns the path to the child property node at the specified <code>index</code>. The <code>index</code> is 0-based.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;  AlembicImport.GetChildPropertyFromName &lt;string&gt;pathToNode\n\
  &lt;string&gt;pathToProperty &lt;string&gt;name);</code></pre><p>Gets the property node path for the first property with the specified name. The named property can be a grandchild, since this function is recursive.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt; AlembicImport.GetPropertyType &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
  GetPropertyType enums: {#Compound|#Scalar|#Array</code></pre><p>Gets the type of the specified property node.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt; AlembicImport.GetPropertyDataType &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
  GetPropertyDataType enums: {#Bool|#Int8|#UInt8|#Int16|#UInt16|#Int32|#UInt32|#Int64|#UInt64|#Float16|#Float32|#Float64|#String|#WString|#Unknown\n\
</code></pre><p>Gets the data type of the specified property node.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; AlembicImport.GetPropertyExtent &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty</code></pre><p>Gets the extent of the specified property node.</p>\n\
<p>The <code>pathToNode</code> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <code>pathToProperty</code> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<h2 id=\"custom-attribute-and-object-attribute-methods\">Custom Attribute and Object Attribute Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt; AlembicImport.CA_AddProperty &lt;enum&gt;location &lt;string&gt;alembicObjectPath &lt;string&gt;propertyPath\n\
       CA_AddProperty - no automatic redraw after invoked\n\
       location enums: {#Modifier|#BaseObject}</code></pre><p>Adds a custom attribute to the list to be added to a base object or modifier.</p>\n\
<p><code>location</code> indicates where the custom attribute will be stored, either #Modifier or #BaseObject.</p>\n\
<p><code>alembicObjectPath</code> is the path alembic object that owns the custom attribute.</p>\n\
<p><code>propertyPath</code> is the path to the property of the custom attribute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt; AlembicImport.CA_Build()\n\
       CA_Build - no automatic redraw after invoked </code></pre><p>Builds the script that writes out the custom attributes and connects them to the alembic file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; AlembicImport.CA_SetNode &lt;node&gt;node &lt;string&gt;alembicFile</code></pre><p>Associates a node with an alembic file. This method needs to be called before adding properties to a node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt; AlembicImport.OA_SetBool &lt;node&gt;node &lt;string&gt;name &lt;boolean&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetInt &lt;node&gt;node &lt;string&gt;name &lt;integer&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetFloat &lt;node&gt;node &lt;string&gt;name &lt;float&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetPoint3 &lt;node&gt;node &lt;string&gt;name &lt;point3&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetString &lt;node&gt;node &lt;string&gt;name &lt;string&gt;val\n\
</code></pre><p>These methods set object attributes on the specified node, and return true if the attribute was successfully set.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --This example uses the files created in the \n\
   --AlembicExport:ExporterPlugin topic:  \n\
   resetMaxFile #noprompt --reset the scene\n\
   AlembicImport.ZUp = true --tell the importer to expect Z up (Max mode)\n\
   AlembicImport.ImportToRoot = false --parent to an Alembic Container\n\
   importFile (GetDir #export +&quot;\\\\alembictest_hdm5_max.abc&quot;) #noPrompt using:AlembicImport\n\
   --RESULT: The loaded Cone matches the original animation\n\
\n\
   resetMaxFile #noprompt --reset the scene\n\
   --note that the importer is still in Max Z up mode\n\
   importFile (GetDir #export +&quot;\\\\alembictest_ogawa_maya.abc&quot;) #noPrompt \n\
   --RESULT: The Cone will be imported with the wrong orientation \n\
   --because the file contains Y up data.\n\
\n\
   resetMaxFile #noprompt --reset the scene\n\
   AlembicImport.ZUp = false --tell the importer the file is not Z-up\n\
   AlembicImport.ImportToRoot = true --import as Child Of The World\n\
   --import the Maya file with Z up disabled:\n\
   importFile (GetDir #export +&quot;\\\\alembictest_ogawa_maya.abc&quot;) #noPrompt \n\
   --RESULT: The Cone will now be oriented correctly\n\
</code></pre><p>   <strong>INSPECTION EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mypath = @&quot;C:\\My Documents\\3ds Max\\export\\helicopter.ABC&quot;\n\
\n\
   pathToParent = AlembicImport.Inspect mypath\n\
\n\
   fn getAllChildren pathToParent =\n\
   (\n\
       numChildren = AlembicImport.GetNumChildren pathToParent\n\
\n\
       for i = 1 to numChildren do\n\
       (\n\
           pathToChild = AlembicImport.GetChild pathToParent (i-1)\n\
\n\
           -- Also possible to get the parent by calling\n\
           -- pathToParent = AlembicImport.GetParent pathToChild \n\
\n\
           nodeName = AlembicImport.GetABCNodeName pathToChild\n\
\n\
           format &quot;Name: %\\n&quot; nodeName\n\
\n\
           propPath = AlembicImport.GetABCNodeProperties pathToChild\n\
\n\
           if propPath != undefined then\n\
           (\n\
               numProps = AlembicImport.GetNumProperties pathToChild propPath\n\
               nodeType = AlembicImport.GetPropertyType pathToChild propPath\n\
               dataType = AlembicImport.GetPropertyDataType pathToChild propPath\n\
               extent = AlembicImport.GetPropertyExtent pathToChild propPath\n\
\n\
               format &quot;%, %, %, %\\n&quot; numProps nodeType dataType extent\n\
           )\n\
\n\
         getAllChildren pathToChild\n\
      )\n\
   )\n\
\n\
   getAllChildren pathToParent</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Alembic_Export-ExporterPlugin.html\">Alembic_Export : ExporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/Camera-Node/AlembicCamera-Camera.html\">AlembicCamera : Camera</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\">AlembicObject : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers/Controller-Types/Matrix3-Controllers/AlembicXform-Matrix3Controller.html\">AlembicXform : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";