var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B930B1E8-8CB6-4A21-8D92-D81989683197\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: BooleanExplorerManager</h1></div><p>This Core Interface exposes methods for controlling the Boolean Explorer dialog. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BooleanExplorerManager.OpenBooleanExplorer()</code></pre><p>Opens the Boolean Explorer.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BooleanExplorerManager.CloseBooleanExplorer()</code></pre><p>Closes the Boolean Explorer.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BooleanExplorerManager.IsBooleanExplorerOpen()</code></pre><p>Returns True if the Boolean Explorer is currently open, False if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BooleanExplorerManager.LoadBooleanExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadBooleanExplorerConfiguration - no automatic redraw after invoked</code></pre><p>Loads a Boolean Explorer configuration from the specified file.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BooleanExplorerManager.SaveBooleanExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveBooleanExplorerConfiguration - no automatic redraw after invoked</code></pre><p>Saves the current Boolean Explorer configuration to the specified file.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   BooleanExplorerManager.IsBooleanExplorerOpen() --check if already open \n\
   --&gt; false &#x2013;- it is not open yet\n\
   BooleanExplorerManager.OpenBooleanExplorer() -- open the Boolean Explorer\n\
   --&gt; true -- success!\n\
   BooleanExplorerManager.IsBooleanExplorerOpen() -- check again\n\
   --&gt; true -- now it is open\n\
   BooleanExplorerManager.CloseBooleanExplorer()  -- close it\n\
   --&gt; true -- success!\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../B.html\">B</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";