var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D5BC18A-98C1-40AA-9617-DC1F20B4AFB2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ChannelInfo</h1></div><p>The <strong>ChannelInfo Core Interface</strong> provides access to the new Map Channel system and the Map Channel Info dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ChannelInfo.subComp : boolean : Read|Write      </code></pre><p>Enables/Disables the sub-component display. Corresponds to the SubComp button in the Map Channel Info dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ChannelInfo.lock : boolean : Read|Write   </code></pre><p>Sets the state of the Lock button in the Map Channel Info dialog.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.dialog() </code></pre><p>Opens the Map Channel Info dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.CopyChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel </code></pre><p>Copies the specified channel of specified channel type in the supplied node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.CopySubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel </code></pre><p>Copies the specified sub-channel of the supplied channel of specified channel type in the given node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.PasteChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel </code></pre><p>Pastes the specified channel of specified channel type in the supplied node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.PasteSubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel </code></pre><p>Pastes the specified sub-channel of the supplied channel of specified channel type in the given node.</p>\n\
<p>Possible channelyTpe values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.AddChannel &lt;node&gt;node </code></pre><p>Adds a new channel to the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.ClearChannel &lt;node&gt;node &lt;integer&gt;channel </code></pre><p>Clears the specified channel from the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.NameChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;string&gt;name </code></pre><p>Renames the specified channel of the supplied type in the given node to the provided string.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.NameSubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel &lt;string&gt;name </code></pre><p>Renames the specified sub-channel of the specified channel of the supplied type in the given node to the provided string.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.update() </code></pre><p>Updates the Map Channel Info dialog. Corresponds to pressing the Update button in the Map Channel Info dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ChannelInfo.closeDialog() </code></pre><p>Closes the Map Channel Info dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ChannelInfo.isChecked() </code></pre><p>Returns true if the Map Channel Info dialog is open, false otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";