var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0A78FDEB-6ABE-45A4-84D9-F08081C024F8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: EPolyManipGrip</h1></div><p><img src=\"./images/GUID-EFE761AF-E6B5-49CF-B898-4AEA200B80D4-low.gif\" alt></p>\n\
<p>This Core Interface introduced in <strong>3ds Max 2011</strong> exposes methods to invoke and access the state of the Caddy (a.k.a. &quot;Grip&quot;) manipulator for various Editable Poly manipulation modes.</p>\n\
<p>See also <a href=\"Interface-Grip.html\">Interface: Grip</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: EPolyManipGrip</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;EPolyManipGrip.SetManipulateGrip &lt;boolean&gt;on &lt;enum&gt;gripItem      \n\
\n\
gripItem enums: {#SSFalloff | #SSBubble | #SSPinch | #SetFlow | #LoopShift \n\
| #RingShift | #EdgeCrease | #EdgeWeight | #EdgeDepth | #VertexWeight | #VertexCrease}   </code></pre><p>Enable/Disable the Caddy manipulator for the Item defined by the second argument based on the first Boolean argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;EPolyManipGrip.GetManipulateGrip &lt;enum&gt;gripItem \n\
\n\
gripItem enums: {#SSFalloff | #SSBubble | #SSPinch | #SetFlow | #LoopShift \n\
| #RingShift | #EdgeCrease | #EdgeWeight | #EdgeDepth | #VertexWeight | #VertexCrease} </code></pre><p>Returns the enabled state of the Caddy manipulator for the Item defined by the first argument.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-Grip.html\">Interface: Grip</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";