var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-34892DB6-E840-4F52-9175-30332799B7B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: NitrousGraphicsManager</h1></div><p>This Core Interface exposes the Nitrous Graphics Manager to MAXScript.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#properties\">Properties</a></li>\n\
<li><a href=\"#methods\">Methods</a><ul>\n\
<li><a href=\"#general-nitrous-access\">General Nitrous Access</a></li>\n\
<li><a href=\"#texture-size-settings\">Texture Size Settings</a></li>\n\
<li><a href=\"#application-window-size-and-position\">Application Window Size and Position</a></li>\n\
<li><a href=\"#testing-and-profiling\">Testing And Profiling</a></li>\n\
<li><a href=\"#view-graph-saving-and-loading\">View Graph Saving And Loading</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#iobject-fixedviewportpipeline\">IObject:FixedViewportPipeline</a><ul>\n\
<li><a href=\"#world-settings-iobject-interface-\">World Settings IObject Interface:</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#selection-settings-iobject-interface-\">Selection Settings IObject Interface:</a></li>\n\
<li><a href=\"#viewport-settings-iobject-interfaces-\">Viewport Settings IObject Interfaces:</a><ul>\n\
<li><a href=\"#per-view-preferences-tab\">Per-View Preferences Tab</a></li>\n\
<li><a href=\"#per-view-settings-tab\">Per-View Settings Tab</a><ul>\n\
<li><a href=\"#other-properties-not-exposed-to-the-ui\">Other Properties Not Exposed To The UI</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#lighting-and-shadows-group-of-controls\">Lighting and Shadows group of controls</a></li>\n\
<li><a href=\"#depth-of-field-and-bokeh-effects\">Depth Of Field and Bokeh Effects</a></li>\n\
<li><a href=\"#npr-settings\">NPR Settings</a><ul>\n\
<li><a href=\"#accessing-npr-parameters\">Accessing NPR Parameters</a></li>\n\
<li><a href=\"#accessing-boolean-parameters\">Accessing Boolean Parameters</a></li>\n\
<li><a href=\"#accessing-integer-parameters\">Accessing Integer Parameters</a></li>\n\
<li><a href=\"#accessing-float-parameters\">Accessing Float Parameters</a></li>\n\
<li><a href=\"#accessing-float4-parameters\">Accessing Float4 Parameters</a></li>\n\
<li><a href=\"#accessing-string-parameters\">Accessing String Parameters</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: NitrousGraphicsManager</code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.MakePreviewQuality : integer : Read|Write</code></pre><p>Get/set the number of progressive refinement passes to be performed when generating a preview animation using the Make Preview feature of <strong>3ds Max</strong>.</p>\n\
<p>Default is 16.</p>\n\
<p>See also the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview Method</a> topic for details on controlling the Make Preview feature via MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.MultiThreadedShaderCompileMode : boolean : Read|Write</code></pre><p>Get/set whether the compiling of shaders will use multiple threads (True) or a single thread (False).</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.ChangeCursorOnMouseMove : boolean : Read|Write</code></pre><p>Get/set whether to change the cursor on mouse move.</p>\n\
<p>When set to True (default), the mouse cursor will change its icon to represent the current mode when over an object and return to an arrow when no object is found underneath.</p>\n\
<p>When set to False, the mouse cursor will remain an arrow and will not change when over an object. Tooltips will still be displayed and hit-testing will be performed on left mouse click.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.BackfaceCullWireframeEnabled : boolean : Read|Write</code></pre><p>Indicates whether to apply back face culling to the wireframe display so that only faces with a normal facing the camera are visible.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.ShadowmapSizeLimit : integer : Read|Write</code></pre><p>Get/set the Shadow Map Size Limit. Default is 512.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.NormalBumpMode : integer : Read|Write</code></pre><p>Get/set the Normal Bump Mode controlled via radio buttons in the Customize menu &gt; Preferences dialog &gt; General tab.  This setting determines how 3ds Max computes the UV tangent and binormal (bitangent) basis.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>3ds Max</strong> (default): In this mode, the vertex tangent and binormal (bitangent) are perpendicular to the face normal. The face normal is always perpendicular to the triangle face. During pixel shading, the tangent and binormal interpolated from triangle vertices are used in the normal bump calculation.</p>\n\
<p>1 - <strong>Maya</strong>: In this mode, the vertex tangent and binormal (bitangent) are perpendicular to the vertex normal. Vertex normals take their smoothing group into account. During pixel shading, the tangent and binormal interpolated from triangle vertices are orthogonalized against the normal before the normal bump calculation.</p>\n\
<p>2 - <strong>DirectX</strong>: In this mode, the vertex tangent and binormal (bitangent) are perpendicular to the vertex normal.  During pixel shading, the tangent and binormal interpolated from triangle vertices are used in the normal bump calculation.</p>\n\
<p>3 - <strong>MikkT</strong>: In this mode, the same vertex tangent and binormal (bitangent) are generated even if there is a change in index list(s), ordering of faces/vertices of a face, and/or the removal of degenerate primitives. During pixel shading, the tangent interpolated from vertices is used in the normal bump calculation, however, the binormal(bitangent) could be either interpolated from vertices or re-calculated against the pixel normal and tangent, depending on whether <strong>Calculate bitangent per pixel</strong> is enabled or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.BackgroundProgressiveRenderingEnabled : boolean : Read|Write</code></pre><p>Get/set whether the Nitrous will perform progressive refinements when <strong>3ds Max</strong> is not in focus.</p>\n\
<p>When set to False (default), Nitrous will not perform progressive refinements when <strong>3ds Max</strong> is running in the background.</p>\n\
<p>When set to True, progressive refinement will be performed even when <strong>3ds Max</strong> is running in the background.</p>\n\
<p>Note that this can cause performance issues. <strong>Use At Your Own Risk!</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.OverrideShadingMtl : material : Read|Write</code></pre><p>Gets or sets the material used when the viewport display is set to <strong>User Defined &gt; Materials &gt; Override with UV Checker</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.OverrideRenderSettingMtl : material : Read|Write</code></pre><p>Gets or sets the material used when the viewport display is set to <strong>User Defined &gt; Materials &gt; Override with Rendering Setting</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.HardwareHitTestEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the Hardware Hit Testing in the viewport.  </p>\n\
<p>Default is False.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Use this setting at your own risk.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.GesturaEnabled : boolean : Read|Write</code></pre><p>Enable Gestura for drawing tablets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.AntialiasingQuality : enum : Read|Write \n\
    AntialiasingQuality enums: {#None|#2X|#4X|#8X}</code></pre><p>Get/set the Nitrous viewport Anti-Aliasing quality.</p>\n\
<p>Default is <code>#none</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ProgressiveRenderingEnabled : boolean : Read|Write</code></pre><p>Get/set the Improve Quality Progressively setting on the Display Performance tab of the Viewport Configuration dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NitrousGraphicsManager.DarkerEdgeOption : enum : Read|Write\n\
       DarkerEdgeOption enums: {#Off|#SubLevelOnly|#Always}</code></pre><p>Gets or sets the option in wireframe mode to draw back facing mesh edges darker than front facing edges. This option has no corresponding UI control.</p>\n\
<h2 id=\"methods\">Methods</h2><p><a name=\"general-nitrous-access\"></a></p>\n\
<h3 id=\"general-nitrous-access\">General Nitrous Access</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;NitrousGraphicsManager.GetActiveViewportSetting()</code></pre><p>Returns a <code>&lt;IObject:ViewportViewSettingImpl&gt;</code> object which exposes the Interface to access the settings of the active viewport.</p>\n\
<p>See <a href=\"#viewport-settings-iobject-interfaces-\">further on this page</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;NitrousGraphicsManager.GetViewportSetting &lt;integer&gt;index</code></pre><p>Returns a <code>&lt;IObject:ViewportViewSettingImpl&gt;</code> object which exposes the settings of the specified indexed viewport.</p>\n\
<p>The parameter used to be 0-based in previous versions, it is 1-based in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>See <a href=\"#viewport-settings-iobject-interfaces-\">further on this page</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;NitrousGraphicsManager.GetSelectionSetting() </code></pre><p>Returns a <code>&lt;IObject:SelectionEffectImpl&gt;</code> object which exposes the general viewport selection settings..</p>\n\
<p>See <a href=\"#viewport-settings-iobject-interfaces-\">further on this page</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;NitrousGraphicsManager.GetWorldSetting()</code></pre><p>Returns a <code>&lt;IObject:WorldSettingImpl&gt;</code> object which exposes the world optimization settings.</p>\n\
<p>See <a href=\"#world-settings-iobject-interface-\">further on this page</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.IsEnabled() </code></pre><p>Returns True if the Nitrous Graphics system is being used for the viewport, False otherwise.  If this is false, another driver (such as legacy DirectX or legacy OpenGL) is being used for the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.ProgressiveRendering()</code></pre><p>Triggers progressive rendering.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.IsProgressiveRenderingFinished()</code></pre><p>Returns True if the progressive refinement for the current viewport has finished, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.API()</code></pre><p>Returns the driver type used by the viewport, where:</p>\n\
<ul>\n\
<li>0=Legacy Direct 3d or Legacy OpenGL</li>\n\
<li>1=Nitrous DirectX 9</li>\n\
<li>3=Nitrous DirectX11</li>\n\
<li>4=Nitrous Software (Direct3D 11 with WARP mode)</li>\n\
</ul>\n\
<h3 id=\"texture-size-settings\">Texture Size Settings</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SetTextureSizeLimit &lt;integer&gt;sizeLimit &lt;boolean&gt;enabled</code></pre><p>Sets the Nitrous Graphics System&apos;s texture size limit.</p>\n\
<p>The first argument specifies the texture size limit in pixels.</p>\n\
<p>The second argument controls the enabled state of the texture size limit - when passed as True, the limit will be enabled, when passed as False, it will be disabled.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When loading scenes with large amounts of texture data, Nitrous might start paging memory and become very slow. Setting the Texture Size Limit to a value of 256 and enabling the limit can restore the viewport performance by eliminating the memory paging.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SetBackgroundTextureSizeLimit &lt;integer&gt;sizeLimit &lt;boolean&gt;enabled</code></pre><p>Sets the Nitrous Graphics System&apos;s background texture size limit.</p>\n\
<p>The first argument specifies the texture size limit in pixels.</p>\n\
<p>The second argument controls the enabled state of the texture size limit - when passed as True, the limit will be enabled, when passed as False, it will be disabled.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;NitrousGraphicsManager.SetProceduralTextureSizeLimit &lt;integer&gt;sizeLimit</code></pre><p>Sets the maximum procedural texture size to the specified limit value.</p>\n\
<p>Procedural textures have to be rendered as 2D bitmaps before they can be displayed in the viewport. This method lets you limit the size of these bitmaps to avoid running out of graphics card memory when working in scenes with many procedural textures.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;NitrousGraphicsManager.ForceDisableMipMapGeneration &lt;boolean&gt;bDisable</code></pre><p>When the argument is passed as True, this method will disable the MipMap generation of viewport textures. When passed as False, the MipMapping will be enabled.</p>\n\
<p>MipMapping creates multiple resolutions of the same texture and looks up texels in the one whose resolution most closely matches the pixel distance in the viewport to avoid artefacts.</p>\n\
<p>But the multiple resolutions of the MipMap require 33% more memory than a single high-resolution version of the same texture.</p>\n\
<p>Thus, turning MipMap Generation off can save significant amounts of graphics card memory at cost of texture display quality.</p>\n\
<h3 id=\"application-window-size-and-position\">Application Window Size and Position</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SetAppWindowSize &lt;integer&gt;width &lt;integer&gt;height</code></pre><p>Sets the <strong>3ds Max</strong> application window size to the given width and height arguments.</p>\n\
<p>Note that this will affect the <strong>3ds Max</strong> window even if it is Maximized.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SetAppWindowPos &lt;integer&gt;x &lt;integer&gt;y</code></pre><p>Sets the position of the upper left corner of the 3ds Max application window to the given x and y coordinates in desktop space.</p>\n\
<p>Note that this will affect the <strong>3ds Max</strong> window even if it is Maximized.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.PinViewPanelSize &lt;integer&gt;width &lt;integer&gt;height    \n\
&lt;boolean&gt;NitrousGraphicsManager.UnpinViewPanelSize()</code></pre><p>These methods are for internal use only.</p>\n\
<h3 id=\"testing-and-profiling\">Testing And Profiling</h3><p>The following methods are for internal testing and profiling use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.BeginPerformanceProfiling()</code></pre><p>Starts collecting performance profiling data. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.EndPerformanceProfiling()</code></pre><p>Ends collecting performance profiling data. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Integer64&gt;NitrousGraphicsManager.GetSystemMemoryUsed()</code></pre><p>Returns the Nitrous System memory usage in bytes as Integer64 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.DumpMemoryInfo()</code></pre><p>Writes the current Nitrous Graphics system memory usage to a default file in the root of the <strong>3ds Max</strong> installation. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.DumpMemoryInfoToFile &lt;string&gt;maxFileName &lt;string&gt;logFileName</code></pre><p>Writes the current Nitrous Graphics system memory usage to the log file specified by the second argument. The first argument is the name of the <strong>3ds Max</strong> scene. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.CreateDummyObjects &lt;string&gt;className &lt;integer&gt;numberOfObjects</code></pre><p>Creates a number of dummy objects in memory using the class name provided as first argument and the count provided as second argument. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.RunMessageLoop()</code></pre><p>Runs the Nitrous system message loop. For internal use only.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;NitrousGraphicsManager.BeginPartialUpdateCompareTest()</code></pre><p>Starts the partial update compare test. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;NitrousGraphicsManager.EndPartialUpdateCompareTest()</code></pre><p>Ends the partial update compare test. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.GetPartialUpdateCompareTestResult()</code></pre><p>Returns True if the partial update compare test succeeded, False if it did not pass. For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.ApplyViewportViewSettingToLegacyView &lt;integer&gt;index</code></pre><p>For internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.ShowShaderDebugger()\n\
&lt;boolean&gt;NitrousGraphicsManager.HideShaderDebugger()</code></pre><p>For internal use only.</p>\n\
<h3 id=\"view-graph-saving-and-loading\">View Graph Saving And Loading</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SaveViewGraph &lt;index&gt;viewIndex &lt;string&gt;viewGraphName</code></pre><p>Saves the View Graph of the indexed view to the specified name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.LoadViewGraph &lt;index&gt;viewIndex &lt;string&gt;viewGraphName</code></pre><p>Loads the View Graph with the name specified by the second argument in the indexed viewport specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManagerUnloadViewGraph &lt;index&gt;viewIndex</code></pre><p>Unloads the View Graph from the indexed viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NitrousGraphicsManager.SetViewShadeFragment &lt;index&gt;viewIndex &lt;integer&gt;classIDPartA &lt;integer&gt;classIDPartB\n\
&lt;boolean&gt;NitrousGraphicsManager.ResetViewShadeFragment &lt;index&gt;viewIndex</code></pre><p>These methods are for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;NitrousGraphicsManager.GetFixedViewportPipeline &lt;index&gt;index</code></pre><p>Returns the FixedViewportPipeline IObject (see below) of the indexed viewport.</p>\n\
<h2 id=\"iobject-fixedviewportpipeline\">IObject:FixedViewportPipeline</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: FixedViewportPipeline</code></pre><p>Exposes methods for adding shading fragments to the Fixed Viewport Pipeline.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetShadingFragment &lt;integer&gt;classIDA &lt;integer&gt;classIDB</code></pre><p>Sets a shading fragment with the specified classIDs.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RestoreDefaultShadingFragment()</code></pre><p>Restores the default shading fragment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetBackgroundFragment &lt;integer&gt;classIDA &lt;integer&gt;classIDB</code></pre><p>Sets a background fragment with the specified classIDs.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RestoreDefaultBackgroundFragment()</code></pre><p>Restores the default background fragment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;InsertOverlayFragment &lt;index&gt;index &lt;integer&gt;classIDA &lt;integer&gt;classIDB</code></pre><p>Inserts an overlay fragment with the specified class IDs at the indexed position.</p>\n\
<p>Returns the name of the overlay fragment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeleteOverlayFragmentByIndex &lt;index&gt;index</code></pre><p>Deletes the indexed overlay fragment.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeleteOverlayFragmentByName &lt;string&gt;name</code></pre><p>Deletes the named overlay fragment.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumOverlayFragments()</code></pre><p>Returns the number of overlay fragments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetOverlayFragmentName &lt;index&gt;index</code></pre><p>Returns the name of the indexed overlay fragment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;InsertPostShadingFragment &lt;index&gt;index &lt;integer&gt;classIDA &lt;integer&gt;classIDB</code></pre><p>Inserts a post-shading fragment with the specified class IDs at the indexed position.</p>\n\
<p>Returns the name of the post-shading fragment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeletePostShadingFragmentByIndex &lt;index&gt;index</code></pre><p>Deletes the indexed post-shading fragment.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeletePostShadingFragmentByName &lt;string&gt;name</code></pre><p>Deletes the named post-shading fragment.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumPostShadingFragments()</code></pre><p>Returns the number of post-shading fragments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetPostShadingFragmentName &lt;index&gt;index</code></pre><p>Returns the name of the indexed post-shading fragment.</p>\n\
<p><a name=\"world-settings-iobject-interface-\"></a></p>\n\
<h3 id=\"world-settings-iobject-interface-\">World Settings IObject Interface:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: WorldSettingImpl</code></pre><p>This interface is exposed by the IObject returned by the method <code>NitrousGraphicsManager.GetWorldSetting()</code></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.ConsolidationEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the Consolidation option.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.InstanceEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the Instancing option.</p>\n\
<p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.StaticEnabled : boolean : Read|Write</code></pre><p>Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.MaxConsolidatableNodePrimitive : integer : Read|Write</code></pre><p>Get/set the maximum number of consolidatable node primitives.</p>\n\
<p>Default is 20000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.MaxConsolidationCellPrimitive : integer : Read|Write</code></pre><p>Get/set the maximum number of consolidation cell primitives.</p>\n\
<p>Default is 200000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.MinConsolidationCellPrimitive : integer : Read|Write</code></pre><p>Get/set the minimum number of consolidation cell primitives.</p>\n\
<p>Default is 50000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;WorldSettingImpl&gt;.MaxInstancableNodePrimitive : integer : Read|Write</code></pre><p>Get/set the maximum number of instanceable node primitives.</p>\n\
<p>Default is 10000.</p>\n\
<h2 id=\"selection-settings-iobject-interface-\">Selection Settings IObject Interface:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: SelectionEffectImpl</code></pre><p>The interface is exposed by the IObject returned by the method <strong><code>NitrousGraphicsManager.GetSelectionSetting()</code></strong>.</p>\n\
<p>It exposes the viewport selection settings seen in the <strong>Selection/Preview Highlights</strong> section of the <strong>Viewports</strong> tab of the <strong>Customize &gt; Preferences</strong> dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.Enabled : boolean : Read|Write</code></pre><p>Gets or sets whether the Selection/Preview Highlights settings are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.SelectionHighlightEnabled : boolean : Read|Write</code></pre><p>Gets or sets the Selection Overlay setting. When on, selected items are displayed with a color overlay.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.SelectionOutlineEnabled : boolean : Read|Write</code></pre><p>Gets or sets the Selection Outline setting. When on, selected items are displayed with a color outline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.PreviewHighlightEnabled : boolean : Read|Write</code></pre><p>Gets or sets the Preview Overlay setting. When on, items that could be selected with a mouse click are displayed with a color overlay when the mouse is over them in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.PreviewOutlineEnabled : boolean : Read|Write</code></pre><p>Gets or sets the Preview Outline setting. When on, items that could be selected with a mouse click are displayed with a color outline when the mouse is over them in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.AnimationEnabled : boolean : Read|Write</code></pre><p>Gets or sets the animation effect applied to the highlight of a selection preview. The default is <strong>false</strong>. There is no UI for this parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.HighlightFactor : float : Read|Write</code></pre><p>Gets or sets the blending factor used to set the transparency of the selection highlight overlay. The default is 0.15. There is no UI for this parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SelectionEffectImpl&gt;.UseSceneDepth : boolean : Read|Write</code></pre><p>Gets or sets whether the selection preview uses the scene depth buffer to apply the selection preview. If false, the preview selection will highlight objects even if they are behind other objects. There is no UI for this parameter.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>None.</p>\n\
<p><a name=\"viewport-settings-iobject-interfaces-\"></a></p>\n\
<h2 id=\"viewport-settings-iobject-interfaces-\">Viewport Settings IObject Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ViewportViewSettingImpl</code></pre><p>The interface is exposed by the IObject returned by the methods <strong><code>NitrousGraphicsManager.GetActiveViewportSetting()</code> and <code>NitrousGraphicsManager.GetViewportSetting()</code></strong></p>\n\
<p>It exposes the viewport settings as seen in the  <strong>&quot;Viewport Settings&quot;</strong> dialog.</p>\n\
<p>In addition, it provides scripted access to the parameters of the <strong>Non-Photorealistic Rendering styles</strong> and <strong>Viewport&apos;s Depth Of Field Bokeh effect introduced in 3ds Max 2013</strong> which are not exposed to the User Interface.</p>\n\
<p><strong>Properties:</strong></p>\n\
<h3 id=\"per-view-preferences-tab\">Per-View Preferences Tab</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.VisualStyleMode : enum : Read|Write\n\
\n\
VisualStyleMode enums: { #Realistic | #Shaded | #ConsistentColors | #HiddenLine | #Wireframe | #BoundingBox | #Clay | #Ink | #ColorInk | #Acrylic | #Tech | #Graphite | #ColorPencil | #Pastel }</code></pre><p>Get/set the Viewport&apos;s Visual Style, including realistic, shaded and non-photorealistic modes. The property can be set as enum name or integer value. When getting, it will return the enum name.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Some of these options are not available in the <strong>Per-View Preferences</strong> dialog, but rather under the <strong>Stylized</strong> menu in the  <strong>Per-View Preference Viewport Label Menu</strong>.</p>\n\
\n\
</div></div>\n\
\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As of <strong>3ds Max 2021.3 Update</strong> the #Shaded mode is no longer supported.</p>\n\
\n\
</div></div>\n\
\n\
<p>Possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Numeric Value</th>\n\
<th>Enum Name</th>\n\
<th>UI Name</th>\n\
<th>Example</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>0</td>\n\
<td><code>#Realistic</code></td>\n\
<td>Default Shading Mode</td>\n\
<td><img src=\"./images/GUID-0684FA29-03C8-46B5-AC2E-EC4049A4DD32-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td><code>#Shaded</code></td>\n\
<td>Shaded</td>\n\
<td><img src=\"./images/GUID-629A6D6D-08F2-43D2-BC3A-0840A0B693EE-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td><code>#Facets</code></td>\n\
<td>Facets</td>\n\
<td><img src=\"./images/GUID-568AD86C-590A-4DAB-87C2-BF596F9EDFAE-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td><code>#ConsistentColors</code></td>\n\
<td>Flat Color</td>\n\
<td><img src=\"./images/GUID-214B3EA8-26CE-4084-A4C9-E6460917FFA7-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td><code>#HiddenLine</code></td>\n\
<td>Hidden Line</td>\n\
<td><img src=\"./images/GUID-5C76D732-1B14-4870-9852-294D1A6B8D51-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td><code>#Wireframe</code></td>\n\
<td>Wireframe Override</td>\n\
<td><img src=\"./images/GUID-AD27A4A8-3E1B-4781-9134-847DD10010CC-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td><code>#BoundingBox</code></td>\n\
<td>Bounding Box</td>\n\
<td><img src=\"./images/GUID-13D53D57-0E29-4DA0-AFDC-6400EE943938-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td><code>#Ink</code></td>\n\
<td>Ink</td>\n\
<td><img src=\"./images/GUID-81DC7EB5-5800-43D4-A873-829594AC0286-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td><code>#ColorInk</code></td>\n\
<td>Color Ink</td>\n\
<td><img src=\"./images/GUID-60CED162-8298-4D24-87FC-BEFB86BE6AD2-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td><code>#Acrylic</code></td>\n\
<td>Acrylic</td>\n\
<td><img src=\"./images/GUID-19729F20-A25C-4146-88F5-3CE6AFFD959B-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td><code>#Tech</code></td>\n\
<td>Tech</td>\n\
<td><img src=\"./images/GUID-B0CA243E-7422-4CE3-B79D-BCCB2321478E-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td><code>#Graphite</code></td>\n\
<td>Graphite</td>\n\
<td><img src=\"./images/GUID-F007262B-DFB0-4667-A7C3-7A2410446475-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td><code>#ColorPencil</code></td>\n\
<td>Color Pencil</td>\n\
<td><img src=\"./images/GUID-2BE01DCE-AF97-4C48-8C26-202932FDC189-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>13</td>\n\
<td><code>#Pastel</code></td>\n\
<td>Pastel</td>\n\
<td><img src=\"./images/GUID-C8ABC8B7-A54F-45C6-8B1C-53B1436D9DE0-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>14</td>\n\
<td><code>#Clay</code></td>\n\
<td>Clay</td>\n\
<td><img src=\"./images/GUID-26AE9093-227E-4428-92B3-74D028061F7C-low.png\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>15</td>\n\
<td><code>#ModelAssist</code></td>\n\
<td>Model Assist</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShowEdgedFacesEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Edged Faces&quot;</strong> viewport option.</p>\n\
<p>When set to False (default), no edged faces will be displayed.</p>\n\
<p>When set to True, a wireframe representation of the geometry faces will be overlayed on top of shaded faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShowSelectionBracketsEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Selection Brackets&quot;</strong> option.</p>\n\
<p>When set to True (default), selected objects will show selection brackets in shaded mode to denote their selected state.</p>\n\
<p>When set to False, selected objects will not show selection brackets - you could enable the <code>.SelectedEdgeFacesEnabled</code> mode to visualize the selected state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.SelectedEdgedFacesEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Display Selected With Edged Faces&quot;</strong> option.</p>\n\
<p>When set to True, selected objects will be displayed with edged faces if the scene is set to shaded mode.</p>\n\
<p>When set to False (default), all objects will be displayed in the current style.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShadeSelectedFacesEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Shade Selected Faces&quot;</strong> option.</p>\n\
<p>When set to True (default), selected faces in sub-object level will be shaded in a solid color.</p>\n\
<p>When set to False, selected faces will be highlighted using colored edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShadeSelectedObjectsEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Shade Selected Objects&quot;</strong> option.</p>\n\
<p>When set to True, selected objects will be displayed in shaded mode even if the scene is set to wireframe mode.</p>\n\
<p>When set to False (default), all objects will be displayed in the current style.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DisableViewport : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Disable View&quot;</strong> option.</p>\n\
<p>When set to False (default), the viewport will be enabled and will redraw as needed.</p>\n\
<p>When set to True, the viewport will be disabled and will only redraw when manually enforced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ViewportClippingEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Manual Viewport Clipping&quot;</strong> UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.UseEnvironmentBackgroundColorEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Use Environment Background Color&quot;</strong> viewport option.</p>\n\
<p>When set to False (default), the viewport background color will be taken from the corresponding value in the Customize User Interface &gt; Color tab dialog.</p>\n\
<p>When set to True, the viewport background color will be taken from the Environment Background color found in the &quot;Environment and Effects&quot; dialog &gt; &quot;Environment&quot; tab &gt; &quot;Common Parameters&quot; rollout &gt; &quot;Background&quot; group of controls.</p>\n\
<h3 id=\"per-view-settings-tab\">Per-View Settings Tab</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ViewportPreset : enum : Read|Write\n\
ViewportPreset enums: {#Quality|#Standard|#Performance|#DXMode|#Customize}</code></pre><p>Get/set the viewport preset.  </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShadedRenderMode : integer : Read|Write</code></pre><p>Get/set the <strong>Rendering Level</strong>.  The possible values are:</p>\n\
<ul>\n\
<li>1: Basic</li>\n\
<li>2: Advanced</li>\n\
<li>3: DX</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.LightOption : enum : Read|Write\n\
\n\
LightOption enums: { #DefaultLight | #SceneLight }</code></pre><p>Get/set the state of the  <strong>&quot;Illuminate:&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p><code>#DefaultLight</code> - illuminates the scene with one or two default lights according to the <code>.DefaultLightMode</code> property.</p>\n\
<p><code>#SceneLight</code> - illuminates using the scene lights, unless there are no scene lights in which case the illumination will fall back to the default lighting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DefaultLightMode : enum : Read|Write \n\
\n\
DefaultLightMode enums: { #OneLight | #TwoLights }</code></pre><p>Get/set the state of the <strong>&quot;Default Lights&quot;</strong> setting.</p>\n\
<p>Possible values are:</p>\n\
<p><code>#OneLight</code> - illuminates the scene with one &quot;headlight&quot; placed behind the camera.</p>\n\
<p><code>#TwoLights</code> - illuminates the scene with two fixed lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.LightingAndShadowQualityMode : enum : Read|Write\n\
\n\
LightingAndShadowQualityMode enums: { #HardShadows | #SoftEdgedShadows | #0.125X | #0.25X | #0.5X | #1X | #2X | #4X | #8X | #16X }</code></pre><p>Get/set the Lighting and Shadows Quality.</p>\n\
<p>Corresponds to the <strong>&quot;Quality&quot;</strong> setting.</p>\n\
<p>Default is <code>#1X</code> .</p>\n\
<p>Possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Numeric Value</th>\n\
<th>Enum Name</th>\n\
<th>UI Description</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>0</td>\n\
<td><code>#HardShadows</code></td>\n\
<td>Point Lights/Hard Shadows</td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td><code>#SoftEdgedShadows</code></td>\n\
<td>Point Lights/Soft Shadows</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td><code>#0.125X</code></td>\n\
<td>0.125x - Very Low</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td><code>#0.25X</code></td>\n\
<td>0.25x - Low</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td><code>#0.5X</code></td>\n\
<td>0.5x - Medium</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td><code>#1X</code></td>\n\
<td>1.0x - Default</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td><code>#2X</code></td>\n\
<td>2.0x - High Quality</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td><code>#4X</code></td>\n\
<td>4.0x - High Quality</td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td><code>#8X</code></td>\n\
<td>8.0x - High Quality</td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td><code>#16X</code></td>\n\
<td>16.0x - Very High Quality</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShowHighlightEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Highlights&quot;</strong> option.</p>\n\
<p>When set to True (default), specular highlights will be calculated in the viewports.</p>\n\
<p>When set to False, no highlights will be calculated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.UseSimplifiedSkyLight : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Progressive Skylight</strong> checkbox.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> this setting is reversed on UI.  When this setting is <code>true</code>, the checkbox is checked.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.AutoDisplaySelectedLightEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Auto Display Selected Light&quot;</strong> option.   </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ReflectionEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Reflection From Environment&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ProgressiveFadingFactor : integer : Read|Write</code></pre><p>Get/set the <strong>Progressive Fade-in time:</strong> slider value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShadowsEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Shadows&quot;</strong> option.</p>\n\
<p>When set to False (default), no shadows will be displayed in the viewports.</p>\n\
<p>When set to True, lights with shadow casting enabled will also show shadows in the viewport using the quality settings described below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShadowIntensity : float : Read|Write</code></pre><p>Get/set the value of the &quot;Shadows&quot; &gt; <strong>&quot;Intensity/Fade&quot;</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.AmbientOcclusionEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Ambient Occlusion&quot;</strong> option.</p>\n\
<p>When set to False (default), no ambient occlusion will be calculated.</p>\n\
<p>When set to True, a screen-space ambient occlusion effect will be calculated using the settings described below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.AmbientOcclusionSamples : integer : Read|Write</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong> Get/set the &quot;Ambient Occlusion&quot; &gt; <strong>&quot;Samples&quot;</strong> option.</p>\n\
<p>A higher number produces a smoother result but takes longer to process; a lower number will process faster but with a grainier result. The default value is 64.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.AmbientOcclusionRadius : float : Read|Write</code></pre><p>Get/set the &quot;Ambient Occlusion&quot; &gt; <strong>&quot;Radius&quot;</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.AmbientOcclusionIntensity : float : Read|Write</code></pre><p>Get/set the &quot;Ambient Occlusion&quot; &gt; <strong>&quot;Intensity/Fade&quot;</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ShowMaterialOption : enum : Read|Write\n\
       ShowMaterialOption enums: {#Default|#Shaded|#Realistic}</code></pre><p>Get/set the <strong>Material Rendering Level</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.OverrideMaterialOption : enum : Read|Write\n\
       OverrideMaterialOption enums: {#None|#FastShader|#RenderingSetting|#UVChecker}</code></pre><p>Get/set the <strong>Material Override</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.TransparencyEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Transparency&quot;</strong> viewport option.</p>\n\
<p>When set to True (default), transparency will be displayed in the viewports.  This corresponds to the <strong>Object Sorting</strong> setting in the UI.</p>\n\
<p>When set to False, transparency will be ignored and all objects will be displayed using solid shading.  This corresponds to the <strong>Off</strong> setting in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomEnabled : boolean : Read|Write</code></pre><p>Get/set the <strong>Enable Bloom</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomTintColor : point3 : Read|Write</code></pre><p>Get/set the bloom <strong>Tint</strong> color setting, as an RGB value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomTintContribution : float : Read|Write</code></pre><p>Get/set the bloom tint multiplier value.  This value multiplies the tint strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomThreshold : float : Read|Write</code></pre><p>Get/set the bloom <strong>Threshold</strong> setting.  This value controls the amount of bloom applied based on pixel intensity.  Higher values filter more light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomThresholdSmoothing : float : Read|Write</code></pre><p>Get/set the bloom threshold <strong>Smoothing</strong> value.  This value is the size of the window to smooth the threshold, calculated by this smoothstep function: <code>float brightness = smoothstep(Threshold, Threshold + ThresholdSmoothing, pixelLuminance)</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomStrength : float : Read|Write</code></pre><p>Get/set the bloom <strong>Strength</strong> value, which multiplies the overall bloom effect.  </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomRadius : integer : Read|Write</code></pre><p>Get/set the bloom <strong>Radius</strong> value.  Controls the bloom effect width, where higher values give a wider effect.  Valid settings are between 1 and 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomQuality : enum : Read|Write\n\
       BloomQuality enums: {#Gaussian_3x3|#Gaussian_5x5|#Gaussian_7x7|#Gaussian_9x9}</code></pre><p>Get/set the bloom <strong>Quality</strong>.  The enums correspond to the 1-4 slider value in the UI.  This property controls blur, detail and noise, based on a Gaussian kernel filter.  Higher values produce better quality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomDirtMap : texturemap : Read|Write</code></pre><p>Get/set the texture map used as a dirt map for the bloom.  A dirt map can mimic the look of dirt and scratches on a camera lens.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomDirtContribution : float : Read|Write</code></pre><p>Get/set the bloom dirt map contribution multiplier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomApplyOnBackground : boolean : Read|Write</code></pre><p>Get/set the bloom <strong>Apply on Background</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomShowBloomPass : boolean : Read|Write</code></pre><p>Get/set whether to show only the bloom pass.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomShowFilterPass : boolean : Read|Write</code></pre><p>Get/set whether to show only the bloom filtering pass.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;ViewportViewSettingImpl&gt;.BloomShowRadiusPassNumber : integer : Read|Write</code></pre><p>Get/set value for the bloom radius pass number.  If 0 or greater, the pass is displayed in the viewport.  This property is intended for debugging, and is not exposed in the UI.</p>\n\
<h4 id=\"other-properties-not-exposed-to-the-ui\">Other Properties Not Exposed To The UI</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.UseTextureEnabled : boolean : Read|Write</code></pre><p>Get/set whether texture maps are displayed in the viewport.</p>\n\
<p>When set to True (default), texture maps will be displayed in the viewports if enabled at material or map level.</p>\n\
<p>When set to False, texture maps will never be shown regardless of the Show Map In Viewport settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.HDAOEnabled : boolean : Read|Write</code></pre><p>Get/set whether High Definition Ambient Occlusion is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DefaultLightsFollowCamera : boolean : Read|Write</code></pre><p><strong>Deprecated as of 3ds Max 2021</strong>.  This setting is always <em>True</em>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.WorldDebuggerEnabled : boolean : Read|Write</code></pre><p><strong>For internal use only</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DeferedRedrawTimeout : integer : Read|Write</code></pre><p><strong>For internal use only</strong>.</p>\n\
<h3 id=\"lighting-and-shadows-group-of-controls\">Lighting and Shadows group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DynamicReflectionEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the dynamic reflections option (currently not exposed to the UI).</p>\n\
<p>When set to True, Materials with a Raytrace or Reflect/Refract map in their Reflection map slot will calculate dynamic reflections of the surrounding scene objects if switched to <strong>&quot;Show Realistic Material In Viewport&quot;</strong> mode.</p>\n\
<p>When set to False (default), no dynamic reflections will be calculated.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Reflection Properties</th>\n\
<th>Result</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>.ReflectionEnabled=off</code></td>\n\
<td><img src=\"./images/GUID-1E8750CE-2809-4781-A164-081D33D9CB85-low.png\" alt></td>\n\
<td>When <code>.ReflectionEnabled</code> is off, the state of <code>.DynamicReflectionEnabled</code> is ignored.</td>\n\
</tr>\n\
<tr>\n\
<td><code>.ReflectionEnabled=on``.DynamicReflectionEnabled=off</code></td>\n\
<td><img src=\"./images/GUID-9CA81648-6BC7-4B0F-B344-F5F211BFFF5E-low.png\" alt></td>\n\
<td>When <code>.ReflectionEnabled</code> is on, Environment Reflection Maps are shown if the Material has a Reflection Map and Show Realistic Material In Viewport is on.</td>\n\
</tr>\n\
<tr>\n\
<td><code>.ReflectionEnabled=on``.DynamicReflectionEnabled=on</code></td>\n\
<td><img src=\"./images/GUID-309999EC-526A-44A5-98DF-B16A8D637745-low.png\" alt></td>\n\
<td>When both properties are on, both Environment Reflection Maps and Scene Objects will be reflected. No reflections of reflections will be calculated though.Reflections will look correct only on curved surfaces.</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.ProgressiveFadingFactor : integer : Read|Write</code></pre><p>Get/set the Progressive Fading Factor value.</p>\n\
<p>This value controls the speed of the progressive refining of the viewport.</p>\n\
<p>A value of 0 means converge immediately, values between 4 and 16 mean very fast refinement, higher values slow down the process exponentially.</p>\n\
<p>Default is 32.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.UseViewportBackgroundEnabled : boolean : Read|Write</code></pre><p>No effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.UseSolidColor : boolean : Read|Write</code></pre><p>No effect.</p>\n\
<h3 id=\"depth-of-field-and-bokeh-effects\">Depth Of Field and Bokeh Effects</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.DOFEnabled : boolean : Read|Write</code></pre><p>Get/set the state of the enable Depth Of Field option. Default is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportViewSettingImpl&gt;.BokehShape : filename : Read|Write</code></pre><p>Get/set the bitmap filename of the Bokeh effect control image.</p>\n\
<p>The Alpha channel of this bitmap controls the shape of the Bokeh effect, while the RGB control the color of the effect.</p>\n\
<p>When set to an empty string &quot;&quot; (default), the DOF effect will produce a disk-shaped &quot;circle of confusion&quot;.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"npr-settings\">NPR Settings</h3><h4 id=\"accessing-npr-parameters\">Accessing NPR Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.ShowNPRParameters()</code></pre><p>Prints information about the NPR mode to the Listener including Parameter Name, Type, Value and Range. Returns OK.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRParameterInfo()</code></pre><p>Returns a string value containing information about the NPR mode including Parameter Name, Type, Value and Range. Similar to <code>ShowNPRParameters()</code> , but returns the info as a string value instead of printing to the Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRParameterCount()</code></pre><p>Returns the number of parameters in the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRParameterName &lt;integer&gt;index</code></pre><p>Returns the name of the indexed parameter. The index is zero-based. If the index is out of range, the value of &quot;No Parameter&quot; is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRParameterType &lt;integer&gt;index \n\
\n\
GetNPRParameterType enums: { #Unknown | #Bool | #Int | #Float | #Float4 | #String }</code></pre><p>Returns the type of the indexed parameter. The index is zero-based. If the index is out of range, the value of #Unknown is returned.</p>\n\
<h4 id=\"accessing-boolean-parameters\">Accessing Boolean Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRBool &lt;string&gt;name</code></pre><p>Returns the value of the named boolean parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.SetNPRBool &lt;string&gt;name &lt;boolean&gt;value</code></pre><p>Sets the value of the named boolean parameter of the current NPR mode to the boolean value passed as second argument.</p>\n\
<h4 id=\"accessing-integer-parameters\">Accessing Integer Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRInt &lt;string&gt;name</code></pre><p>Returns the value of the named integer parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMinInt &lt;string&gt;name</code></pre><p>Returns the minimum value of the named integer parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMaxInt &lt;string&gt;name</code></pre><p>Returns the maximum value of the named integer parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.SetNPRInt &lt;string&gt;name &lt;integer&gt;value</code></pre><p>Sets the value of the named integer parameter of the current NPR mode to the integer value passed as second argument.</p>\n\
<h4 id=\"accessing-float-parameters\">Accessing Float Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRFloat &lt;string&gt;name</code></pre><p>Returns the value of the named float parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMinFloat &lt;string&gt;name</code></pre><p>Returns the minimum value of the named float parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMaxFloat &lt;string&gt;name</code></pre><p>Returns the maximum value of the named float parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.SetNPRFloat &lt;string&gt;name &lt;float&gt;value</code></pre><p>Sets the value of the named float parameter of the current NPR mode to the float value passed as second argument.</p>\n\
<h4 id=\"accessing-float4-parameters\">Accessing Float4 Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRFloat4 &lt;string&gt;name</code></pre><p>Returns the value of the named float4 parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMinFloat4 &lt;string&gt;name</code></pre><p>Returns the minimum value of the named float4 parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRMaxFloat4 &lt;string&gt;name</code></pre><p>Returns the maximum value of the named float4 parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.SetNPRFloat4 &lt;string&gt;name &lt;point4&gt;value</code></pre><p>Sets the value of the named float4 parameter of the current NPR mode to the Point4 value passed as second argument.</p>\n\
<h4 id=\"accessing-string-parameters\">Accessing String Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;ViewportViewSettingImpl&gt;.GetNPRString &lt;string&gt;name</code></pre><p>Returns the value of the named string parameter of the current NPR mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ViewportViewSettingImpl&gt;.SetNPRString &lt;string&gt;name &lt;string&gt;value</code></pre><p>Sets the value of the named string parameter of the current NPR mode to the string value passed as second argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   disp = NitrousGraphicsManager.GetActiveViewportSetting() \n\
   for visStyle = 0 to 13 do \n\
   (\n\
        disp.VisualStyleMode = visStyle\n\
        format &quot;\\n--Visual Style: %--\\n\\n&quot; (disp.VisualStyleMode as string)\n\
        format &quot;%\\n&quot; (disp.GetNPRParameterInfo())\n\
        local paramCount = disp.GetNPRParameterCount()\n\
        for p = 0 to paramCount-1 do\n\
        (\n\
             theName = (disp.GetNPRParameterName p)\n\
             theType = (disp.GetNPRParameterType p)\n\
             theValue = case theType of\n\
             (\n\
                  #bool: disp.GetNPRBool theName\n\
                  #int: disp.GetNPRInt theName\n\
                  #float: disp.GetNPRFloat theName\n\
                  #float4: disp.GetNPRFloat4 theName\n\
                  #string: disp.GetNPRString theName\n\
             )\n\
             theRange = case theType of\n\
             (\n\
                  #int: (&quot;[&quot; +disp.GetNPRMinInt theName as string + &quot;, &quot; + disp.GetNPRMaxInt theName as string + &quot;]&quot;)\n\
                  #float: (&quot;[&quot; +disp.GetNPRMinFloat theName as string + &quot;, &quot; + disp.GetNPRMaxFloat theName as string + &quot;]&quot;)\n\
                  #float4: (&quot;[&quot; +disp.GetNPRMinFloat4 theName as string + &quot;, &quot; + disp.GetNPRMaxFloat4 theName as string + &quot;]&quot;)\n\
                  default: &quot;&quot;\n\
             )\n\
             format &quot;%: Name:\\&quot;%\\&quot; Type: % Value: % %\\n&quot; p theName (theType as string) theValue theRange\n\
        ) \n\
   )</code></pre></blockquote>\n\
<p>The following scripted dialog exposes all parameters of the current Viewport Style Mode (if any) in a dynamic rollout for interactive tweaking. It also supports the NPR settings of the Quicksilver renderer and allows you to set the viewport and the renderer at the same time, thus giving an instant preview of the Quicksilver settings in the active viewport:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript NPRExplorer category:&quot;MXS Help&quot;\n\
   (\n\
       global Nitrous_NPR_Rollout, Nitrous_NPR_SubRollout\n\
       global Nitrous_NPR_Settings = NitrousGraphicsManager.GetActiveViewportSetting()\n\
       try(destroyDialog Nitrous_NPR_Rollout)catch()\n\
       local theINIfile = (getDir #plugcfg + &quot;\\\\Nitrous_NPR_Settings.ini&quot;)\n\
       rcmenu Nitrous_NPR_Menu \n\
       (\n\
           subMenu &quot;File&quot;\n\
           (\n\
               menuItem mnu_savePreset &quot;SAVE Current Mode To Preset File...&quot;\n\
               menuItem mnu_loadPreset &quot;LOAD Current Mode From Preset File...&quot;\n\
           )\n\
           on mnu_savePreset picked do Nitrous_NPR_Rollout.savePreset()\n\
           on mnu_loadPreset picked do Nitrous_NPR_Rollout.loadPreset()        \n\
       )\n\
       rollout Nitrous_NPR_Rollout &quot;Nitrous NPR Settings&quot;\n\
       (\n\
\n\
           radiobuttons rad_SystemToAffect labels:#(&quot;Views&quot;,&quot;Quicksilver&quot;,&quot;Both&quot;)\n\
           dropdownlist ddl_NPRMode items:#(&quot;Realistic&quot;, &quot;Shaded&quot;, &quot;ConsistentColors&quot;, &quot;Wireframe&quot;, &quot;BoundingBox&quot;, &quot;Ink&quot;, &quot;ColorInk&quot;, &quot;Acrylic&quot;, &quot;Tech&quot;, &quot;Graphite&quot;, &quot;ColorPencil&quot;, &quot;Pastel&quot;, &quot;Clay&quot;)  height:15\n\
           subRollout sub_rollout width:200 height:320\n\
\n\
           fn createSubRollout source:1 =\n\
           (\n\
               try(removeSubRollout sub_rollout Nitrous_NPR_SubRollout)catch()\n\
               Nitrous_NPR_Settings = case source of\n\
               (\n\
                   default: NitrousGraphicsManager.GetActiveViewportSetting()\n\
                   2: renderers.current\n\
               )\n\
               currentMode = case source of\n\
               (\n\
                   default: Nitrous_NPR_Settings.VisualStyleMode\n\
                   2: Nitrous_NPR_Settings.VisualStyle\n\
               )\n\
               local theString = &quot;rollout Nitrous_NPR_SubRollout \\&quot;Nitrous:&quot;+currentMode as string +&quot; Mode\\&quot; width:200 (\\n&quot;\n\
               local paramCount = Nitrous_NPR_Settings.GetNPRParameterCount()\n\
               if paramCount == 0 do theString += &quot;label lbl_1 \\&quot;The Current Shading Mode\\&quot;\\n label lbl_2 \\&quot;Exposes No Parameters!\\&quot;\\n&quot;\n\
               for p = 0 to paramCount-1 do\n\
               (\n\
                   theName = Nitrous_NPR_Settings.GetNPRParameterName p\n\
                   case (Nitrous_NPR_Settings.GetNPRParameterType p) of\n\
                   (\n\
                       #int: (\n\
                               theRange= (Nitrous_NPR_Settings.GetNPRMinInt theName) as string + &quot;, &quot; + (Nitrous_NPR_Settings.GetNPRMaxInt theName) as string +&quot;, &quot;+ (Nitrous_NPR_Settings.GetNPRInt theName) as string\n\
                               theString += &quot;spinner spn_&quot;+p as string + &quot; \\&quot;&quot;+ theName + &quot;\\&quot; type:#integer range:[&quot;+theRange+&quot;] fieldwidth:50\\n&quot;\n\
                               theString += &quot;on spn_&quot;+p as string + &quot; changed val do (::Nitrous_NPR_Settings.SetNPRInt \\&quot;&quot;+theName as string+&quot;\\&quot; val; ::Nitrous_NPR_Rollout.updateRenderer())\\n&quot;\n\
                               )\n\
                       #float: (\n\
                               theRange = (Nitrous_NPR_Settings.GetNPRMinFloat theName) as string + &quot;, &quot; + (Nitrous_NPR_Settings.GetNPRMaxFloat theName) as string +&quot;, &quot;+ (Nitrous_NPR_Settings.GetNPRFloat theName) as string\n\
                               theString += &quot;spinner spn_&quot;+p as string + &quot; \\&quot;&quot;+ theName + &quot;\\&quot; type:#float range:[&quot;+theRange+&quot;] fieldwidth:50\\n&quot;\n\
                               theString += &quot;on spn_&quot;+p as string + &quot; changed val do (::Nitrous_NPR_Settings.SetNPRFloat \\&quot;&quot;+theName as string+&quot;\\&quot; val; ::Nitrous_NPR_Rollout.updateRenderer()) \\n&quot;\n\
                           )\n\
                       #float4: (\n\
                               theString += &quot;colorpicker clr_&quot;+p as string + &quot; \\&quot;&quot;+ theName + &quot;\\&quot; alpha:true align:#right color:[&quot;+(Nitrous_NPR_Settings.GetNPRFloat4 theName) as string+&quot;] fieldwidth:50\\n&quot;\n\
                               theString += &quot;on clr_&quot;+p as string + &quot; changed val do (::Nitrous_NPR_Settings.SetNPRFloat4 \\&quot;&quot;+theName as string+&quot;\\&quot; (val as Point4); ::Nitrous_NPR_Rollout.updateRenderer())\\n&quot;\n\
                           )                        \n\
                       #bool: (\n\
                               theString += &quot;checkbox chk_&quot;+p as string + &quot; \\&quot;&quot;+ theName + &quot;\\&quot; checked:&quot;+(Nitrous_NPR_Settings.GetNPRBool theName) as string +&quot;\\n&quot;\n\
                               theString += &quot;on chk_&quot;+p as string + &quot; changed val do (::Nitrous_NPR_Settings.SetNPRBool \\&quot;&quot;+theName as string+&quot;\\&quot; val; ::Nitrous_NPR_Rollout.updateRenderer())\\n&quot;\n\
                           )\n\
                       #string: (\n\
                               theString += &quot;edittext edt_&quot;+p as string + &quot; \\&quot;&quot;+ theName + &quot;\\&quot; text:\\&quot;&quot;+(Nitrous_NPR_Settings.GetNPRString theName) +&quot;\\&quot; \\n&quot;\n\
                               theString += &quot;on edt_&quot;+p as string + &quot; entered val do (::Nitrous_NPR_Settings.SetNPRString \\&quot;&quot;+theName as string+&quot;\\&quot; val; ::Nitrous_NPR_Rollout.updateRenderer())\\n&quot;\n\
                           )                        \n\
                   )--end case\n\
               )--end p loop\n\
               theString += &quot;)&quot;\n\
               execute theString\n\
               addSubRollout sub_rollout Nitrous_NPR_SubRollout\n\
           )--end fn     \n\
\n\
           fn updateRenderer =\n\
           (\n\
               if rad_SystemToAffect.state == 3 do\n\
               (\n\
                   renderers.current.VisualStyle = Nitrous_NPR_Settings.VisualStyleMode\n\
                   local paramCount = Nitrous_NPR_Settings.GetNPRParameterCount()\n\
                   for p = 0 to paramCount-1 do\n\
                   (\n\
                       local theName = Nitrous_NPR_Settings.GetNPRParameterName p\n\
                       case (Nitrous_NPR_Settings.GetNPRParameterType p) of\n\
                       (\n\
                           #int: (renderers.current.SetNPRInt theName (Nitrous_NPR_Settings.GetNPRInt theName))\n\
                           #float: (renderers.current.SetNPRFloat theName (Nitrous_NPR_Settings.GetNPRFloat theName))\n\
                           #float4: (renderers.current.SetNPRFloat4 theName (Nitrous_NPR_Settings.GetNPRFloat4 theName))\n\
                           #bool: (renderers.current.SetNPRBool theName (Nitrous_NPR_Settings.GetNPRBool theName))\n\
                           #string: (renderers.current.SetNPRString theName (Nitrous_NPR_Settings.GetNPRString theName))\n\
                       )--end case\n\
                   )--end p loop            \n\
               )\n\
           )        \n\
           fn savePreset =\n\
           (\n\
               local theStyle = Nitrous_NPR_Settings.VisualStyleMode\n\
               local paramCount = Nitrous_NPR_Settings.GetNPRParameterCount()\n\
               if paramCount &gt; 0 then\n\
               (\n\
                   local theFile = getSaveFileName caption:(&quot;Save &quot;+ theStyle as string +&quot; Settings As...&quot;) types:&quot;Nitrous NPR Presets (*.NPR)|*.NPR&quot;\n\
                   if theFile != undefined do\n\
                   (\n\
                       for p = 0 to paramCount-1 do\n\
                       (\n\
                           local theName = Nitrous_NPR_Settings.GetNPRParameterName p\n\
                           local theFN = case (Nitrous_NPR_Settings.GetNPRParameterType p) of\n\
                           (\n\
                               #int: Nitrous_NPR_Settings.GetNPRInt\n\
                               #float: Nitrous_NPR_Settings.GetNPRFloat\n\
                               #float4: Nitrous_NPR_Settings.GetNPRFloat4\n\
                               #bool: Nitrous_NPR_Settings.GetNPRBool\n\
                               #string: Nitrous_NPR_Settings.GetNPRString\n\
                           )\n\
                           setIniSetting theFile (theStyle as string) (theName as string) ((theFN theName) as string)\n\
                       )--end p loop\n\
                   )\n\
               )--end if\n\
           )\n\
           fn loadPreset =\n\
           (\n\
               local theStyle = Nitrous_NPR_Settings.VisualStyleMode\n\
               local paramCount = Nitrous_NPR_Settings.GetNPRParameterCount()\n\
               if paramCount &gt; 0 then\n\
               (\n\
                   local theFile = getOpenFileName caption:(&quot;Load &quot;+ theStyle as string +&quot; Settings From...&quot;) types:&quot;Nitrous NPR Presets (*.NPR)|*.NPR&quot;\n\
                   if theFile != undefined do\n\
                   (\n\
                       for p = 0 to paramCount-1 do\n\
                       (\n\
                           local theName = Nitrous_NPR_Settings.GetNPRParameterName p\n\
                           local theType = Nitrous_NPR_Settings.GetNPRParameterType p\n\
                           local theFN = case theType of\n\
                           (\n\
                               #int: Nitrous_NPR_Settings.SetNPRInt\n\
                               #float: Nitrous_NPR_Settings.SetNPRFloat\n\
                               #float4: Nitrous_NPR_Settings.SetNPRFloat4\n\
                               #bool: Nitrous_NPR_Settings.SetNPRBool\n\
                               #string: Nitrous_NPR_Settings.SetNPRString\n\
                           )\n\
                           local theVal = getIniSetting theFile (theStyle as string) (theName as string)\n\
                           if theVal != &quot;&quot; do\n\
                           (\n\
                               if theType != #string do theVal = execute theVal\n\
                               theFN theName theVal\n\
                           )\n\
                       )--end p loop\n\
                       createSubRollout source:rad_SystemToAffect.state\n\
                       updateRenderer()\n\
                   )--end if\n\
               )--end if\n\
           )        \n\
           fn updateList =\n\
           (\n\
               local theMode = case rad_SystemToAffect.state of \n\
               ( \n\
                   default: Nitrous_NPR_Settings.VisualStyleMode\n\
                   2: Nitrous_NPR_Settings.VisualStyle\n\
               )\n\
               ddl_NPRMode.selection = findItem (for i in ddl_NPRMode.items collect i as name) theMode\n\
           )\n\
           on rad_SystemToAffect changed state do\n\
           (\n\
               local result = true\n\
               local theClass = classof renderers.current\n\
               if state &gt; 1 and theClass != Quicksilver_Hardware_Renderer do \n\
               (\n\
                   result = querybox (&quot;The current renderer is [&quot;+theClass as string+&quot;].\\nClicking YES will replace it with Quicksilver.\\n\\nAre you sure you want to continue?&quot;) title:&quot;Assign Quicksilver&quot;\n\
                   if result then \n\
                       renderers.current = Quicksilver_Hardware_Renderer()\n\
               )\n\
               if result then\n\
               (\n\
                   createSubRollout source:state\n\
                   if state == 3 do updateRenderer()\n\
                   updateList()\n\
               )\n\
               else\n\
                   rad_SystemToAffect.state = 1\n\
           )\n\
           on ddl_NPRMode selected itm do\n\
           (\n\
               case rad_SystemToAffect.state of\n\
               (\n\
                   default: Nitrous_NPR_Settings.VisualStyleMode =  ddl_NPRMode.selected as name\n\
                   2: Nitrous_NPR_Settings.VisualStyle =  ddl_NPRMode.selected as name\n\
               )\n\
               if rad_SystemToAffect.state == 3 do updateRenderer()\n\
               createSubRollout source:rad_SystemToAffect.state\n\
           )\n\
           on Nitrous_NPR_Rollout open do \n\
           (\n\
               createSubRollout()\n\
               updateList()\n\
           )\n\
           on Nitrous_NPR_Rollout moved pos do\n\
           (\n\
               setIniSetting theINIfile &quot;Dialog&quot; &quot;Position&quot; (pos as string)\n\
           )\n\
       )\n\
       local thePos = execute (getIniSetting theINIfile &quot;Dialog&quot; &quot;Position&quot;)\n\
       if thePos == OK do thePos = [100,100]\n\
       createDialog Nitrous_NPR_Rollout 220 380 thePos.x thePos.y menu:Nitrous_NPR_Menu\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";