var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7BD036D4-4B4C-4AB2-82A5-381E1A0FA37B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ParamCollectorOps</h1></div><p>This Core Interface provides access to the Parameter Collector dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ParamCollectorOps </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.visible : boolean : Read|Write   </code></pre><p>When set to true, the Parameter Collector floater becomes visible. When set to false, it is hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.multiEdits : boolean : Read|Write </code></pre><p>Gets/sets the state of the Multiple Edits icon. When set to true, multiple parameters can be controlled simultaneously.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.isAbsolute : boolean : Read|Write </code></pre><p>Gets/sets the state of the Absolute/Relative icon. When set to true (icon unchecked), the spinners display the absolute values. When set to false (icon checked), the spinners will display relative changes.</p>\n\
<p>The following properties control the custom TrackBar Keys Filter &quot;Parameter Collector Keys&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.showTrackBarKeys : boolean : Read|Write </code></pre><p>Controls whether the TrackBar will show animation keys of the parameters displayed by the Parameter Collector. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.showTrackBarSelectedKeys : boolean : Read|Write </code></pre><p>Controls whether the TrackBar will show selected keys. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParamCollectorOps.hideOtherKeys : boolean : Read|Write </code></pre><p>Controls whether the TrackBar will show keys of parameters not shown in the Parameter Collector. Default is false.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.newCollection() </code></pre><p>Creates a new Parameter Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.duplicateCollection() </code></pre><p>Clones the current Parameter Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteCollection() </code></pre><p>Deletes the current Parameter Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.numCollections() </code></pre><p>Returns the number of Parameter Collections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ParamCollectorOps.getActiveCollection() </code></pre><p>Returns the index of the current Parameter Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setCollectionName &lt;index&gt;collectionIndex &lt;string&gt;name </code></pre><p>Sets the name of the indexed Parameter Collection to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ParamCollectorOps.getCollectionName &lt;index&gt;collectionIndex </code></pre><p>Returns the name of the indexed Parameter Collection as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doLinkToObjectDialog() </code></pre><p>Opens the &quot;Links to Object&quot; dialog.</p>\n\
<p>Picking an object stores the current collection using a live link as part of the object in the scene. Any change to the collection instantly updates the version of the collection stored in the object.</p>\n\
<p>Link to Object has basically the same function as Put To Object except that it guarantees an up-to-date stored version of the collection, especially when merging the object into another scene that is a common production workflow.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Only one &quot;linked-to&quot; object can be active in a scene, but you can use Put To Object on any number of objects at a time.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.linkToObject &lt;node&gt;node </code></pre><p>Links the current collection to the specified node. See above for details on linking collections to scene objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.removeLinkToObject() </code></pre><p>Unlinks the collection from the object it was linked to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doPutToObjectDialog() </code></pre><p>Opens the &quot;Put To Object&quot; dialog.</p>\n\
<p>Putting to object stores the current collection as part of the object in the scene.</p>\n\
<p>Although, parameter collections are stored with the scene in which they are created, you can use this function to transfer a collection to a different scene. After putting the collection to an object, save the scene. Open or create another scene, merge the object from the saved scene to the new one, and then use Get from Object.</p>\n\
<p>You can also back up, organize, and streamline parameter collections by putting and getting different collections to and from various objects in your scene. Just remember that if you add, reorder, or remove parameters or rollouts to a collection that has been put to an object, you must then put it to the object again so that the changes are saved to the collection. For a &quot;live&quot; update, see Linking to objects described above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doGetFromObjectDialog() </code></pre><p>Opens the &quot;Get from Object&quot; dialog to retrieve a collection stored in an object using either Put To Object or Link To Object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.putToObject &lt;node&gt;node </code></pre><p>Puts the collection to the specified node. See above for details on putting collections to scene objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.getFromObject &lt;node&gt;node </code></pre><p>Gets a put or linked collection from the specified node. See above for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doAddToSelectedDialog() </code></pre><p>Corresponds to pressing the &quot;Add To Selected&quot; icon and opens the Track View Pick dialog to add tracks to the selected rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doAddDialog() </code></pre><p>Corresponds to pressing the &quot;Add to New Rollout&quot; icon and opens the Track View Pick dialog to add tracks to a new rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteSelectedParameters() </code></pre><p>Deletes the selected parameters. Corresponds to pressing the &quot;Delete Selected&quot; icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteAllParameters() </code></pre><p>Deletes all parameters. Corresponds to pressing the &quot;Delete All&quot; icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.addNewRollout &lt;string&gt;name &lt;boolean&gt;addSelectedParameters </code></pre><p>Adds a new rollout with the given name.</p>\n\
<p>If <code>.addSelectedParameters</code> is true, any selected parameters from existing rollouts will be added to the new rollout too. If false, no parameters will be added to the new rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteRollout &lt;index&gt;index </code></pre><p>Removes the indexed rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteRolloutMoveUp &lt;index&gt;index </code></pre><p>Deletes the indexed rollout and moves all parameters from the deleted rollout to the previous rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.deleteRolloutMoveDown &lt;index&gt;index </code></pre><p>Deletes the indexed rollout and moves all parameters from the deleted rollout to the next rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.DoRenameRolloutDialog() </code></pre><p>Opens the Rename Rollout dialog for the selected rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.RenameRollout &lt;index&gt;index &lt;string&gt;name </code></pre><p>Renames the indexed rollout to the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.isRolloutSelected() </code></pre><p>Returns true if there is a selected rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;ParamCollectorOps.getSelectedRollout() </code></pre><p>Returns the index of the selected rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.numRollouts &lt;index&gt;collectionIndex </code></pre><p>Returns the number of rollouts in the indexed Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setRolloutName &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name </code></pre><p>Sets the rollout name of the indexed rollout in the indexed collection to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ParamCollectorOps.getRolloutName &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex </code></pre><p>Returns the rollout name of the indexed rollout in the indexed collection as a string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.getNumParameters &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex </code></pre><p>Returns the number of parameters in the indexed rollout of the indexed collection as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.anyParameters() </code></pre><p>Returns true if there are any parameters, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.anySelected() </code></pre><p>Returns true if there are any selected parameters, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.numSelected() </code></pre><p>Returns the number of selected parameters as integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.selectAll() </code></pre><p>Selects all parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.selectAllRollout() </code></pre><p>Select all parameters in the selected rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.selectNone() </code></pre><p>Deselects all parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.selectInvert() </code></pre><p>Invert the parameter selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.addParameterBySubNum &lt;value&gt;animOwner &lt;index&gt;subNum &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name </code></pre><p>Add the indexed subAnim of the given animOwner to the indexed rollout of the indexed collection using the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.moveSelectedParameters &lt;enum&gt;type \n\
\n\
type enums: {#moveUp|#moveDown|#moveUpRollout|#moveDownRollout} </code></pre><p>Move the selected parameters in the specified direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.keyParameters &lt;boolean&gt;selectedOnly </code></pre><p>Set key for all parameters. If selectedOnly is true, only selected parameters will be keyed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.resetParameters &lt;boolean&gt;selectedOnly </code></pre><p>Reset all parameters. If selectedOnly is true, only selected parameters will be reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.addParameter &lt;value&gt;anim &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex </code></pre><p>Add the specified anim parameter to the indexed rollout of the indexed collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.getParameterIndex &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;index&gt;paramIndexInRollout </code></pre><p>Returns the index of the indexed parameter from the indexed rollout of the indexed collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;ParamCollectorOps.getParameterParentAnim &lt;index&gt;paramIndex </code></pre><p>Returns the parent track of the indexed parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.getParameterSubAnimNum &lt;index&gt;paramIndex </code></pre><p>Returns the index of the indexed parameter&apos;s subAnim inside the parent track.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a Box, collect its Length, Width and Height parameters.\n\
   --Get the index of the first parameter in the first rollout\n\
   --of the first collection(in the above case this is the Length param):\n\
   theIndex = ParamCollectorOps.getParameterIndex 1 1 1\n\
   --&gt; 1\n\
   --Get the parent track of the parameter:\n\
   theParent = ParamCollectorOps.getParameterParentAnim theIndex\n\
   --&gt; ReferenceTarget:ParamBlock\n\
   --Get the subAnim index of the parameter inside the parent:\n\
   theSubNum = ParamCollectorOps.getParameterSubAnimNum theIndex\n\
   --&gt; 1\n\
   --Get the parameter&apos;s subAnim\n\
   theSubnim = theParent[theSubNum]\n\
   --&gt; SubAnim:Length\n\
   --Get the value of the parameter\n\
   theValue = theSubnim.value\n\
   --&gt; 25.0\n\
   --Set the value of the parameterto 10\n\
   theSubnim.value = 10\n\
   --&gt; 10\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;ParamCollectorOps.getParameterAnim &lt;index&gt;paramIndex </code></pre><p>Returns the animation controller object of the indexed parameter.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the parameter is not animated (and does not have a controller assigned), this method will return undefined.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Using the same Box and Collection from the above example,\n\
   --if you try to access the Length parameter&apos;s animation controller,\n\
   --you will get undefined by default:\n\
   theIndex = ParamCollectorOps.getParameterIndex 1 1 1\n\
   --&gt; 1\n\
   ParamCollectorOps.getParameterAnim theIndex\n\
   --&gt; undefined\n\
   --Animate the Length of the Box over time and try again:\n\
   with animate on at time 100 $Box01.length = 100\n\
   --&gt; 100\n\
   ParamCollectorOps.getParameterAnim theIndex\n\
   --&gt; Controller:Bezier_Float\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setParameterNotesTitle &lt;index&gt;paramIndex &lt;string&gt;text </code></pre><p>Set the title of the notes of the indexed parameter to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ParamCollectorOps.getParameterNotesTitle &lt;index&gt;paramIndex </code></pre><p>Returns the title of the notes of the indexed parameter as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setParameterNotesNotes &lt;index&gt;paramIndex &lt;string&gt;text </code></pre><p>Sets the notes text of the indexed parameter to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ParamCollectorOps.getParameterNotesNotes &lt;index&gt;paramIndex </code></pre><p>Returns the notes text of the indexed parameter as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setParameterNotesURL &lt;index&gt;paramIndex &lt;string&gt;text </code></pre><p>Sets the notes URL of the indexed parameter to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;ParamCollectorOps.getParameterNotesURL &lt;index&gt;paramIndex </code></pre><p>Returns the notes URL of the indexed parameter as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doEditNotesDialog() </code></pre><p>Opens the Edit Notes dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.refresh() </code></pre><p>Refreshes the Parameter Collector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.getNumParametersInCollection &lt;index&gt;collectionIndex </code></pre><p>Returns the number of parameters in the indexed collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;ParamCollectorOps.getSelectedParameters &lt;index&gt;collectionIndex </code></pre><p>Returns an array of the selected parameters in the indexed collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.doRemoveFromObjectDialog() </code></pre><p>Opens the Remove From Object dialog. Used to remove collections put or linked to objects as described earlier in this topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.removeFromObject &lt;node&gt;node </code></pre><p>Removes the collection from the specified node. Used to remove collections put or linked to objects as described earlier in this topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;ParamCollectorOps.getNumSelectedParameters &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex </code></pre><p>Returns the number of selected parameters in the indexed rollout of the indexed collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.anyRollouts() </code></pre><p>Returns true if there are any rollouts in the current collection, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.addParameterTraverse &lt;value&gt;anim &lt;boolean&gt;addChildren &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name </code></pre><p>Adds multiple parameters to the indexed rollout of the indexed collection by traversing the subAnim hierarchy of the given anim object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ParamCollectorOps.setParameterSelected &lt;index&gt;paramIndex &lt;boolean&gt;selected </code></pre><p>Sets the selected state of the indexed parameter to the given boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ParamCollectorOps.getParameterSelected &lt;index&gt;paramIndex </code></pre><p>Returns the selected state of the indexed parameter as boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;ParamCollectorOps.getParameterNodes &lt;index&gt;paramIndex </code></pre><p>Returns an array of the nodes affected by the indexed parameter.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";