var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B3111CBF-BEB9-465C-A728-AE5CE611FCE3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: quadMenuSettings</h1></div><p>The <strong>quadMenuSettings Core Interface</strong> exposes methods for controlling the Quad Menu settings.</p>\n\
<p>Available in <strong>3ds Max 4 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.ResetDefaults()      </code></pre><p>This method will reset the menu settings to their defaults.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetBorderSize &lt;integer&gt;borderSize </code></pre><p>This method allows you to set the menu border size in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetBorderSize() </code></pre><p>This method returns the menu border size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetHorizontalMarginInPoints &lt;integer&gt;horizontalMarginInPoints </code></pre><p>This method allows you to set the menu&#x2019;s horizontal margin size in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetHorizontalMarginInPoints() </code></pre><p>This method returns the menu&#x2019;s horizontal margin size in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetVerticalMarginInPoints &lt;integer&gt;verticalMarginInPoints </code></pre><p>This method allows you to set the menu&#x2019;s vertical margin size in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetVerticalMarginInPoints() </code></pre><p>This method returns the menu&#x2019;s vertical margin size in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetItemFontFace &lt;string&gt;szItemFontFace </code></pre><p>This method allows you to set the menu item&#x2019;s font typeface by providing a string containing the typeface name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;quadMenuSettings.GetItemFontFace() </code></pre><p>This method returns the name of the menu item&#x2019;s font typeface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetTitleFontFace &lt;string&gt;szTitleFontFace </code></pre><p>This method allows you to set the menu title&#x2019;s font typeface by providing a string containing the typeface name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;quadMenuSettings.GetTitleFontFace() </code></pre><p>This method returns the name of the menu title&#x2019;s font typeface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetItemFontSize &lt;integer&gt;itemFontSize </code></pre><p>This method allows you to set the menu item&#x2019;s font size in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetItemFontSize() </code></pre><p>This method returns the menu item&#x2019;s font size, in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetTitleFontSize &lt;integer&gt;titleFontSize </code></pre><p>This method allows you to set the menu title&#x2019;s font size, where the title font size value is given in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetTitleFontSize() </code></pre><p>This method returns the menu title&#x2019;s font size, in points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetUseUniformItemHeight &lt;boolean&gt;useUniformItemHeight </code></pre><p>This method allows you to set the status of a menu item&#x2019;s uniform height flag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;quadMenuSettings.GetUseUniformItemHeight() </code></pre><p>This method returns <code>true</code> or <code>false</code> if the menu item&#x2019;s uniform height flag is set or not set, respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetOpacity &lt;float&gt;opacity </code></pre><p>This method allows you to set the menu&#x2019;s opacity value. The opacity value can range from 0.0 to 1.0, where 1.0 is opaque.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;quadMenuSettings.GetOpacity() </code></pre><p>This method returns the menu&#x2019;s opacity value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetDisplayMethod &lt;integer&gt;displayMethod </code></pre><p>This method allows you to set a menu&#x2019;s display method.</p>\n\
<p>The display method argument can be one of the following:</p>\n\
<p>0 - displays the menu with transparency, if opacity is &lt; 1.</p>\n\
<p>1 - stretch animate the menu by making it grow in size from its center with transparency, if opacity is &lt; 1.</p>\n\
<p>2 - fade in from invisible to whatever opacity is set to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetDisplayMethod() </code></pre><p>This method returns the menu&#x2019;s display method, which is either of the following; <code>DM_NORMAL</code> , <code>DM_STRETCH</code> , <code>DM_FADE</code> , <code>DM_NUM_METHODS</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetAnimatedSteps &lt;integer&gt;animatedSteps </code></pre><p>This method allows you to set the menu&#x2019;s number of animated steps for the &#x2019;growing&#x2019; effect as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetAnimatedSteps() </code></pre><p>This method returns the menu&#x2019;s number of animated steps used for the &#x2019;growing&#x2019; effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetAnimatedStepTime &lt;integer&gt;animatedStepTime </code></pre><p>This method allows you to set the menu&#x2019;s animated step time in milliseconds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetAnimatedStepTime() </code></pre><p>This method returns the menu&#x2019;s animated step time in milliseconds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetSubMenuPauseTime &lt;integer&gt;subMenuPauseTime </code></pre><p>This method allows you to set the delay before a submenu is displayed, in milliseconds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetSubMenuPauseTime() </code></pre><p>This method returns the delay before a submenu is displayed, in milliseconds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetUseLastExecutedItem &lt;boolean&gt;useLastSelectedItem </code></pre><p>This method allows you to set the &quot;last executed item&quot; flag which determines whether to use the menu&#x2019;s last executed item when the user clicks on the menu&#x2019;s titlebar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;quadMenuSettings.GetUseLastExecutedItem() </code></pre><p>This method returns whether the &quot;last executed item&quot; flag is set ( <code>true</code> ) or not set ( <code>false</code> ).</p>\n\
<p>The flag determines whether to use the menu&#x2019;s last executed item when the user clicks on the menu&#x2019;s titlebar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetRepositionWhenClipped &lt;boolean&gt;repositionWhenClipped </code></pre><p>This method allows you to set the flag which controls and determines whether the menu is repositioned when near the edge of the screen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetRepositionWhenClipped() </code></pre><p>This method returns the status of the flag which controls and determines whether the menu is repositioned when near the edge of the screen.</p>\n\
<p>Returns <code>true</code> if the flag is <code>on</code> , otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetRemoveRedundantSeparators &lt;boolean&gt;removeRedundantSeparators </code></pre><p>This method allows you to set the flag which controls and determines whether the menu should remove redundant separators.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetRemoveRedundantSeparators() </code></pre><p>This method returns the status of the flag which controls and determines whether the menu should remove redundant separators.</p>\n\
<p>Returns <code>true</code> if the flag is <code>on</code> , otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetFirstQuadDisplayed &lt;integer&gt;firstQuadDisplayed </code></pre><p>This method allows you to set the first quad which will be displayed when a quad menu pops up.</p>\n\
<p>The quad index,an integer between 0 and 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetFirstQuadDisplayed() </code></pre><p>This method returns the index of the first quad which will be displayed. Returns the quad index, an integer between 0 and 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetUseUniformQuadWidth &lt;boolean&gt;useUniformQuadWidth </code></pre><p>This method allows you to set whether the quad menu has a uniform widthor not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;quadMenuSettings.GetUseUniformQuadWidth() </code></pre><p>This method returns the status of the uniform width flag for the quad menu. <code>true</code> if the quad menu has been set to use uniform width, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetMirrorQuad &lt;boolean&gt;mirrorQuad </code></pre><p>This method allows you to set whether the quad menus are mirrored left to right.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;quadMenuSettings.GetMirrorQuad() </code></pre><p>This method returns <code>true</code> if the quad menu is mirrored left to right, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetMoveCursorOnReposition &lt;boolean&gt;moveCursorOnReposition </code></pre><p>This method allows you to set whether the cursor moves when the quad menu is repositioned because of clipping the edge of the screen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;quadMenuSettings.GetMoveCursorOnReposition() </code></pre><p>This method returns <code>true</code> if the cursor moves when the quad menu is repositioned because of clipping the edge of the screen, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetReturnCursorAfterReposition &lt;boolean&gt;returnCursorAfterReposition </code></pre><p>This method allows you to set whether the cursor is moved the opposite distance that it was automatically moved when the quad menu is repositioned because of clipping the edge of the screen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;quadMenuSettings.GetReturnCursorAfterReposition() </code></pre><p>This method returns <code>true</code> if the cursor is moved the opposite distance that it was automatically moved when the quad menu is repositioned because of clipping the edge of the screen, otherwise <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetInitialCursorLocInBox_0to1 &lt;float&gt;initialCursorLocX &lt;float&gt;initialCursorLocY </code></pre><p>This method allows you to set the initial location of the cursor in the center quad box.</p>\n\
<p>The two arguments specify the X and Y location of the cursor, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;quadMenuSettings.GetInitialCursorLocXInBox_0to1() </code></pre><p>This method returns the initial x location of the cursor in the center quad box, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;quadMenuSettings.GetInitialCursorLocYInBox_0to1() </code></pre><p>This method returns the initial y location of the cursor in the center quad box, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<p><strong>The following methods were changed to use RGB color values instead of RGBA in 3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetTitleBarBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter </code></pre><p>This method allows you to set the title bar background color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetTitleBarBackgroundColor &lt;integer&gt;quad</code></pre><p>This method returns the title bar background color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetTitleBarTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the title bar text color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetTitleBarTextColor &lt;integer&gt;quad</code></pre><p>This method returns the title bar text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetItemBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the item background color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetItemBackgroundColor &lt;integer&gt;quad</code></pre><p>This method returns the item background color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the item text color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetItemTextColor &lt;integer&gt;quad</code></pre><p>This method returns the item text color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetLastExecutedItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the last executed item text color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetLastExecutedItemTextColor &lt;integer&gt;quad</code></pre><p>This method returns the last executed item text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetHighlightedItemBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the highlighted item background color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetHighlightedItemBackgroundColor &lt;integer&gt;quad</code></pre><p>This method returns the highlighted item background color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetHighlightedItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the highlighted item text color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;GetHighlightedItemTextColor &lt;integer&gt;quad</code></pre><p>This method returns the highlighted item text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code>The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetBorderColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the border color for a specific quad.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetBorderColor &lt;integer&gt;quad</code></pre><p>This method returns the border color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetDisabledShadowColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the disabled shadow color for a specific quad.</p>\n\
<p><code>&lt;integer&gt;quad :</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;GetDisabledShadowColor &lt;integer&gt;quad</code></pre><p>This method returns the disabled shadow color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad:</code> The quad (numbered 1 through 4).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;quadMenuSettings.SetDisabledHighlightColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter</code></pre><p>This method allows you to set the disabled highlight color for a specific quad.</p>\n\
<p><code>quad :</code> The quad (numbered 1 through 4).</p>\n\
<p><code>color:</code> The color to set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;quadMenuSettings.GetDisabledHighlightColor &lt;integer&gt;quad</code></pre><p>This method returns the disabled highlight color of a specific quad. This method returns the color as a Color.</p>\n\
<p><code>quad :</code> The quad (numbered 1 through 4).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Menu-Manager/Menu-Manager-1.html\">Menu Manager</a></li>\n\
          <li><a class=\"link\" href=\"../M/Interface-menuMan.html\">Interface: menuMan</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";