var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3FB97015-3D67-477E-945A-8B59E5E49F1F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneExposureControl</h1></div><p>This is a Core Interface providing access to the Exposure Control accessible through the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>.</p>\n\
<p>It can be used to set the Exposure Control (also know as ToneOperator) object to control the exposure applied to the scene in the renderer and in the viewports.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SceneExposureControl.exposureControl : maxObject : Read|Write|Validated by Validator function      </code></pre><p>Get/Set the Exposure Control for the scene. Returns undefined if there is no plug-in registered.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../ToneOperator-MAXWrapper/ToneOperator-MAXWrapper-1.html\">ToneOperator : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../ToneOperator-MAXWrapper/Automatic_Exposure_Control.html\">Automatic_Exposure_Control : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"../../../../ToneOperator-MAXWrapper/Linear_Exposure_Control.html\">Linear_Exposure_Control : ToneOperator</a></li>\n\
          <li><a class=\"link\" href=\"../../../../ToneOperator-MAXWrapper/Logarithmic_Exposure_Control.html\">Logarithmic_Exposure_Control : ToneOperator</a></li>\n\
          <li><a class=\"link\" href=\"../../../../ToneOperator-MAXWrapper/Pseudo_Color_Exposure_Control.html\">Pseudo_Color_Exposure_Control : ToneOperator</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";