var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2BF50F65-A236-46DC-8079-0C29D35F537B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATHierarchyRoot : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATHierarchyRoot : FloatController {507514e5,30b07fad} </code></pre><p>This Controller is a component of the CAT Motion Controllers Hierarchy of<strong>3ds Max CAT</strong>.</p>\n\
<p><img src=\"./images/GUID-ADC3E492-808A-4E58-A320-36C278BCC4F3-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Branches (Layer) : float array   </code></pre><p>Contains the array of branches (layers) of the Root controller.</p>\n\
<p>Accessing the .controller property of each array element returns the respective <a href=\"CATHierarchyBranch.html\">CATHierarchyBranch controller</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.BranchNames (LayerNames) : string array </code></pre><p>Get/set the array of names of the Root controller&apos;s branches.</p>\n\
<p>Setting the arrays or the array&apos;s elements will rename the branches of the root controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Expanable : integer </code></pre><p>Get/set the expandable property of the Root controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.BranchParent : maxObject </code></pre><p>Contains the parent controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.BranchIndex : integer </code></pre><p>Contains the branch index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.BranchOwner : maxObject </code></pre><p>Contains the Branch owner controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Weights : float </code></pre><p>Contains the Weights subAnim.</p>\n\
<p>Accessing the .controller property returns the <a href=\"CATHierarchyLeaf-FloatController.html\">CATHierarchyLeaf controller</a> of the Weights track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.CATParent : maxObject </code></pre><p>Contains the <a href=\"./../../CAT-Objects/CATParent-Helper.html\">CATParent</a> object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.PathNode (PAth_Node) : node </code></pre><p>Get/set the Path Node used to force the CATMotion animation to follow an animated object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.GroundNode (Ground_Node) : node </code></pre><p>Get/set the Ground Node used to force the CATMotion animation to run on a terrain.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.PathFacingRatio : float </code></pre><p>Get/set the Path facing ratio.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.CATMotionFlags : integer </code></pre><p>Get/set the CATMotion flags value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Retargetting : float </code></pre><p>Get/set the retargeting value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.ActiveLeaf : integer </code></pre><p>Get/set the active leaf index.</p>\n\
<p><img src=\"./images/GUID-A6A9447E-6040-4EAF-A1D6-6ECDA899EF0C-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.StartTime : float </code></pre><p>Get/set the CATMotion&apos;s Start Time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.EndTime float </code></pre><p>Get/set the CATMotion&apos;s End Time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.MaxStepTime float </code></pre><p>Get/set the max. step time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.MaxStepLength float </code></pre><p>Get/set the Max Stride Length value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Direction float </code></pre><p>Get/set the Direction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.Gradient float </code></pre><p>Get/set the Gradient value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.WalkMode: integer </code></pre><p>Get/set the Walk Mode value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Walk On Spot</p>\n\
<p>1 - Walk On Line</p>\n\
<p>2 - Walk On Path Node</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.StepEase float </code></pre><p>Get/set the Step Ease value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.DistCovered float </code></pre><p>Contains the covered distance value.</p>\n\
<p>Use the .updateDistCovered() method exposed by the CATMotion Functions interface to force a refresh of the data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyRoot&gt;.CATMotionHub : maxObject </code></pre><p>Contains the Rig&apos;s Hub.</p>\n\
<h2 id=\"cathierarchyroot-interfaces-\">CATHierarchyRoot interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:CATMotion Functions </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-CATMotion-Functions.html\">Interface: CATMotion Functions</a> for properties and methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";