var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EB5DF524-1604-4F21-AB84-BA247820EDE3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATStepShape : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATStepShape : FloatController {18e02664,21d309c3}</code></pre><p>This is a CATMotion Controller responsible for the shape of the step in <strong>3ds Max CAT</strong>.</p>\n\
<p><img src=\"./images/GUID-4B26F494-6ABD-4D7A-8052-CF546477532A-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATStepShape StepShape</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.LimbData (CATLimbData) : maxObject</code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.CATBranch : maxObject</code></pre><p>Contains the <a href=\"CATHierarchyBranch.html\">Branch</a> controller.</p>\n\
<h2 id=\"lift-tangent\">Lift Tangent</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.LiftTangent : float</code></pre><p>Get/set the Lift Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.LiftOutTanLen (LiftTanLen) : float</code></pre><p>Get/set the Lift Out Tangent Length value.</p>\n\
<h2 id=\"plant-tangent\">Plant Tangent</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.PlantTangent : float</code></pre><p>Get/set the Plant Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATStepShape&gt;.PlantInTanLen (PlantTanLen) : float</code></pre><p>Get/set the Plant In Tangent Length value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";