var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0BCF2300-D4C9-4691-A399-79BE1692DA65\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATBoneSegTrans : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATBoneSegTrans : Matrix3Controller {485a734c,795557cc} </code></pre><p>This Controller is part of <strong>3ds Max CAT</strong>. It is used to store the transform data of bone segments.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATBoneSegTrans BoneSegTrans </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATBoneSegTrans&gt;.Bone (BoneData) : maxObject </code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">BoneData</a> controller object of the bone segment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATBoneSegTrans&gt;.SegID (SegNum) : index </code></pre><p>Contains the Segmnet ID index of the bone segment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATBoneSegTrans&gt;.TwistWeight: float </code></pre><p>Get/set the twist weigth of the bone segment.</p>\n\
<h2 id=\"catbonesegtrans-interfaces-\">CATBoneSegTrans interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATControlInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: CATControlInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATNodeControlFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-17.html\">Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ExtraRigNodesInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ExtraRigNodesInterface.html\">Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Transform-Controllers.html\">CAT Transform Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";