var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D0888B54-7E5F-434F-BB8A-4BA1577A5B97\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CATParentFPInterface</h1></div><p>This Function Publishing Interface is exposed by <a href=\"./../CAT-Objects/CATParent-Helper.html\">CATParent : Helper</a> and <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\">CATParentTrans : Matrix3Controller</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-catparentfpinterface\">Interface: CATParentFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATMode: integer : Read|Write|Validated by Validator function      </code></pre><p>Get/set the CAT Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATName:Stringby value : Read|Write   </code></pre><p>Get/set the name of the CAT Rig.</p>\n\
<p>Setting this property will rename all CAT Rig bones and prefix them with the CATName.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATUnits: float : Read|Write|Validated by Validator function </code></pre><p>Get/set the CAT Units value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ColourMode: integer : Read|Write </code></pre><p>Get/set the CAT Color Mode.Default is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LengthAxis:String: Read|Write|Validated by Validator function </code></pre><p>Get/set the Bone Length Axis mode.</p>\n\
<p>Possible values are:</p>\n\
<p>&quot;X&quot; - X Axis (default)</p>\n\
<p>&quot;Z&quot; - Z Axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Node: node : Read </code></pre><p>Contains a reference to the scene object representing the CATParent.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.RootHub: control : Read </code></pre><p>Contains the <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTranscontroller</a> of the Root Hub.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATVersion: integer : Read </code></pre><p>Contains the CAT version number.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATRigSpace: matrix3 : Read </code></pre><p>Contains the CAT Rig&apos;slocal space.This is equivalent to .Node.transform</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATRigNodes: node by value array : Read </code></pre><p>Contains an array of all nodes that are part of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATRigLayerCtrls: control by value array : Read </code></pre><p>Contains an array of all controllers that are part of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.RootTransformNode: node : Read </code></pre><p>Contains a reference to the Root Transform Node.</p>\n\
<p>Default is undefined. Use <code>.AddRootNode()</code> to create a RootTransformNode.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddHub() </code></pre><p>Adds a Hub to the CATRig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadRig &lt;String&gt;filename </code></pre><p>Loads a CATRig definition from the specified file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;SaveRig &lt;String&gt;filename </code></pre><p>Saves the CATRig definition to the specified file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;node&gt;GetBoneByAddress &lt;Stringby value&gt;Address </code></pre><p>Returns a Bone node by its string address.</p>\n\
<p>You can use the <code>.Address</code> property exposed by <a href=\"Interface-17.html\">CATNodeControlFPInterface</a> to get a bone&apos;s address string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;UpdateUserProps() </code></pre><p>Updates the User Properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddRootNode() </code></pre><p>Adds a Root Node. Accessible via the <code>.RootTransformNode</code> property.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Objects/CATParent-Helper.html\">CATParent : Helper</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\">CATParentTrans : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";