var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2D024908-FB79-45B0-BC5C-DA247F7B0467\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ExtraRigNodesInterface</h1></div><p>Exposed by various components of <strong>3ds Max CAT</strong>. Please see the Exposed by section at the bottom of the page.</p>\n\
<h2 id=\"interface-extrarignodesinterface\">Interface:ExtraRigNodesInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ExtraRigNodes: node byvaluearray : Read|Write      </code></pre><p>Get/set the number of extra rig nodes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddExtraRigNodes &lt;node by value array&gt;nodes   </code></pre><p>Adds an array of one or more Extra Rig Nodes to the CATRig.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;RemoveExtraRigNodes &lt;node by value array&gt;nodes </code></pre><p>Removes the array of one or more Extra Rig Nodes from the CATRig.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\">ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\">CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\">CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\">CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\">CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\">CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\">IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\">PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";