var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-36777CE3-C39A-462B-9A0A-731FDEDA627C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TailData2 : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TailData2 : ReferenceTarget {bc975dd,6e1a1ae5} </code></pre><p>Holds all information for the whole tail of a CAT character.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TailData2 </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Hub: maxObject </code></pre><p>Get/set the <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans controller</a> of the Hub the Tail is connected to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.TailID: index </code></pre><p>Get/set the Tail ID index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.NumBones: integer </code></pre><p>Get/set the number of bones in the tail.</p>\n\
<p>Setting this value will dynamically change the number of bones in the tail.</p>\n\
<p>Equivalent to the &quot;Num Links&quot; input field in the Tail Setup Rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Bones: maxObject array </code></pre><p>Contains an array of <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans controllers</a> used by all Tail Bones in the Tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Colour: color</code></pre><p>Get/set the Tail Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Length: float </code></pre><p>Get/set the Length of the Tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Size: float </code></pre><p>Get/set the Width of the Tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Height: float </code></pre><p>Get/set the Height of the Tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.Taper: float </code></pre><p>Get/set the Taper value of the Tail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;TailData2&gt;.TailStiffness: float </code></pre><p>Get the Tail Stiffness value.</p>\n\
<h2 id=\"taildata-interfaces-\">TailData interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ICATControlFPInterface </code></pre><p>See <a href=\"./../CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATGroupManagerFPInterface </code></pre><p>See <a href=\"./../CAT-Interfaces/Interface-16.html\">Interface CATGroupManagerFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";