var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-343BCE55-2E10-4133-BE53-E96E3E626B2B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Join_Bodies : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Join_Bodies - superclass: GeometryClass; super-superclass:node - 9:6 - classID: #(1669870298, 70329400)</code></pre><p>The Join_Bodies object allows the joining of Solid Bodies in <strong>3ds Max 2011 and higher</strong>..</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Join_Bodies... Body_Join...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"conversion-parameters\">Conversion Parameters</h2><p><img src=\"./images/GUID-35DC9534-B264-42EF-A9E3-CD6F1DE95C5E-low.gif\" alt></p>\n\
<h3 id=\"conversion\">Conversion</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToJoinBodies &lt;node&gt; </code></pre><p>Converts the specified geometry to a <code>Join_Bodies</code>.</p>\n\
<h3 id=\"operation\">Operation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.BrepOperation (NURBS_Creation_Radio) : integer</code></pre><p>Get/set the state of the Operation radio buttons.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - Weld Edges Only (Fast)</p>\n\
<p>1 - Weld Edges To Surface</p>\n\
<p>2 - Do Nothing</p>\n\
<p>3 - Intersect+Merge Faces</p>\n\
<p>4 - Boolean Union</p>\n\
<p>5 - Weld Into Solid (Slow)</p>\n\
<h2 id=\"operator-parameters\">Operator Parameters</h2><p><img src=\"./images/GUID-D49482D5-24DA-4401-8C17-DADD7112EF5C-low.gif\" alt></p>\n\
<h3 id=\"display\">Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.ShowResultOP (Show_Result__Hide_Ops) : boolean</code></pre><p>Get/set the state of the Result checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.ShowAllOperandsOP (Show_Ops__Hide_Result) : boolean</code></pre><p>Get/set the state of the All Operands checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.ShowSelectedOperandsOP (Show_Selected_Operands) : boolean</code></pre><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.SaveBrepsOP (Save_NURBS_Breps) : boolean\n\
&lt;Join_Bodies&gt;.FastEditOP (Fast_Edit) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED1 (Update_Radio) : integer\n\
&lt;Join_Bodies&gt;.OP_NOT_USED2 (Update_Now) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED3 (Save_Render_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean</code></pre><h2 id=\"rendering-approximation\">Rendering Approximation</h2><p><img src=\"./images/GUID-D4137A23-87BF-47F2-92E3-65AEF60C29A7-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.RenderViewportMeshRA (Render_Viewport_Mesh) : boolean</code></pre><p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<h3 id=\"render-mesh-generation\">Render Mesh Generation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.RenderRadioRA (Render_Radio) : integer</code></pre><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx. (default)</p>\n\
<h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.LowQualityRA (LowQuality) : boolean</code></pre><p>Get/set the state of the Draft checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.MediumQualityRA (MediumQuality) : boolean</code></pre><p>Get/set the state of the Good checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.HighQualityRA (HighQuality) : boolean</code></pre><p>Get/set the state of the Production checkbutton.</p>\n\
<h3 id=\"approximation\">Approximation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.FaceApproxAngleRA (Face_Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.EdgeApproxAngleRA (Edge_Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.FaceChordRA (Face_Chord) : float</code></pre><p>Get/set the Face Chors %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.EdgeChordRA (Edge_Chord) : float</code></pre><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.MaxEdgeRA (Edge_Length_Rendering) : float</code></pre><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<h3 id=\"misc-options\">Misc. Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.WeldAndSmoothRA (Weld_and_Smooth) : boolean</code></pre><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.SaveRenderMeshRA (Save_Render_Mesh) : boolean</code></pre><p>Get/set the state of the Save Render Mesh checkbox.</p>\n\
<h2 id=\"viewport-display-settings\">Viewport Display Settings</h2><p><img src=\"./images/GUID-2AB97A68-B198-4273-8CDA-F582EFF04FD1-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.DisplayRadioVDS (Display_Radio) : integer</code></pre><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.LowQualityVDS (LowQuality) : boolean</code></pre><p>Get/set the state of the Coarse checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.MediumQualityVDS (MediumQuality) : boolean</code></pre><p>Get/set the state of the Medium checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.HighQualityVDS (HighQuality) : boolean</code></pre><p>Get/set the state of the Fine checkbutton.</p>\n\
<h3 id=\"mesh-display\">Mesh Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.CleanMeshVDS (CleanMesh) : boolean</code></pre><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.FaceApproxAngleVDS (Face_Approx__Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.EdgeApproxAngleVDS (Edge_Approx__Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.FaceChordHeightVDS (Face_Chord_Height) : float</code></pre><p>Get/set the Face Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.EdgeChordHeightVDS (Edge_Chord_Height) : float</code></pre><p>Get/set the Edge Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.MaxEdgeLengthPctVDS (Edge_Length) : float</code></pre><p>Get/set the Max.Edge Len. % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.SmoothingPassesVDS (Smoothing_Passes) : float</code></pre><p>Get/set the Smoothing Passes value.</p>\n\
<h3 id=\"curve-display\">Curve Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.ULinesVDS (U_Lines) : float</code></pre><p>Get/set the Lines U value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.VLinesVDS (V_Lines) : float</code></pre><p>Get/set the Lines V value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean</code></pre><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.IsoAngleDS (Iso_Angle) : float</code></pre><p>Get/set the Approx value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.IsoChordHeightVDS (Iso_Chord) : float</code></pre><p>Get/set the Curve Distance value.</p>\n\
<h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.SubDMeshVDS (SubDMesh) : boolean\n\
 &lt;Join_Bodies&gt;.VDS_NOT_USED1 (Update) : boolean</code></pre><h2 id=\"face-display-parameters\">Face Display Parameters</h2><p><img src=\"./images/GUID-84D9EB1C-B954-41D2-A042-2B84AF803CA3-low.gif\" alt></p>\n\
<p>No Properties Exposed.</p>\n\
<h2 id=\"not-exposed-to-ui\">Not Exposed To UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.BrepOperation Integer default: 0 -- integer; NURBS_Creation_Radio\n\
&lt;Join_Bodies&gt;.Edge_Angle Float default: 0.0\n\
&lt;Join_Bodies&gt;.Edge_Chord Float default: 0.0\n\
&lt;Join_Bodies&gt;.Edge_Length_Rendering Float default: 0.0\n\
&lt;Join_Bodies&gt;.Face_Angle Float default: 40.0\n\
&lt;Join_Bodies&gt;.Face_Chord Float default: 0.5\n\
&lt;Join_Bodies&gt;.MakeIntoSolid BooleanClass default: false -- boolean; Make_Solid\n\
&lt;Join_Bodies&gt;.ToBrepObjectHelp BooleanClass default: false -- boolean; Join_Quick_Help\n\
\n\
&lt;Join_Bodies&gt;.FilletAllEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.FirstOrEndEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.SecondOrSideEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.ThirdOrStartEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED1 : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED2 : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED3 : boolean\n\
&lt;Join_Bodies&gt;.FilletRadiusFAO : float\n\
&lt;Join_Bodies&gt;.ApproximateArcFAO : boolean\n\
&lt;Join_Bodies&gt;.ConstantDistanceFAO : boolean\n\
&lt;Join_Bodies&gt;.LinearCrossSectionFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellStartFaceFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellEndFaceFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellRadioFAO : integer\n\
&lt;Join_Bodies&gt;.OffsetRadiusFAO : float\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED4 : boolean\n\
&lt;Join_Bodies&gt;.CornerExtensionFAO (Corner_Extension) : boolean\n\
&lt;Join_Bodies&gt;.SectionTypeFAO : integer\n\
&lt;Join_Bodies&gt;.BlendStrengthFAO : float</code></pre><h2 id=\"surface-analysis-not-exposed-to-ui-\">Surface Analysis (Not Exposed To UI)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.DisplayControlPointsSA (Display_Control_Points) : boolean\n\
&lt;Join_Bodies&gt;.DisplayControlMeshSA (Display_Control_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean\n\
&lt;Join_Bodies&gt;.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer\n\
&lt;Join_Bodies&gt;.CurvatureScaleSA (Curvature_Scale) : float\n\
&lt;Join_Bodies&gt;.CurvatureDensitySA (Curvature_Density) : float\n\
&lt;Join_Bodies&gt;.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean\n\
&lt;Join_Bodies&gt;.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer\n\
&lt;Join_Bodies&gt;.StdDevMultiplesSA (Std__Dev__Multiples) : float\n\
&lt;Join_Bodies&gt;.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean\n\
&lt;Join_Bodies&gt;.StdDevMinRangeSA (Std__Dev__Min_Range) : float\n\
&lt;Join_Bodies&gt;.StdDevMaxRangeSA (Std__Dev__Max_Range) : float\n\
&lt;Join_Bodies&gt;.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean</code></pre><h2 id=\"nq-not-exposed-to-ui-\">NQ(Not Exposed To UI)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Join_Bodies&gt;.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean\n\
&lt;Join_Bodies&gt;.ExtrToNURBSNQ (Extr_To_Nurbs) : boolean\n\
&lt;Join_Bodies&gt;.ExtrToCurveNQ (Extr_To_Curve) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED1 (Flip_All) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED2 (Flip_Selected) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED3 (Extract_To_Spline) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED4 (Show_Counts) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED5 (Extract_To_CShape) : boolean</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Solid.html\">MAXScript Extensions for Solid Bodies</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Body_Cutter-GeometryClass.html\">Body_Cutter : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body_Object-GeometryClass.html\">Body_Object : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body_Utility-GeometryClass.html\">Body_Utility : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body-Objects.html\">Body Objects</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";