var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-28F82748-F099-48DD-967B-905833E2480C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Input_Proxy : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Input_Proxy - superclass: ReferenceTarget; super-superclass:MAXWrapper - 27:0 - classID: #(1137313539, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Input_Proxy</strong> Particle Data View sub-operator copies regular particle properties from proxy particle systems.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Input_Proxy...\n\
InputProxy...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"proxy-system-indexing-group-of-controls\">Proxy System Indexing group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Use_I2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use I2 As Particle IDs&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.I3_Usage     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Proxy System Indexing radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single Proxy System</strong> (default)</p>\n\
<p>1 - <strong>Use I3 As System Index</strong></p>\n\
<p>2 - <strong>Use I3 As Compound Index</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Data_Type     Integer    default: 2   --  radiobtnIndex</code></pre><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>ID</strong></p>\n\
<p>1 - <strong>Time</strong></p>\n\
<p>2 - <strong>Position</strong> (default)</p>\n\
<p>3 - <strong>Speed</strong></p>\n\
<p>4 - <strong>Rotation</strong></p>\n\
<p>5 - <strong>Spin</strong></p>\n\
<p>6 - <strong>Scale</strong></p>\n\
<p>7 - <strong>Size</strong></p>\n\
<p>8 - <strong>Shape</strong></p>\n\
<p>9 - <strong>Script</strong></p>\n\
<p>10 - <strong>TM</strong></p>\n\
<p>11 - <strong>Material Index</strong></p>\n\
<p>12 - <strong>Mapping</strong></p>\n\
<p>13 - <strong>Vertex Color Channel</strong></p>\n\
<p>14 - <strong>Selected By Particle System</strong></p>\n\
<p>15 - <strong>Selected By Group</strong></p>\n\
<p>16 - <strong>Accel</strong></p>\n\
<p>17 - <strong>Mass</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Acceleration_Type     Integer    default: 7   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Accel&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1 - unused</p>\n\
<p>2 - unused</p>\n\
<p>3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.ParticleID_Type     Integer    default: 0   --  integer; Particle_ID_Type</code></pre><p>Get/set the selection of the <strong>&quot;ID&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Birth Index</strong> (default)</p>\n\
<p>1 - <strong>Uniform Index</strong></p>\n\
<p>2 - <strong>Event Index</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Mapping_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Mapping&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>U Component</strong></p>\n\
<p>2 - <strong>V Component</strong></p>\n\
<p>3 - <strong>W Component</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Map_Channel     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Channel #&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Use_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Position_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Position&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>X Component</strong></p>\n\
<p>2 - <strong>Y Component</strong></p>\n\
<p>3 - <strong>Z Component</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Rotation_Type     Integer    default: 13   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Rotation&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12 - <strong>Angle</strong></p>\n\
<p>13 - <strong>Euler Angles</strong> (default)</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Scale_Type     Integer    default: 8   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Scale&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>2-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - unused</p>\n\
<p>8 - <strong>Average</strong> (default)</p>\n\
<p>9 - <strong>Maximum</strong></p>\n\
<p>10 - <strong>Minimum</strong></p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Script_Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Script&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Vector</strong></p>\n\
<p>3 - <strong>Vector X</strong></p>\n\
<p>4 - <strong>Vector Y</strong></p>\n\
<p>5 - <strong>Vector Z</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<p>7 - <strong>Matrix X</strong></p>\n\
<p>8 - <strong>Matrix Y</strong></p>\n\
<p>9 - <strong>Matrix Z</strong></p>\n\
<p>10 - <strong>Matrix T</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Group_Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list in the <strong>&quot;Group Selection Operator&quot;</strong> group of controls.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre-Step Status</strong></p>\n\
<p>1 - <strong>Post-Step Status</strong> (default)</p>\n\
<p>2 - <strong>Switch Time</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Group_Selection_Operator     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the Group Selection Operator object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Shape_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Shape&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong># Vertices</strong> (default)</p>\n\
<p>1 - <strong># Faces</strong></p>\n\
<p>2 - <strong>Surface</strong></p>\n\
<p>3 - <strong>Extent</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Adjusted_By_Scale     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Adjusted By Scale&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Size_Type     Integer    default: 9   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Size&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - unused</p>\n\
<p>8 - <strong>Average</strong></p>\n\
<p>9 - <strong>Maximum</strong> (default)</p>\n\
<p>10 - <strong>Minimum</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Speed_Type     Integer    default: 7   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Speed&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Spin_Type     Integer    default: 15   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Spin&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12,13 - unused</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<p>15 - <strong>Rate</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Time_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Time&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Of Birth</strong></p>\n\
<p>2 - <strong>Particle Age</strong> (default)</p>\n\
<p>3 - <strong>Of Death</strong></p>\n\
<p>4 - <strong>Lifespan</strong></p>\n\
<p>5 - <strong>In Event</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.TM_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;TM&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Matrix</strong> (default)</p>\n\
<p>1 - <strong>Matrix X</strong></p>\n\
<p>2 - <strong>Matrix Y</strong></p>\n\
<p>3 - <strong>Matrix Z</strong></p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the Input_Proxy sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_Proxy&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the Input_Proxy sub-operator.</p>\n\
<h2 id=\"input_proxy-interfaces-\">Input_Proxy interfaces:</h2><p><strong>The following common interface is exposed by the Input_Proxy Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";