var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E5BE9932-A057-47F9-9FF3-E032259FE4A0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Input_mParticles : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Input_mParticles - superclass: ReferenceTarget; super-superclass:MAXWrapper - 5:0 - classID: #(1137313793, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Input_mParticles</strong> Particle Data View sub-operator copies simulation-related particle properties</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Input_mParticles...\n\
InputPhysX...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_mParticles&gt;.Data_Type     Integer    default: 3   --  radiobtnIndex; IDC_DATATYPE</code></pre><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Apply Anti-Gravity</strong></p>\n\
<p>1 - <strong>Mass</strong></p>\n\
<p>2 - <strong>Match</strong></p>\n\
<p>3 - <strong>Turn Off Simulation</strong> (default)</p>\n\
<p>4 - <strong>Interpenetration Tolerance</strong></p>\n\
<p>5 - unused</p>\n\
<p>6 - <strong>Threshold Type Is Energy</strong></p>\n\
<p>7 - <strong>Threshold</strong></p>\n\
<p>8 - <strong>Collided</strong></p>\n\
<p>9 - <strong># Collisions</strong></p>\n\
<p>10 - <strong>Test Immunity</strong></p>\n\
<p>11 - <strong>Force</strong></p>\n\
<p>12 - <strong>Force Influence</strong></p>\n\
<p>13 - <strong>Torque</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_mParticles&gt;.Collision_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list in the <strong>Collision Registration</strong> group of controls.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>With Deflectors</strong> (default)</p>\n\
<p>1 - <strong>With Particles</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_mParticles&gt;.Match_Type     Integer    default: 2   --  integer</code></pre><p>Possible values are:</p>\n\
<p>0 - <strong>Position</strong></p>\n\
<p>1 - <strong>Rotation</strong></p>\n\
<p>2 - <strong>Speed</strong> (default)</p>\n\
<p>3 - <strong>Spin</strong></p>\n\
<p>4 - <strong>Speed Limit</strong></p>\n\
<p>5 - <strong>Spin Limit</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_mParticles&gt;.Threshold_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Threshold&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Energy</strong> (default)</p>\n\
<p>1 - <strong>Speed</strong></p>\n\
<p>2 - <strong>Spin Rate</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Input_mParticles&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the boolean output sub-operator controlling when the Input_mParticles will be evaluated.</p>\n\
<p>Setting this property to a sub-operator with boolean output will effectively wire it to the Input_mParticles sub-operator&apos;s Filter socket.</p>\n\
<p>Setting it to undefined will remove the Filter wiring.</p>\n\
<h2 id=\"input_mparticles-interfaces-\">Input_mParticles interfaces:</h2><p><strong>The following common interface is exposed by the Input_mParticles Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";