var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1548F651-8013-4CA2-A391-4036AB67DD4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NotesReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NotesReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 2:0 - classID: #(1137313556, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>NotesReferenceTarget</strong> Particle Data View sub-operator is non-executable and can be used to place comments in Data View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NotesReferenceTarget...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;NotesReferenceTarget&gt;.Comments     UndefinedClass    default: undefined   --  string; </code></pre><p>Get/set the comment string.</p>\n\
<p>While the initial value of this property is undefined by default, it is not possible to set its value to undefined via MAXScript. To clear, assign an empty string &quot;&quot; instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;NotesReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>While there is a filter socket, it makes no sense to be writed since this sub-operator is non-executable.</p>\n\
<h2 id=\"notesreferencetarget-interfaces-\">NotesReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the NotesReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";