var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C70AE9DD-84DF-4743-9F3F-A05BD202F504\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Switch : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Switch - superclass: ReferenceTarget; super-superclass:MAXWrapper - 12:0 - classID: #(1137313550, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Switch</strong> Particle Data View sub-operator works as an animatable relay from several inputs to the output of the same type.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Switch...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Type     Integer    default: 6   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Complex</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Matrix</strong></p>\n\
<p>4 - <strong>Pair</strong></p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Real</strong> (default)</p>\n\
<p>7 - <strong>Time</strong></p>\n\
<p>8 - <strong>Vector</strong></p>\n\
<p>9 - <strong>Object</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Active_Input     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the index of the active input (if existing).</p>\n\
<p>Currently there is no method to create Inputs using MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Render_Viewport_Switch     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render / VIewport Switch&quot;</strong> checkbox.</p>\n\
<h2 id=\"inpit-and-filter-sockets\">Inpit and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Input_8     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the Switch sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Switch&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the Switch sub-operator.</p>\n\
<h2 id=\"switch-interfaces-\">Switch interfaces:</h2><p><strong>The following common interface is exposed by the Switch Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";