var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A0E5409-73DE-48EC-8D29-22EC55FFB358\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>colorReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 58:0 - classID: #(1137313563, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Color</strong> Particle Data View sub-operator generates vector data to be used as a color for vertex color mapping.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"color-controls\">Color controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Color type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>HSV</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Color     Color    default: (color 255 255 0)   --  RGB color</code></pre><p>Get/set the Color value of the sub-operator.</p>\n\
<p>Used when the <code>.Type</code> property is set to 0 - RGB.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.red     Integer    default: 255   --  animatable; integer</code></pre><p>Get/set the <strong>Red</strong> channel of the Color value of the sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton used to expose the property when the <code>.Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I1&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>0 - RGB</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.green     Integer    default: 255   --  animatable; integer</code></pre><p>Get/set the <strong>Green</strong> channel of the Color value of the sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E2&quot;</strong>checkbutton used to expose the property when the <code>.Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I2&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>0 - RGB</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.blue     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the <strong>Blue</strong> channel of the Color value of the sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E3&quot;</strong>checkbutton used to expose the property when the <code>.Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I3&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>0 - RGB</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Hue     Integer    default: 43   --  animatable; integer</code></pre><p>Get/set the HSV <strong>Hue</strong> component of the sub-operator&apos;s Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton used used to expose the property when the <code>.Type</code> property is set to <strong>1 - HSV</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I1&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>1 - HSV</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Saturation     Integer    default: 255   --  animatable; integer</code></pre><p>Get/set the HSV <strong>Saturation</strong> component of the sub-operator&apos;s Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton used used to expose the property when the <code>.Type</code> property is set to <strong>1 - HSV</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I2&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>1 - HSV</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Value     Integer    default: 255   --  animatable; integer</code></pre><p>Get/set the HSV <strong>Value</strong> component of the sub-operator&apos;s Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton used used to expose the property when the <code>.Type</code> property is set to <strong>1 - HSV</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I3&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>.Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<h2 id=\"variation-group-of-controls\">Variation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Variation_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Variation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>HSV</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Red_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Red Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Red_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Red Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I4&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Green_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Green Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Green_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Green Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I5&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Blue_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Blue Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Blue_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Blue Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_E6     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_RGB_I6     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I6&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>0 - RGB</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Hue_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Hue Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Hue_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Hue Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I4&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Saturation_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Saturation Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Saturation_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Saturation Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I5&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_Value_Variation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>Use Value Variation</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Value_Variation     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the value of the <strong>Value Variation</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_E6     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton used to expose the property when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_HSV_I6     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I6&quot;</strong> checkbutton used to enable the property&apos;s Input socket when the <code>Variation_Type</code> property is set to <strong>1 - HSV</strong> .</p>\n\
<h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Sync_Type     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<p>3 - <strong>Particle Lifespan</strong></p>\n\
<p>4 - <strong>Time Data Input</strong> - exposes I7 Input Socket</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_E7     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Random_Seed     Integer    default: 78155   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Random Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Use_E8     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E8&quot;</strong> checkbutton.</p>\n\
<h2 id=\"inputs-and-filter-sockets\">Inputs and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the first Input socket, providing either the RGB Red or HSV Hue component of the color, depending on the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the second Input socket, providing either the RGB Green or HSV Saturation component of the color, depending on the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the third Input socket, providing either the RGB Blue or HSV Value component of the color, depending on the <code>.Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the fourth Input socket, providing either the RGB Red Variation or HSV Hue Variation of the color, depending on the <code>.Variation_Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the fifth Input socket, providing either the RGB Green Variation or HSV Saturation Variation of the color, depending on the <code>.Variation_Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the sixth Input socket, providing either the RGB Blue Variation or HSV Value Variation of the color, depending on the <code>.Variation_Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the seventh Input socket, used either when the <code>.Use_E7</code> property is set to True, or when the <code>.Sync_Type</code> property is set to <strong>4 - Time Data Input</strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Input_8     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the eighth Input socket, providing the Random value when the <code>.Use_E8</code> property is set to True,.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the Color sub-operator.</p>\n\
<h2 id=\"colorreferencetarget-interfaces-\">colorReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the colorReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";