var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4C7B62F2-0CC6-4512-9265-6D1398F28B13\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>randomReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">randomReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313547, 554188032) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>randomReferenceTarget</strong> Particle Data View sub-operator generates scalar and vector random values.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">randomReferenceTarget... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Output_Type Integer default: 1 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Output Type&quot;</strong> drop-down list.</p>\n\
<p>Posssible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Real</strong> (default)</p>\n\
<p>2 - <strong>Vector</strong></p>\n\
<h2 id=\"distribution-group-of-controls\">Distribution group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Integer_Distribution_Type Integer default: 0 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <code>.Output_Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<p>The only possible value is:</p>\n\
<p>0 - <strong>Uniform Discrete</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Real_Distribution_Type Integer default: 4 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <code>.Output_Type</code> is set to 1 - <strong>Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Exponential</strong></p>\n\
<p>1 - <strong>Noise R</strong></p>\n\
<p>2 - <strong>Noise V</strong></p>\n\
<p>3 - <strong>Noise V+T</strong></p>\n\
<p>4 - <strong>Normal (Gaussian)</strong> (default)</p>\n\
<p>5 - <strong>Triangular</strong></p>\n\
<p>6 - <strong>Turbulence V</strong></p>\n\
<p>7 - <strong>Uniform</strong></p>\n\
<p>8 - <strong>Weibull</strong></p>\n\
<p>9 - <strong>Turbulence V+T</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Vector_Distribution_Type Integer default: 3 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <code>.Output_Type</code> is set to 2- <strong>Vector</strong>.</p>\n\
<p>0 - <strong>Normal (Gaussian)</strong></p>\n\
<p>1 - <strong>Sphere Surface</strong></p>\n\
<p>2 - <strong>Sphere Volume</strong></p>\n\
<p>3 - <strong>Uniform</strong> (default)</p>\n\
<p>4 - <strong>Noise</strong></p>\n\
<p>5 - <strong>Noise V+T</strong></p>\n\
<p>6 - <strong>Turbulence V</strong></p>\n\
<p>7 - <strong>Turbulence V+T</strong></p>\n\
<h2 id=\"parameter-1\">Parameter 1</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Integer_Parameter_1 Integer default: 1 -- animatable; integer; Integer_Parameter1 </code></pre><p>Get/set the value of the first spinner used as <strong>&quot;Minimum&quot;</strong> value of the <strong>Uniform Discrete Distribution</strong> when <code>.Output_Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Parameter_1 Float default: 0.0 -- animatable; float; Parameter1 </code></pre><p>Get/set the value of the first spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Parameter 1:</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Normal (Gaussian)</td>\n\
<td>Mean</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Triangular</td>\n\
<td>Minimum</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Uniform</td>\n\
<td>Minimum</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Positive_Parameter_1 Float default: 1.0 -- animatable; float; Positive_Parameter1 </code></pre><p>Get/set the value of the first spinner used for positive parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Positive Parameter 1</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Exponential</td>\n\
<td>Mean</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Noise R</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Noise V</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Noise V+T</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Turbulence V</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Turbulence V+T</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Weibull</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Noise V</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Noise V+T</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V+T</td>\n\
<td>Scale</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Uniform</td>\n\
<td>Max X</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Use_E3 BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<h2 id=\"parameter-2\">Parameter 2</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Integer_Parameter_2 Integer default: 1 -- animatable; integer; Integer_Parameter2 </code></pre><p>Get/set the value of the parameter which could be used when the <code>.Output_Type</code> property is set to 0 - <strong>Integer</strong>.</p>\n\
<p>Currently, the only Integer mode does <strong>NOT</strong> use this parameter, so it is exposed for future compatibility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Parameter_2 Float default: 1.0 -- animatable; float; Parameter2 </code></pre><p>Get/set the value of the second spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Parameter 2:</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Triangular</td>\n\
<td>Peak</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Positive_Parameter_2 Float default: 1.0 -- animatable; float; Positive_Parameter2 </code></pre><p>Get/set the value of the second spinner used for positive parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Positive Parameter 2</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Noise R</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Noise V</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Noise V+T</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Normal (Gaussian)</td>\n\
<td>Sigma</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Turbulence V</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Turbulence V+T</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Weibull</td>\n\
<td>Rate</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Noise V</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Noise V+T</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Normal (Gaussian)</td>\n\
<td>Sigma</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Sphere Surface</td>\n\
<td>Radius</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Sphere Volume</td>\n\
<td>Radius</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V</td>\n\
<td>Strength</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Uniform</td>\n\
<td>Max Y</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Use_E4 BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<h2 id=\"parameter-3\">Parameter 3</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Integer_Parameter_3 Integer default: 10 -- animatable; integer; Integer_Parameter3 </code></pre><p>Get/set the value of the first spinner used as <strong>&quot;Maximum&quot;</strong> value of the <strong>Uniform Discrete Distribution</strong> when <code>.Output_Type</code> is set to 0 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Parameter_3 Float default: 1.0 -- animatable; float; Parameter3 </code></pre><p>Get/set the value of the third spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Parameter 3:</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Triangular</td>\n\
<td>Maximum</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Uniform</td>\n\
<td>Maximum</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Positive_Parameter_3 Float default: 1.0 -- animatable; float; Positive_Parameter3 </code></pre><p>Get/set the value of the third spinner used for positive parameters as follows:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Output Type:</th>\n\
<th>Distribution:</th>\n\
<th>Positive Parameter 3:</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>Turbulence V</td>\n\
<td>Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>Turbulence V+T</td>\n\
<td>Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V</td>\n\
<td>Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Turbulence V+T</td>\n\
<td>Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>Uniform</td>\n\
<td>Max Z</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Use_E5 BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<h2 id=\"parameters-animation-sync\">Parameters Animation Sync</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Sync_Type Integer default: 0 -- animatable; integer </code></pre><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Use_E6 BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Random_Seed Integer default: 23248 -- animatable; integer </code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Use_E7 BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_1 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_2 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_3 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_4 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_5 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_6 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Input_7 UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the sub-operator connected to the corresponding Input socket of the randomReferenceTarget sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.Filter UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the sub-operator connected to the Filter socket of the randomReferenceTarget sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;randomReferenceTarget&gt;.iterations Float default: 2.0 -- animatable; float </code></pre><p>Not exposed in the User Interface.</p>\n\
<h2 id=\"randomreferencetarget-interfaces-\">randomReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the randomReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";