var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BF55A04D-AED5-4948-A837-8D3E2C7E82DE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth_Script : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Script - superclass: helper; super-superclass:node - 5:0 - classID: #(1962490658, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Script</strong> operator enables creation of particles within the <strong>Particle Flow</strong> system using a MAXScript script. The script can use most of the program functionality available to MAXScript. See <a href=\"./../../../Limitations-on-using-MAXScript.html\">Limitations on using MAXScript with Particle Flow</a> for a general list of limitations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Script... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Script&gt;.Proceed_Script String default: &quot;-- This is a script that can be used to generate particles ...&quot; </code></pre><p>Specifies the script as string to use for the Birth Script.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The default script with additional detailed comments can be found under <a href=\"./../../../Particle-Flow-Script-Examples/Birth-Scripts/Birth-Script-Example.html\">Birth Script Example</a></div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Script&gt;.Emit_Start Integer default: 0 -- integer </code></pre><p>Get/Set the time in ticks at which the operator begins emitting particles.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  The time value is shown as frames in the UI.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Script&gt;.Random_Seed Integer default: 12345 -- integer </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"birth_script-interfaces-\">Birth_Script Interfaces:</h2><p><strong>The following Interfaces are exposed by the Birth_Script Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"DeleteParticles-Helper.html\">DeleteParticles : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";