var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9CCCED2F-48B9-4E53-A2F3-C7C5504EEC39\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AirFlow_Spline : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AirFlow_Spline - superclass: helper; super-superclass:node - 8:0 - classID: #(1509449991L, 515064320L)</code></pre>\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The AirFlow_Spline helper is deprecated as of <strong>3ds Max 2022</strong> and may be removed in a future release.</p>\n\
\n\
</div></div>\n\
\n\
<p>The AirFlow_Spline helper converts CFD Data to particle flow splines for airflow simulations. Available in <strong>in 3ds Max 2018 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  this class is not creatable in the 3ds Max ParticleFlow UI. It can only be created via MAXScript.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  The AirFlow* pflow classes in MAXScript are a prototype for CFD visualization. The recommended method is to use MCG. See &quot;Visualizing CFD Data&quot; in the 3ds Max User&#x2019;s Guide.</div>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Data_Source_File     UndefinedClass    default: undefined   --  filename; </code></pre><p>Gets or sets the data source FBX file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Emit_Start     Integer    default: 0   --  integer; Emit_Time \n\
&lt;AirFlow_Spline&gt;.Emit_Stop     Integer    default: 4800   --  integer</code></pre><p>Gets or sets the emit start and stop time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Max_Speed     Float    default: 10000.0   --  animatable; worldUnits \n\
&lt;AirFlow_Spline&gt;.Min_Speed     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Gets or sets the air flow minimum and maximum speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Rate     Float    default: 60.0   --  animatable; float</code></pre><p>Gets or sets the emit rate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Speed_Factor     Float    default: 0.01   --  animatable; float</code></pre><p>Gets or sets the speed factor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Spline&gt;.Splines     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>An array of splines imported from the data file.</p>\n\
<h2 id=\"airflow_spline-interfaces-\">AirFlow_Spline interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the AirFlow_Spline Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";