var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5C075580-4102-4629-ABA3-14C7594B4D7A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script_Operator : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Script_Operator - superclass: helper super-superclass:node - classID: #(1962490659, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Script_Operator</strong> enables control of particles within the <strong>Particle Flow</strong> system using a MAXScript script. The script can use most of the program functionality available to MAXScript. See <a href=\"./../../../Limitations-on-using-MAXScript.html\">Limitations on using MAXScript with Particle Flow</a> for a general list of limitations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Script_Operator... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Script_Operator&gt;.Proceed_Script String </code></pre><p>Defines the script to be used by the Script_Operator.</p>\n\
<p>The default script slows particles, and then, when they are slow enough, splits off the first 50 particles into a stream traveling in a negative direction on the world X axis, and the remainder traveling in the opposite direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Script_Operator&gt;.Random_Seed Integer default: 12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"script_operator-interfaces-\">Script_Operator Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";