var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8589C73C-DF9E-4D35-BDE7-B06CEDCC527E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ShapeLibrary : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeLibrary- superclass: helper super-superclass:node - classID:#(1395943169, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>ShapeLibrary</strong> is the default operator for defining the geometry used in the Particle Flow system <strong>since 3ds Max 2010</strong>. In version prior to <strong>3ds Max 2010</strong>, the <a href=\"shapeStandard-Helper.html\">ShapeStandard Helper</a> was performing this role.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>All primitive particles created by the Shape Library have pivot points in their geometric centers.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shapeLibrary... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShapeLibrary Dimension_Type : radiobtnIndex </code></pre><p>Get/set the state of the Dimension Type radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>2D Shapes</strong></p>\n\
<p>1 - <strong>3D Shapes</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.&apos;2D_Type&apos; : integer </code></pre><p>Get/set the selection of the 2D Shape Type drop-down list available when <code>.Dimension_Type</code> is set to 0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To specify a property starting with a digit, enclose the property name in single quotes.</p>\n\
<p>This will avoid the &quot;-- Compile error: Bad number or time syntax&quot; error that would be thrown if the property name is specified without single quotes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Circle 12-sided</strong></p>\n\
<p>1 - <strong>Circle 24-sided</strong></p>\n\
<p>2 - <strong>Diamond</strong></p>\n\
<p>3 - <strong>Digits Arial</strong></p>\n\
<p>4 - <strong>Digits Courier</strong></p>\n\
<p>5 - <strong>Digits Times</strong></p>\n\
<p>6 - <strong>Donut</strong></p>\n\
<p>7 - <strong>Heart</strong></p>\n\
<p>8 - <strong>Hexagon</strong></p>\n\
<p>9 - <strong>Letters Arial</strong></p>\n\
<p>10- <strong>Letters Courier</strong></p>\n\
<p>11- <strong>Letters Times</strong></p>\n\
<p>12- <strong>Notes</strong></p>\n\
<p>13- <strong>Pentagon</strong></p>\n\
<p>14- <strong>Square</strong></p>\n\
<p>15- <strong>Star 4-point</strong></p>\n\
<p>16- <strong>Star 5-point</strong></p>\n\
<p>17- <strong>Star 6-point</strong></p>\n\
<p>18- <strong>Star 8-point</strong></p>\n\
<p>19- <strong>Triangle</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.&apos;3D_Type&apos; : integer </code></pre><p>Get/set the selection of the 3D Shape Type drop-down list available when <code>.Dimension_Type</code> is set to 1.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To specify a property starting with a digit, enclose the property name in single quotes.</p>\n\
<p>This will avoid the &quot;-- Compile error: Bad number or time syntax&quot; error that would be thrown if the property name is specified without single quotes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Cube</strong> (default)</p>\n\
<p>1 - <strong>Diamond</strong></p>\n\
<p>2 - <strong>Diamond Long</strong></p>\n\
<p>3 - <strong>Digits Arial</strong></p>\n\
<p>4 - <strong>Digits Courier</strong></p>\n\
<p>5 - <strong>Digits Times</strong></p>\n\
<p>6 - <strong>Dodecahedron</strong></p>\n\
<p>7 - <strong>Heart</strong></p>\n\
<p>8 - <strong>Letters Arial</strong></p>\n\
<p>9- <strong>Letters Courier</strong></p>\n\
<p>10- <strong>Letters Times</strong></p>\n\
<p>11- <strong>Notes</strong></p>\n\
<p>12- <strong>Pyramid</strong></p>\n\
<p>13- <strong>Special</strong></p>\n\
<p>14- <strong>Sphere 20-sides</strong></p>\n\
<p>15- <strong>Sphere 80-sides</strong></p>\n\
<p>16- <strong>Star 5-point</strong></p>\n\
<p>17- <strong>Star 6-point</strong></p>\n\
<p>18- <strong>Tetra</strong></p>\n\
<p>19- <strong>Torus</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Size : worldUnits </code></pre><p>Get/set the Size of the shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Use_Scale : boolean </code></pre><p>Get/set the state of the Scale checkbox.</p>\n\
<p>When set to True, the scale value will be applied to the Particle Scale channel, modifying the final size of the particle in the viewport and renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Scale_Value (Scale) : percent </code></pre><p>Get/set the Scale value. When <strong><code>.Use_Scale</code></strong> is set to True, the scale value will be applied to the Particle Scale channel, modifying the final size of the particle in the viewport and renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Scale_Variation : percent </code></pre><p>Get/set the Scale Variation value.</p>\n\
<p>When <strong><code>.Use_Scale</code></strong> is set to True, the scale value will be changed randomly using the Scale Variation value to produce random values which will be applied to the Particle Scale channel, thus modifying the final size of the particle in the viewport and renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Random_Multi_Shape_Order : boolean </code></pre><p>Get/set the state of the Multi-Shape Random Order option.</p>\n\
<p>When set to True, multi-shape shapes will be applied randomly.</p>\n\
<p>When set to False, they will be applied in order. Multi-Shapes are for example the Digits and Letters.</p>\n\
<p>Thus, if the option is set to False and a Digits shape is selected, particles will get shapes in the order 0,1,2,3,4,5,6,7,8,9. If the option is True, the shapes will be assigned randomly based on the Random_Seed value, for example 5,8,2,9,1,3,7,4,6,0</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Random_Seed : integer </code></pre><p>Get/set the Random Seed value used to control the random number generation in the Shape Helper, including the Scale Variation and the Multi-Shape Random Order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Generate_Mapping_Coords : boolean </code></pre><p>Get/set the state of the Generate Mapping Coords. option.</p>\n\
<p>When set to True, UV coordinates will be generated by the Shape, allowing the texture mapping of the shape geometry.</p>\n\
<p>When set to False (default), the whole shape will use the particle mapping coordinates (if any), resulting inconstant UV values throughout the shape&apos;s vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeLibrary&gt;.Fit_Mapping : boolean </code></pre><p>Get/set the state of the Fit Mapping option.</p>\n\
<p>When set to True (default) and <code>.Generate_Mapping_Coords</code> is also set to True, the mapping will be set to fit the geometry.</p>\n\
<h2 id=\"shapestandard-interfaces-\">shapeStandard Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shape.html\">Shape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Shape_Facing-Helper.html\">Shape_Facing : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Instance-Helper.html\">Shape_Instance : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Shape_Mark-Helper.html\">Shape_Mark : Helper</a></li>\n\
          <li><a class=\"link\" href=\"shapeStandard-Helper.html\">shapeStandard : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";