var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D6ADDD53-26AD-4016-879F-9455341CF508\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Particle_Face_Creator : modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_Face_Creator - superclass: modifier; super-superclass:MAXWrapper - 18:0 - classID: #(471214040, 669930697)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Face_Creator</strong> Modifier uses particle positions to hide and reveal mesh geometry. As particles move past the geometry, parts of it melt away and then reappear in a natural-looking sequence. This is a result of the modifier&apos;s ability to adjust the geometry in a way that obscures the underlying face topology.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_Face_Creator... \n\
ParticleCreatorOSM...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Create</strong> (default)</p>\n\
<p>1 - <strong>Dissolve</strong></p>\n\
<h2 id=\"timing-group-of-controls\">Timing group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Before_Hide     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Hide Before Time On&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Time_On     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time On&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Use_Time_Off     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Time Off&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Time_Off     Integer    default: 9600   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time Off&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.After_Hide     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Hide After Time Off&quot;</strong> checkbox.</p>\n\
<h2 id=\"particle-flow-systems-group-of-controls\">Particle Flow Systems group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Particle_Flow_Systems     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the array of Particle Flow systems to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.All_Particle_Flow_Events     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;All Particle Flow Events&quot;</strong> checkbox.</p>\n\
<h2 id=\"particle-flow-events-group-of-controls\">Particle Flow Events group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Particle_Flow_Events     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the array of Particle Flow Events to use.</p>\n\
<p>Applicable only when <code>.All_Particle_Flow_Events</code> is set to False.</p>\n\
<h2 id=\"particles-for-face-creation-group-of-controls\">Particles For Face Creation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Zone_Size     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Zone Size&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Blend_Particles     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Blend Particles&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Zone_Weight     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the <strong>&quot;Weight %&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Multiply_By_Scale     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Multiply by Particle Scale&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Scale_Influence     Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the <strong>&quot;Influence %&quot;</strong> spinner.</p>\n\
<h2 id=\"edge-split-precision-group-of-controls\">Edge Split Precision group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Split_Precision_Type     Integer    default: 0   --  radiobtnIndex; Edge_Split_Precision_Type</code></pre><p>Get/set the state of the <strong>&quot;Edge Split Precision&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative %</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Relative_Precision     Float    default: 75.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the <strong>&quot;Relative %&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Absolute_Precision     Float    default: 0.1   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Absolute&quot;</strong> spinner.</p>\n\
<h2 id=\"parameters-animation-group-of-controls\">Parameters Animation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Face_Creator&gt;.Sync_Type     Integer    default: 0   --  integer; Sync_By_Type</code></pre><p>Get/set the selection of the <strong>&quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Flow-Modifiers.html\">Particle Flow Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";