var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-556BE0EA-341E-4934-B2B7-2813D318E3D3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Transforms Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getTransform &lt;biped_node&gt; (#pos | #rotation | #scale) [limb:&lt;biped_node&gt;]      </code></pre><p>Gets the specified node&#x2019;s transform in world coordinates</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setTransform &lt;biped_node&gt; #pos &lt;point3&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]      \n\
biped.setTransform &lt;biped_node&gt; #rotation &lt;quat&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]      \n\
biped.setTransform &lt;biped_node&gt; #scale &lt;point3&gt; &lt;bool_setkey&gt; [limb:&lt;biped_node&gt;]   </code></pre><p>Sets the specified transform in world coordinates.</p>\n\
<p>Setting scale is only applicable in Figure mode.</p>\n\
<p>When setting positions, Biped will try to place the node at the specified location, but the final position may be clamped by Biped&#x2019;s IK.</p>\n\
<p>Since positions are in world coordinates, you should start at the biped root and work through the biped hierarchy setting positions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setKey &lt;biped_node&gt; copyHor:&lt;bool_setHoriz&gt; copyVer:&lt;boolean&gt; copyTrn:&lt;boolean&gt; </code></pre><p>Sets a key on the controller for the specified biped node at the current time.</p>\n\
<p>If the node specified in the biped&apos;s COM, which tracks keys are created on depends on the boolean arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setSelectedKey &lt;bipedCtrl&gt; </code></pre><p>Sets a key at the current frame on the specified controller.</p>\n\
<p>If the biped_ctrl is the biped&apos;s body controller, the key is set on the track corresponding to the current transform type (horizontal, vertical, rotation).</p>\n\
<p>Not applicable in footstep, motion, or mixer mode.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";