var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ED4BC8F9-5F74-493B-96F3-2E819543E0CF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Wall_Seek_Behavior : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Wall_Seek_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 13:0 - classID: #(1204300713, 972582825) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Wall_Seek_Behavior ... WallSeekBehavior ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.name String Default: &quot;Wall Seek&quot; </code></pre><p>Get/Set the name of the behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.seekGrids ArrayParameter Default: #() -- node array </code></pre><p>Set the repelling grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.seekMethod Integer Default: 0 -- animatable </code></pre><p>Determines whether delegate direction as influenced by the behavior is calculated by an angular method or a force method.</p>\n\
<p>0 - <strong>Angle</strong>: Applies a force to the delegate based on the angle between the delegate&apos;s current direction and the direction it would need to take in order to be moving directly toward the target. If the behavior&apos;s Weight is set to 1, the delegate will be given a force that points directly away from the target. If Weight is set to .5, the force will bisect the angle between its current direction and the direction opposite that of the target.</p>\n\
<p>1 - <strong>Force</strong>: Always applies a force directly toward the target. If the behavior&apos;s Weight is 1, the magnitude of the force will be the average speed. If the Weight is .5, the magnitude of the force will be half the average speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.seekDirection Integer Default: 0 -- animatable </code></pre><p>Determines whether the grid attracts from its positive-axis side, its negative-axis side, or both.</p>\n\
<p>0 - <strong>Positive Axis</strong>: The grid attracts only from the positive-axis side.</p>\n\
<p>1 - <strong>Negative Axis</strong>: The grid attracts only from the negative-axis side.</p>\n\
<p>2 - <strong>Both Axes</strong>: The grid attracts from both sides.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.useDistance Boolean Default: True </code></pre><p>When true, the behavior applies only to delegates closer to the target than the Outer Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.innerDistance Float Default: 0.0 -- animatable </code></pre><p>The distance from the target at which the force is applied at full strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.outerDistance Float Default: 10.0 -- animatable </code></pre><p>The distance from the target at which the force begins to be applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.falloff Float Default: 2.0 -- animatable </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.showDistance Boolean Default: True </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.gridSpacing Integer Default: 500 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.gridEnd Boolean Default: True Alias: End_force_at_grid_edges </code></pre><p>When true, the force emanates only from the grid object. When off, the force emanates from an imaginary infinite grid created by extending the grid plane in all directions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.forceColor Color Default: (color 255 0 255) </code></pre><p>Sets the color used to draw the Seek force vector during the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Wall_Seek_Behavior&gt;.displayForce Boolean Default: True </code></pre><p>When true, force exerted on the delegate(s) by the Seek behavior is drawn in the viewports as a vector during the simulation solution. If <strong>BuseRadii</strong> is turned on, the radii are also displayed when the force is active.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";