var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ACB826BB-CCE4-4CAD-BC94-422FE9CFB534\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Crowd : helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Crowd - superclass: helper; super-superclass:node - 28:0 - classID: #(1611940610, 1128617348) </code></pre><blockquote>\n\
<p>   <a href=\"./../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value</a>&gt;<a href=\"./../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper</a>&gt;<a href=\"./../../../../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node</a>&gt;<a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Node-1.html\">Helper</a>&gt; Crowd</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowd ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.simStart Integer Default: 0 </code></pre><p>The first frame of the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.solveStart Integer Default: 0 </code></pre><p>The frame at which you begin solving.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.solveEnd Integer Default: 100 </code></pre><p>Specifies the last frame considered for the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.deleteKeys Boolean Default: False </code></pre><p>When true, Crowd deletes the keys of active delegates in the range over which the solution takes place.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.saveNthPos Integer Default: 1 </code></pre><p>Saves every nth position frame after the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.saveNthRot Integer Default: 1 </code></pre><p>Saves every nth rotation frame after the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.flashing Boolean Default: True Alias: Hilite_Delegates_During_Assignments </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.vectorScale Float Default: 1.0 </code></pre><p>Globally scales all force and velocity vectors that are displayed during the simulation. Scaling vectors up helps to see them better when they are very small. It does not effect the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.useScript Boolean Default: False </code></pre><p>When true, Crowd executes a script at each frame of the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.functionName String Default: &quot;PerFrameFn&quot; Alias: Script_Context_Name </code></pre><p>The name of the function to be executed. This name must also be specified in the script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.script String Default: Undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.update Boolean Default: True Alias: Update_Display_During_Solve </code></pre><p>When true, motion produced during solution of a crowd simulation appears in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.updateFrequency Integer Default: 1 </code></pre><p>How often the display is updated during the solution. If 1, the update occurs every frame. If 2, the update occurs every other frame, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.solveForBipeds Boolean Default: False </code></pre><p>When on, only biped/delegates are included in the computation. Also, the options to use priorities and backtracking become available. These options are available only for biped-only computations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.usePriorities Boolean Default: False </code></pre><p>When on, biped/delegates are computed one delegate at a time, in order of their Priority values, from lowest to highest. Also, backtracking becomes available and Step Solve becomes unavailable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.backtracking Boolean Default: False </code></pre><p>Turns on backtracking functionality when solving a crowd simulation that uses bipeds. When Backtracking is on during the solution, in the case of an impending collision between bipeds, the Crowd system will back up the simulation to the beginning of the current clip, and then try a different traversal of the lower-priority delegate/biped&apos;s motion flow graph. If necessary, the system will back up two or more clips.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.showCollisions Boolean Default: False Alias: ClearColl </code></pre><p>When true the delegates that collide are highlighted in the collision color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.whenToShowCollisions Integer Default: 0 </code></pre><p>0 - only during collisions - Colliding delegates are highlighted only in frames in which they actually collide.</p>\n\
<p>1 - always - Colliding delegates are highlighted in frames in which they collide and all subsequent frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.collisionColor Color Default: (color 255 0 0) </code></pre><p>The color swatch indicates the color used to highlight colliding delegates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.IconSize Float Default: 0.0 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.behaviors ArrayParameter Default: #() </code></pre><p>Array of Behavior objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.teams ArrayParameter Default: #() </code></pre><p>Array of Team objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.assignments ArrayParameter Default: #() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.cogcontrols ArrayParameter Default: #() Alias: Cognitive_Controllers </code></pre><p><a href=\"./../Crowd-Behaviors/CogControl-ReferenceTarget.html\">CogControl : MAXObject</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.scatter MAXObject Default: Scatter_Parameters </code></pre><p><a href=\"CrowdScatter-ReferenceTarget.html\">CrowdScatter:</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.objAssoc MAXRefTarg Default: ObjAssoc Alias: Object_Delegate_Associations_Parameters </code></pre><p>Display the dialog to link any number of delegate-object pairs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowd&gt;.smooth MAXRefTarg Default: Smooth Alias: Smoothing_Parameters </code></pre><p>Display the Smoothing dialog to smooth existing animation keys on a solved simulation to create more natural-looking animation</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.priority MAXRefTarg Default: Priority -- Read-only; Alias: Priority_Parameters </code></pre><h2 id=\"objassoc-properties\">ObjAssoc Properties</h2><p>These properties correspond to the Object / Delegate dialog displayed by clicking the Associate Objects with Delegates icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt; Crowd.objAssoc&gt;.objects ArrayParameter Default: #() -- node array </code></pre><p>Array of linked Objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt; Crowd.objAssoc&gt;.delegates ArrayParameter Default: #() -- node array </code></pre><p>Array of linked delegates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt; Crowd.objAssoc&gt;.alignScale Boolean Default: True </code></pre><p>When true, Align Objects with Delegates sets each object&apos;s absolute scaling factor to that of its corresponding delegates. This is useful if, for example, you&apos;ve randomized delegates&apos; sizes with the Scatter Objects Scale panel, and want the associated objects to match.</p>\n\
<h2 id=\"smooth-properties\">Smooth Properties</h2><p>These properties correspond to the Smoothing rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.objects ArrayParameter Default: #() -- node array; Alias: Objects_to_Smooth </code></pre><p>Specify which objects&apos; positions and/or rotations to smooth.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.filterDelegates Boolean Default: True Alias: Filter_Delegate_Selection </code></pre><p>When true, the Select dialog opened by the Select Objects to Smooth button shows only delegates. When off, it shows all scene objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.wholeAnim Integer Default: 0 </code></pre><p>0 - Whole Animation: Smoothes all animation frames.</p>\n\
<p>1 - Animation Segment: Smoothes only the frame ranges specified in the From and To fields.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.from Integer Default: 0 Alias: smooth_from_frame </code></pre><p>When Animation Segment is chosen, specifies the first animation frame for smoothing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.to Integer Default: 0 Alias: smooth_to_frame </code></pre><p>When Animation Segment is chosen, specifies the last animation frame for smoothing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.positions Boolean Default: True Alias: Smooth_positions </code></pre><p>When true, selected objects&apos; animation paths generated via the simulation are smoothed after the simulation has finished.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.rotations Boolean Default: True Alias: Smooth_rotations </code></pre><p>When true, selected objects&apos; rotations generated via the simulation are smoothed after the simulation has finished.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.filter Boolean default: false Alias: Perform_Filtering </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.futurekeys Integer default: 2 Alias: Future_Keys </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.n Integer default: 2 Alias: Keep_every_Nth_frame </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.pastkeys Integer default: 2 Alias: Past_Keys </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.smoothness Integer default: 4 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.smooth&gt;.reduce Boolean default: true Alias: Perform_Key_Reduction </code></pre><h2 id=\"priority-properties\">Priority Properties</h2><p>These properties correspond to the Priority rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.start Integer Default: 0 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.delegates ArrayParameter Default: #() -- node array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.object Node Default: Undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.grid Node Default: Undefined </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.increment Integer Default: 0 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.showPriorities Boolean Default: False </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd.priority&gt;.showStartFrames Boolean Default: False </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions/Biped-General-Topics/Biped-and-Crowd-Interaction.html\">Biped and Crowd Interaction</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";