var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CAAE7CDF-5E2E-4FA9-A82F-A982CFACE7F8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CrowdAssignment : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdAssignment - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1352022790, 1524464408) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdAssignment ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.team CrowdTeam Default: Undefined-- max object </code></pre><p>A named group of delegates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.delegate Node Default: Undefined-- node </code></pre><p>A delegate object. See <a href=\"Delegate-Helper.html\">CrowdDelegate : Helper</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.behavior MAXObject Default: Undefined-- max object </code></pre><p>One of the <a href=\"./../Crowd-Behaviors.html\">Crowd Behavior</a>classes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.cogcontrol CogControl Default: Undefined-- max object;CognitiveController </code></pre><p>A cognitive controller. See <a href=\"./../Crowd-Behaviors/CogControl-ReferenceTarget.html\">CogControl:MAXObject</a> for more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.weight Float Default: 1.0 -- animatable; float </code></pre><p>The relative effect of the assigned behavior or cognitive controller. The higher an assignment&apos;s <strong>weight</strong> setting is than others&apos;, the more effect it will have. This setting is animatable. Range=0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdassignment&gt;.active BooleanDefault: true -- animatable; boolean </code></pre><p>When true, the assignment is currently in effect. When false, the assignment has no effect. Default=true.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Normally either the team or the delegate property will contain a value of undefined. If both properties contain a value other than undefined, the assigment is applied to the team.</p>\n\
<p>Normally either the cogcontrol or the behavior property will contain a value of undefined. If both properties contain a value other than undefined, the behavior will be used.</p>\n\
<p>Do not assign a value other than undefined or a CrowdTeam value to the team property.</p>\n\
<p>Do not assign a value other than undefined or a Behavior value to the behavior property.</p>\n\
<p>Do not assign a value other than undefined or a CogControl value to the cogcontrol property.</p>\n\
<p>Do not assign a node type other than a Delegate node to the delegate property.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CrowdTeam-ReferenceTarget.html\">CrowdTeam : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a></li>\n\
          <li><a class=\"link\" href=\"../Crowd-Behaviors/CogControl-ReferenceTarget.html\">CogControl :ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";