var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-36E0159E-0002-4F4A-B764-7899A9838F04\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BipFilter Core Interface</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:BipFilter </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.angSmoothing&lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range   \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Rot Smoothing</strong> Filter using the supplied width and damping values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.angBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Rot Blurring</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.angBoosting &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Rot Boosting</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.advAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Adv Rot Smoothing</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.posSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Pos Smoothing</strong> Filter using the supplied width and damping values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.posBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Pos Blurring</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.posBoosting &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Pos Boosting</strong> Filter using the supplied width and damping values values in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.keyReduction &lt;&amp;node array&gt;nodeTab &lt;float&gt;tolerance &lt;integer&gt;keySpacing &lt;float&gt;COMTolerance&lt;float&gt;COMKeySpacing &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Key Reducer</strong> Filter using the supplied tolerance and key spacing for nodes and Center of Mass in the specified time range.</p>\n\
<p>The COMKeySpacing argument was changed from <code>&lt;integer&gt;</code> to <code>&lt;float&gt;</code> in<strong>3ds Max 2011</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.keyPerFrame &lt;&amp;node array&gt;nodeTab \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Create a Key on every frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.enablePosSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Enable/Disable Position Sub-Anims in the specified objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.enableRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Enable/Disable Rotation Sub-Anims in the specified objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.enableScaleSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;enable \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Enable/Disable Scale Sub-Anims in the specified objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.collapsePosSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;perFrame &lt;boolean&gt;delete \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Collapse Position Sub-Anims in the specified objects. When <code>perFrame</code> is supplied as <code>true</code> , a key will be created on every frame, otherwise the existing keys will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.collapseRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;boolean&gt;perFrame &lt;boolean&gt;delete \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Collapse Rotation Sub-Anims in the specified objects. When <code>*perFrame*</code> is supplied as <code>true</code> , a key will be created on every frame, otherwise the existing keys will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.createPosSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Creates Position Sub-Anims in the specified objects by cloning the specified <code>controlToClone</code> controller. If <code>checkForExistence</code> is supplied as <code>true</code> , a check for existing controller will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.createRotSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Creates Rotation Sub-Anims in the specified objects by cloning the specified <code>controlToClone</code> controller. If <code>checkForExistence</code> is supplied as <code>true</code> , a check for existing controller will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.createScaleSubAnim &lt;&amp;node array&gt;nodeTab &lt;control&gt;controlToClone &lt;boolean&gt;checkForExistence \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Creates Scale Sub-Anims in the specified objects by cloning the specified <code>controlToClone</code> controller. If <code>checkForExistence</code> is supplied as <code>true</code> , a check for existing controller will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.DoKneeWobbleFilter &lt;&amp;node array&gt;nodeTab &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Knee Wobble</strong> Filter using the supplied frame and fluctuation thresholds in the specified time range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFilter.DoKneeExtensionFilter &lt;&amp;node array&gt;nodeTab &lt;float&gt;kneeAngle &lt;interval&gt;range \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Filter the specified nodes with the <strong>Knee Extension</strong> Filter using the supplied knee angle in the specified time range.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";