var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8038109D-B71B-4685-8E78-E57333F3CA2C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Notetrack Values</h1></div><p>The following methods are related to creating, adding, deleting Note tracks. See <a href=\"MAXNoteKeyArray-Values-1.html\">MAXNoteKeyArray Values</a> and <a href=\"MAXNoteKey-Values.html\">MAXNoteKey Values</a> for information on accessing the contents of Note tracks.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">notetrack &lt;name_string&gt;      </code></pre><p>Creates a new, empty note track with the specified name. The name is only used to differentiate different note tracks in MAXScript but is not visible in <strong>3ds Max</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noteTrack&gt;.keys MAXNoteKeyArray   </code></pre><p>Contains an array of note keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noteTrack&gt;.name String </code></pre><p>Get/set the name of the note track.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNoteKeyTime &lt;notetrack&gt; &lt;index&gt; </code></pre><p>Returns the time of indexed note key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNoteKeyIndex &lt; notetrack &gt; &lt;time&gt; </code></pre><p>Returns the index of the note key at the specified time.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNoteTrack &lt;MAXWrapper_object&gt; &lt;NoteTrack&gt; </code></pre><p>Adds a new note track to the MAXWrapper object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteNoteTrack &lt;MAXWrapper_object&gt; &lt;NoteTrack&gt; </code></pre><p>Deletes specified note track from the MAXWrapper object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hasNoteTracks &lt;MAXWrapper_object&gt; </code></pre><p>Returns true if the MAXWrapper object has note tracks, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numNoteTracks &lt;MAXWrapper_object&gt; </code></pre><p>Returns the number of note tracks applied to the MAXWrapper object as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNoteTrack &lt;MAXWrapper_object&gt; &lt;index_integer&gt; </code></pre><p>Returns the indexed note track applied to the MAXWrapper object. Index is 1-based.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">Note Track Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";