var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F79D1D4C-2D54-45F0-B056-CF7CD980D721\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CompositeMaterial : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">compositematerial - superclass: material; super-superclass:MAXWrapper - classID: #(1641811159, 325323510) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">compositeMaterial... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compositematerial&gt;.materialList Array default: #(Standard, undefined, ... , undefined, undefined) -- alias: Material </code></pre><p>This array contains all of the materials included in the composite material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compositematerial&gt;.mapEnables Array default: #(true, true, ... , true, true) -- alias: Map_Enable </code></pre><p>This array turns on/off the use of materials (corresponding to the <code>.materialList</code> array) in the composite material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compositematerial&gt;.mixType Array default: #(0, 0, ... , 0, 0) -- alias: Composite_Type </code></pre><p>This array sets the mix type for each material in the <code>.materialList</code> of the composite material:</p>\n\
<p>0- Additive</p>\n\
<p>1- Subtractive</p>\n\
<p>2- Mix</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compositematerial&gt;.amount Array default: #(100.0, 100.0, ... , 100.0, 100.0) -- animatable </code></pre><p>This array sets the amount of mixing for each corresponding material in the <code>.materialList</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compositematerial&gt;.baseMaterial Standard Material default: (null) - alias for materialList[0] </code></pre><p>S ets a base material for the composite material.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>materialList</code> array stores the material for the base material and the sub-materials, the <code>mapEnables</code> array stores whether a sub-material is enabled, the <code>mixTypes</code> array stores the type of mixing to be performed for a sub-material, and the <code>mixTypes</code> array stores the amount of mixing to be performed for a sub-material. The <code>materialList</code> array contains N elements, corresponding to the base material and the (N-1) sub-materials. The remaining arrays store (N-1) elements, corresponding to the (N-1) sub-materials.</p>\n\
<p>A property alias exists for each element of the <code>amount</code> array. The property aliases have the name <code>amount_X</code> , where <code>X</code> is the array element index. So the alias for the first <code>amount</code> element is <code>amount_1</code> , for the second <code>amount_2</code> , etc.</p>\n\
<p><code>baseMaterial</code> is an alias for <code>materialList\\[1\\]</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";