var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1ECC05FE-EE3D-452D-BC73-08DFC1BEDE00\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MorpherMaterial : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MorpherMaterial - superclass: material; super-superclass:MAXWrapper - classID: #(1268332512, 974929316) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MorpherMaterial... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_0 Float default: 0.0 -- animatable, percentage </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_1 Float default: 0.0 -- animatable, percentage </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_2 Float default: 0.0 -- animatable, percentage </code></pre><p>......</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_98 Float default: 0.0 -- animatable, percentage </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_99 Float default: 0.0 -- animatable, percentage </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Channel_100 Float default: 0.0 -- animatable, percentage </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.base </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_1 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_2 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_3 </code></pre><p>......</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_98 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_99 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MorpherMaterial&gt;.Mat_100 </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The Morph modifier associated with a MorpherMaterial cannot be set using MAXScript.</p>\n\
<p>The <code>Channel_N</code> properties are instances of the Morph modifier channel percentage properties, where MorpherMaterial <code>Channel_N</code> corresponds to the Morph modifier channel <code>N+1</code> . The MorpherMaterial <code>Channel_100</code> value corresponds to Morph modifier base object percentage.</p>\n\
<p>The <code>Channel_N</code> property values are 100* the value shown for the corresponding Morph modifier channel percentage value.</p>\n\
<p>The submaterial for each channel is accessible through the properties <code>.base</code> and <code>.Mat_1</code> through <code>.Mat_100</code> .</p>\n\
<p>For example, suppose you have an object called <code>MyMorph</code> that has two morph channels defined, and a MorpherMaterial applied to it. You will need to assign the channel submaterials in the <strong>3ds Max</strong> user interface. To access this material and its submaterials you can use:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mtl=$MyMorph.material-- get the MorpherMaterial\n\
   MM_C1_percent=mtl.Channel_0/100.-- get morph target 1 percentage and scale it correctly\n\
   MM_C1_mtl=mtl.Mat_1-- get morph target 1 submaterial\n\
   MM_base_percent=mtl.Channel_100/100.-- get morph base object percentage and scale it correctly\n\
   MM_base_mtl=mtl.base -- get morph base object submaterial\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";