var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5DD1729A-7549-44CC-9385-A0EAC354C437\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Missing Object Classes</h1></div><p>The following classes are used to represent objects in the scene for which the plug-in defining the object class is missing. An example of this is if you load a scene containing a Biped, but you do not have the Character Studio plugins, the biped objects will be retained in the scene, and the object&#x2019;s class will be shown as the appropriate missing object class. These classes are not creatable by MAXScript and do not have any properties or methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Atmospheric </code></pre><p>Standin for missing Atmospheric class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Camera </code></pre><p>Standin for missing Camera class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Custom_Attribute_Plugin </code></pre><p>Standin for missing Custom Attributes class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Exposure_Control </code></pre><p>Standin for missing Exposure Control class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Float_Control </code></pre><p>Standin for missing Float controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_GeomObject </code></pre><p>Standin for missing Geometry object class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Helper </code></pre><p>Standin for missing Helper object class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Light </code></pre><p>Standin for missing Light object class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Matrix3_Control </code></pre><p>Standin for missing Matrix3 controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Morph_Control </code></pre><p>Standin for missing Morph controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Mtl </code></pre><p>Standin for missing Material class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_OSM </code></pre><p>Standin for missing Object Space Modifier class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Point3_Control </code></pre><p>Standin for missing Point3 controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Point4_Control </code></pre><p>Standin for missing Point4 controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Position_Control </code></pre><p>Standin for missing Position controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Radiosity </code></pre><p>Standin for missing Radiosity class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_RefMaker </code></pre><p>Standin for missing Reference Maker class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_RefTarget </code></pre><p>Standin for missing Reference Target class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Render_Effect </code></pre><p>Standin for missing Render Effect class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Render_Element_Plug_in </code></pre><p>Standin for missing Render Element class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Renderer </code></pre><p>Standin for missing Renderer class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Rotation_Control </code></pre><p>Standin for missing Rotation controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Scale_Control </code></pre><p>Standin for missing Scale controller class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Shader_Plug_in </code></pre><p>Standin for missing Shadow Generator class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Shadow_Type </code></pre><p>Standin for missing Shadow Generator class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Shape </code></pre><p>Standin for missing Shape class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_System </code></pre><p>Standin for missing System class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_Texture_Bake_Element </code></pre><p>Standin for missing Texture_Bake_Element class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_TextureMap </code></pre><p>Standin for missing TextureMap class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_UVGen </code></pre><p>Standin for missing UVGen class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_WSM </code></pre><p>Standin for missing World Space Modifier class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_WSM_Object </code></pre><p>Standin for missing World Space Modifier Object class objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Missing_XYZGen </code></pre><p>Standin for missing XYZGen class objects.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Missing-Object-Classes.html\">Missing Object Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";