var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-657D0BC4-ED38-4087-B696-82F685645921\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Melt : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Melt - superclass: modifier; super-superclass:MAXWrapper - classID: #(919621541, 1342646195) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">melt ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.Melt_Amount Float default: 0.0 -- animatable </code></pre><p>The extent of the &quot;decay&quot;, or melting effect applied to the gizmo, thus affecting the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.Spread Float default: 19.0 -- animatable </code></pre><p>Specifies how much the object and melt will spread as the Amount value increases. It&#x2019;s basically a &quot;bulge&quot; along a flat plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.Solidity_Preset Integer default: 0 </code></pre><p>The relative height of the center of the melted object. Less-solid substances like jelly tend to settle more in the center as they melt. This group provides several presets for different types of substances, as well as a Custom spinner for setting your own solidity:</p>\n\
<p>0 - <strong>Ice</strong> (The default Solidity setting.)</p>\n\
<p>1 - <strong>Glass</strong> (Uses a high Solidity setting to simulate glass.)</p>\n\
<p>2 - <strong>Jelly</strong> (Causes a significant drooping effect in the center.)</p>\n\
<p>3 - <strong>Custom</strong> (Sets any solidity between 0.2 and 30.0.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.Solidity_Custom_Value Float default: 1.0 -- animatable </code></pre><p>Custom solidity value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.axis Integer default: 0 </code></pre><p>The axis (local to the object) on which the melt will occur. Note that this axis is local to the Melt gizmo and not related to the selected entity.</p>\n\
<p>0- Z</p>\n\
<p>1- Y</p>\n\
<p>2- X</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.Negative_Axis Integer default: 0 </code></pre><p>Normally, the melt occurs from the positive direction toward the negative along a given axis. Turn on Flip Axis to reverse this direction.</p>\n\
<p>0- Don&#x2019;t Flip Axis</p>\n\
<p>1- Flip Axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.center SubAnim default: SubAnim:Center -- point3; SubAnim </code></pre><p>Get the center of the melt gizmo.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In releases prior to <strong>3ds Max 5</strong>, this property was exposed as a Point3 value.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.gizmo SubAnim </code></pre><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Melt modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt.gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the gizmo. Translating the gizmo translates its center an equal distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the gizmo. Rotating the gizmo takes place with respect to its center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scaling of the gizmo. Scaling the gizmo takes place with respect to its center.</p>\n\
<p>The following properties are defined by Melt, but are not used:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Melt&gt;.cut_Off__obsolete Float default: 0.0 -- animatable \n\
&lt;Melt&gt;.Confine_To_Gizmo Integer default: 0 </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";