var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-27E2622C-8C00-415F-BA98-D34732A62D73\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bevel : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bevel - superclass: modifier; super-superclass:MAXWrapper - classID: #(4119, 32670) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bevel...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Cap_Bottom Integer default: 1 </code></pre><p>When on, caps the end with the lowest local Z value (bottom) of the object.</p>\n\
<p>When turned off, the bottom is open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Cap_Top Integer default: 1 </code></pre><p>When on, caps the end with the highest local Z value (top) of the object.</p>\n\
<p>When turned off, the end is left open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Cap_Type Integer default: 0 </code></pre><p>Sets cap type:</p>\n\
<p>0- Morph (Creates cap faces suitable for morphing.)</p>\n\
<p>1- Grid (Creates cap faces in a grid pattern. This cap type deforms and renders better than morph capping.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Side_Type Integer default: 0 </code></pre><p>Side type:</p>\n\
<p>0- Linear Sides (Segment interpolation between levels follows a straight line.)</p>\n\
<p>1- Curved Sides (Segment interpolation between levels follows a Bezier curve.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.segments Integer default: 1 -- animatable </code></pre><p>The number of intermediate segments between each level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Smooth_Levels Integer default: 0 </code></pre><p>Controls whether smoothing groups are applied to the sides of a beveled object.</p>\n\
<p>Caps always use a different smoothing group than the sides.</p>\n\
<p>When turned on, smoothing groups are applied to the sides, and the sides appear rounded.</p>\n\
<p>When turned off, smoothing groups are not applied, and the sides appear as flat bevels.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Produce_Mapping_Coords Integer default: 0 </code></pre><p>When turned on, mapping coordinates are applied to the beveled object.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Keep_Lines_From_Crossing Integer default: 0 </code></pre><p>When on, this prevents outlines from crossing over themselves.</p>\n\
<p>This is accomplished by inserting extra vertices in the outline and replacing sharp corners with a flat line segment.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Separation_Between_LinesFloat default: 1.0 -- animatable </code></pre><p>The distance to be maintained between edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Starting_Outline Float default: 0.0 -- animatable </code></pre><p>The distance the outline is offset from the original shape.</p>\n\
<p>A non-zero setting changes the original shape&#x2019;s size.</p>\n\
<p>Positive values make the outline larger and negative values make the outline smaller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_1_Height Float default: 0.0 -- animatable </code></pre><p>The distance of Level 1 above the Start level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_1_Outline Float default: 0.0 -- animatable </code></pre><p>The distance to offset the Level 1 outline from the Start Outline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Use_Level_2 Integer default: 0 </code></pre><p>Adds a level after Level 1 when on.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_2_Height Float default: 0.0 -- animatable </code></pre><p>The distance above Level 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_2_Outline Float default: 0.0 -- animatable </code></pre><p>The offset distance of the Level 2 outline from Level 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Use_Level_3 Integer default: 0 </code></pre><p>Adds a level after the previous level.</p>\n\
<p>If Level 2 is not on, Level 3 is added after Level 1.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_3_Height Float default: 0.0 -- animatable </code></pre><p>The distance above the previous level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel&gt;.Level_3_Outline Float default: 0.0 -- animatable </code></pre><p>The offset distance of Level 3 from the previous level.</p>\n\
<h2 id=\"interfaces-\">Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";