var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6C171BCC-C1FE-4B73-9854-FF4ACD687638\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Displace : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Displace - superclass: modifier; super-superclass:MAXWrapper - classID: #(806194, 0) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displace ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.strength Float default: 0.0 -- animatable </code></pre><p>When set to 0.0, Displace has no effect.</p>\n\
<p>Values greater than 0.0 displace object geometry or particles away from the position of the gizmo.</p>\n\
<p>Values less than 0.0 displace geometry toward the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.decay Float default: 0.0 -- animatable </code></pre><p>Varies the displacement strength with distance. By default, Displace has the same strength throughout world space.</p>\n\
<p>Increasing Decay causes the displacement strength to diminish as distance increases from the position of the Displace gizmo.</p>\n\
<p>This has the effect of concentrating the force field near the gizmo, similar to the field around a magnet repelling its opposite charge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.lumCenterEnable Boolean default: false </code></pre><p>When on, the software uses <code>.center</code> to determine which level of gray Displace uses as the zero displacement value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.center Float default: 0.5 -- animatable, alias: lumCenter </code></pre><p>By default, Displace centers the luminance by using medium (50 percent) gray as the zero displacement value.</p>\n\
<p>Gray values greater than 128 displace in the outward direction (away from the Displace gizmo) and gray values less than 128 displace in the inward direction (toward the Displace gizmo).</p>\n\
<p>This value adjusts the default.</p>\n\
<p>With a Planar projection, the displaced geometry is repositioned above or below the Planar gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.bitmap Bitmap default: undefined </code></pre><p>This bitmap is used for displacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.map TextureMap default: undefined </code></pre><p>This texture map is used for displacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.blur Float default: 0.0 -- animatable </code></pre><p>Blurs or softens the effect of the bitmapped displacement by increasing the value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.maptype Integer default: 0 </code></pre><p>Type of map projection:</p>\n\
<p>0- Planar (Projects the map from a single plane.)</p>\n\
<p>1- Cylindrical (Projects the map as if it were wrapped around the cylinder.)</p>\n\
<p>2- Spherical (Projects the map from a sphere, with singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere&#x2019;s poles.)</p>\n\
<p>3- Shrink Wrap (Projects the map from a sphere, as Spherical does, but truncates the corners of the map and joins them all at a single pole, creating only one singularity at the bottom.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.cap Boolean default: false </code></pre><p>When on, a copy of the map is projected from the ends of the cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.length Float default: 1.0 -- animatable </code></pre><p>The length of the displace gizmo&#x2019;s bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.width Float default: 1.0 -- animatable </code></pre><p>The width of the displace gizmo&#x2019;s bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.height Float default: 1.0 -- animatable </code></pre><p>The height of the displace gizmo&#x2019;s bounding box.</p>\n\
<p>Height has no effect on Planar mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.U_Tile Float default: 1.0 -- animatable </code></pre><p>The number of times the bitmap repeats along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.U_Flip Boolean default: false </code></pre><p>When on, reverses the orientation of the map along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.V_Tile Float default: 1.0 -- animatable </code></pre><p>The number of times the bitmap repeats along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.V_Flip Boolean default: false </code></pre><p>When on, reverses the orientation of the map along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.W_Tile Float default: 1.0 -- animatable </code></pre><p>The number of times the bitmap repeats along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.W_Flip Boolean default: false </code></pre><p>When on, reverses the orientation of the map along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.useMap Boolean default: false </code></pre><p>When on, has Displace use the UV mapping set earlier in the stack. This has no effect if the object is not mapped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.applyMap Boolean default: false </code></pre><p>When on, applies the Displace UV mapping to the bound object. This lets you apply material maps to the object using the same mapping coordinates as the modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.Map_or_Vertex_Color Integer default: 0 </code></pre><p>Specifies whether to apply the displacement projection to a mapping channel or a vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.Map_Channel Integer default: 1 </code></pre><p>The map channel to use for displacement projection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.axis Integer default: 2 </code></pre><p>Flips the alignment of the mapping gizmo along one of its three axes:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace&gt;.gizmo SubAnim </code></pre><p>You can move, scale, and rotate the gizmo to alter the effect of the displacement modifier on the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the displace gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace.Gizmo&gt;.rotation Quat default: (quat 0 0 -1 0) -- animatable </code></pre><p>The rotation of the displace gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Displace.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scaling of the displace gizmo.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>Gizmo</code> property is not present until the Displace modifier has been applied to a node.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";