var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0E933D5C-A4D5-4624-B0BA-4A32A439E98B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Preserve : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Preserve - superclass: modifier; super-superclass:MAXWrapper - classID: #(1220812801, 1925976151) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Preserve ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.iterations Integer default: 25 -- animatable </code></pre><p>The number of calculations toward the solution.</p>\n\
<p>The higher this number, the closer the object comes to matching the original object and the slower the process.</p>\n\
<p>When this is set to zero, the original object has no effect, as if the Preserve modifier were never applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Edge_Length_Weight Float default: 1.0 -- animatable </code></pre><p>The relative importance of the edge length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Face_Angle_Weight Float default: 0.3 -- animatable </code></pre><p>The relative importance of the face angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Volume_Weight Float default: 0.3 -- animatable </code></pre><p>The relative importance of the volume.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Apply_To_Whole_Mesh Integer default: 0 </code></pre><p>When on, applies Preserve to the entire object, regardless of the selection passed from previous levels of the stack:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Selected_Verts_Only Integer default: 0 </code></pre><p>When on, uses previous sub-object vertex selections.</p>\n\
<p>Note that it doesn&#x2019;t matter if the Vertex sub-object level is active in a previous stack item.</p>\n\
<p>As long as vertices have been selected, Preserve will use that selection.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preserve&gt;.Invert_Selection Integer default: 0 </code></pre><p>When on, inverts the selection passed up the stack.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is no way to specify the &quot;Original&quot;objectusing MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";