var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4E6642A0-5237-48AE-A7CA-55BD39C84D98\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Twist : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Twist - superclass: modifier; super-superclass:MAXWrapper - classID: #(144, 0) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">twist ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.angle Float default: 0.0 -- animatable </code></pre><p>The amount of twist around the vertical axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.bias Integer default: 0 -- animatable </code></pre><p>Causes the twist rotation to bunch up at either end of the object.</p>\n\
<p>When the parameter is negative, the object twists closer to the gizmo center.</p>\n\
<p>When the value is positive, the object twists more away from the gizmo center.</p>\n\
<p>When the parameter is 0, the twisting is uniform.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.axis Integer default: 2 </code></pre><p>The axis along which the twist will occur. This is the local axis of the Twist gizmo.</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.limit Boolean default: false -- boolean</code></pre><p>When on, applies limit constraints to the Twist modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit </code></pre><p>The upper limit for the twist effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit </code></pre><p>The lower limit for the twist effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.center Point3 default: [0,0,0] -- animatable </code></pre><p>You can translate and animate the center at this sub-object level, altering the Twist gizmo&#x2019;s shape, and thus the shape of the twisted object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist&gt;.gizmo SubAnim </code></pre><p>You can transform and animate the gizmo like any other object at this sub-object level, altering the effect of the Twist modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the twist gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the twist gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Twist.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the twist gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";