var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4D6345EE-68BB-47D2-8C44-07D56A65A1A5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Optimize_Spline : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Optimize_Spline - superclass: modifier; super-superclass:MAXWrapper - 8:0 - classID: #(751410455L, 2082524464L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that optimizes splines by reducing the number of knots while maintaining the original spline shape .</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Optimize_Spline() OptimizeSpline() </code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.adaptive BooleanClass default: true -- Boolean        </code></pre><p>When creating a new editable spline (see the MakeSpline() method below), indicates that the new spline should have adaptive interpolation turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.iterations Integer default: 8 -- integer        </code></pre><p>The number of iterations used to compute results. Higher numbers will produce better results, but take longer to complete.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.percent Integer default: 0 -- integer        </code></pre><p>When reduce_method is 0, this specifies the percent to reduce the number of knots by.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.reduce_method Integer default: 0 -- integer; Reduce_Type        </code></pre><p>Specifies the knot reduction method, where:</p>\n\
<ul>\n\
<li>0 = reduce knots by a percentage of the total amount</li>\n\
<li>1= reduce knots to a maximum amount</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.reducedMaxKnots Integer default: 2 -- integer; Knots        </code></pre><p>When the reduce_method is 1, specifies the maximum number of knots to reduce to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.reducedMinKnots Integer default: 2 -- integer; Percent_Min\n\
</code></pre><p>When the reduce_method is 0, specifies the minimum number of knots to reduce to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.ShowKnots BooleanClass default: false -- Boolean         </code></pre><p>Gets or sets whether to show knots in the modified spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Optimize_Spline&gt;.subsegment Integer default: 4 -- integer; Subsegments        </code></pre><p>Specifies the number of knots to add between existing knots when calculating solutions.</p>\n\
<h2 id=\"interfaces\">Interfaces</h2><p><strong>Interface: <code>OptimzeSplineModifier</code></strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MakeSpline()\n\
</code></pre><p>Makes a new, editable spline based on the optimized spline. Adaptive interpolation is set by the adaptive property (see above).</p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";