var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3248C1BD-E708-4D30-B830-A5EA93C2C539\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SplineMorph : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineMorph - superclass: modifier; super-superclass:MAXWrapper - 34:0 - classID: #(1923908001L, 3670906845L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that morphs the modified spline into one or more target splines that have the same number of knots.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineMorph() </code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.amount Float default: 50.0 -- animatable; float</code></pre><p>The amount of morph to apply as a percent from 0 - 100, when the <strong>MorphMethod</strong> is 0, &quot;Progressive&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.invert BooleanClass default: false -- Boolean</code></pre><p>Inverts the soft selection when <strong>Use_Softselection</strong> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.MorphMethod Integer default: 0 -- integer</code></pre><p>Gets or sets the morph method, where:</p>\n\
<ul>\n\
<li>0 = Progressive</li>\n\
<li>1 = Blended</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.Target[N] UndefinedClass default: undefined -- node; </code></pre><p>Gets or sets the morph target. There are 10 target slots, named <strong>Target1</strong> to <strong>Target10</strong>. The morph target must have the same number of knots as the modified spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.TargetOn[N] BooleanClass default: true -- boolean</code></pre><p>Gets or sets whether the corresponding Target is used. There are 10 slots, named <strong>TargetOn1</strong> to <strong>TargetOn10</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.TargetWeight[N] Float default: 100.0 -- animatable; float; TargetAmount1</code></pre><p>Gets or sets the blend weight, as a percent, for the target, when the morph method is &quot;Blended&quot;. There are 10 slots, named <strong>TargetWeight1</strong> to <strong>TargetWeight10</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineMorph&gt;.Use_Softselection BooleanClass default: true -- boolean; UseSoftselection</code></pre><p>Uses the soft selection value to weight the morph value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";