var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-73AC907D-1FE9-4B9B-8091-8B1AB98F1E85\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Projection : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Projection - superclass: modifier; super-superclass:MAXWrapper -31:0 - classID: #(376188956, 435752009) </code></pre><p><img src=\"./images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\" alt></p>\n\
<p>The Projection modifier lets yout project data such as mapping coordinates, vertex colors and Material IDs from one geometry object onto another. It is typically used in conjunction with Normal Mapping, but has a much larger number of possible applications.</p>\n\
<p><img src=\"./images/GUID-076087F3-338F-4D62-A74E-2D264E48FFB2-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Projection...   </code></pre><p><strong>Properties</strong></p>\n\
<h3 id=\"selectionrollout\">SelectionRollout</h3><p><img src=\"./images/GUID-AE7F746E-B4E2-4A0C-94F7-F5B2B3EAE17B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing   </code></pre><p>Get/Set the state of the &quot;Ignore Backfacing&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.smoothGroup Integer default: 1 -- integer; Smoothing_Group </code></pre><p>Get/Set the &quot;Select SG&quot; value. This is the smoothing group number (1-32) to select by.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.materialID Integer default: 1 -- integer; Material_ID </code></pre><p>Get/Set the &quot;Select MatID&quot; value. This is the material ID to select by.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.clearSelection BooleanClass default: true-- boolean; Clear_Selection </code></pre><p>Get/Set the state of the &quot;Clear Selection&quot; checkbox. When checked, the previous selection will be cleared.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\"#selection-rollout\">Projection Modifier-Selection Rollout Methods</a></p>\n\
<h3 id=\"soft-selectionrollout\">Soft SelectionRollout</h3><p><img src=\"./images/GUID-ABD00281-4FFD-4F12-8290-A45457F1842B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.useSoftSelection BooleanClass default: false-- boolean; Use_Soft_Selection </code></pre><p>Get/Set the state of the &quot;Use Soft Selection&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselUseEdgeDistance BooleanClass default: false-- boolean; Use_Edge_Distance </code></pre><p>Get/Set the state of the &quot;Edge Distance&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselEdgeDist Integer default: 1 -- integer; Edge_Distance </code></pre><p>Get/Set the &quot;Edge Distance&quot; value as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselAffectBackfacing BooleanClass default: true-- boolean; Affect_Backfacing </code></pre><p>Get/Set the state of the &quot;Affect Backfacing&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselFalloff Float default:20.0 -- world units; Falloff </code></pre><p>Get/Set the Soft Selection &quot;Falloff&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselPinch Floatdefault: 0.0 -- float; Pinch </code></pre><p>Get/Set the Soft Selection &quot;Pinch&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.softselBubble Float default: 0.0 -- float; Bubble </code></pre><p>Get/Set the Soft Selection &quot;Bubble&quot; value.</p>\n\
<h3 id=\"referencegeometryrollout\">ReferenceGeometryRollout</h3><p><img src=\"./images/GUID-4107192D-B93D-45EF-BAEA-6A9D9C8C2545-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.geomNames ArrayParameter default: #() -- string array; Geometry_Selection_Names; Read-only </code></pre><p>Contains geometry selection names. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.geomNodeIDs ArrayParameter default: #() -- int array; Node_ID; Read-only </code></pre><p>Contains the geometry selection IDs. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.geomNodes ArrayParameter default: #() -- node array; Geometry_Nodes; Read-only </code></pre><p>Contains the geometry selections nodes. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.IDs ArrayParameter default: #() -- int array; SO_IDs; Read-only </code></pre><p>Contains the sub-object IDs. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.mapProportions ArrayParameter default: #() -- float array; Map_Proportions; Read-only </code></pre><p>Contains an array of Map Proportions. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.projectionTypes ArrayParameter default: #() -- max object array; Projection_Types; Read-only </code></pre><p>Contains an array of Projection Types. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.selLevels ArrayParameter default: #() -- int array; Selection_Levels; Read-only </code></pre><p>Contains an array of Selection Levels. Read-only!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.MapChannel Integer default: 1 -- integer; Map_Channel \n\
&lt;Projection&gt;.geomNodeVisible ArrayParameter default: #() -- int array; Node_Visible </code></pre><p>Contains an array of visibility flags.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.displayToggleEnable BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Enable checkbox in the Display Toggle group of controls.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.displayToggleMode Integer default: 1 -- integer </code></pre><p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h3 id=\"cagerollout\">CageRollout</h3><p><img src=\"./images/GUID-B00C102D-6752-484F-943D-DD6DAAE2763F-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.displayCage BooleanClass default: true -- boolean; Display_Cage </code></pre><p>Get/Set the state of the &quot;Cage&quot; checkbox. When true, the cage will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.displayCageShaded BooleanClass default: false -- boolean; Display_Cage_Shaded </code></pre><p>Get/Set the state of the &quot;Shaded&quot; checkbox. When true, the cage will be shaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.displayCageOffset BooleanClass default: false -- boolean; Display_Cage_Offset </code></pre><p>Get/Set the state of the &quot;Point to Point&quot; checkbox. When true, the projection vectors along the offset will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.pushValue Float default: 0.0 -- world units;Push_Value </code></pre><p>Get/Set the Push &quot;Amount&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.pushPercent Float default: 0.0 -- float; Push_Percentage </code></pre><p>Get/Set the Push &quot;Percent&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.autoWrapTolerance Float default: 0.0 -- world units; Auto_Wrap_Tolerance </code></pre><p>Get/Set the Auto-Wrap &quot;Tolerance&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.autoWrapAlwaysUpdate BooleanClass default:false-- boolean; Auto_Wrap_Always_Update </code></pre><p>Get/Set the state of the Auto-Wrap &quot;Always Update&quot; checkbox.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\"#cage-rollout\">Projection Modifier-Cage Rollout Methods</a></p>\n\
<h3 id=\"selection-checkrollout\">Selection CheckRollout</h3><p><img src=\"./images/GUID-F31AEFD0-9360-42D2-B0A2-B6FECE4F1BDE-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.selectionCheckType Integer default: 2 --integer; Selection_Check_Type </code></pre><p>Get/Set the selection of the Check radio buttons. Possible values are:</p>\n\
<p>0 - Material ID</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Both (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.selectionCheckSelFaces BooleanClass default: true -- boolean; Show_Selection_Check_Faces </code></pre><p>Get/Set the state of the &quot;Selected Faces&quot; checkbox. When true, only selected faces will be checked.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<p>For related methods, see <a href=\"#selection-check-rollout\">Projection Modifier-Selection Check Rollout Methods</a></p>\n\
<h3 id=\"projection-rollout\">Projection Rollout</h3><p><img src=\"./images/GUID-F861D09D-E2F7-4934-B574-857894839A32-low.gif\" alt></p>\n\
<p>No properties exposed.</p>\n\
<p>For related methods, see <a href=\"#projection-rollout\">Projection Modifier-Projection Rollout Methods</a></p>\n\
<p><strong>Projection interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:projectionModOps </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>projectionModOps interface</strong> is a <strong>Mixin interface</strong> exposed by the Projection modifier itself.Any interfaces of the modifier will be searched for the method name, thus allmethods below are visible as methods exposed bythe Projection modifier itself.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.shrinkSelection() </code></pre><p>and</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Projection&gt;.projectionModOps.shrinkSelection() </code></pre><p>are equivalent.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --assuming a cylinder has been applied a projection modifier:\n\
   theProjMod = $Cylinder01.modifiers[#Projection]--get the modifier\n\
   theProjMod.projectionModOps.shrinkSelection()--shrink selection\n\
   theProjMod.growSelection()--grow selection -also works\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"selection-rollout\">Selection Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;shrinkSelection() </code></pre><p>Shrinks the selection. Corresponds to pressing the &quot;Shrink&quot; button in the Selection rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;growSelection() </code></pre><p>Grows the selection. Corresponds to pressing the &quot;Grow&quot; button in the Selection rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;selectBySG &lt;integer&gt;sg </code></pre><p>Selects by Smoothing Group. Corresponds to pressing the &quot;Select SG&quot; button in the Selection rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;selectByMtlID &lt;integer&gt;id </code></pre><p>Selects by Material ID. Corresponds to pressing the &quot;Select MatID&quot; button in the Selection rollout.</p>\n\
<h3 id=\"geometry-selection-rollout\">Geometry Selection Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isValidObject &lt;node&gt;node </code></pre><p>Returns true if the node is a valid projection object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;addObjectNode &lt;node&gt;node </code></pre><p>Adds the given node to the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteAll() </code></pre><p>Deletes all objects. Corresponds to pressing the &quot;Delete All&quot; icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numObjects() </code></pre><p>Returns the number of objects in the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getObjectNode &lt;index&gt;objIndex </code></pre><p>Returns the node corresponding to the indexed object on the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getObjectName &lt;index&gt;objIndex </code></pre><p>Returns the name of the indexed object on the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getObjectSelLevel &lt;index&gt;objIndex \n\
getObjectSelLevel enums:{#object|#vertex|#face|#element) </code></pre><p>Returns the selection level of the indexed object on the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getObjectSelFaces &lt;node&gt;node &lt;index&gt;objIndex &lt;&amp;bitArray&gt;faces \n\
faces is Out parameter </code></pre><p>Returns the selected faces of the specified node and indexed objectinto the by-reference bitArray. The method itself returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getObjectMtlIds &lt;node&gt;node &lt;index&gt;objIndex &lt;&amp;integer array&gt;mtlIDs \n\
mtlIDs is Out parameter </code></pre><p>Returns the Material IDs of the specified node and indexed object into the by-reference Array of integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteObjectNode &lt;index&gt;objIndex </code></pre><p>Deletes the indexed object from the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numGeomSels() </code></pre><p>Returns the number of objects in the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getGeomSelName &lt;index&gt;selIndex </code></pre><p>Returns the name of the indexed selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getGeomSelLevel &lt;index&gt;selIndex \n\
getGeomSelLevel enums: {#object|#vertex|#face|#element) </code></pre><p>Returns selection level of the the indexed selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numGeomSelNodes &lt;index&gt;selIndex </code></pre><p>Returns the number of geometry selection nodes with the given selection index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getGeomSelNode &lt;index&gt;selIndex &lt;index&gt;nodeIndex </code></pre><p>Returns the scene node corresponding to the indexed node and indexed selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getGeomSelFaces &lt;node&gt;node &lt;index&gt;selIndex &lt;&amp;bitArray&gt;faces \n\
faces is Out parameter </code></pre><p>Returnsthe face selection of the given scene node and the indexed selection in the by-reference bitArray. The method itself returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getGeomSelMtlIds &lt;node&gt;node &lt;index&gt;selIndex &lt;&amp;integer array&gt;mtlIDs \n\
mtlIDs is Out parameter </code></pre><p>Returns the Material IDs of the given scene node and the indexed selection in the by-reference Array of Integers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getGeomSelMapProportion &lt;index&gt;selIndex </code></pre><p>Returns the Map Proportion value of the indexedgeometryselection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetGeomSelMapProportion &lt;index&gt;selIndex &lt;float&gt;proportion </code></pre><p>Sets the Map Proportion value of the indexedgeometryselection to the supplied float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteGeomSel &lt;index&gt;selIndex </code></pre><p>Deletes the indexed geometry selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteGeomSelNode &lt;index&gt;selIndex &lt;index&gt;nodeIndex </code></pre><p>Deletes the indexed node from the indexed geometry selection .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getGeomSelFaceArea &lt;node&gt;node &lt;index&gt;selIndex </code></pre><p>Returns the face area of the indexed geometry selection of the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setGeomSelNodesVisibility &lt;boolean&gt;visible </code></pre><p>Sets the visibility of the current Geometry Selection node to the given boolean value. Corresponds to pressing the visibility icon in the Geometry Selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getGeomSelNodesVisibility() </code></pre><p><a name=\"cage-rollout\"></a></p>\n\
<h3 id=\"cage-rollout\">Cage Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;autowrapCage() </code></pre><p>Performs a Cage Auto-Wrap. Corresponds to pressing the &quot;Update&quot; button in the Auto-Wrap group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;resetCage() </code></pre><p>Resets the Cage. Corresponds to pressing the &quot;Reset&quot; button in the Auto-Wrap group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pushCage &lt;float&gt;amount </code></pre><p>Pushes the cage by the given amount. Corresponds to chaning the Amount value in the Push group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;importCage &lt;node&gt;importNode </code></pre><p>Imports the cage from the specified node.Available in <strong>3ds Max 2008and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;exportCage &lt;string&gt;exportNodeName </code></pre><p>Exports the cage as a new node with the given name.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<h3 id=\"selection-check-rollout\">Selection Check Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;checkDuplicateMatIDs &lt;node&gt;node &lt;&amp;bitArray&gt;dupFaces \n\
dupFaces is Out parameter </code></pre><p>Performs a check for duplicated Material IDs and returns a bitarray in the by-reference argument containing the offending faces.</p>\n\
<p>The method itself returns the number of offending faces as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;checkDuplicateSels &lt;node&gt;node &lt;&amp;bitArray&gt;dupFaces \n\
dupFaces is Out parameter </code></pre><p>Performs a check for duplicated Selections and returns a bitarray in the by-reference argument containing the offending faces.</p>\n\
<p>The method itself returns the number of offending faces as integer.</p>\n\
<h3 id=\"projection-rollout\">Projection Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numProjectionTypes() </code></pre><p>Returns the number of projections currently on the Projection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeProjectionType &lt;index&gt;ptIndex </code></pre><p>Removes the indexed Projection Type from the Projection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;projectProjectionType &lt;index&gt;ptIndex </code></pre><p>Performs the projection using the the indexed Projection Type from the Projection list. Similar to pressing the &quot;Project&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;projectAll() </code></pre><p>Projects all.Corresponds to pressing the &quot;Project All&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numRegisteredProjectionTypes() </code></pre><p>Returns the number of available Projection types.Currentlythere is only one type implemented.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getProjectionType &lt;index&gt;ptIndex </code></pre><p>Returns the indexed Projection object.Currentlythere is only one type implemented :<a href=\"Project_Mapping-ReferenceTarget.html\">Project_Mapping : ReferenceTarget</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addRegisteredProjectionType &lt;index&gt;rptIndex </code></pre><p>Adds a new projection of the indexed type to the Projection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;getRegisteredProjectionTypeClassID &lt;index&gt;rptIndex &lt;&amp;integerarray&gt;classID \n\
classID is Out parameter </code></pre><p>Returns the classID of the indexed projection type into the by-reference variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showAlignment() </code></pre><p>Corresponds to pressing the &quot;Show Alignment&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearAlignment() </code></pre><p>Corresponds to pressing the &quot;Clear&quot; button.</p>\n\
<h2 id=\"related-methods\">Related Methods</h2><p>The following scripted functions are available for easier Project Modifieraccess. They are implemented in the file<em>ProjectionMod.ms</em></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetPModObjectNames &lt;projectionMod&gt;modifier </code></pre><p>Returns an array of Geometry Selection names for the given Projection Modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FindPMod &lt;node&gt;source </code></pre><p>Returns thehighestProjection modifierfrom the stackof the supplied node. Returns undefined if there is no Projection modifier applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AddPModObjects &lt;array&gt;node_list &lt;boolean&gt;createNew &lt;boolean&gt;deleteAll [objList :&lt;array&gt;] </code></pre><p>Adds Projection modifierobjectsto thenodes in the array.</p>\n\
<p>If <code>createNew</code> is true, a new modifier is created, otherwise the existing modifier is used.</p>\n\
<p>If <code>deleteOld</code> is true, all previous objects will be deleted from the modifier&apos;s geometry selection.</p>\n\
<p>If the optiona <code>objList</code> <strong>:</strong> parameteris supplied, the Target objects will be added to the list, otherwise the Pick dialog will be displayed to pick Target objects manually.</p>\n\
<p>Returns an array of Projection Modifiers corresponding to the node_list.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Projection-Mapping-Modifiers.html\">Projection Mapping Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Project_Mapping-ReferenceTarget.html\">Project_Mapping : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"Project_Mapping_Holder-Modifier.html\">Project_Mapping_Holder : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../../BakeElement/NormalsMap-BakeElement.html\">NormalsMap : BakeElement</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";