var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BE11A0A8-4280-46B4-ACAE-840CB96DB763\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UnwrapUVW Modifier - Main Toolbar</h1></div><p>The main toolbar of the Edit UVWs Floater exposes the transform tools and the background map controls:</p>\n\
<h2 id=\"move-rotate-scale-icons\">Move/Rotate/Scale Icons</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.move() </code></pre><p>Presses the Move icon in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveH() </code></pre><p>Presses the Move Horizontal button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveV() </code></pre><p>Presses the Move Vertical button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.rotate() </code></pre><p>Presses the Rotate button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scale() </code></pre><p>Presses the Scale button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleH() </code></pre><p>Presses the Scale Horizontal button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleV() </code></pre><p>Presses the Scale Vertical button in the Edit UVWs floater&apos;s main toolbar.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFreeFormMode() </code></pre><p>Returns true if in FreeForm Mode, false otherwise.</p>\n\
<p>In this mode, you select anywhere inside the bounding rectangle to move the selection. You select the corners to scale the selection, and select the edge centers to rotate the selection. You can also move the center cross which is your rotation pivot point.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFreeFormMode &lt;boolean&gt;freeFormMode </code></pre><p>Enable / Disable FreeForm Mode.</p>\n\
<p>In this mode, you select anywhere inside the bounding rectangle to move the selection. You select the corners to scale the selection, and select the edge centers to rotate the selection. You can also move the center cross which is your rotation pivot point.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mirrorH() </code></pre><p>Presses the Mirror Horizontal button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mirrorV() </code></pre><p>Presses the Mirror Vertical button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flipHorizontal() </code></pre><p>This presses the Flip Horizontal button in the edit floater dialog.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.flipVertical() </code></pre><p>This presses the Flip Vertical button in the edit floater dialog.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"texture-map-display\">Texture Map Display</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.updateMap() </code></pre><p>Presses the Update Map button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.displayMap &lt;boolean&gt;displayMap </code></pre><p>Toggles the Display Map button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isMapDisplayed() </code></pre><p>Returns the state of the Display Map button.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowMap() </code></pre><p>Returns the Show Map button state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowMap &lt;boolean&gt;showMap </code></pre><p>Sets the Show Map button state.</p>\n\
<p>Same functionality as <code>.displayMap()</code> method.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getCurrentMap() </code></pre><p>Returns the index into the map drop down list of the current map in the view of the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.SetCurrentMap &lt;integer&gt;map </code></pre><p>Changes the currently displayed map to the index provided, where <code>map</code> is the index of the map in the drop down list that you want to display.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberMaps() </code></pre><p>Returns the number of maps in the map drop down list.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.addMap &lt;texturemap&gt;map </code></pre><p>Adds the supplied texture map to the Maps drop-down list of the Unwrap_UVW Editor.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"uv-space-flyout\">UV Space Flyout</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setUVSpace &lt;integer&gt;UVSpace </code></pre><p>Sets the UV Space fly out in the edit floater, where <code>UVSpace</code> defines the space that you want to view the texture vertices in:</p>\n\
<p>1 - UV</p>\n\
<p>2 - VW</p>\n\
<p>3 - UW</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.GetUVSpace() </code></pre><p>Returns the state of the UV Space fly out in the edit floater:</p>\n\
<p>1 - UV</p>\n\
<p>2 - VW</p>\n\
<p>3 - UW</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"auto-background\">Auto-Background</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAutoBackground() </code></pre><p>Returns the AutoBackground option&#x2019;s state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setAutoBackground &lt;boolean&gt;enable </code></pre><p>Sets the AutoBackground option&#x2019;s state.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.SetAutoBackGround &lt;boolean&gt;autoBackground </code></pre><p>There is a new auto background option which, when set to True, will tie the current background to the current Mat. Filter ID. When you change the Mat. Filter ID, the background will automatically change to a map that uses that material id.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetAutoBackGround() </code></pre><p>Returns the state of the Auto Background option (see above)</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";