var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-99222CE9-9679-4879-BCB9-C1338AEE9A75\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UnwrapUVW Modifier - Preferences Dialog</h1></div><p><img src=\"./images/GUID-A40BB58B-F657-421C-B21B-19F9D7DAA74D-low.gif\" alt></p>\n\
<h2 id=\"colors\">Colors</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getLineColor() </code></pre><p>Returns the color of the lines used to connect the texture vertices edges as a Point3 value.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setLineColor &lt;point3&gt;color </code></pre><p>Sets the line color of the texture vertices.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getHandleColor() </code></pre><p>Returns the handle color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setHandleColor &lt;point3&gt;color </code></pre><p>Sets the handle color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowShared() </code></pre><p>Returns whether shared sub objects are displayed. Shared sub objects are texture vertices or edges that share the same geometric vertex or edge.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowShared &lt;boolean&gt;select </code></pre><p>Sets whether shared sub objects are displayed. Shared sub objects are texture vertices or edges that share the same geometric vertex or edge.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSharedColor() </code></pre><p>Returns the color that will be used to show shared sub objects.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSharedColor &lt;point3&gt;color </code></pre><p>Sets the color that will be used to show shared sub objects.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSelectionColor() </code></pre><p>Returns the texture vertices selection color as a Point3 value.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectionColor &lt;point3&gt;color </code></pre><p>Sets the color of selected texture vertices.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getFreeFormColor() </code></pre><p>Returns the Free Form Gizmo color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFreeFormColor &lt;point3&gt;color </code></pre><p>Sets the Free Form Gizmo color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getOpenEdgeColor() </code></pre><p>Returns the color used to display Open Edges.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setOpenEdgeColor &lt;point3&gt;color </code></pre><p>Sets the color used to display Open Edges.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getBackgroundColor() </code></pre><p>Returns the Background color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setBackgroundColor &lt;point3&gt;color </code></pre><p>Sets the Background color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"fill-mode\">Fill Mode</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFillMode() </code></pre><p>Returns the polygon fill mode:</p>\n\
<ul>\n\
<li>1 - No Fill</li>\n\
<li>2 - Solid Fill</li>\n\
<li>3 - Cross Hatch Horizontal/Vertical</li>\n\
</ul>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFillMode &lt;integer&gt;mode </code></pre><p>Sets the polygon fill mode.</p>\n\
<ul>\n\
<li>1 - No Fill</li>\n\
<li>2 - Solid Fill</li>\n\
<li>3 - Cross Hatch Horizontal/Vertical</li>\n\
</ul>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"open-edges-display\">Open Edges Display</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getDisplayOpenEdges() </code></pre><p>Returns the state of the Display Seams option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setDisplayOpenEdges &lt;boolean&gt;displayOpenEdges </code></pre><p>Sets the state of the Display Seams option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getOpenEdgeMode() </code></pre><p>Returns the OpenEdge Mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setOpenEdgeMode &lt;boolean&gt;uvOpenMode </code></pre><p>Sets the OpenEdge Mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.openEdgeSelect() </code></pre><p>Selects Open Edges. Select any number of edges and call this method to select all open edges which share texture vertices with the original selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"display-preferences\">Display Preferences</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getBrightnessAffectsCenterTile() </code></pre><p>Returns the state of the &quot;Affect Center Tile&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setBrightnessAffectsCenterTile &lt;boolean&gt;bright </code></pre><p>Sets the state of the &quot;Affect Center Tile&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When set to <code>true</code> , the brightness value affects the center tile.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getBlendTileToBackground() </code></pre><p>Returns the state of the &quot;Blend Tile To Background&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When <code>true</code> , the brightness value affects the center tile.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setBlendTileToBackground &lt;boolean&gt;blend </code></pre><p>Sets the state of the &quot;Blend Tile To Background&quot; option in the Display Preferences section of the Unwrap Options dialog.</p>\n\
<p>When set to <code>true</code> , the tiled images are blended to the background color or black</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFilterMap </code></pre><p>Gets the state of the &quot;Filter Map&quot; option in the Display Preferences section of the Unwrap Options dialog. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFilterMap &lt;boolean&gt;filter </code></pre><p>Sets the state of the &quot;Filter Map&quot; option in the Display Preferences section of the Unwrap Options dialog. When true, maps are smoothed/filtered. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<h2 id=\"map-tiling\">Map Tiling</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTileMap() </code></pre><p>Returns true if the map is tiled, false otherwise.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMap &lt;boolean&gt;tile </code></pre><p>Enable/Disable the map tiling.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTileMapLimit() </code></pre><p>Returns the map tiling limit. Corresponds to the Tile Limit value found in the Options panel and Advanced Options dialog.</p>\n\
<p>The value defines how many times to repeat the map outside of the original map area.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMapLimit &lt;integer&gt;limit </code></pre><p>Sets the map tiling limit.</p>\n\
<p>Corresponds to the Tile Limit value found in the Options panel and Advanced Options dialog. The value defines how many times to repeat the map outside of the original map area.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getTileMapBrightness() </code></pre><p>Returns the Brightens of the tiled map outside of the original map area.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTileMapBrightness &lt;float&gt;contrast </code></pre><p>Sets the Brightens of the tiled map outside of the original map area.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"grid\">Grid</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getGridSize() </code></pre><p>Returns the Grid Size.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridSize &lt;float&gt;size </code></pre><p>Sets the Grid Size.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGridSnap() </code></pre><p>Returns the state of the Grid Snap checkbutton. Always returns false if the Snap flyout is in Pixel Snap mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridSnap &lt;boolean&gt;snap </code></pre><p>Sets the state of the Grid Snap checkbutton. Changes the flyout to Grid Snap if necessary.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGridVisible() </code></pre><p>Returns the visible state of the Grid.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridVisible &lt;boolean&gt;visible </code></pre><p>Sets the visible state of the Grid.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getGridColor() </code></pre><p>Returns the Grid color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridColor &lt;point3&gt;color </code></pre><p>Sets the Grid color.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getGridStr() </code></pre><p>Returns the strength of the grid snap.</p>\n\
<p>At a strength of 1 the snap system has complete control and a vertex will always snap to a grid intersection, at a strength of 0 there will be no snapping.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGridStr &lt;float&gt;str </code></pre><p>Sets the strength of the grid snap.</p>\n\
<p>At a strength of 1 the snap system has complete control and a vertex will always snap to a grid intersection, at a strength of 0 there will be no snapping.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"hit-size\">Hit Size</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHitSize() </code></pre><p>Returns the Single Click Hit Size value found in the Advanced Options dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setHitSize &lt;integer&gt;size </code></pre><p>Sets the Single Click Hit Size value found in the Advanced Options dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"tick-size\">Tick Size</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTickSize() </code></pre><p>Returns the selected vertex tick size.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTickSize &lt;integer&gt;size </code></pre><p>Sets the selected vertex tick size.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";