var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9E38F35B-8C70-45D7-A58D-EEE99B947EA7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Pelt Mapping</h1></div><p>The following methods introduced in <strong>3ds Max 8</strong> expose the Pelt Mapping Dialog controls to MAXScript.</p>\n\
<h2 id=\"pelt-map-parameters-dialog\">Pelt Map Parameters Dialog</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialog() </code></pre><p>Opens the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"pelt-map-parameters-dialog-stretcher-group-of-controls\">Pelt Map Parameters Dialog - Stretcher group of controls</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogResetStretcher() </code></pre><p>Presses the <strong>Reset Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSnapToSeams() </code></pre><p>Presses the <strong>Snap To Seams</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStraightenMode() </code></pre><p>Returns true if in Straighten mode, false otherwise.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStraightenMode &lt;boolean&gt;mode </code></pre><p>Pass true as argument to enable the Straighten mode (check the <strong>Straighten Stretcher</strong> checkbutton in the Pelt map Parameters dialog), or false to disable.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogStraighten &lt;index&gt;vert1 &lt;index&gt;vert2 </code></pre><p>Straigtens using the specified indexed vertices.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogMirrorStretcher() </code></pre><p>Presses the <strong>Mirror Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogMirrorAxis() </code></pre><p>Returns the Mirror Axis.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogMirrorAxis &lt;float&gt;axis </code></pre><p>Sets the Mirror Axis.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"pelt-map-parameters-dialog-springs-group-of-controls\">Pelt Map Parameters Dialog - Springs group of controls</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStretcherStrength() </code></pre><p>Returns the Stretcher <strong>Pull Strength</strong> value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStretcherStrength &lt;float&gt;strength </code></pre><p>Sets the Stretcher <strong>Pull Strength</strong> value. Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogStiffness() </code></pre><p>Returns the Stretcher <strong>Stiffness</strong> value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogStiffness &lt;float&gt;stiffness </code></pre><p>Sets the Stretcher <strong>Stiffness</strong> value. Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogDampening() </code></pre><p>Returns the <strong>Dampening</strong> value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogDampening &lt;float&gt;dampening </code></pre><p>Sets the <strong>Dampening</strong> value. Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getPeltDialogDecay() </code></pre><p>Returns the Decay value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogDecay &lt;float&gt;decay </code></pre><p>Sets the Decay value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltLockOpenEdges() </code></pre><p>Returns the state of the Lock Open Edges checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltLockOpenEdges &lt;boolean&gt;lock </code></pre><p>Sets the state of the <strong>Lock Open Edges</strong> checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"pelt-map-parameters-dialog-select-group-of-controls\">Pelt Map Parameters Dialog - Select group of controls</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSelectStretcher() </code></pre><p>Presses the <strong>Select Stretcher</strong> button in the <strong>Pelt Map Parameters</strong> dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogSelectPelt() </code></pre><p>Presses the <strong>Select PeltUVs</strong> button in the <strong>Pelt Map Parameters</strong>dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"pelt-map-parameters-dialog-simulation-group-of-controls\">Pelt Map Parameters Dialog - Simulation group of controls</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPeltDialogFrames() </code></pre><p>Returns the number of Iterations of the Pelt simulation in frames.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogFrames &lt;integer&gt;frames </code></pre><p>Sets the Iterations of the Pelt simulation in frames. Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPeltDialogSamples() </code></pre><p>Returns the number of Samples for the Pelt simulation.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltDialogSamples &lt;integer&gt;samples </code></pre><p>Sets the number of Samples for the Pelt simulation.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRelaxLight() </code></pre><p>Performs light relaxing. Corresponds to pressing the <strong>Relax(Light)</strong> button in the <strong>Pelt Map Parameters</strong> Dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRelaxHeavy() </code></pre><p>Performs heavy relaxing. Corresponds to pressing the <strong>Relax(Heavy)</strong> button in the <strong>Pelt Map Parameters</strong> Dialog. Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltDialogRun() </code></pre><p>Runs the Pelt simulation. Corresponds to pressing the <strong>Sumulate Pelt Pulling</strong> button.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";