var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3F37D428-C163-42B6-B845-D17D5BF34A21\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>HideByCategory Properties and Methods</h1></div><p><img src=\"./images/GUID-4034437A-DCB5-4279-93DE-A2F506ADA847-low.gif\" alt></p>\n\
<p>The following variables and methods are accessible through the <code>hideByCategory</code> structure:</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.geometry </code></pre><p>Get/set whether Geometry objects are hidden. This includes Particle Systems but not Bones. Target Objects created using <code>targetObject()</code> but not assigned as lookAt target will also be affected by this category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.shapes </code></pre><p>Get/set whether Shapes are hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.lights </code></pre><p>Get/set whether Lights are hidden. Targets are of GeometryClass, but they will be hidden if used by a Light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.cameras </code></pre><p>Get/set whether Cameras are hidden. Targets are of GeometryClass, but they will be hidden if used by a Camera.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.helpers </code></pre><p>Get/set whether Helpers are hidden. Targets are of GeometryClass, but they will be hidden if used by a Tape helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.spacewarps </code></pre><p>Get/set whether Space Warps are hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.particles </code></pre><p>Get/set whether Particles are hidden. Particles are of GeometryClass, thus are being hidden by both this category and by the .geometry category. This includes all particle systems like Particle Flow and Legacy Particle Systems.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.bones </code></pre><p>Get/set whether bones are hidden.Bones are geometrySuperclass, but are NOT being affected by the Geometry category because it would be counter-productive during rigging sessions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.all() </code></pre><p>Set all Hide By Category categories as hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hideByCategory.none() </code></pre><p>Set all Hide By Category categories as not hidden.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"General-Node-Properties.html\">General Node Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";