var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C67F2581-3D1E-48AB-B718-6BE35E89DE99\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BlobMesh : GeometyClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BlobMesh - superclass: GeometryClass; super-superclass:node - 12:0 - classID: #(1823519629, 1465620393) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p>The <strong>BlobMesh</strong> Compound Object Class lets you create Instances which turn any geometry object or ParticleFlow particle system into a Metaball system.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BlobMesh ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt; . size Float default: 20.0 -- animatable; world units </code></pre><p>Get/Set the Size of the Metaballs</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.tension Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the Surface Tension of the Metaballs</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.render Float default: 3.0 -- animatable; world units </code></pre><p>Get/Set the Render Coarseness value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.viewport Float default: 6.0 -- animatable; world units </code></pre><p>Get/Set the Render Coarseness value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.relativeCourseness BooleanClass default: false -- boolean; Courseness </code></pre><p>Enable/Disable Relative Coarseness.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.nodeList ArrayParameter default: #() -- node array; Node_List; SubAnim </code></pre><p>Get/Set the List of the nodes to create Metaballs from.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.useSoftSelection BooleanClass default: false -- boolean; Use_Soft_Selection </code></pre><p>When set to <code>True</code> , incoming Soft Selection will be used to affect the Metaballs generation .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.minSize Float default: 10.0 -- animatable; world units; Min_Size </code></pre><p>Get/Set the Min. Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.largeDataSetOptimization BooleanClass default: false -- boolean; Large_Data_Set_Optimization </code></pre><p>Toggle Optimization for large data sets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.useAllPFEvents BooleanClass default: true -- boolean; Use_All_PF_Events </code></pre><p>When set to <code>True</code> , particles from all Particle Flow Events will be used to create Metaballs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.pfEventList ArrayParameter default: #() -- node array; PF_Event_List; SubAnim </code></pre><p>Get/Set the list of Particle Flow events.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlobMesh&gt;.offInView BooleanClass default: false -- boolean; Off_In_View </code></pre><p>When set to <code>True</code> , the resulting metaball mesh will not be displayed in the viewport.</p>\n\
<h2 id=\"blobmesh-interfaces-\">BlobMesh interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface : blobMeshOps </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addBlob &lt;node&gt;node </code></pre><p>node - the node to be added as a blob</p>\n\
<p>This adds a node to the metaball system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeBlob &lt;node&gt;node </code></pre><p>node the node to be removed</p>\n\
<p>This lets you remove a node from the metaball system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addPFBlob &lt;node&gt;node </code></pre><p>node the PF Event node to be added</p>\n\
<p>This adds a PF Event node to the metaball system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removePFBlob &lt;node&gt;node </code></pre><p>node the PF Event node to be removed</p>\n\
<p>This removes a PF Event node to the metaball system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pick () </code></pre><p>This equivalent to pushing the Pick button in the UI</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;add () </code></pre><p>This equivalent to pushing the Add button in the UI</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addPF () </code></pre><p>This equivalent to pushing the Add button in the PF Rollout UI</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";