var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E0909AC0-5025-492A-BDA7-278654714948\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BiFold : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BiFold - superclass: GeometryClass; super-superclass:node - 26:0 - classID: #(1614050899, 1271618516) </code></pre><p><img src=\"./images/GUID-29711734-AD4C-4E5B-A081-4C79D53F1203-low.gif\" alt></p>\n\
<p>This class is available again in <strong>3ds Max 6 and higher</strong>. It was not available in <strong>3ds Max 4</strong> and <strong>5</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bifold... </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.height Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the height of the door.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.open Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the percentage value defining the open state of the window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.width Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the width of the door.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.depth Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the depth of the door.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Generate_Mapping_Coords BooleanClass default: false </code></pre><p>Enable/Disable mapping coordinates generation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Double_Doors Integer default: 0 -- integer </code></pre><p>Controls the state of the Double Doors checkbox in the &quot;Parameters&quot; rollout. Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Flip_Swing BooleanClass default: false </code></pre><p>When set to true, flips the door&apos;s swing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Flip_Hinge BooleanClass default: false </code></pre><p>When set to true, flips the door&apos;s hinge when Double_Doors is set to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Create_Frame BooleanClass default: true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Frame_Width Float default: 2.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Frame_Depth Float default: 1.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Door_Offset Float default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Leaf_Thickness Float default: 2.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Stiles_Top_Rail Float default: 4.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Bottom_Rail Float default: 12.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Number_of_Panels_Horizontally Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Number_of_Panels_Vertically Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Muntin Float default: 2.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Type Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Glass_Thickness Float default: 0.25 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Bevel_Angle Float default: 45.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Thickness_1 Float default: 0.25 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Thickness_2 Float default: 0.5 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Middle_Thickness Float default: 0.25 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Width_1 Float default: 1.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BiFold&gt;.Panel_Width_2 Float default: 0.5 -- animatable; float </code></pre><p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize : boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Doors-and-Windows.html\">Geometry - Doors and Windows</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";