var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-19E2A67E-574C-4799-A273-9F5CC9D569C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Damper : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Damper - superclass: GeometryClass; super-superclass:node - classID: #(1185567612, 1898392048) </code></pre><p><img src=\"./images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">damper...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.End_Placement_Method Integer default: 1 </code></pre><p>Set binding method for damper:</p>\n\
<p>0- <strong>Reference Objects</strong> (Choose this option when binding the damper to two objects.)</p>\n\
<p>1- <strong>Free Spring</strong> (Choose this when using the damper as a simple object that&apos;s not bound to others or used in a dynamics simulation.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Free_Damper_Height Float default: 2.0 -- animatable </code></pre><p>The distance between the bottom center of the base and the top center of the piston when the damper is not bound.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Renderable_Spring Integer default: 1 </code></pre><p>Turn on/off renderability of the damper:</p>\n\
<p>0- <strong>not renderable</strong></p>\n\
<p>1- <strong>renderable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Generate_Mapping_Coordinates Integer default: 0 </code></pre><p>Turn on/off mapping coordinates for the object:</p>\n\
<p>0- <strong>off</strong></p>\n\
<p>1- <strong>on</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Base_Stud_Diameter Float default: 0.5 -- animatable </code></pre><p>The diameter of the base, or &quot;mount&quot; of the damper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Base_Stud_Height Float default: 0.2 -- animatable </code></pre><p>The height of the base.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Diameter Float default: 1.0 -- animatable </code></pre><p>The diameter of the main housing of the damper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Height Float default: 1.0 -- animatable </code></pre><p>The height of the main housing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Sides Integer default: 8 -- animatable </code></pre><p>The number of sides of both the base and the main housing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Fillet_1 Float default: 0.0 -- animatable </code></pre><p>The size of the fillet on the lower edge of the main housing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Fillet_1_Segments Integer default: 0 -- animatable </code></pre><p>The number of segments for Fillet 1. The higher this setting, the rounder the fillet profile appears.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Fillet_2 Float default: 0.0 -- animatable </code></pre><p>The size of the fillet on the upper edge of the main housing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Cylinder_Fillet_2_Segments Integer default: 0 -- animatable </code></pre><p>The number of segments for Fillet 2. The higher this setting, the rounder the fillet profile appears.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Inside_Diameter Float default: 0.0 -- animatable </code></pre><p>The inside diameter of the main housing, which is actually a tube rather than a cylinder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Smooth_Cylinder Integer default: 1 </code></pre><p>Turn on/off smoothing for the base and the main housing:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Piston_Diameter Float default: 0.2 -- animatable </code></pre><p>The diameter of the piston.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Piston_Height Float default: 1.0 -- animatable </code></pre><p>The height of the piston.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Piston_Sides Integer default: 6 -- animatable </code></pre><p>The number of sides in the piston.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Smooth_Piston Integer default: 1 </code></pre><p>Turn on/off smoothing for the piston:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Enable_Boot Integer default: 0 </code></pre><p>Turn this on to add the boot to the damper:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<p>The boot is an optional component of the damper that&apos;s similar to the rubber &quot;accordion&quot; boot found on various types of dampers, such as shock absorbers. The boot acts like a bound dynamic object, in that one of its ends is bound to the main housing, while the other is bound to the piston. Thus, as the piston moves within the housing, the boot expands and contracts to follow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Small_Diameter Float default: 0.25 -- animatable </code></pre><p>The minimum diameter of the boot. This and the next parameter affect the depth of the accordion folds in the boot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Large_Diameter Float default: 1.0 -- animatable </code></pre><p>The maximum diameter of the boot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Sides Integer default: 8 -- animatable </code></pre><p>The number of sides making up the boot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Folds Integer default: 4 -- animatable </code></pre><p>The number of accordion folds (bulges) along the height of the boot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Fold_Resolution Integer default: 4 -- animatable </code></pre><p>The number of segments in each fold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Stop_Diameter Float default: 0.4 -- animatable </code></pre><p>The diameter of the stop, which is the ring at the top of the boot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Stop_Height Float default: 0.2 -- animatable </code></pre><p>The thickness (height) of the stop ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Stop_Setback Float default: 0.2 -- animatable </code></pre><p>The distance of the stop ring from the top of the piston.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Stop_Fillet Float default: 0.0 -- animatable </code></pre><p>The size of the fillet on the upper edge of the stop ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Boot_Stop_Fillet_Segements Integer default: 0 -- animatable </code></pre><p>The number of segments the stop fillet. The higher this setting, the round the fillet profile appears<strong>.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Smooth_Boot Integer default: 1 </code></pre><p>Turn on/off smoothing for the boot:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Dynamics_Object_Type Integer default: 0 </code></pre><p>Select which object is dynamic:</p>\n\
<p>0- <strong>Damper</strong> (Select this option to use the damper object as a damper rather than an actuator.)</p>\n\
<p>1- <strong>Actuator</strong> (Choose this when using the damper object as an Actuator.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Drag Float default: 0.0 -- animatable </code></pre><p>The force per unit linear speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Drag_Units Integer default: 0 </code></pre><p>Sets the units of drag:</p>\n\
<p>0- <strong>Pounds per inch/second</strong></p>\n\
<p>1- <strong>Newtons per meter/second</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Damper_Direction Integer default: 2 </code></pre><p>Set the directional operation of the damper:</p>\n\
<p>0- <strong>Compression Only</strong> (The damper reacts only to compression forces.)</p>\n\
<p>1- <strong>Extension Only</strong> (The damper reacts only to expansion forces.)</p>\n\
<p>2- <strong>Both</strong> (The damper reacts to both compression and expansion forces.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Force Float default: 0.0 -- animatable </code></pre><p>The amount of force exerted between the two bound objects. Positive values push the objects apart, while negative values pull them together.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Force_Units Integer default: 0 </code></pre><p>Set the units of force:</p>\n\
<p>0- <strong>Pounds</strong></p>\n\
<p>1- <strong>Newtons</strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Reference End Point objects cannot be specified in MAXScript<strong>.</strong></div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Dynamics-Objects.html\">Geometry - Dynamics Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";