var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1B14AC4E-61BA-45AF-A339-9E7E7B49CA19\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSSurf : GeometryClass</h1></div><p><img src=\"./images/GUID-FCA44498-15FE-4792-8553-93EA55807B82-low.gif\" alt></p>\n\
<p>NURBSSurfs are NURBS surface objects defined by CVs (control vertices).</p>\n\
<p>All NURBS objects are created through the special NURBS descriptor classes (see <a href=\"./../../../../NURBS/Working-with-NURBS.html\">Working with NURBS</a> )and the NURBSSurf class is used typically in object class testing with the <code>classOf()</code> function.</p>\n\
<p>Scene objects created as NURBSSurf objects in the <strong>3ds Max</strong> user interface have the class <code>NURBSSurf</code> .</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSNode &lt;nurbs_set&gt; ...      </code></pre><p>See <a href=\"./../../../../NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\">Creating New NURBS Objects</a> for details.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p>Properties for NURBSSurf objects are accessed through a NURBSSet descriptor object. See <a href=\"./../../../../NURBS/Working-with-NURBS.html\">Working with NURBS</a> for more details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-NURBS-Objects.html\">Geometry - NURBS Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";