var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23E56E33-B61A-41C5-9D03-C92580C8251B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PopCharacter : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PopCharacter : ReferenceTarget {3e917cb5,7050331b}</code></pre><p>The <strong>PopCharacter ReferenceTarget</strong> is not creatable by MAXScript.</p>\n\
<p>It is created by the Populate toolset to represent a character.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PopCharacter&gt;.gepnodes : node array</code></pre><p>Get/set the array of Populate Character (a.k.a. &quot;Geppetto&quot;) nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PopCharacter&gt;.envPos : point3</code></pre><p>Get/set the position in the Environment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PopCharacter&gt;.envGroup : integer</code></pre><p>Get/set the index of the Environment group.</p>\n\
<p><strong>Related Classes:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PopSkinObject: class instances not creatable by MAXScript</code></pre><p>The PopSkinObject is the internal class representing the base object of skinned characters in the Populate toolset.</p>\n\
<p>It exposes no properties or Interfaces.</p>\n\
<p>Only the basic node properties like <code>.transform</code> and <strong><code>.material</code></strong> are accessible to MAXScript.</p>\n\
<p>Note that not even the <code>.pos</code> property is accessible via MAXScript since a PopSkinObject scene node does not have a Transform controller, it is completely driven by internal unexposed code.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PopSkinControl: class instances not creatable by MAXScript</code></pre><p>The PopSkinControl is a Controller class used <strong>internally</strong> by the PopSkinObject nodes of the Populate toolset.</p>\n\
<p>It exposes no properties or Interfaces.</p>\n\
<p>Only the general controller properties like .keys are accessible, but contain no usable data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PopSegControl: class instances not creatable by MAXScript</code></pre><p>The PopSegControl is a Controller class used <strong>internally</strong> by the Populate toolset.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Populate.html\">Geometry - Populate</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop</a></li>\n\
          <li><a class=\"link\" href=\"Flow-GeometryClass.html\">Flow : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"IdleAreaObj-GeometryClass.html\">IdleAreaObj : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Float-Controllers/Populate-FloatController.html\">Populate : FloatController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";