var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F367B0F6-BD42-45CE-BBB6-B7FFE70A456D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Seat : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Seat - superclass: GeometryClass; super-superclass:node - 5:0 - classID: #(983045944, 1380982924)</code></pre><p>Instances of the <strong>Seat GeometryClass</strong> provide targets for the characters seating feature of the <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Populate</a> toolset. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Seat... \n\
Chair...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Seat&gt;.gender     Integer    default: 1   --  radiobtnIndex; 0_male__1_female</code></pre><p>Get/set the state of the <strong>&quot;Gender&quot;</strong> radio buttons controlling the gender of the Populate characters to use this seat.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Male</strong></p>\n\
<p>1 - <strong>Female</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Seat&gt;.height     Float    default: 18.0   --  float</code></pre><p>Get/set the Height of the Seat in system units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Seat&gt;.single     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Single&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Seat&gt;.id     Integer    default: 23   --  integer; </code></pre><p>Get the ID of the Seat.</p>\n\
<p>Read-only.</p>\n\
<p>Not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Seat&gt;.motionSeed     Integer    default: 1   --  integer</code></pre><p>Get/set the random seed for the motion.</p>\n\
<p>Not exposed in the UI.</p>\n\
<p><a href=\"./../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Populate.html\">Geometry - Populate</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";