var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-30B9D265-D265-469D-8DDD-FA6CCE369E72\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Box : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box - superclass: GeometryClass; super-superclass:node - classID: #(16, 0) </code></pre><p><img src=\"./images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">box...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.length Float default: 25.0 -- animatable, worldunits </code></pre><p>Sets the length of the box object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.width Float default: 25.0 -- animatable, worldunits </code></pre><p>Sets the width of the box object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.height Float default: 25.0 -- animatable, worldunits </code></pre><p>Sets the height of the box object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.lengthsegs Integer default: 1 -- animatable, alias: Length_Segments </code></pre><p>Sets the number of divisions along the length of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.widthsegs Integer default: 1 -- animatable, alias: Width_Segments </code></pre><p>Sets the number of divisions along the width of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments </code></pre><p>Sets the number of divisions along the height of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.mapcoords BooleanClass default: false -- alias: Generate_Texture_Coords </code></pre><p>When on, generates coordinates for applying mapped materials to the box.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.typeinCreationMethod     Integer    default: 0   --  integer; Creation_Method</code></pre><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Box</li>\n\
<li>1 = Cube only the <strong>typeInLength</strong> property is used.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
&lt;Box&gt;.typeInLength     Float    default: 0.0   --  float; Length\n\
&lt;Box&gt;.typeInWidth     Float    default: 0.0   --  float; Width</code></pre><p>Gets or sets the Keyboard Entry values for height, length, and width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position</code></pre><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><a href=\"./../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Standard-Objects.html\">Geometry - Standard Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";