var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7A394834-143D-4A49-9FD6-951396089BD1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Luminaire : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Luminaire - superclass: helper; super-superclass:node - classID: #(1125598736, 365390639) </code></pre><p><img src=\"./images/GUID-5915100E-2836-4ABE-8B06-39239123B7B9-low.gif\" alt></p>\n\
<p>This class was available but not constructible in <strong>3ds Max 5</strong>. It is fully available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">luminaire...      \n\
LuminaireHelper...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Luminaire&gt;.Dimmer Float default: 100.0 -- animatable; float </code></pre><p>The Dimmer value of the Luminaire Helper. It is provided as a UI value to be wired to the Multiplier values of the lights in the light fixture and has no other function on itself.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Luminaire&gt;.FilterColor Color default: (color 255 255 255) -- animatable; RGB color </code></pre><p>The Filter Color of the Luminaire Helper. It is provided as a UI value to be wired to the filter colors of the lights in the light fixture and has no other function on itself.</p>\n\
<h2 id=\"luminaire-interfaces-\">Luminaire interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ILuminaire</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Dimmer: float : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FilterColor: RGBA color : Read|Write </code></pre><blockquote>\n\
<p>   <strong>NOTES FOR 3DS MAX 5</strong></p>\n\
<p>   Luminaire class instances were <strong>not creatable</strong> in <strong>3ds Max 5</strong>, they were only creatable in <strong>Autodesk VIZ</strong>. Luminaire class instances saved in <strong>Autodesk VIZ</strong> would load and function properly in <strong>3ds Max 5</strong> though.</p>\n\
<p>   It was possible to &quot;unhide&quot; the Luminaire Helper object in <strong>3ds Max 5</strong> by creating a scripted Luminaire object that extends the hidden one, and declaring the scripted one as &quot;visible&quot;:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   plugin helper MyLuminaire\n\
   name:&quot;MyLuminaire&quot;\n\
   category:&quot;Assembly Heads&quot;\n\
   classID:#(0x7463471e, 0x35cb7b96)\n\
   extends:Luminaire\n\
   invisible:false\n\
   replaceUI:false\n\
   version:1\n\
   (\n\
   )\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Assembly-Head.html\">Helper - Assembly Head</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";