var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C4C7FEE5-57A4-47B6-B40F-27E4DB6B8CDE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Grid : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">grid - superclass: helper; super-superclass:node - 3:0 - classID: #(8208, 0)</code></pre><p><img src=\"./images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">grid...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;grid&gt;.length Float default: 50.0 -- animatable; worldunits</code></pre><p>Length of the grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;grid&gt;.width Float default: 50.0 -- animatable; worldunits</code></pre><p>Width of the grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;grid&gt;.grid Float default: 10.0 -- animatable; worldunits</code></pre><p>The size of the smallest square in the visible grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;grid&gt;.activecolor Integer default: 0.0 -- radiobtnindex; alias: active_color</code></pre><p>Get/set the <strong>ActiveColor</strong> radio button. Available in <strong>3ds Max 2018 and higher</strong>. Accepted values are:</p>\n\
<p>0 - <strong>Gray</strong></p>\n\
<p>1 - <strong>Object Color</strong></p>\n\
<p>2 - <strong>Home Color</strong></p>\n\
<p>3 - <strong>Home Intensity</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;grid&gt;.displayplane Integer default: 0.0 -- radiobtnindex; alias: display_plane</code></pre><p>Get/set the <strong>Display</strong> radio button. Available in <strong>3ds Max 2018 and higher</strong>. Accepted values are:</p>\n\
<p>0 - <strong>XY Plane</strong></p>\n\
<p>1 - <strong>YZ Plane</strong></p>\n\
<p>2 - <strong>ZX Plane</strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Active Color and Display properties are not accessible to MAXScript in <strong>3ds Max</strong>.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";