var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8167501B-7ABE-470B-B95F-D0B4FC3AC811\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IES_Sky : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IES_Sky - superclass: light; super-superclass:node - classID: #(1260657425, 1692947069) </code></pre><p>Instances of the <strong>IES_Sky light</strong> class are used to simulate natural sky light.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IES_Sky...      \n\
IesSkyLight...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.multiplier Float default: 1.0 -- animatable; float </code></pre><p>The light multiplier controls the intensity of the skylight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.color Color default: (color 242.25 242.25 255) -- animatable </code></pre><p>Gets/Sets the sky color</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.on Boolean default: true -- boolean </code></pre><p>Gets/Sets the enabled state of the light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.sky_cover Float default: 0.0 -- animatable; float </code></pre><p>Determines how much light is scattered through the sky. 0.0 is Clear, 1.0 is Cloudy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.enabled Boolean default: true -- alias for on </code></pre><p>Gets/Sets the enabled state of the light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.rgb Color default: (color 255 255 255) -- animatable; alias for color </code></pre><p>Gets/Sets the sky color</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.rays_per_sample Integer default: 20 -- animatable; integer </code></pre><p>Gets/Sets the number of rays per sample</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.ray_bias Float default: 0.005 -- animatable; float </code></pre><p>Gets/Sets the ray bias</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sky&gt;.castShadows BooleanClass default: false -- animatable; Boolean; Cast_Shadows </code></pre><p>Enable/Disable shadow casting.</p>\n\
<h2 id=\"ies_sky-interfaces-\">IES_Sky interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:NaturalLightClass </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSun() </code></pre><p>Returns <code>true</code> if the list is a Sun light. In the case of <code>IES_Sky</code> , it will return <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSky() </code></pre><p>Returns <code>true</code> if the list is a Sky light. In the case of <code>IES_Sky</code> , it will return <code>true</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"IES_Sun-Light.html\">IES_Sun : Light</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";