var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C25A507A-B58D-447A-9992-1A677911F34E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mr_Sun : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mr_Sun - superclass: light; super-superclass:node - 27:10 - classID: #(1901083579, 635572516) </code></pre><p>The <strong>mr_Sun</strong> Photometric light provides physically-based sunlight, esp. in conjunction with the <a href=\"mr_Sun-Light.html\">mr_Sun : Light</a>.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mr_Sun...      \n\
mentalraySun...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"mr-sub-basic-parameters\">mr Sub - Basic Parameters</h2><p><img src=\"./images/GUID-AAF405A7-D160-40B4-9059-F531E4A686D3-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.on BooleanClass default: true -- boolean \n\
&lt;mr_Sun&gt;.enabled BooleanClass default: true -- boolean   </code></pre><p>Get/set the state of the &quot;On&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.skymult Float default: 1.0 -- animatable; float; Multiplier </code></pre><p>Get/set the &quot;Multiplier&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.hasTarget BooleanClass default: true -- boolean; Has_Target </code></pre><p>Get/set the state of the &quot;Targeted&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.castShadows BooleanClass default: true -- boolean; Cast_Shadows </code></pre><p>Get/set the state of the Shadows &quot;On&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.shadowSoftness Float default: 1.0 -- animatable; float; Shadow_Softness </code></pre><p>Get/set the Shadow &quot;Softness&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.shadowSamples Integer default: 8 -- integer; Shadow_Samples </code></pre><p>Get/set the &quot;Softness Samples&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.inherit BooleanClass default: true -- boolean; Inherit_from_mr_Sky </code></pre><p>Get/set the state of the &quot;Inherit from mr Sky&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.redblueshift Float default: 0.0 -- animatable; float; Redness </code></pre><p>Get/set the &quot;Red/Blue Tint&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.Saturation Float default: 1.0 -- animatable; float </code></pre><p>Get/set the &quot;Saturation&quot; value.</p>\n\
<h2 id=\"mr-sun-photons\">mr Sun - Photons</h2><p><img src=\"./images/GUID-8F5A7717-0725-4347-823E-2EBDE8329080-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.usephotontarget BooleanClass default: false -- boolean; Use_Photon_Target </code></pre><p>Get/set the state of the &quot;Use Photon Target&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.photontarget Float default: 0.0 -- animatable; float; Photon_Target </code></pre><p>Get/set the Photon Target Radius value.</p>\n\
<h2 id=\"mr-sun-properties-not-exposed-to-the-ui\">mr Sun - Properties not exposed to the UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.color Color default: (color 255 242.25 229.5) -- color by value \n\
&lt;mr_Sun&gt;.rgb Color default: (color 255 242.25 229.5) -- animatable; RGB color </code></pre><p>Get/set the Sun Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.multiplier Float default: 1.0 -- animatable; float; intensity </code></pre><p>Get/set the multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance </code></pre><p>Get/set the target distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.includeList UndefinedClass default: undefined -- value; </code></pre><p>Get/set the Include List.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.excludeList Array default: #() -- value </code></pre><p>Get/set the Exclude List.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.Haze Float default: 1.0 -- animatable; float </code></pre><p>Get/set the Haze value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.HorizonHeight Float default: 0.0 -- animatable; float; Horizon_Height </code></pre><p>Get/set the Horizontal Height value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.shadowGenerator raytraceShadow default: raytraceShadow:raytraceShadow -- value; SubAnim </code></pre><p>Get/set the shadow generator class instance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.shadowGeneratorByName String default: &quot;Ray Traced Shadows&quot; -- value </code></pre><p>Get/set the shadow generator by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.raytracedShadows BooleanClass default: true -- value </code></pre><p>Get/set whether to use Raytraced Shadows. This property is obsolete and exposed for backwards compatibility only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.maxDepth Integer default: 7 -- animatable; integer; Max_Quadtree_Depth </code></pre><p>Get/set the max. Depth of Raytraced shadows QuadTree.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.raytraceBias Float default: 0.2 -- animatable; float; Bias </code></pre><p>Get/set the Bias of the raytraced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.twoSidedShadows BooleanClass default: false -- boolean </code></pre><p>Get/set whether to calculate two-sided shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sun&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Shadow_Settings </code></pre><p>Get/set whether to use the Global shadow settings.</p>\n\
<h2 id=\"mr_sun-interfaces-\">mr_Sun interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:NaturalLightClass </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSun() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSky() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:LightProperties </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.excludeList: value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.includeList: value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.shadowGenerator: value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.shadowGeneratorByName: value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.raytracedShadows: value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.color: color by value : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.enabled: boolean : Read|Write </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";