var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DE0E95DC-FF28-4E13-95CE-21F7D17227F4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpaceNoise : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpaceNoise - superclass: SpacewarpObject; super-superclass:node - classID: #(-107499228, 1)</code></pre><p><img src=\"./images/GUID-8FE0BB7D-A073-4C14-9444-C053C51C472D-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spaceNoise...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.length Float default: 0.0 -- animatable</code></pre><p>The length of the warp object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.width Float default: 0.0 -- animatable</code></pre><p>The width of the warp object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.height Float default: 0.0 -- animatable</code></pre><p>The height of the warp object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.decay Float default: 0.0 -- animatable</code></pre><p>When is set to 0, there is no decay, and the space warp affects its bound object regardless of its distance from the object. When you increase the decay, the effect on the bound object falls off exponentially.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.seed Integer default: 0 -- animatable</code></pre><p>Generates a random start point from the number you set. Especially useful in creating terrain, because each setting can produce a different configuration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.scale Float default: 100 -- animatable</code></pre><p>The size of the noise effect (not strength). Larger values produce smoother noise, lower values more jagged noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.fractal Integer default: 0 -- animatable</code></pre><p>When on, produces a fractal effect based on current settings:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.Rough Float default: 0.0 -- animatable</code></pre><p>Determines the extent of fractal variation. Lower values are less rough than higher values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.iterations Float default: 6.0 -- animatable</code></pre><p>The number of iterations (or octaves) used by the fractal function. Fewer iterations use less fractal energy and generate a smoother effect. An iteration of 1.0 is the same as turning Fractal off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.phase Integer default: 0 -- animatable</code></pre><p>Shifts the start and end points of the underlying wave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceNoise&gt;.strength Point3 default: [0,0,0] -- animatable</code></pre><p>The strength of the noise effect along each of three axes. Enter a value for at least one of these axes to produce a noise effect.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since <code>*scale*</code> is a property for all nodes, a name conflict exists between the <code>*scale*</code> property for nodes and the <code>*scale*</code> property for SpaceNoise. To access the SpaceNoise <code>*scale*</code> property, you need to access this property as a property of a node&apos;s <code>*baseObject*</code> property.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sn=spaceNoise()\n\
   sn.baseObject.scale=150\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Animate Noise property is not accessible using MAXScript in <strong>3ds Max</strong></div>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceNoise_node&gt;</code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SimpleOSMToWSMMod</code></pre><p>This modifier is automatically created by the <code>*bindSpaceWarp()*</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Modifier-Based.html\">Spacewarp - Modifier-Based</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";