var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-911DCEDC-B4D0-4B9B-A6BB-CE34F6C8F5B7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XRef_Material : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">XRef_Material - superclass: material; super-superclass:MAXWrapper - 8:6 - classID: #(657198411, 1126842699)</code></pre><p>Instances of this class are used to XRef materials from external .MAX files.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">XRef_Material ... XRefmaterial ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.enableOverride     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Enable&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.overrideMaterial     Standardmaterial    default: Material #67:Standard   --  material; Override_Material; SubAnim</code></pre><p>Get/set the Override Material</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.nested BooleanClass default: false -- bool;</code></pre><p>Contains true if the XRef material is nested, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.srcFileName UndefinedClass default: undefined -- filename;</code></pre><p>Contains the source file name.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.srcItemName UndefinedClass default: undefined -- string;</code></pre><p>Contains the name of the source item.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.unresolved BooleanClass default: true -- bool;</code></pre><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.xrefRecord UndefinedClass default: undefined -- Interface;</code></pre><p>Contains the XRef record Interface.</p>\n\
<p>Read-only.</p>\n\
<p><strong>XRef_Material interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefItem</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.srcFileName : filename : Read</code></pre><p>Contains the source file name.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.srcItemName : string : Read</code></pre><p>Contains the name of the source item.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.xrefRecord : Interface : Read</code></pre><p>Contains the XRef record Interface.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.unresolved : boolean : Read</code></pre><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Material&gt;.nested : boolean : Read</code></pre><p>Contains true if the XRef is nested, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;XRef_Material&gt;.GetSrcItem resolveNested:&lt;boolean&gt; \n\
\n\
resolveNested default value: false</code></pre><p>Returns the source item object of the XRef Material.</p>\n\
<p>If the object is being referenced from nested files (in other words, the object is referenced from a Max file containing an XRef of the object from another file instead of the actual object) and <code>resolveNested</code> is set to true, nested XRef files will be resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;XRef_Material&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter</code></pre><p>Returns an array of parent items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;XRef_Material&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter</code></pre><p>Returns an array of root items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;XRef_Material&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter</code></pre><p>Returns an array of child items in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;XRef_Material&gt;.GetNodes &lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter</code></pre><p>Returns an array of XRef nodes in the by-reference Out parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefMaterial</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;&lt;XRef_Material&gt;.GetSourceMaterial &lt;boolean&gt;resolveNestedXRef</code></pre><p>Returns the source material object. If resolveNestedXRef is set to true, nested XRef files will be resolved.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../XRef-Objects-and-Scenes.html\">XRef Objects and Scenes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";