var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-407AF95D-AF62-4F9D-B329-33A08D46DAAC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Light_Tracer : RadiosityEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Light_Tracer - superclass: RadiosityEffect; super-superclass:MAXWrapper - classID: #(973019628, 1999461375) </code></pre><p>The <strong>Light_Tracer RadiosityEffect</strong> is a Global Illumination solver used mainly for advanced lighting simulation in outdoor scenes.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Light_Tracer ... LightTrace ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.adaptive_undersampling_on Boolean default: true -- boolean </code></pre><p>Gets/Sets the state of the Adaptive Undersampling checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.bounces Integer default: 0 -- integer </code></pre><p>Gets/Sets the number of Bounces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.color_bleed Float default: 1.0 -- animatable; float </code></pre><p>Gets/Sets the Color Bleed value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.color_filter Color default: (color 255 255 255) -- animatable </code></pre><p>Gets/Sets the Color Filter color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.cone_angle Float default: 88.0 -- float </code></pre><p>Gets/Sets the Cone Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.extra_ambient Color default: (color 0 0 0) -- animatable </code></pre><p>Gets/Sets the Extra Ambient color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.filter_size Float default: 0.5 -- animatable; float </code></pre><p>Gets/Sets the Filter Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.global_multiplier Float default: 1.0 -- animatable; float </code></pre><p>Gets/Sets the Global Multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.initial_sample_spacing Integer default: 4 -- integer </code></pre><p>Gets/Sets the Initial Sample Spacing, where</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>2 - 4x4</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.object_multiplier Float default: 1.0 -- animatable; float </code></pre><p>Gets/Sets the Object Multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.ray_bias Float default: 0.03 -- float </code></pre><p>Gets/Sets the Ray Bias value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.rayengine Ray_Engine default: ReferenceTarget:Ray_Engine </code></pre><p>Returns the Ray Engine used by the Radiosity Effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.rays Integer default: 250 -- animatable; integer </code></pre><p>Gets/Sets the Rays/Sample value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.show_samples Boolean default: false -- boolean </code></pre><p>Gets/Sets the state of the Show Samples checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.sky_lights Float default: 1.0 -- animatable; float </code></pre><p>Gets/Sets the Sky Lights value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.sky_lights_on Boolean default: true -- boolean </code></pre><p>Gets/Sets the state of the Sky Lights checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.subdivide_down_to Integer default: 0 -- integer </code></pre><p>Gets/Sets the Subdivide Down To value, where</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>2 - 4x4</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.subdivision_contrast Float default: 5.0 -- animatable; float </code></pre><p>Gets/Sets the Subdivision Contrast value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.volumes_on Boolean default: true -- boolean </code></pre><p>Gets/Sets the state of the Volumes checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light_Tracer&gt;.volumes Float default: 1.0 -- animatable; float </code></pre><p>Gets/Sets the Volumes value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RadiosityEffect-MAXWrapper.html\">RadiosityEffect : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneRadiosity.html\">Interface: SceneRadiosity</a></li>\n\
          <li><a class=\"link\" href=\"Radiosity-RadiosityEffect.html\">Radiosity : RadiosityEffect</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";