var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-76277CFD-6E91-4EB2-8839-D85370741BB6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Light__Area : RenderElement</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Light__Area - superclass: RenderElement; super-superclass:MAXWrapper - 6:0 - classID: #(2009139533, 233458819)</code></pre><p>The Light__Area RenderElement is used to output the area lights contribution pass of the iRay renderer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Light__Area... \n\
irayEnvLight...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.atmosphereOn     BooleanClass    default: true   --  boolean</code></pre><p>Get/set whether to include atmospheric effects in the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.bitmap     UndefinedClass    default: undefined   --  bitmap</code></pre><p>Contains the Render Element&apos;s internal bitmap.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.elementName     String    default: &quot;Light Area&quot;   --  string</code></pre><p>Get/set the name of the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.enabled     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the enabled state of the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.filterOn     BooleanClass    default: true   --  boolean; FilteringOn</code></pre><p>Get/set the state of the Render Element&apos;s filter option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Light__Area&gt;.lpeName     String    default: &quot;La.*E&quot;   --  string; LPE</code></pre><p>Get/set the Light Path Expression string of the Render Element.</p>\n\
<p>The Light Path Expression is a regular expression which controls which light transport paths to include in the Render Element&apos;s output.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Elements.html\">Render Elements</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";