var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FF17305F-31FB-438B-A57C-4F53D203E472\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Blur : RenderEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">blur - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(222828566, 2020440476) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">blur ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.blur_type Integer default: 0 -- animatable </code></pre><p>Select a blur type:</p>\n\
<p>0- Uniform</p>\n\
<p>1- Directional</p>\n\
<p>2- Radial</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bUnifPixRad Float default: 10.0 </code></pre><p>Determines the intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater blur for the image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bUnifAlpha Boolean default: true -- animatable </code></pre><p>Applies the Uniform Blur effect to the alpha channel when turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirUPixRad Float default: 10.0 </code></pre><p>Determines the horizontal intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater horizontal blur for the image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirVPixRad Float default: 10.0 </code></pre><p>Determines the vertical intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater vertical blur for the image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirUTrail Float default: 0.0 </code></pre><p>Adds &quot;direction&quot; to your blur by weighting more blur to either side of the U axis.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirVTrail Float default: 0.0 </code></pre><p>Adds &quot;direction&quot; to your blur by weighting more blur to either side of the V axis.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirRotation Integer default: 0 </code></pre><p>Rotates the axis of the U and V pixels that will be blurred by the U and V Pixel Radius spinners.</p>\n\
<p>By using Rotation with the U and V Pixel Radius spinners you can have the Blur effect applied to any direction in your rendered image.</p>\n\
<p>When rotation is <strong>0</strong>, U corresponds to the image&apos;s X-axis and V corresponds to the image&apos;s Y-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bDirAlpha Boolean default: true -- animatable </code></pre><p>Applies the Directional Blur effect to the Alpha channel when turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialPixRad Float default: 20.0 </code></pre><p>Determines the intensity of the Radius Blur effect. Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater blur for the image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialXOrig Integer default: 320 </code></pre><p>Sets the origin for the radial blur effect along the X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialYOrig Integer default: 240 </code></pre><p>Sets the origin for the radial blur effect along the Y axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">axis.&lt;blur&gt;.bRadialTrail Float default: 0.0 </code></pre><p>Adds &quot;direction&quot; to your blur by weighting more or less blur towards the center of the Blur effect.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialAlpha Boolean default: true -- animatable </code></pre><p>Applies the Radial Blur effect to the Alpha channel when turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialNode Node default: undefined </code></pre><p>Node to which radial blur is assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.bRadialUseNode Boolean default: false </code></pre><p>Turn on/off use object center for selected node, <code>bradialnode</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selImageActive Boolean default: true -- animatable </code></pre><p>When on, the blur affects the entire rendered image.</p>\n\
<p>This is useful when the blur effect dims your rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selImageBrighten Float default: 0.0 </code></pre><p>Brightens the entire image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selImageBlend Float default: 100.0 </code></pre><p>Blends the Blur effect and the Whole Image parameters with the original rendered image.</p>\n\
<p>This can be used to create a soft-focus effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selIBackActive Boolean default: false </code></pre><p>Affects everything but the background image or animation when turned on.</p>\n\
<p>This is useful when the Blur effect has dimmed you scene objects but not the background.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selIBackBrighten Float default: 0.0 </code></pre><p>Brightens the rendered image except for the background image or animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selIBackBlend Float default: 100.0 </code></pre><p>Blends the Blur effect and the Non-Background parameters with the original rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selIBackFRadius Float default: 10.0 </code></pre><p>Feathers the Blur effect applied to the Non-Background elements of your scene.</p>\n\
<p>When using Non-Background as a Pixel Selection you will notice that the scene objects have a hard edge to their blur since the objects are being blurred but the background is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumActive Boolean default: false </code></pre><p>Affects any pixels that have luminance values that fall between it&apos;s Min and Max values, <code>selLumMin</code> &amp; <code>selLumMax</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumBrighten Float default: 0.0 </code></pre><p>Brightens pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumBlend Float default: 100.0 </code></pre><p>Blends the Blur effect and the Luminance parameters with the original rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumMin Float default: 90.0 </code></pre><p>The minimum luminance value necessary for each pixel in order for the Blur effect to be applied to the pixel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumMax Float default: 100.0 </code></pre><p>The maximum luminance value a pixel can have in order for the Blur effect to be applied to the pixel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selLumFRadius Float default: 10.0 </code></pre><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<p>When using Luminance as a Pixel Selection the Blur effect can create a hard edge on the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskActive Boolean default: false </code></pre><p>When turned on, applies the Blur effect according to the channel selected and mask applied through the Material/Map Browser.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskMap TextureMap default: undefined </code></pre><p>Map assigned to the blur effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskChannel Integer default: 4 -- alias: select_mask_channel </code></pre><p>Selects a channel that the Blur effect will be applied to:</p>\n\
<p>0- Red</p>\n\
<p>1- Blue</p>\n\
<p>2- Green</p>\n\
<p>3- Alpha</p>\n\
<p>4- Luminance</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskBrighten Float default: 0.0 </code></pre><p>Brightens the portions of the image that the Blur effect is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskBlend Float default: 100.0 </code></pre><p>Blends the Map Mask Blur effect with the original rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskMin Float default: 90.0 </code></pre><p>The minimum value (RGB, Alpha, or Luminance) a pixel must have in order to have the Blur effect applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskMax Float default: 100.0 </code></pre><p>The maximum value (RGB, Alpha, or Luminance) a pixel can have for the Blur effect to be applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMaskFRadius Float default: 10.0 </code></pre><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum channel values.</p>\n\
<p>When using map mask as a Pixel Selection the Blur effect can create a hard edge on the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsActive Boolean default: false -- animatable </code></pre><p>When turned on, applies the Blur effect to an object or part of an object with a specific Object ID, if the object matches the Filter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsIds Array default: #() -- int array </code></pre><p>This array contains all of the Object ID&#x2019;a s to which the blur effects will be applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsBrighten Float default: 0.0 -- animatable </code></pre><p>Brightens the portion of the image that the Object ID-specific Blur effect is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsBlend Float default: 100.0 -- animatable </code></pre><p>Blends the Object ID Blur effect with the original rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsFRadius Float default: 10.0 -- animatable </code></pre><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsLumMin Float default: 0.0 -- animatable </code></pre><p>The minimum luminance value a pixel must have in order to have the Blur effect applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selObjIdsLumMax Float default: 100.0 -- animatable </code></pre><p>The maximum luminance value a pixel can have for the Blur effect to be applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsActive Boolean default: false -- animatable </code></pre><p>Applies the Blur effect to a material or part of a material with a specific material effects channel, if the material matches the Filter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsIds Array default: #() -- int array </code></pre><p>This array contains all of the Material ID&#x2019;s to which the blur effects will be applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsBrighten Float default: 0.0 -- animatable </code></pre><p>Brightens the portion of the image that the Blur effect is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsBlend Float default: 100.0 -- animatable </code></pre><p>Blends the Material ID Blur effect with the original rendered image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsFRadius Float default: 10.0 -- animatable </code></pre><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsLumMin Float default: 0.0 -- animatable </code></pre><p>The minimum luminance value a pixel must have in order to have the Blur effect applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selMatIdsLumMax Float default: 100.0 -- animatable </code></pre><p>The maximum luminance value a pixel can have for the Blur effect to be applied to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.selGenBrightType Integer default: 1 -- animatable </code></pre><p>Selects the type of brightening applied to the feather falloff curve:</p>\n\
<p>0- Additive</p>\n\
<p>1- Multiplicative</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur&gt;.select_falloff_curve SubAnim default: SubAnim:Select_Falloff_Curve </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur.select_falloff_curve&gt;.curve_1 SubAnim default: SubAnim:Curve_1 </code></pre><p>The brightening curve for the feather falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;blur.select_falloff_curve&gt;.curve_2 SubAnim default: SubAnim:Curve_2 </code></pre><p>The blend curve for the feather falloff.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Effect-Types.html\">Render Effect Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Effect-Types-1.html\">Render Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Effects-Common-Properties.html\">Render Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";