var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-237184D7-3BAE-4BAC-A752-1BED6D9B5B3E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Depth_of_Field : RenderEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Depth_of_Field - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(1155882880, 459823346) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">depth_of_field ... DOFEffect ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.AffectAlpha Boolean default: true -- alias: Affect_Alpha </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.camNodeIndex Integer default: -1 -- alias: Camera_Index </code></pre><p>camNodeIndex specifies which camera in the Depth of Field camera dropdown is the selected camera. A value of -1 specifies that no camera is selected. The index is otherwise 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.focalNodeIndex Integer default: -1 -- alias: Focal_Index </code></pre><p>focalNodeIndex specifies which camera in the Depth of Field focal point node dropdown is the selected focal point node. A value of -1 specifies that no focal point node is selected. The index is otherwise 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.FocalPoint Integer default: 0 -- alias: Focal_Point </code></pre><p>FocalPoint = 0 - Focal Node; 1 - Use Camera</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.FocalType Integer default: 0 -- alias: Focal_Type </code></pre><p>FocalType = 0 - Custom; 1 - Use Camera</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.HorizFocalLoss Float default: 10.0 -- animatable, alias: Horiz_Focal_Loss </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.VertFocalLoss Float default: 10.0 -- animatable, alias: Vert_Focal_Loss </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.FocalRange Float default: 100.0 -- animatable, alias: Focal_Range </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Depth_of_Field&gt;.FocalLimit Float default: 200.0 -- animatable, alias: Focal_Limit </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.addCam &lt;Depth_of_Field&gt; &lt;camera_node_name_string&gt; </code></pre><p>Adds the specified camera to the Depth of Field camera dropdown. <code>camera_node_name_string</code> is the name of the camera as a string, and must match the case of the camera&#x2019;s name. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed. The normal reason for a failure is that the named camera is not present in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.addFocalNode &lt;Depth_of_Field&gt; &lt;node_name_string&gt; </code></pre><p>Adds the specified node to the Depth of Field focal point node dropdown. <code>node_name_string</code> is the name of the node as a string, and must match the case of the node&#x2019;s name. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed. The normal reason for a failure is that the named node is not present in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.deleteCam &lt;Depth_of_Field&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed camera from the Depth of Field camera dropdown, where <code>&lt;index_integer&gt;</code> is the index of the camera in the dropdown. The index is 0-based to maintain consistency with the <code>camNodeIndex</code> property. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the indexed camera is not present in the dropdown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.deleteCamByName &lt;Depth_of_Field&gt; &lt;camera_node_name_string&gt; </code></pre><p>Deletes the specified camera from the Depth of Field camera dropdown. <code>camera_node_name_string</code> is the name of the camera as a string, and must match the case of the camera&#x2019;s name. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the named camera is not present in the dropdown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.deleteFocalNode &lt;Depth_of_Field&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed node from the Depth of Field focal point node dropdown, where <code>&lt;index_integer&gt;</code> is the index of the node in the dropdown. The index is 0-based to maintain consistency with the <code>focalNodeIndex</code> property. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the indexed node is not present in the dropdown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOF.deleteFocalNodeByName &lt;Depth_of_Field&gt; &lt;node_name_string&gt; </code></pre><p>Deletes the specified node from the Depth of Field focal point node dropdown. <code>node_name_string</code> is the name of the node as a string, and must match the case of the node&#x2019;s name. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the named node is not present in the dropdown.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Effect-Types.html\">Render Effect Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Effect-Types-1.html\">Render Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Effects-Common-Properties.html\">Render Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";