var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-56A72A78-50E9-4A92-8A2D-BE9AF8AE4AEA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Lens_Effects : RenderEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lens_Effects - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(1347096675, 1339450746) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lens_effects ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.size Float default: 100.0 -- animatable </code></pre><p>Get/set the size of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.intensityFloat default: 100.0 -- animatable </code></pre><p>Get/set the intensity of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.seed Integer default: 1357 </code></pre><p>Get/set the random seed of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.angle Float default: 0.0 -- animatable </code></pre><p>Get/set the angle of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.squeeze Float default: 0.0 -- animatable </code></pre><p>Get/set the squeeze value of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.affectAlpha Boolean default: true -- alias: Affect_Alpha </code></pre><p>Get/set whether the lens effect will affect the Alpha channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.affectZBuffer Boolean default: false -- alias: Affect_Z_Buffer </code></pre><p>Get/set whether the lens effect will affect the Z-Buffer channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.distAffectsSize Boolean default: false -- alias: Distance_Affects_Size </code></pre><p>Get/set whether the distance will affect the Size of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.distAffectsIntensity Boolean default: false -- alias: Distance_Affects_Intensity </code></pre><p>Get/set whether the distance will affect the Intensity of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.centerAffectsSize Boolean default: false -- alias: Off_Center_Affects_Size </code></pre><p>Get/set whether the location of the lens effect relatively to the center of the image will affect the Size of the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.centerAffectsIntensity Boolean default: false -- alias: Off_Center_Affects_Intensity </code></pre><p>Get/set whether the location of the lens effect relatively to the center of the image will affect the Intensity of the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.innerOcclusionRadius Float default: 3.0 -- animatable, alias: Inner_Occlusion_Radius </code></pre><p>Get/set the inner occlusion radius of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.outerOcclusionRadius Float default: 33.0 -- animatable, alias: Outer_Occlusion_Radius </code></pre><p>Get/set the outer occlusion radius of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.occlusionAffectsSize Boolean default: true -- alias: Occlusion_Affects_Size </code></pre><p>Get/set whether the occlusion will affect the size of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.occlusionAffectsIntensity Boolean default: true -- alias: Occlusion_Affects_Intensity </code></pre><p>Get/set whether the occlusion will affect the intensity of the lens effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lens_Effects&gt;.affectByAtmosphere Boolean default: false -- alias: Affect_By_Atmosphere </code></pre><p>Get/set whether the lens effect will be affected by atmospheric effects.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>The following methods add elements to a Lens Effects, load and save a Lens Effects configuration file, add and delete lights, and delete Lens Effects elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addASec &lt;Lens_Effects&gt; </code></pre><p>Adds a Auto Secondary element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addGlow &lt;Lens_Effects&gt; </code></pre><p>Adds a Glow element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addMSec &lt;Lens_Effects&gt; </code></pre><p>Adds a Manual Secondary element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addRay &lt;Lens_Effects&gt; </code></pre><p>Adds a Ray element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addRing &lt;Lens_Effects&gt; </code></pre><p>Adds a Ring element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addStar &lt;Lens_Effects&gt; </code></pre><p>Adds a Star element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addStreak &lt;Lens_Effects&gt; </code></pre><p>Adds a Streak element to the Lens Effect. The element is appended to any elements present. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.load &lt;Lens_Effects&gt; &lt;filename_string&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.save &lt;Lens_Effects&gt; &lt;filename_string&gt; </code></pre><p>Saves the Lens Effects configuration to the file specified by <code>&lt;filename_string&gt;</code> . Animated parameter values are not saved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.numLights &lt;Lens_Effects&gt; </code></pre><p>Returns the number of lights in the light list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addLightNode &lt;Lens_Effects&gt; &lt;light_node&gt; </code></pre><p>Adds light node to the light list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.addLight &lt;Lens_Effects&gt; &lt;light_node_name_string&gt; </code></pre><p>Adds the specified light to the Lens Effects Lights dropdown. <code>light_node_name_string</code> is the name of the light as a string, and must match the case of the light&#x2019;s name. Returns <code>true</code> if the addition was successful, <code>false</code> if it failed. The normal reason for a failure is that the named light is not present in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.deleteLight &lt;Lens_Effects&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed light from the Lens Effects Lights dropdown, where <code>&lt;index_integer&gt;</code> is the index of the light in the Lens Effects Lights dropdown. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the indexed light is not present in the dropdown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.deleteLightByName &lt;light_node_name_string&gt; </code></pre><p>Deletes the named light from the Lens Effects Lights dropdown. <code>light_node_name_string</code> is the name of the light as a string, and must match the case of the light&#x2019;s name. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the named light is not present in the dropdown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.lightIndex &lt;Lens_Effects&gt; &lt;light_node_name_string&gt; </code></pre><p>Returns the light list index of the named light. Returns -1 if the light&#x2019;s name is not in the light list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.lightName &lt;Lens_Effects&gt; &lt;index&gt; </code></pre><p>Returns the node name of the light for the specified light list index. If the index is out of range, a null string will be returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.deleteElement &lt;Lens_Effects&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed element, where <code>&lt;index_integer&gt;</code> is the index of the element in the Lens Effects composition window. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the indexed element does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">le.deleteElementByName &lt;element_name_string&gt; </code></pre><p>Deletes the named element. <code>element_name_string</code> is the name of the element as a string, and must match the case of the element&#x2019;s name. Returns <code>true</code> if the deletion was successful, <code>false</code> if it failed. The normal reason for a failure is that the named element does not exist.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Lens-Effects.html\">Lens Effects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Auto_Secondary.html\">Lens_Effects - Auto_Secondary</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Glow.html\">Lens_Effects - Glow</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects.html\">Lens_Effects - Manual_Secondary_Element</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Ray.html\">Lens_Effects - Ray</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Ring.html\">Lens_Effects - Ring</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Star.html\">Lens_Effects - Star</a></li>\n\
          <li><a class=\"link\" href=\"Lens_Effects-Streak.html\">Lens_Effects - Streak</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Effect-Types-1.html\">Render Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"../../Render-Effects-Common-Properties.html\">Render Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";