var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0A4FE872-3677-4CBF-B44D-BAEBC7C0A3B2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VUE_File_Renderer : RendererClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">VUE_File_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - classID: #(5, 0)</code></pre><p>This class represents the VUE File Renderer. It lets you construct an instance of the VUE_File_Renderer class to be assigned to the Current and Production renderers using the new <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">renderers structure</a>.</p>\n\
<p><strong>No properties or interfaces exposed</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new instance of the VUE_File_Renderer class\n\
   vue_rend = VUE_File_Renderer ()\n\
   --&gt; VUE_File_Renderer:VUE_File_Renderer\n\
   --Assign the VUE renderer to the current renderer\n\
   --Since assigning a new renderer generates\n\
   --an invalid undo record,\n\
   --we turn undo off temporarily\n\
   undo off renderers.current = vue_rend\n\
   --&gt; VUE_File_Renderer:VUE_File_Renderer\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">Renderers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";