var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F37AE1A1-0747-4DC9-83CC-B8F036375DC3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TexOutputClass : Material</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.invert Boolean default: false      </code></pre><p>Invert the output. Corresponds to the Invert checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.clamp Boolean default: false   </code></pre><p>Clamp the output. Corresponds to the Clamp checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.alphaFromRGB Boolean default: false </code></pre><p>Outputs alpha channel based on the RGB intensity. Corresponds to the Alpha from RGB Intensity checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.enableColorMap : boolean</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong> Enables or disables the color map.  When enabled (true), the curve controls are available.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.useRGBColorMap : boolean</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong> Specifies whether the color map is RGB (true) or Mono (false).  </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.Output_Amount Float default: 1.0 -- animatable </code></pre><p>The amount of the map being mixed into a composite material. Affects the saturation and alpha value of the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.RGB_Offset Float default: 0.0 -- animatable </code></pre><p>This value is added to the RGB values of the map colors, which affects the tonal value of the colors. Eventually the map becomes white and self-illuminated. Lowering the value decreases the tonal value towards black.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.RGB_Level Float default: 1.0 -- animatable </code></pre><p>The RGB values of the map colors are multiplied by this value, which affects the saturation of the color. Eventually the map becomes fully saturated and self-illuminated. Lowering the value decreases the saturation and makes the map colors grayer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.Bump_Amount Float default: 1.0 -- animatable </code></pre><p>Adjusts the amount of bumpiness. This value has an effect only when the map is used as a bump map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.Mono_Color_Map subAnim </code></pre><p>The <code>Mono_Color_Map</code> SubAnim contains the monochrome color mapping curve. You cannot create this curve in MAXScript, or access this curve unless you first turn on the Enable Color Map checkbox in the user interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output&gt;.RGB_Color_Map subAnim </code></pre><p>The <code>RGB_Color_Map</code> SubAnim contains the RGB color mapping curves. You cannot create these curves in MAXScript, or access the curves unless you first turn on the Enable Color Map checkbox and select the RGB radiobutton in the user interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output.Mono_Color_Map&gt;. curve_1 SubAnim </code></pre><p>The <code>curve_1</code> SubAnim contains the monochrome color mapping curve points. You cannot create or access these points unless the point is animated. If a point is animated, you can access the point position using the <code>.Point_X</code> property of <code>curve_1</code> , where <code>X</code> in the point number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap.output.RGB_Color_Map&gt;.curve_1 SubAnim \n\
&lt;texturemap.output.RGB_Color_Map&gt;.curve_2 SubAnim \n\
&lt;texturemap.output.RGB_Color_Map&gt;.curve_3 SubAnim </code></pre><p>The <code>curve_1</code> , <code>curve_2</code> , and <code>curve_3</code> SubAnims contains the R, G, and B color mapping curve, respectively. You cannot create or access points in these curves unless the point is animated. If a point is animated, you can access the point position using the <code>.Point_X</code> property of the curve, where <code>X</code> in the point number.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Shared-Classes.html\">TextureMap Shared Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";