var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A98E3A5-C463-4C4D-A015-52D6F1938B35\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Camera_Map_Per_Pixel : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_Map_Per_Pixel - superclass: textureMap; super-superclass:material - 11:0 - classID: #(1626110529, 169925758) </code></pre><p>This map provides precise camera mapping without image deformations when looking at the mapped surface at shallow angles.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_Map_Per_Pixel...      \n\
CameraMapTexture...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.angleThreshold Float default: 90.0 -- animatable; float; Angle_Threshold </code></pre><p>Get/Set the Angle Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.backFace BooleanClass default: true --Boolean </code></pre><p>Enable/disable the <strong>Remove Back Face Pixels</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.camera UndefinedClass default: undefined -- node </code></pre><p>Get/Set the Camera node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.MapChannel Integer default: 1 -- animatable; integer; Map_Channel </code></pre><p>Get/Set the Map Channel value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.mask UndefinedClass default: undefined -- texmap </code></pre><p>Get/Set the Mask map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.maskUsesProjection BooleanClass default: true -- boolean; Mask_Uses_the_Camera_Projection </code></pre><p>Enable/Disable the <strong>Mask Uses the Camera Projection</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.texture UndefinedClass default:undefined -- texmap </code></pre><p>Get/Set the Texture map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.useMask BooleanClass default: false -- boolean; Use_Mask </code></pre><p>Enable/Disable the use of the mask map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.useZBuffer BooleanClass default: false -- boolean </code></pre><p>Enable/Disable the use of the ZBuffer Mask map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.zbuffer UndefinedClassdefault: undefined -- bitmap </code></pre><p>Get/Set the ZBuffer Mask map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_Map_Per_Pixel&gt;.ZFudge Float default: 1.0 -- animatable; float; Z_Fudge </code></pre><p>Get/Set the ZFudge value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";