var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-750776C7-C555-40AA-9DEA-710B3A150767\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cellular : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cellular - superclass: textureMap; super-superclass:material - classID: #(-922740827, 286867643) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cellular ...      \n\
cellularTex...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.celcolor Color default: (color 255 255 255) -- animatable, alias: Cell_Color </code></pre><p>The color of the cell.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.cellmap textureMap default: undefined </code></pre><p>Assigns a map to the cells, rather than a solid color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.map1Enabled Boolean default: true -- alias: Map1_On </code></pre><p>When on, enables the map.</p>\n\
<p>When off, disables the map (cell color reverts to <code>celcolor</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.variation Float default: 0.0 -- animatable </code></pre><p>Varies the color of the cells by randomly altering RGB values.</p>\n\
<p>The higher the variation, the greater the random effect.</p>\n\
<p>This percentage value can range from 0 to 100.</p>\n\
<p>At 0, the color swatch or the map completely determines the cell color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.divcolor1 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Division_Color1 </code></pre><p>The color of the first cell division.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.divmap1 textureMap default: undefined -- alias: DivisionMap1 </code></pre><p>Assigns a map to the first cell division.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.map2Enabled Boolean default: true -- alias: Map2_On </code></pre><p>When on, enables the first cell division map.</p>\n\
<p>When off, disables the associated map (the division color reverts to <code>divcolor1</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.divcolor2 Color default: (color 0 0 0) -- animatable, alias: Division_Color2 </code></pre><p>The color of the second cell division.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.divmap2 textureMap default: undefined -- alias: DivisionMap2 </code></pre><p>Assigns a map to the second cell division.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.map3Enabled Boolean default: true -- alias: Map3_On </code></pre><p>When on, enables the second cell division map.</p>\n\
<p>When off, disables the associated map (the division color reverts to <code>divcolor2</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.type Integer default: 0 </code></pre><p>Sets the shape and size of the cells:</p>\n\
<p>0- Circular (This gives a more organic, or bubbly look.)</p>\n\
<p>1- Chips (With Chips, the cells have linear edges. This gives a more chipped or mosaic appearance.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.size Float default: 5.0 -- animatable </code></pre><p>Alters the overall scale of the map. Adjust this value to fit the map to your geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.spread Float default: 0.5 -- animatable </code></pre><p>Alters the size of individual cells.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.smooth Float default: 0.1 -- animatable, alias: Bump_smoothing </code></pre><p>When you use a cellular map as a bump map, you might encounter aliasing or jagginess at the boundaries of the cells. If this occurs, increase this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.fractal Boolean default: false </code></pre><p>When on, makes the cellular pattern a fractal pattern.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.iteration Float default: 3.0 -- animatable, alias: Iterations </code></pre><p>Sets the number of times the fractal function is applied.</p>\n\
<p><strong>Caution</strong>: Increasing this value increases rendering time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.adaptive Boolean default: true </code></pre><p>When on, the number of fractal iterations is set adaptively.</p>\n\
<p>That is, the number of iterations increases the closer the geometry is to the scene&#x2019;s point of view, and decreases in the distance.</p>\n\
<p>This reduces aliasing and also saves time while rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.roughness Float default: 0.0 -- animatable </code></pre><p>When you use the Cellular map as a bump map, this parameter controls how rough the bumps are.</p>\n\
<p>When Roughness is zero, each iteration is half the strength of the previous iteration, and half the size.</p>\n\
<p>As Roughness increases, each iteration is closer in strength and size to the previous iteration.</p>\n\
<p>When Roughness is at its maximum value of 1.0, each iteration is the same size and strength as the previous. In effect, this turns off the fractalization.</p>\n\
<p>Roughness has no effect unless Iterations is greater than 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.lowthresh Float default: 0.0 -- animatable, alias: Low </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.midthresh Float default: 0.5 -- animatable, alias: Mid</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.highthresh Float default: 1.0 -- animatable, alias: High </code></pre><p>These controls affect the relative size of cells and divisions.</p>\n\
<p>They are expressed as normalized percentages (0 to 1) of the sizes specified by the default algorithm.</p>\n\
<p><code>lowthresh:</code> Adjusts the size of the cells. Default=0.0.</p>\n\
<p><code>midthresh:</code> Adjusts the size of the first division color, relative to the second. Default=0.5.</p>\n\
<p><code>highthresh:</code> Adjusts the overall size of divisions. Default=1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.coords StandardXYZGen -- alias: coordinates </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/StandardXYZGen-Material.html\">StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cellular&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";