var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-60B37B83-ACBD-40A7-83A3-C1EC7400326F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Normal_Bump : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Normal_Bump - superclass: textureMap; super-superclass:material - 10:0 - classID: #(608051910, 1677107220) </code></pre><p>This texture map implements the normal bump map for applying baked normal maps.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Normal_Bump ...     \n\
GNormal ...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.bump_map UndefinedClass default: undefined-- texmap; Additional_Bump </code></pre><p>Get/Set the additional bump map texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.bump_spin Floatdefault: 1.0 -- animatable; float; Bump_Multiplier </code></pre><p>Get/Set the Additional Bump multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.flipgreen BooleanClass default:false -- boolean; flip_green </code></pre><p>When set to true, flips the green channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.flipred BooleanClass default: false -- boolean; flip_red </code></pre><p>When set to true, flips the red channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.map1on BooleanClassdefault: true -- boolean </code></pre><p>When set to true, enables the Normal map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.map2on BooleanClassdefault: true -- boolean </code></pre><p>When set to true, enables the Additional Bump map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.method Integerdefault: 0 -- integer; Methods </code></pre><p>Get/set the bump method.</p>\n\
<p>0 - Tangent (default)</p>\n\
<p>1 - Local XYZ</p>\n\
<p>2 - Screen</p>\n\
<p>3 - World</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.mult_spin Floatdefault: 1.0 --animatable; float; Multiplier </code></pre><p>Get/Set the Normal multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.normal_map UndefinedClass default: undefined -- texmap; Normal </code></pre><p>Get/Set the Normal map texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normal_Bump&gt;.swap_rg BooleanClass default: false-- boolean; swap_red_green </code></pre><p>When set to true, swaps the red and green channels.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";