var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AB4D4360-9B42-453A-BCEF-FE7CA05A9A6F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Particle_Age : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Particle_Age - superclass: textureMap; super-superclass:material - classID: #(-1922986332, 1237051599) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particle_age...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 </code></pre><p>Sets the color of a particle at its birth.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map1 TextureMap default: undefined -- alias: Map_1 </code></pre><p>Sets the map used for a particle at its birth.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.age1 Float default: 0.0 -- animatable, alias: Age_1 </code></pre><p>Sets the age where a particle starts changing from <code>color1</code> to <code>color2</code> , expressed as a percentage of the particle&#x2019;s entire life.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.color2 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Color_2 </code></pre><p>Sets the color of a particle in mid-life.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map2 TextureMap default: undefined -- alias: Map_2 </code></pre><p>Sets the map used for a particle in mid-life.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.age2 Float default: 50.0 -- animatable, alias: Age_2 </code></pre><p>Sets the age where a particle&#x2019;s color equals <code>color2</code> , expressed as a percentage of the particle&#x2019;s entire life.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.color3 Color default: (color 255 255 255) -- animatable, alias: Color_3 </code></pre><p>Sets the color of a particle at its death.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map3 TextureMap default: undefined -- alias: Map_3 </code></pre><p>Sets the map used for a particle at its death.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.map3Enabled Boolean default: true -- alias: Map_3_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.age3 Float default: 100.0 -- animatable, alias: Age_3 </code></pre><p>Sets the age where a particle changes to <code>color3</code> , expressed as a percentage of the particle&#x2019;s entire life.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Particle_Age&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";