var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0CDCEEE7-0667-45CD-AA14-583196A3C398\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Physical_Sun___Sky_Environment : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Physical_Sun___Sky_Environment - superclass: textureMap; super-superclass:material - 19:0 - classID: #(573786548L, 1445625227L)</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Implements a General physical Sun &amp; Sky Environment Map that can be used both with the ART_Renderer and all other rendering engines shipping with 3ds Max.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Physical_Sun___Sky_Environment...\n\
PhysicalSunSkyEnv...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_position_object     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the <strong>&quot;Sun Position Widget&quot;</strong> scene object.</p>\n\
<p>A <a href=\"./../../Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Sun_Positioner-Light.html\">Sun_Positioner</a> class instance is expected.</p>\n\
<p>Global Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.global_intensity     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Intensity&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.Haze     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Haze&quot;</strong> spinner.</p>\n\
<p>Sun Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_enabled     BooleanClass    default: true   --  animatable; Boolean</code></pre><p>Get/set the state of the <strong>&quot;Sun&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_intensity     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Disk Intensity&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_scale     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Disk Size&quot;</strong> spinner in the range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_scale_percent     Float    default: 100.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Disk Size&quot;</strong> spinner as a percentage.</p>\n\
<p>This value is derived from the <code>.sun_disc_scale</code> which is the actual internal animatable property.</p>\n\
<p>The UI exposes the value as percentage for usability reasons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sun_glow_intensity     Float    default: 1.0   --  animatable; float; Glow_Intensity</code></pre><p>Get/set the value of the <strong>&quot;Glow Intensity&quot;</strong> spinner.</p>\n\
<p>Sky Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.sky_intensity     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Sky Intensity&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.illuminance_model    Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Illuminance Model&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Automatic</strong></p>\n\
<p>1 - <strong>Physical</strong> (Preetham et al.)</p>\n\
<p>2 - <strong>Measured</strong> (Perez All-Weather)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.night_intensity     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value in cd/m2 of the <strong>&quot;Night Sky Luminance&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.night_color     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))</code></pre><p>Get/set the color of the <strong>&quot;Night Sky Luminance&quot;</strong> color picker.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.perez_diffuse_horizontal_illuminance     Float    default: 10000.0   --  animatable; float</code></pre><p>Get/set the value in lx of the <strong>&quot;Diffuse Horizontal Illuminance&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.illuminance_model</code> is set to 2 &#x2013; Measured mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.perez_direct_normal_illuminance     Float    default: 50000.0   --  animatable; float</code></pre><p>Get/set the value in lx of the <strong>&quot;Direct Normal Illuminance&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.illuminance_model</code> is set to 2 &#x2013; Measured mode.</p>\n\
<p>Horizon &amp; Ground Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.horizon_blur_deg     Float    default: 0.1   --  animatable; float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Horizon Blue&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.horizon_height_deg     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Horizon Height&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.ground_color     Color    default: (color 51 51 51)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Ground Color&quot;</strong> color.</p>\n\
<p>Color Tuning Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.saturation     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Saturation&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Sun___Sky_Environment&gt;.tint     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Tint&quot;</strong> color.</p>\n\
<h2 id=\"physical_sun___sky_environment-interfaces-\">Physical_Sun___Sky_Environment interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";