var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E1300AC2-2CFC-4F4A-AA6A-35D27EEC9AA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Raytrace : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Raytrace - superclass: textureMap; super-superclass:material - classID: #(0, 675561916) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">raytrace...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Trace_Mode Integer default: 0 </code></pre><p>Sets whether to cast reflected or refracted rays:</p>\n\
<p>0- <strong>Auto Detect</strong> (If assigned to the material&#x2019;s Reflection component, the raytracer will reflect. If assigned to Refraction, it will refract. If you assign Raytrace to any other component, you have to manually specify whether you want reflected rays or refracted rays.)</p>\n\
<p>1- <strong>Reflection</strong> (Casts reflected rays off the object&#x2019;s surface.)</p>\n\
<p>2- <strong>Refraction</strong> (Casts refracted rays into or through the object&#x2019;s surface.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Raytracer_Enable Boolean default: true -- animatable </code></pre><p>Turns the raytracer on or off.</p>\n\
<p>Even with raytracing off, Raytrace material and Raytrace map still reflect and refract the environment, including both the environment map for the <strong>3ds Max</strong> scene, and the environment map assigned to the Raytrace material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Antialiasing_Enable Boolean default: true -- animatable </code></pre><p>Turns anti-aliasing on or off.</p>\n\
<p>Anti-aliasing is possibly the slowest portion of raytrace rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Self_Reflect_Refract Boolean default: true -- animatable </code></pre><p>Turns self reflection/refraction on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Raytrace_Atmospherics Boolean default: true -- animatable </code></pre><p>Turns the raytracing of atmospheric effects on or off.</p>\n\
<p>Atmospheric effects include fire, fog, volume light, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Reflect_Refract_Material_ID_s Boolean default: true -- animatable </code></pre><p>When on, the material reflects effects assigned to material IDs in the renderer&#x2019;s G-buffer on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Raytrace_Objects_in_Glass Boolean default: true -- animatable </code></pre><p>Turns the raytracing of objects inside raytraced objects on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Raytrace_Atmospherics_in_Glass Boolean default: true -- animatable </code></pre><p>Same as the previous control, but for atmospheric effects instead of objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Color_Density___Fog_Enable Boolean default: true -- animatable </code></pre><p>Turns the color density and fog features on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Background_Mode Integer default: 0 </code></pre><p>Sets Background Mode:</p>\n\
<p>0- Use Environment Settings (Respects the environment settings of the current scene.)</p>\n\
<p>1- Use <code>Background_Color</code> (Overrides environment settings)</p>\n\
<p>2- Use background map (Overrides the environment settings with the specified map.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Background_Color Color default: (color 0 0 0) -- animatable </code></pre><p>Color used as background.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Antialias_Override Boolean default: false </code></pre><p>When on, allows you to modify local anitialiasing settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Adaptive_Antialiasing Boolean default: false </code></pre><p>When on, enables the adaptive antialiaser for this Raytrace map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Threshold Float default: 0.1 -- animatable </code></pre><p>Determines the sensitivity of the adaption algorithm.</p>\n\
<p>This value can range from 0 to 1, where 0 always casts the maximum number of rays and 1 always casts only the minimum number of rays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Min__Rays Integer default: 4 -- animatable </code></pre><p>Sets the initial number of rays cast per pixel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Max_Rays Integer default: 32 -- animatable </code></pre><p>Sets the maximum number of rays the algorithm casts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Blur_Offset Float default: 0.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of reflections or refractions without regard to distance.</p>\n\
<p>You can use this to soften the details of a reflection or refraction.</p>\n\
<p>This value is specified in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Blur_Aspect Float default: 1.0 -- animatable </code></pre><p>Changes the shape of the blur by changing the aspect ratio. Usually you will not need to change this setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Defocus_Amount Float default: 0.0 -- animatable </code></pre><p>Blurs based on distance.</p>\n\
<p>Objects near the surface are not blurred, but objects farther away are blurred.</p>\n\
<p>The rays cast are spread as they leave the surface of the Raytrace map object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Local_Defocus_Aspect Float default: 1.0 -- animatable </code></pre><p>Changes the shape of the defocusing by changing the aspect ratio. Usually you will not need to change this setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Blur_Map Boolean default: false </code></pre><p>When on, uses a map to apply the Blur Offset value. That is, where the map is white, blur offset is fully applied, and where it is black, it is ignored.</p>\n\
<p>For example, if the map is a Checker map, blur offset is applied only in every other square.</p>\n\
<p>Values between black and white cause less blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Defocus_Map Boolean default: false </code></pre><p>When on, uses a map to apply the Defocus value. That is, where the map is white, Defocus is fully applied, and where it is black, it is ignored.</p>\n\
<p>For example, if the map is a Checker map, Defocus is applied only in every other square.</p>\n\
<p>Values between black and white cause less defocusing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Mode Integer default: 0 </code></pre><p>Sets Attenuation Mode:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>Linear</strong> (Linear attenuation is calculated between the <code>attenuation_start</code> and <code>attenuation_end</code> values.)</p>\n\
<p>2- <strong>Inverse Scale</strong> (Sets inverse square attenuation. Inverse square attenuation is calculated beginning at the <code>attenuation_start</code> range, and doesn&#x2019;t use the <code>attenuation_end</code> range. Inverse scale is the actual attenuation rate for light in the real world. However, it doesn&#x2019;t always give the effect you want in a rendered scene.)</p>\n\
<p>3- <strong>Exponential</strong> (Sets exponential attenuation. Exponential attenuation is calculated between the <code>attenuation_start</code> and <code>attenuation_end</code> values. You also specify the exponent to use.)</p>\n\
<p>4- <strong>Custom Falloff</strong> (Specifies a custom curve to use for attenuation.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Start Float default: 0.0 -- animatable </code></pre><p>The distance in world units where attenuation begins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_End Float default: 100.0 -- animatable </code></pre><p>The distance in world units where attenuation ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Exponent Float default: 2.0 -- animatable  </code></pre><p>The attenuation exponent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Color_Mode Integer default: 0 </code></pre><p>Controls the Attenuation Color mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Background;</p>\n\
<p>1 - use <code>Attenuation_Color</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Color Color default: (color 0 0 0) -- animatable </code></pre><p>Sets the distance in world units where the ray is fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Near Float default: 1.0 -- animatable </code></pre><p>Sets the strength of the reflected/refracted ray at the start range distance.</p>\n\
<p>This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Control_1 Float default: 0.6666 -- animatable </code></pre><p>Controls the shape of the curve near the curve start.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Control_2 Float default: 0.3333 -- animatable </code></pre><p>Controls the shape of the curve near the curve end.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Attenuation_Far Float default: 0.0 -- animatable </code></pre><p>Sets the strength of the reflected/refracted ray at the end range distance.</p>\n\
<p>This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Reflectivity_Map Boolean default: false -- animatable </code></pre><p>Enables a reflectivity map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Reflectivity_Map_Amount Float default: 1.0 -- animatable </code></pre><p>Controls the amount of raytracing used by the material it is assigned to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Basic_Tint_Enable Boolean default: false </code></pre><p>Turns basic tinting on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Tint_Amount Float default: 1.0 -- animatable </code></pre><p>Sets the amount of tinting used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Tint_Color Color default: (color 255 255 255) -- animatable </code></pre><p>Assigns a tint color for reflections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Tint_Map Boolean default: false </code></pre><p>Enables the use of a map for tinting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Color_Density_Enable Boolean default: false </code></pre><p>Turns color density on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Color_Density_Color Color default: (color 255 255 255) -- animatable </code></pre><p>Sets the transmission color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Color_Density_Amount Float default: 1.0 -- animatable </code></pre><p>Controls the amount of density color.</p>\n\
<p>It can range from 0 to 1.0.</p>\n\
<p>Reducing this value reduces the density color effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Color_Density_Start Float default: 0.0 -- animatable </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Color_Density_End Float default: 25.0 -- animatable </code></pre><p>A thin piece of tinted glass is mainly clear, while a thick piece of the same glass has more color.</p>\n\
<p>Start and End Distance, expressed in world units, controls help you simulate this effect.</p>\n\
<p>Start is the position in the object where the density color begins to appear.</p>\n\
<p>End is the position in the object where the density color reaches its full Amount value.</p>\n\
<p>To have a lighter effect, increase the End value.</p>\n\
<p>To have a heavier effect, reduce the End value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Color_Density_Map Boolean default: false </code></pre><p>Enables the use of a map for the color density filter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_Enable Boolean default: false </code></pre><p>Turns fog on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_Color Color default: (color 255 255 255) -- animatable </code></pre><p>Sets the fog color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_Amount Float default: 1.0 -- animatable </code></pre><p>Controls the amount of density fog. It can range from 0 to 1.0.</p>\n\
<p>Reducing this value reduces the density fog effect and makes the fog translucent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_Start Float default: 0.0 -- animatable </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_End Float default: 25.0 -- animatable </code></pre><p>Start and End Distance controls, expressed in world units, adjust the fog effect based on the object&#x2019;s dimensions.</p>\n\
<p>Start is the position in the object where the density fog begins to appear.</p>\n\
<p>End is the position in the object where the density fog reaches its full Amount value.</p>\n\
<p>To have a lighter effect, increase the End value.</p>\n\
<p>To have a heavier effect, reduce the End value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Use_Fog_Map Boolean default: false </code></pre><p>Enables a map for the fog color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Bump_Multiplier Float default: 0.2 -- float </code></pre><p>Get/set the Bump Multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Filter_Density_Map_Amount Float default: 1.0 -- float </code></pre><p>Get/set the Filter Density map amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Fog_Map_Amount Float default: 1.0 -- float </code></pre><p>Get/set the Fog map amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Refractions_as_Glass_Enable Boolean default: true -- boolean </code></pre><p>Enable the glass refractions option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Tint_Map_Amount Float default: 1.0 -- float </code></pre><p>Get/set the Tint map amount value.</p>\n\
<p><strong>The following properties do not correspond to any user-interface items, and may or may not be used by the raytracer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Interobject_Interphase_Fusing Boolean default: false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.IIF_Tolerance Float default: 1.0 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Raytrace.parameters&gt;.Options__Color_Density___Fog_Enable Boolean default: true -- animatable; boolean </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The sub-maps that can be assigned to a Raytrace texturemap are not accessible to MAXScript unless they have already been assigned to the Bricks map. Once these maps have been assigned, they are available as properties of the Bricks TextureMap value. The property names, however, are dependent on the type of maps assigned. For example, if dent maps were assigned to all the sub-maps, the property names would be similar to <code>Background__Map__17____Dent</code> , <code>Blur_Map__Map__18____Dent</code> , <code>Defocus_Map__Map__19____Dent</code> , <code>Reflectivity_Map__Map__20____Dent</code> , <code>Tint_Map__Map__21____Dent</code> , <code>Color_Density_Map__Map__22____Dent</code> , and <code>Fog_Color_Map__Map__23____Dent</code> . These maps are also stored as subAnims 2 through 8 of the Raytrace TextureMap value, respectively. If the subAnim name for a subAnim is similar to <code>Background__None</code> , no map has been assigned to that sub-map.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";