var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A0C77528-FBE6-4BD2-B1B5-A3690D4344D1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PBRImporter: UtilityPlugin</h1></div><p>This interface provides access to the PBR Importer, which enables you to create Physical Materials by loading a range of texture files.  Note that only very limited functionality is currently exposed to MAXScript. </p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;PBRImporter.Open()</code></pre><p>Opens the PBR Importer dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;PBRImporter.Close()</code></pre><p>Closes the PBR Importer dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;PBRImporter.Import &lt;string array&gt;paths</code></pre><p>Imports materials from the textures in the array of directories specified by <code>paths</code>.  </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;material array&gt;PBRImporter.GetMaterials()</code></pre><p>Returns an array of materials that have been imported.  Returns an empty array if no materials have been matched/imported.</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Open PBR Import dialog, import some default Max materials\n\
p = GetDir #maxroot + &quot;maps\\\\&quot;\n\
PBRImporter.Open()\n\
PBRImporter.Import #(p)\n\
ms = PBRImporter.getMaterials()\n\
classOf ms[1]\n\
PBRImporter.Close()</code></pre><p>Output:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;C:\\Program Files\\3dsMax 2021\\maps\\&quot;\n\
true\n\
true\n\
#(bricks23:PBRMetalRough, bricks24:PBRMetalRough)\n\
PBRMetalRough\n\
true</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";