var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D644DEA7-3011-4F4C-94CD-F5843DF6F92E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ViewportManagerCustAttrib : CustAttrib</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportManagerCustAttrib - superclass: CustAttrib; super-superclass:MAXWrapper - 4:0 - classID: #(1510353212, 809634846) </code></pre><p><strong>Constructor:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportManagerCustAttrib&gt;.effect Integer default: 0 -- integer; EffectList   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportManagerCustAttrib&gt;.enabled Boolean default: false -- Boolean </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportManagerCustAttrib&gt;.dxStdMat BooleanClass default: false -- Boolean </code></pre><p>Get/set the status of the DirectX Standard Material display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ViewportManagerCustAttrib&gt;.SaveFXFile UndefinedClass default: undefined -- filename; </code></pre><p>Get/set the file name of the FX file.</p>\n\
<p><strong>ViewportManagerCustAttrib Interface:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: viewportmanager </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumViewportEffects () </code></pre><p>Returns the number of available viewport effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getActiveViewportEffect () </code></pre><p>Returns the active viewport effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;setViewportEffect &lt;integer&gt;effectindex </code></pre><p>Sets the indexed viewport effect as the active effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getViewportEffectName &lt;integer&gt;effectindex </code></pre><p>Returns the name of the indexed viewport effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;activateEffect &lt;material&gt;material &lt;boolean&gt;state </code></pre><p>Enables/Disables the viewport effect for the specified material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isDxStdMatEnabled () </code></pre><p>Returns true if the DirectX Standard Material display is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;activateDxStdMat &lt;boolean&gt;active </code></pre><p>When the parameter is true, enables the DirectX Standard Material display in the viewports, when false, disables it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;saveFXFile &lt;filename&gt;filename </code></pre><p>Saves the DirectX Shader to the supplied FX file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getActiveEffectName () </code></pre><p>Returns the name of the active effect as string.</p>\n\
<p><strong>ViewportManagerCustAttrib Interface:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: SaveEffectFile </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SaveAsFXFile () -- Action Interface </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DXDisplay () -- Action Interface </code></pre><p><strong>Actions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Category: DirectX_Manager; Action: Save_as__FX_File; Shortcut: -- none defined --Category: DirectX_Manager; Action: DX_Display; Shortcut: -- none defined --</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewport-Manager.html\">Viewport Manager</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader : Material</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dxshadermanager.html\">Interface: dxshadermanager</a></li>\n\
          <li><a class=\"link\" href=\"../TextureMap-Material/Hardware-Shaders/CubeMap-ReferenceTarget.html\">CubeMap : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../DirectX-Shaders/LightMap-ReferenceTarget.html\">LightMap : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../TextureMap-Material/Hardware-Shaders/Metal_Bump-ReferenceTarget.html\">Metal_Bump : ReferenceTarget</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";