var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-982B0129-4277-4128-83F1-A6584D3F40E0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Frequently Asked Questions</h1></div><p>The answers to the following <strong>Frequently Asked Questions</strong> should help you locate relevant information regarding some often used areas of MAXScript. It also provides direct links to some general programming topics of interest, and solutions to problems prompted by user questions on the online support forums.</p>\n\
<h2 id=\"maxscript-syntax-and-terminology\">MAXScript Syntax and Terminology</h2><p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-understand-the-function.html\">How do I understand the function definitions in this document?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-Are-Mapped-Operations-in.html\">What Are Mapped Operations in MAXScript?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-Scope-of-variables-.html\">What is Scope of variables?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/When-do-I-use-If-Then-and-when.html\">When do I use If...Then and when If...Do?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\">When do I use () after a function?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-difference-between.html\">What is the difference between &#39;undefined&#39; and &#39;unsupplied&#39; values?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-difference-between-1.html\">What is the difference between &#39;=&#39; and &#39;==&#39; operators?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-differences-between.html\">What is the differences between Arrays and BitArrays?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\">How do I get the file name of the current scene?</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/The-Wonderful-World-of-Classes.html\">The Wonderful World of Classes and Class Instances</a></p>\n\
<h2 id=\"general-advanced-topics\">General Advanced Topics</h2><p><a href=\"General-Advanced-Topics/How-do-texture-coordinates-work-.html\">How do texture coordinates work?</a></p>\n\
<p><a href=\"General-Advanced-Topics/How-are-Transformations-in-3ds.html\">How are Transformations calculated in 3ds Max and MAXScript?</a></p>\n\
<h2 id=\"practical-questions\">Practical Questions</h2><h3 id=\"working-with-vectors\">Working With Vectors</h3><p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-make-a-vector-from-a.html\">How do I make a vector from a vertex position?</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-find-the-angle-between.html\">How do I find the angle between two vectors?</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-find-the-angle-between-1.html\">How do I find the angle between 3 vertices?</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-rotate-a-vector-around.html\">How do I rotate a vector around the Z axis?</a></p>\n\
<h3 id=\"working-with-maxscript-values\">Working with MAXScript Values</h3><p><a href=\"Practical-Questions/Working-with-MAXScript-Values/Why-does-Execute-return.html\">Why does Execute return &#39;undefined&#39; when accessing a loop variable?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-create-a-multi.html\">How do I create a multi-dimensional array?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-calculate-the-Volume-of.html\">How do I calculate the Volume of an Object?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-check-if-a-string.html\">How do I check if a string contains only numbers?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-remove-duplicate-arrays.html\">How do I remove duplicate arrays from an array?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-filter-a-string.html\">How do I filter a string including empty entries?</a></p>\n\
<h3 id=\"working-with-files\">Working With Files</h3><p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-set-the-default-path.html\">How do I set the default path for file operations in MAXScript?</a></p>\n\
<h3 id=\"accessing-object-properties\">Accessing Object Properties</h3><p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-a-property-in.html\">How do I change a property in multiple objects at once?</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\">How do I change the Shadow type of a Light?</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-get-the-object-by.html\">How do I get the object by object name?</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-access-the-Alpha-values.html\">How do I access the Alpha values shown in the viewport?</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-text-in-a.html\">How do I change the text in a Text Shape dynamically?</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\">How do I Sort a MultiMaterial By Material ID?</a></p>\n\
<h3 id=\"working-with-scripted-ui\">Working with Scripted UI</h3><p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-access-UI-elements-to.html\">How do I access UI elements to change their properties?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-display-a-value-in-a.html\">How do I display a value in a Rollout?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-update-the-items-in-a.html\">How do I update the items in a dropdownList or listBox?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\">How do I call the dropdownList Selected handler as a function?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-uncheck-a-MacroScript.html\">How do I uncheck a MacroScript button correctly?</a></p>\n\
<h3 id=\"working-with-scene-nodes\">Working with Scene Nodes</h3><p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-create-a-line-between.html\">How do I create a line between two points?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-instance-Modifiers-and.html\">How Do I instance Modifiers and Controllers inside the same object?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-get-a-Space-Warp-by.html\">How do I get a Space Warp by Binding?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-delete-randomly-a.html\">How do I delete randomly a specified percentage of geometry objects?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-Create-a-Button-to-Show.html\">How do I Create a Button to Show the Next Object?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-batch-process-multiple.html\">How do I batch-process multiple .MAX files?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/Can-I-use-data-from-external.html\">Can I use data from external files to control my scene or animation?</a></p>\n\
<h3 id=\"working-with-editable-meshes\">Working with Editable Meshes</h3><p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\">How Do I Get the Local Rotation of a Face?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\">How do I Split a Mesh by UV Elements?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-align-the-UVW_Modifier.html\">How do I align the UVW_Modifier&#39;s Gizmo to a selected face?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Select-a-Face-of-an.html\">How Do I Select a Face of an Editable Mesh by its Index?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-Faces-With-Normals.html\">How Do I Get Faces With Normals Facing Away?</a></p>\n\
<h3 id=\"working-with-editable-polys\">Working with Editable Polys</h3><p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-build-Unconnected-Edges.html\">How do I build Unconnected Edges Selections from EPoly Edge Selection?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-remove-mid-edge-EPoly.html\">How do I remove mid-edge EPoly Vertices?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-Select-Edges-Between.html\">How do I Select Edges Between Material IDs?</a></p>\n\
<h3 id=\"working-with-animation\">Working with Animation</h3><p><a href=\"Practical-Questions/Working-with-Animation/How-do-I-link-the-rotation-of-an.html\">How do I link the rotation of an object to the scene time?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\">How do I keep a Plane aligned to 3 Point Helpers?</a></p>\n\
<h2 id=\"writing-better-and-faster-scripts\">Writing Better and Faster Scripts</h2><p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">Disable Viewport Redraws when making changes to scene objects</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Undo-system-when.html\">Disable Undo system when possible</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">Modify Panel can be slow -change to Create Panel when possible</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">Use the &#39;flagForeground&#39; node viewport state method</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">Never get a single pixel when you can get a whole line</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">Only calculate once if possible</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">Cache freqeuntly used functions and objects</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">Dice your data into smaller pieces</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">Use bitArrays instead of Arrays when possible</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">Pre-initialize arrays when final size is known</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Recursive-functions-can-be.html\">Recursive functions can be faster</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern is faster than findString</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">Do not use return, break, exit or continue</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">Use StringStream to build large strings</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-name-values-instead-of.html\">Use name values instead of strings when possible</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">Try not to use Execute function if there is an alternative</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">For Loop Collect Vs For Loop Do Performance</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">Optimizing Particle Flow Script Operator For Loops For Speed</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Using Bsearch For Fast Table Lookup</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Better-.html\">How To Make It Better?</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Frequently-Asked-Questions.html\">Frequently Asked Questions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";