var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-965448B0-2B83-4E09-BE0A-8B159401182B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I get the file name of the current scene?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I can&apos;t seem to find a function for grabbing the name of the currently open maxfile!</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>The file name of the currently loaded scene can be accessed via the <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">System Global Variable</a> <strong>maxFileName</strong>.</p>\n\
<p>The path of the current scene is accessible through <strong>maxFilePath</strong>.</p>\n\
<p>Both variables are read-only!</p>\n\
<p>To get the complete scene file name, you can use</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sceneName = maxFilePath + maxFileName\n\
</code></pre></blockquote>\n\
<p>If the scene does not have a name yet (Untitled), both will return an empty string &quot;&quot;.</p>\n\
<p>These global variables are documented under the letter M in the topic <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#m\">3ds Max System Globals</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";