var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AE4CAED2-1EF9-40EF-9761-83F535FE953A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Running the OLE Demo</h1></div><p>The example supplied consists of 2 files:</p>\n\
<p><code>ole.ms</code>- a MAXScript script containing a grapher interface</p>\n\
<p><code>oledemo.xls</code> - an Excel spreadsheet with some data and a VBA script to call the grapher</p>\n\
<p>To run the example, make sure you&#39;ve registered <strong>3ds Max</strong> as an OLE server as described in <a href=\"Setting-Up-MAXScript-OLE.html\">Setting Up MAXScript OLE Automation</a>, start <strong>3ds Max</strong> and open the <code>ole.ms</code> script file in a script Editor window. You&#39;ll see it contains definitions for six functions and a call to <code>registerOLEInterface()</code> to expose some of those functions. Select the whole script and press number pad ENTER to evaluate it. This defines the functions and exposes them through OLE.</p>\n\
<p>Start Excel and open the <code>oledemo.xls</code> spreadsheet (in the scripts directory). It contains one worksheet and one module sheet and defines a new <strong>Max</strong> menu. The worksheet contains some example data to be charted and the module sheet contains the VBA scripts that implement the menu commands in the new <strong>3ds Max</strong> menu.</p>\n\
<p>Bring up the <code>sheet1</code> worksheet. It contains a table of numbers representing quarterly sales figure for a number of regions. Drag-select all the label and figure cells and choose the Max &gt; Build Animated Chart menu. This opens a connection to <strong>3ds Max</strong> and passes the selected column labels and figures to the appropriate functions in the exposed interface. It then brings <strong>3ds Max</strong> to the front which chugs away for a bit building the labeled bar chart and animating the bars over the range of quarters given. Drag the slider to see the bars animate. Business graphs in <strong>3ds Max</strong>!</p>\n\
<p>The Max &gt; Render Movie menu in Excel invokes another of the exposed MAXScript functions that creates and animates a camera in the bar chart scene and then sets off a render to an AVI file. (If you want to interrupt the render, hold down the ESC key until it stops at the beginning of the next frame - currently the MAXScript renderer interface only looks at the ESC key between frames).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../OLE-Automation.html\">OLE Automation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";