var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B51DE21E-DD2E-4A06-A7FD-F63C788EAC3D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing MAXScript</h1></div><p>MAXScript is the built-in scripting language for <strong>3ds Max</strong> (version 2.0 or higher.) Because of this, you can use MAXScript only when <strong>3ds Max</strong> is running. There are several ways to access MAXScript from within <strong>3ds Max</strong>.</p>\n\
<p>You can open the <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">MAXScript Listener</a> from the <strong>Scripting menu in the Main Menu</strong>: MainMenu &gt; Scripting &gt; MAXScript Listener.</p>\n\
<p>Note that the default keyboard shortcut to the MAXScript Listener, <strong>F11</strong> , is also listed next to the menu item. You can press <strong>F11</strong> anytime to open the MAXScript Listener.</p>\n\
<p><img src=\"./images/GUID-CC3F7AE2-279E-4882-B495-6EE7B4E1E30F-low.png\" alt=\"\"></p>\n\
<p>You can also <strong>right-click the Mini-Listener</strong> which is located in the lower left corner of the 3ds max UI. The right-click context menu will provide you with the option to open the MAXScript Listener window.</p>\n\
<p><img src=\"./images/GUID-2085E253-0B6E-49C6-84F6-B2478802EA18-low.gif\" alt=\"\"></p>\n\
<p>Another way to open the MAXScript Listener is as follows:</p>\n\
<ol>\n\
<li><p><img src=\"./images/GUID-4D61E4AE-8458-44D6-AF7C-A3F3E459F179-low.gif\" alt=\"\">On the Command panel, choose Utility, and click MAXScript.</p>\n\
<p>The MAXScript rollout appears:</p>\n\
<p><img src=\"./images/GUID-FC8EB6E6-8E38-467B-BF70-BDDF6C11FB3E-low.gif\" alt=\"\"></p>\n\
</li>\n\
<li><p>Click Open Listener.</p>\n\
</li>\n\
</ol>\n\
<p>The MAXScript Listener window appears with its Welcome message.</p>\n\
<blockquote>\n\
<p>   *<em>HISTORICAL Note: *</em></p>\n\
<p>   This was the original and only way to access MAXScript in its first implementation in <strong>3ds Max</strong> 2.x, but the other methods described above which were introduced in <strong>3ds Max</strong> 3 provide much faster access.</p>\n\
</blockquote>\n\
<h2 id=\"the-maxscript-listener\">The MAXScript Listener</h2><p>The MAXScript Listener window is an interactive interpreter for the MAXScript language and works similarly to a DOS command prompt window. You can enter MAXScript commands in this window and press the numeric <strong>ENTER</strong> key to execute them immediately.</p>\n\
<p><img src=\"./images/GUID-5DA2A897-1D77-4F1D-AEB2-35663FF6B5B0-low.gif\" alt=\"\"></p>\n\
<p>For more details on the MAXScript Listener, see <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The MAXScript Listener Window</a> topic.</p>\n\
<h2 id=\"the-maxscript-mini-listener\">The MAXScript Mini-Listener</h2><p>The left end of the status bar contains a resizable Mini Listener.</p>\n\
<p><img src=\"./images/GUID-37680B1E-BED1-43F5-AAC0-C82DE2B233CA-low.gif\" alt=\"\"></p>\n\
<p>If the Mini Listener is not visible, drag on the vertical split bar at the left edge of the status panel to reveal this feature. The Mini Listener panes act as single-line sliding windows for the current line in corresponding Listener panes. The Mini Listener panes always show what you are typing or where the cursor is placed in the Listener panes. Conversely, anything you enter into a Mini Listener pane is entered into the corresponding Listener pane at the current cursor position.</p>\n\
<p>For more details on the Mini-Listener, see <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The MAXScript Listener Window</a> topic.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Source-Code-Layout.html\">Source Code Layout</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";