var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78A07874-70D3-4FFF-BE06-C9BB3721F252\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Trigonometric Functions</h1></div><p>This topic is a quick review for readers who need a reminder about this area of mathematics. If you’re familiar with trigonometry, you can skip this topic. If you find this topic difficult to follow, you might consult a more basic reference on mathematics.</p>\n\
<p>Trigonometric functions are principally used to model or describe:</p>\n\
<ul>\n\
<li><p>The relation between angles in a triangle (hence the name).</p>\n\
</li>\n\
<li><p>Rotations about a circle, including locations given in polar coordinates.</p>\n\
</li>\n\
<li><p>Cyclical or periodic values, such as sound waves.</p>\n\
</li>\n\
</ul>\n\
<p>The three basic trigonometric functions are derived from an angle rotating about a unit circle.</p>\n\
<p><img src=\"./images/GUID-AC6792B8-7D79-4850-BD89-E64280A0B1A2-low.gif\" alt=\"\"></p>\n\
<p>Trigonometric functions based on the unit circle</p>\n\
<p><img src=\"./images/GUID-3727A2D1-816F-47CD-96FC-77C598B42B78-low.gif\" alt=\"\"></p>\n\
<p>The tangent function is undefined for x = 0. Another way to define the target is:</p>\n\
<p><img src=\"./images/GUID-43C75AC0-CDCF-46DD-A222-07E30483A566-low.gif\" alt=\"\"></p>\n\
<p>Because <em>XY R</em> defines a right-angled triangle, the relation between the sine and cosine is:</p>\n\
<p><img src=\"./images/GUID-0959AA12-8A11-4F5B-A57F-CD2F32A3B7BC-low.gif\" alt=\"\"></p>\n\
<p>The graphs of the basic trigonometric functions illustrate their cyclical nature.</p>\n\
<p><img src=\"./images/GUID-1B9B81A2-255D-4BA5-B04D-B042BF9EA022-low.gif\" alt=\"\"></p>\n\
<p>Graphs of basic trigonometric functions</p>\n\
<p>The sine and cosine functions yield the same values, but the phase differs along the X-axis by /2: in other words, 90 degrees.</p>\n\
<p>The inverse functions for the trigonometric functions are the arc functions—the inverse only applies to values of x restricted by -/2 ≤ X ≤ /2. The graphs for these functions appear like the basic trigonometric function graphs, but turned on their sides.</p>\n\
<p><img src=\"./images/GUID-ABF4269D-D5C1-4F0C-8041-7772AC921BD6-low.gif\" alt=\"\"></p>\n\
<p><strong>Graphs of basic arc functions</strong></p>\n\
<p>The hyperbolic functions are based on the exponential constant <em>e</em> instead of on circular measurement. However, they behave similarly to the trigonometric functions and are named for them. The basic hyperbolic functions are:</p>\n\
<p><img src=\"./images/GUID-86F381E1-4DC6-426B-97D0-D91896320E04-low.gif\" alt=\"\"></p>\n\
<p><img src=\"./images/GUID-A9C7C2AC-0E02-49E7-9527-453807AE8D53-low.gif\" alt=\"\"></p>\n\
<p>Graphs of basic hyperbolic functions</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Learning-MAXScript.html\">Learning MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";