var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0CB9BDA-12A0-4A41-8C6C-757F7065239D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Aborting Execution with the ESC Key</h1></div><p>You can abort running MAXScript code by pressing and holding the <strong>Esc</strong> key. MAXScript may take a moment to respond, so hold the <strong>Esc</strong> key down until it does. The <strong>Esc</strong> key aborts any currently executing MAXScript code, whether it is in a scripted utility, a script controller, or running in the MAXScript Listener window. If the MAXScript code that is aborted is in a script controller, a Script Controller dialog is displayed showing the script used by the controller. Execution of the script controller will restart when you click the Close button.</p>\n\
<p>MAXScript code locks out the rest of <strong>3ds Max</strong> while it is executing. You cannot work interactively in <strong>3ds Max</strong> while MAXScript code is running to avoid conflicts between code actions and your actions. If <strong>3ds Max</strong> appears unresponsive at any time, it may be running MAXScript code which you can attempt to abort by pressing <strong>Esc</strong> . If you are testing scripts and <strong>3ds Max</strong> doesn&#39;t return control to you within a reasonable time, press <strong>Esc</strong> to abort the code execution. You can also press <strong>Esc</strong> to abort a compilation of a multiline command in the MAXScript Listener window.</p>\n\
<p>Use the MAXScript global variable <code>escapeEnable</code> in scripts to turn on and off the <strong>Esc</strong> key interrupt detection.</p>\n\
<p>In <strong>3ds Max 9 and higher</strong>, the default value was changed to <code>false</code>. It used to default to <code>true</code> in versions prior to <strong>3ds Max 9</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";