var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F2A15BBB-2542-4983-89C0-BAEDC0E6051E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Functions for New Users</h1></div><p>A function is a piece of code intended to complete a specific task. It can be defined once and called multiple times by different scripts. Using functions can make developing new scripts faster as often used parts of code are already available and just have to be called to get the desired results. In addition, using functions makes the final code better structured and easier to read and maintain.</p>\n\
<p>There are many pre-defined custom functions shipping with <strong>3ds Max</strong>, for example for defining object filters in MacroScripts, building rollouts automatically etc. There are also a multitude of freely available 3 rd party scripted functions downloadable from the Web. If you are a new MAXScript user starting to learn the language, using such functions can make your first steps much easier.</p>\n\
<p>A function in MAXScript can take no parameters or require any number of parameters. It is easy to find out what and how many parameters are required by a function by just looking at its definition. Functions that require zero parameters can be called by adding () to the name of the function.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\"MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></p>\n\
<p><a href=\"Scripted-Utilities-for-New-Users.html\">Scripted Utilities for New Users</a></p>\n\
<p><a href=\"MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></p>\n\
<p><a href=\"Scripted-Plug-ins-for-New-Users.html\">Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\"MAXScript-DLX-Extensions-for-New.html\">MAXScript DLX Extensions for New Users</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-for-New-and-Casual.html\">MAXScript for New and Casual Users</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Script-Examples-In-This-Help.html\">Script Examples In This Help</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";