var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-06825F89-B5DD-42D8-AB32-B928C897CA60\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Utilities for New Users</h1></div><p><strong>Scripted Utilities</strong> appear in the Utilities Panel &gt; MAXScript Utility. This used to be the main script type in the early <strong>3ds Max</strong> versions (R2.x). Many older scripts are still available as scripted utilities. In addition, scripted utilities are probably the easiest to write script form since they are a special case of rollouts and can save the developer some UI management work.</p>\n\
<p>Scripted utilities have the extension .ms and contain the constructor &quot;utility&quot; in the source code, something in the form of:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   utility someName &quot;Some Name&quot;\n\
   (\n\
   ...\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>To run a scripted utility (single3ds Max session):</strong></p>\n\
<ol>\n\
<li><p>Go to the Utilities panel, open MAXScript Utility, press <strong>Run Script...</strong> (Alternatively, go to main menu, MAXScript, Run Script...)</p>\n\
</li>\n\
<li><p>Locate and select the .ms script source file and press <strong>Open</strong>. The name of the utility will appear in the &quot;Utilities&quot; drop-down list.</p>\n\
</li>\n\
<li><p>Select the name of the Utility from the list - the scripted utility will open in the Utilities panel.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Next time you start <strong>3ds Max</strong>, the Utility will <strong>NOT</strong> be loaded. You will have to repeat the above steps or use the method below:</div>\n\
</li>\n\
</ol>\n\
<p><strong>To install a scripted utility (multiple3ds Max sessions)</strong></p>\n\
<ol>\n\
<li>Copy the script file to the <em>\\Scripts\\Startup</em> folder.</li>\n\
<li>Start <strong>3ds Max</strong> - the script will be evaluated on startup and will appear in the Utilities Panel &gt; MAXScript &gt; Utilities drop-down list automatically. This will happen each time you start <strong>3ds Max</strong>.</li>\n\
<li>To start, select the name of the Utility from the drop-down list - the scripted utility will open in the Utilities panel.</li>\n\
</ol>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\"MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></p>\n\
<p><a href=\"MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></p>\n\
<p><a href=\"Scripted-Plug-ins-for-New-Users.html\">Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\"Scripted-Functions-for-New-Users.html\">Scripted Functions for New Users</a></p>\n\
<p><a href=\"MAXScript-DLX-Extensions-for-New.html\">MAXScript DLX Extensions for New Users</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-for-New-and-Casual.html\">MAXScript for New and Casual Users</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";