var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1B1833F0-8712-4EA5-AFFA-3E42DBF7960C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Debugger</h1></div><p>The <strong>MAXScript Debugger</strong> in <strong>3ds Max 8 and higher</strong> implements a portion of a script development and debugging environment. It allows the main thread of <strong>3ds Max</strong> to be suspended, the values of global and local variables to be examined and altered while the <strong>3dsMax</strong> thread is not running, MAXScript commands to be executed from a command line, and the execution to be suspended using method calls from inside the MAXScript code. The Debugger also lets you stop or continue the execution of the suspended code.</p>\n\
<p><strong>3ds Max 2010</strong> added support for line numbers in the code tree, allowing the exact report of the location of an error and the ability to include Asserts in the MAXScript code to reason about the validity of the program.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Accessing-the-Debugger-Dialog.html\">Accessing the Debugger Dialog</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Using-the-MAXScript-Debugger.html\">Using the MAXScript Debugger</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Manual-Break-Points-using-the.html\">Manual Break Points using the Break() Function</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Manual-Stack-Dump-using-the.html\">Manual Stack Dump using the Stack() Function</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Threads-Access-via-MAXScript.html\">Threads Access via MAXScript Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Debugger-variables-for-Functions.html\">Debugger variables for Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/Assert-Functions.html\">Assert Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"The-MAXScript-Debugger/CRT-Debug-Functions.html\">CRT Debug Functions</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript Introduction</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";