var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA89F654-31EC-4F3C-8269-F11FCA167038\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>List of Editor Menu Commands</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> provides the following <strong>NAMED IDs</strong> for its Menu Commands which can be used to define <a href=\"MAXScript-Editor-Defining-Custom-1.html\">Custom Keyboard Shortcuts</a> and <a href=\"MAXScript-Editor-Defining-Custom-2.html\">Right-Click menus</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Some of the Named IDs have no meaning in the context of the MAXScript Editor and are only available for use in the stand-alone version of the Scintilla SciTE editor.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>COMMAND</th>\n\
<th><code>MENU TEXT</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>IDM_NEW</code></td>\n\
<td>New</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPEN</code></td>\n\
<td>Open</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENSELECTED</code></td>\n\
<td>Open Selected Filename</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REVERT</code></td>\n\
<td>Revert</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLOSE</code></td>\n\
<td>Close</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVE</code></td>\n\
<td>Save</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEAS</code></td>\n\
<td>Save As</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEACOPY</code></td>\n\
<td>Save a Copy</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_DEFAULT</code></td>\n\
<td>Code Page Property</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCS2B</code></td>\n\
<td>EUCS-2 Big Endian</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCS2L</code></td>\n\
<td>EUCS-2 Little Endian</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UTF8</code></td>\n\
<td>UTF-8 with BOM</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCOOKIE</code></td>\n\
<td>UTF-8</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASHTML</code></td>\n\
<td>As HTML</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASRTF</code></td>\n\
<td>As RTF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASPDF</code></td>\n\
<td>As PDF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASTEX</code></td>\n\
<td>As LaTeX</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASXML</code></td>\n\
<td>As XML</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PRINTSETUP</code></td>\n\
<td>Page Setup</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PRINT</code></td>\n\
<td>Print</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LOADSESSION</code></td>\n\
<td>Load Session</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVESESSION</code></td>\n\
<td>Save Session</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_QUIT</code></td>\n\
<td>Exit</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_UNDO</code></td>\n\
<td>Undo</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REDO</code></td>\n\
<td>Redo</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CUT</code></td>\n\
<td>Cut</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COPY</code></td>\n\
<td>Copy</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PASTE</code></td>\n\
<td>Paste</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_DUPLICATE</code></td>\n\
<td>Duplicate</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLEAR</code></td>\n\
<td>Delete</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELECTALL</code></td>\n\
<td>Select All</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COPYASRTF</code></td>\n\
<td>Copy as RTF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_MATCHBRACE</code></td>\n\
<td>Match Brace</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELECTTOBRACE</code></td>\n\
<td>Select to Brace</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SHOWCALLTIP</code></td>\n\
<td>Show Calltip</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPLETE</code></td>\n\
<td>Complete Symbol</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPLETEWORD</code></td>\n\
<td>Complete Word</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ABBREV</code></td>\n\
<td>Expand Abbreviation</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_INS_ABBREV</code></td>\n\
<td>Insert Abbreviation</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BLOCK_COMMENT</code></td>\n\
<td>Block Comment or Uncomment</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOX_COMMENT</code></td>\n\
<td>Box Comment</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_STREAM_COMMENT</code></td>\n\
<td>Stream Comment</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_UPRCASE</code></td>\n\
<td>Make Selection Uppercase</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LWRCASE</code></td>\n\
<td>Make Selection Lowercase</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_JOIN</code></td>\n\
<td>Join</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SPLIT</code></td>\n\
<td>Split (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FIND</code></td>\n\
<td>Find</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDNEXT</code></td>\n\
<td>Find Next</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDNEXTBACK</code></td>\n\
<td>Find Previous</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDINFILES</code></td>\n\
<td>Find in Files</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REPLACE</code></td>\n\
<td>Replace</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_INCSEARCH</code></td>\n\
<td>Incremental Search</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_GOTO</code></td>\n\
<td>Go to</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_NEXT</code></td>\n\
<td>Next Bookmark</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_PREV</code></td>\n\
<td>Previous Bookmark</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_TOGGLE</code></td>\n\
<td>Toggle Bookmark</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_CLEARALL</code></td>\n\
<td>Clear All Bookmarks</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EXPAND</code></td>\n\
<td>Toggle current fold</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLE_FOLDALL</code></td>\n\
<td>Toggle all folds</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FULLSCREEN</code></td>\n\
<td>Full Screen</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWTOOLBAR</code></td>\n\
<td>Tool Bar</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWTABBAR</code></td>\n\
<td>Tab Bar</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWSTATUSBAR</code></td>\n\
<td>Status Bar</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWSPACE</code></td>\n\
<td>Whitespace</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWEOL</code></td>\n\
<td>End of Line</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWGUIDES</code></td>\n\
<td>Indentation Guides</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LINENUMBERMARGIN</code></td>\n\
<td>Line Numbers</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELMARGIN</code></td>\n\
<td>Margin</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FOLDMARGIN</code></td>\n\
<td>Fold Margin</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLEOUTPUT</code></td>\n\
<td>Output</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLEPARAMETERS</code></td>\n\
<td>Parameters</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPILE</code></td>\n\
<td>Compile</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BUILD</code></td>\n\
<td>Build (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_GO</code></td>\n\
<td>Go (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_STOPEXECUTE</code></td>\n\
<td>Stop Executing (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_NEXTMSG</code></td>\n\
<td>Next Message (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PREVMSG</code></td>\n\
<td>Previous Message (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLEAROUTPUT</code></td>\n\
<td>Clear Output (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SWITCHPANE</code></td>\n\
<td>Switch Pane (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ONTOP</code></td>\n\
<td>Always On Top</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENFILESHERE</code></td>\n\
<td>Open Files Here</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SPLITVERTICAL</code></td>\n\
<td>Vertical Split (not used in 3ds Max)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_WRAP</code></td>\n\
<td>Wrap</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_WRAPOUTPUT</code></td>\n\
<td>Wrap Output</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_READONLY</code></td>\n\
<td>Read-Only</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CRLF</code></td>\n\
<td>CR + LF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CR</code></td>\n\
<td>CR</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_LF</code></td>\n\
<td>LF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CONVERT</code></td>\n\
<td>Convert Line End Characters</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TABSIZE</code></td>\n\
<td>Change Indentation Settings</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_MONOFONT</code></td>\n\
<td>Use Monospaced Font</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENLOCALPROPERTIES</code></td>\n\
<td>Open Local Options File</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENDIRECTORYPROPERTIES</code></td>\n\
<td>Open Directory Options File</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENUSERPROPERTIES</code></td>\n\
<td>Open User Options File</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENGLOBALPROPERTIES</code></td>\n\
<td>Open Global Options File</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENABBREVPROPERTIES</code></td>\n\
<td>Open Abbreviations File</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENLUAEXTERNALFILE</code></td>\n\
<td>Open Lua Startup Script</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PREVFILE</code></td>\n\
<td>Previous</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_NEXTFILE</code></td>\n\
<td>Next</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLOSEALL</code></td>\n\
<td>Close All</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEALL</code></td>\n\
<td>Save All</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_HELP</code></td>\n\
<td>Help</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_HELP_SCITE</code></td>\n\
<td>Help</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ABOUT</code></td>\n\
<td>About MXS SciTE</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";