var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B79B2059-FEAA-4939-8C83-7A04A53FBCE7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Tabbed Editor - Keyboard Shortcuts</h1></div><p>The following tables list most keyboard shortcuts available in the <a href=\"MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong>.</p>\n\
<p><strong>The following table is ordered by feature area</strong>. See <a href=\"MAXScript-Tabbed-Editor-Keyboard.html\">second table</a> further on this page for shortcuts ordered alphabetically by key.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>HELP</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Help File.</td>\n\
<td>F1</td>\n\
</tr>\n\
<tr>\n\
<td><strong>FILE OPERATIONS</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>New File.</td>\n\
<td>Ctrl+N</td>\n\
</tr>\n\
<tr>\n\
<td>Open File.</td>\n\
<td>Ctrl+O</td>\n\
</tr>\n\
<tr>\n\
<td>Open Selected Filename.</td>\n\
<td>Ctrl+Shift+O</td>\n\
</tr>\n\
<tr>\n\
<td>Revert File to last saved version.</td>\n\
<td>Ctrl+R</td>\n\
</tr>\n\
<tr>\n\
<td>Close File</td>\n\
<td>Ctrl+W</td>\n\
</tr>\n\
<tr>\n\
<td>Save File</td>\n\
<td>Ctrl+S</td>\n\
</tr>\n\
<tr>\n\
<td>Save File As...</td>\n\
<td>Ctrl+Shift+S</td>\n\
</tr>\n\
<tr>\n\
<td>Save As Copy...</td>\n\
<td>Ctrl+Shift+P</td>\n\
</tr>\n\
<tr>\n\
<td>Print File</td>\n\
<td>Ctrl+P</td>\n\
</tr>\n\
<tr>\n\
<td>Cycle through files currently open in tabs.</td>\n\
<td>Ctrl+Tab, F6, Ctrl+PgDn</td>\n\
</tr>\n\
<tr>\n\
<td>Cycle backwards through tabs.</td>\n\
<td>Ctrl+Shift+Tab, Shift+F6, Ctrl+PgUp</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SCRIPT EVALUATION</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Evaluate All</td>\n\
<td>Ctrl+E</td>\n\
</tr>\n\
<tr>\n\
<td>Evaluate Line/Selection</td>\n\
<td><strong>Shift+ENTER, NumPad Enter</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>EDITING OPERATIONS</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Undo</td>\n\
<td>Ctrl+Z</td>\n\
</tr>\n\
<tr>\n\
<td>Redo</td>\n\
<td>Ctrl+Y</td>\n\
</tr>\n\
<tr>\n\
<td>Cut</td>\n\
<td>Ctrl+X</td>\n\
</tr>\n\
<tr>\n\
<td>Copy</td>\n\
<td>Ctrl+C</td>\n\
</tr>\n\
<tr>\n\
<td>Paste</td>\n\
<td>Ctrl+V</td>\n\
</tr>\n\
<tr>\n\
<td>Duplicate</td>\n\
<td>Ctrl+Shift+D</td>\n\
</tr>\n\
<tr>\n\
<td>Select All</td>\n\
<td>Ctrl+A</td>\n\
</tr>\n\
<tr>\n\
<td>Line cut</td>\n\
<td>Ctrl+L</td>\n\
</tr>\n\
<tr>\n\
<td>Line copy</td>\n\
<td>Ctrl+Shift+T</td>\n\
</tr>\n\
<tr>\n\
<td>Line delete</td>\n\
<td>Ctrl+Shift+L</td>\n\
</tr>\n\
<tr>\n\
<td>Line transpose with previous.</td>\n\
<td>Ctrl+T</td>\n\
</tr>\n\
<tr>\n\
<td><strong>DELETING TEXT</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Delete</td>\n\
<td>Del</td>\n\
</tr>\n\
<tr>\n\
<td>Delete All in Listener</td>\n\
<td>Ctrl+D</td>\n\
</tr>\n\
<tr>\n\
<td>Delete All in Editor</td>\n\
<td>Ctrl+Alt+D</td>\n\
</tr>\n\
<tr>\n\
<td>Delete to start of word.</td>\n\
<td>Ctrl+BackSpace</td>\n\
</tr>\n\
<tr>\n\
<td>Delete to end of word.</td>\n\
<td>Ctrl+Delete</td>\n\
</tr>\n\
<tr>\n\
<td>Delete to start of line.</td>\n\
<td>Ctrl+Shift+BackSpace</td>\n\
</tr>\n\
<tr>\n\
<td>Delete to end of line.</td>\n\
<td>Ctrl+Shift+Delete</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SELECTING TEXT</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Select to next bookmark.</td>\n\
<td>Alt+F2</td>\n\
</tr>\n\
<tr>\n\
<td>Extend selection to start of document.</td>\n\
<td>Ctrl+Shift+Home</td>\n\
</tr>\n\
<tr>\n\
<td>Extend selection to start of display line.</td>\n\
<td>Alt+Shift+Home</td>\n\
</tr>\n\
<tr>\n\
<td>Extend selection to end of document.</td>\n\
<td>Ctrl+Shift+End</td>\n\
</tr>\n\
<tr>\n\
<td>Extend selection to end of display line.</td>\n\
<td>Alt+Shift+End</td>\n\
</tr>\n\
<tr>\n\
<td><strong>NAVIGATION</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Scroll up.</td>\n\
<td>Ctrl+Up</td>\n\
</tr>\n\
<tr>\n\
<td>Scroll down.</td>\n\
<td>Ctrl+Down</td>\n\
</tr>\n\
<tr>\n\
<td>Previous paragraph. Shift extends selection.</td>\n\
<td>Ctrl+[</td>\n\
</tr>\n\
<tr>\n\
<td>Next paragraph. Shift extends selection.</td>\n\
<td>Ctrl+]</td>\n\
</tr>\n\
<tr>\n\
<td>Previous word. Shift extends selection.</td>\n\
<td>Ctrl+Left</td>\n\
</tr>\n\
<tr>\n\
<td>Next word. Shift extends selection.</td>\n\
<td>Ctrl+Right</td>\n\
</tr>\n\
<tr>\n\
<td>Previous word part. Shift extends selection.</td>\n\
<td>Ctrl+/</td>\n\
</tr>\n\
<tr>\n\
<td>Next word part. Shift extends selection.</td>\n\
<td>Ctrl+\\</td>\n\
</tr>\n\
<tr>\n\
<td><strong>INDENTING TEXT</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Indent block.</td>\n\
<td>Tab</td>\n\
</tr>\n\
<tr>\n\
<td>De-indent block.</td>\n\
<td>Shift+Tab</td>\n\
</tr>\n\
<tr>\n\
<td>Change Indentation Settings.</td>\n\
<td>Ctrl+Shift+I</td>\n\
</tr>\n\
<tr>\n\
<td><strong>BRACKET BALANCER</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Match Bracket</td>\n\
<td>Ctrl+B</td>\n\
</tr>\n\
<tr>\n\
<td>Select to Bracket</td>\n\
<td>Ctrl+Shift+B</td>\n\
</tr>\n\
<tr>\n\
<td><strong>AUTO-COMPLETE</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Complete Word</td>\n\
<td>Ctrl+ENTER</td>\n\
</tr>\n\
<tr>\n\
<td>Expand Abbreviation</td>\n\
<td>Ctrl+Shift+A</td>\n\
</tr>\n\
<tr>\n\
<td>Insert Abbreviation</td>\n\
<td>Ctrl+Shift+R</td>\n\
</tr>\n\
<tr>\n\
<td><strong>COMMENTING</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Block Comment or Uncomment</td>\n\
<td>Ctrl+Q</td>\n\
</tr>\n\
<tr>\n\
<td>Box Comment</td>\n\
<td>Ctrl+Shift+C</td>\n\
</tr>\n\
<tr>\n\
<td>Stream Comment</td>\n\
<td>Ctrl+Shift+Q</td>\n\
</tr>\n\
<tr>\n\
<td><strong>UPPER/LOWER CASE</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Make Selection Uppercase</td>\n\
<td>Ctrl+Shift+U</td>\n\
</tr>\n\
<tr>\n\
<td>Make Selection Lowercase</td>\n\
<td>Ctrl+U</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SEARCH</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Find...</td>\n\
<td>Ctrl+F</td>\n\
</tr>\n\
<tr>\n\
<td>Find Next</td>\n\
<td>F3</td>\n\
</tr>\n\
<tr>\n\
<td>Find Previous</td>\n\
<td>Shift+F3</td>\n\
</tr>\n\
<tr>\n\
<td>Find selection</td>\n\
<td>Ctrl+F3</td>\n\
</tr>\n\
<tr>\n\
<td>Find selection backwards</td>\n\
<td>Ctrl+Shift+F3</td>\n\
</tr>\n\
<tr>\n\
<td>Replace...</td>\n\
<td>Ctrl+H</td>\n\
</tr>\n\
<tr>\n\
<td><strong>GO TO / BOOKMARKS</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Go To.../ Find Again In Listener</td>\n\
<td>Ctrl+G</td>\n\
</tr>\n\
<tr>\n\
<td>Go to start of document.</td>\n\
<td>Ctrl+Home</td>\n\
</tr>\n\
<tr>\n\
<td>Go to start of display line.</td>\n\
<td>Alt+Home</td>\n\
</tr>\n\
<tr>\n\
<td>Go to end of document.</td>\n\
<td>Ctrl+End</td>\n\
</tr>\n\
<tr>\n\
<td>Go to end of display line.</td>\n\
<td>Alt+End</td>\n\
</tr>\n\
<tr>\n\
<td>Next Bookmark</td>\n\
<td>F2</td>\n\
</tr>\n\
<tr>\n\
<td>Previous Bookmark</td>\n\
<td>Shift+F2</td>\n\
</tr>\n\
<tr>\n\
<td>Toggle Bookmark</td>\n\
<td>Ctrl+F2</td>\n\
</tr>\n\
<tr>\n\
<td><strong>VIEW</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Full Screen</td>\n\
<td>F11</td>\n\
</tr>\n\
<tr>\n\
<td>Show Whitespaces</td>\n\
<td>Ctrl+Shift+8</td>\n\
</tr>\n\
<tr>\n\
<td>Show End Of Line Characters</td>\n\
<td>Ctrl+Shift+9</td>\n\
</tr>\n\
<tr>\n\
<td>Expand or contract a fold point.</td>\n\
<td>Ctrl+Numpad*</td>\n\
</tr>\n\
<tr>\n\
<td><strong>FONT CONTROLS</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Magnify text size.</td>\n\
<td>Ctrl+Numpad+</td>\n\
</tr>\n\
<tr>\n\
<td>Reduce text size.</td>\n\
<td>Ctrl+Numpad-</td>\n\
</tr>\n\
<tr>\n\
<td>Restore text size to normal.</td>\n\
<td>Ctrl+Numpad/</td>\n\
</tr>\n\
<tr>\n\
<td>Toggle Monospaced Font.</td>\n\
<td>Ctrl+F11</td>\n\
</tr>\n\
<tr>\n\
<td>Switch to Text (No Syntax Coloring)</td>\n\
<td>Shift+F11</td>\n\
</tr>\n\
<tr>\n\
<td><strong>OUTPUT PANE CONTROLS</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Next Message</td>\n\
<td>F4</td>\n\
</tr>\n\
<tr>\n\
<td>Previous Message</td>\n\
<td>Shift+F4</td>\n\
</tr>\n\
<tr>\n\
<td>Clear Output</td>\n\
<td>Shift+F5</td>\n\
</tr>\n\
<tr>\n\
<td>Switch to/from Output pane</td>\n\
<td>Ctrl+F6</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SOURCE CONTROL</strong></td>\n\
<td><strong>KEYBOARD SHORTCUTS</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Add File</td>\n\
<td>Ctrl+F5</td>\n\
</tr>\n\
<tr>\n\
<td>Remove File</td>\n\
<td>Ctrl+Shift+F5</td>\n\
</tr>\n\
<tr>\n\
<td>Check In</td>\n\
<td>Shift+F5</td>\n\
</tr>\n\
<tr>\n\
<td>CheckOut</td>\n\
<td>F5</td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>The following table is ordered alphabetically by keys</strong>. See <a href=\"MAXScript-Tabbed-Editor-Keyboard.html\">previous table</a> on this page for shortcuts ordered by feature.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>KEYS</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Tab</td>\n\
<td>Indent Block</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Del</td>\n\
<td>Delete</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Numpad Enter</td>\n\
<td>Evaluate Line / Selection</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td><strong>F KEYS</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>F1</td>\n\
<td>Help</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>F2</td>\n\
<td>Next Bookmark</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>F3</td>\n\
<td>Find Next</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>F4</td>\n\
<td>Next Message</td>\n\
<td>Output pane only</td>\n\
</tr>\n\
<tr>\n\
<td>F5</td>\n\
<td>Check Out (Source Control)</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>F6</td>\n\
<td>Cycle Tabs</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>F11</td>\n\
<td>Full Screen Toggle</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td><strong>CTRL +KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+A</td>\n\
<td>Select all</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+B</td>\n\
<td>Select To Brace</td>\n\
<td>Listener only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+B</td>\n\
<td>Match Brace</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+C</td>\n\
<td>Copy selection</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+D</td>\n\
<td>Delete All</td>\n\
<td>Listener only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+E</td>\n\
<td>Evaluate All</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F</td>\n\
<td>Find</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+G</td>\n\
<td>Find Again</td>\n\
<td>Listener only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+G</td>\n\
<td>Go To</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+H</td>\n\
<td>Replace</td>\n\
<td>Listener only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+L</td>\n\
<td>Line cut</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+N</td>\n\
<td>New Script</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+O</td>\n\
<td>Open Script</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+P</td>\n\
<td>Print</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Q</td>\n\
<td>Block Comment/Uncomment</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+R</td>\n\
<td>Run Script</td>\n\
<td>Listener only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+R</td>\n\
<td>Revert</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+S</td>\n\
<td>Save</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+T</td>\n\
<td>Line transpose</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+U</td>\n\
<td>Lower case</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+V</td>\n\
<td>Paste</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+W</td>\n\
<td>Close</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+X</td>\n\
<td>Cut selection</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Y</td>\n\
<td>Redo</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Z</td>\n\
<td>Undo</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Down</td>\n\
<td>Line scroll down</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Up</td>\n\
<td>Line scroll up</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Left</td>\n\
<td>Word left</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Right</td>\n\
<td>Work right</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Ins</td>\n\
<td>Copy</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Del</td>\n\
<td>Delete word right</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Back</td>\n\
<td>Delete word left</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Home</td>\n\
<td>Document start</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+End</td>\n\
<td>Document end</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Enter</td>\n\
<td>Complete Word</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Numpad+</td>\n\
<td>Zoom in</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Numpad-</td>\n\
<td>Zoom out</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Numpad/</td>\n\
<td>Set zoom</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Numpad*</td>\n\
<td>Fold toggle</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+/</td>\n\
<td>Word part right</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+|Word part left</td>\n\
<td>Editor and Listener</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+[</td>\n\
<td>Paragraph up</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+]</td>\n\
<td>Paragraph down</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Tab</td>\n\
<td>Cycle Tabs</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+PgDn</td>\n\
<td>Cycle Tabs</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+PgUp</td>\n\
<td>Cycle Tabs Backwards</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F2</td>\n\
<td>Toggle Bookmark</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F3</td>\n\
<td>Find Selection</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F5</td>\n\
<td>Add File (Source Control)</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F6</td>\n\
<td>Switch Editor/Output</td>\n\
<td>Editor and Output</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+F11</td>\n\
<td>Use Monospaced Font</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td><strong>CTRL+SHIFT+KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+A</td>\n\
<td>Expand Abbreviation</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+B</td>\n\
<td>Select To Brace</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+C</td>\n\
<td>Box Comment</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+D</td>\n\
<td>Selection duplicate</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+I</td>\n\
<td>Change Indentation Settings</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+L</td>\n\
<td>Line delete</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+O</td>\n\
<td>Open Selected Filename</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+P</td>\n\
<td>Save a Copy</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Q</td>\n\
<td>Stream Comment</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+R</td>\n\
<td>Insert Abbreviation</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+S</td>\n\
<td>Save As</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+T</td>\n\
<td>Line copy</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+U</td>\n\
<td>Upper case</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Left</td>\n\
<td>Word left extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Right</td>\n\
<td>Work right extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Del</td>\n\
<td>Delete line right</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Back</td>\n\
<td>Delete line left</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Home</td>\n\
<td>Document start extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+End</td>\n\
<td>Document end extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+/</td>\n\
<td>Word part right extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+|Word part left extend</td>\n\
<td>Editor and Listener</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+[</td>\n\
<td>Paragraph up extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+]</td>\n\
<td>Paragraph down extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+Tab</td>\n\
<td>Cycle Tabs Backwards</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+8</td>\n\
<td>View Whitespace</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+9</td>\n\
<td>View End of Line</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+F3</td>\n\
<td>Find Selection Backwards</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Shift+F5</td>\n\
<td>Remove File (Source Control)</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SHIFT+KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Down</td>\n\
<td>Line extend down</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Up</td>\n\
<td>Line extend up</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Left</td>\n\
<td>Character extend left</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Right</td>\n\
<td>Character extend right</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Ins</td>\n\
<td>Paste</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Home</td>\n\
<td>Line begin extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+End</td>\n\
<td>Line end extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Page Down</td>\n\
<td>Page down extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Page Up</td>\n\
<td>Page up extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Tab</td>\n\
<td>Backtab</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+Enter</td>\n\
<td>Evaluate line/selection</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F2</td>\n\
<td>Previous Bookmark</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F3</td>\n\
<td>Find Previous</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F4</td>\n\
<td>Previous Message</td>\n\
<td>Output pane only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F5</td>\n\
<td>Clear Output</td>\n\
<td>Output pane only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F5</td>\n\
<td>Check In (Source Control)</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F6</td>\n\
<td>Cycle Tabs Backwards</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td>Shift+F11</td>\n\
<td>Language - Text</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ALT+KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Home</td>\n\
<td>Line begin jump</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+End</td>\n\
<td>Line end jump</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Backspace</td>\n\
<td>Undo</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Mouse Drag</td>\n\
<td>Window Select</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+F2</td>\n\
<td>Select to next bookmark</td>\n\
<td>Editor only</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ALT+SHIFT+KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Down</td>\n\
<td>Line down rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Up</td>\n\
<td>Line up rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Left</td>\n\
<td>Character left rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Right</td>\n\
<td>Character right rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Home</td>\n\
<td>Line begin rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+End</td>\n\
<td>Line end rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Page Down</td>\n\
<td>Page down rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Page Up</td>\n\
<td>Page up rectangle extend</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td>Alt+Shift+Arrows</td>\n\
<td>Window Select</td>\n\
<td>Editor and Listener</td>\n\
</tr>\n\
<tr>\n\
<td><strong>CTRL+ALT+KEY</strong></td>\n\
<td><strong>ACTION</strong></td>\n\
<td><strong>NOTES</strong></td>\n\
</tr>\n\
<tr>\n\
<td>Ctrl+Alt+D</td>\n\
<td>Delete All</td>\n\
<td>Editor only</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";