var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-15EBBE7C-3ADD-4A28-96E7-B9FE47072004\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Visible Class For &apos;&amp;&apos; Reference Values</h1></div><p><a href=\"Dereferencing-Operator.html\">Dereferencing Operator</a></p>\n\
<p>In releases prior to <strong>3ds Max 4</strong>, the class of a reference value (as returned by the <strong>&apos;&amp;&apos;</strong> prefix operator) was shown as Value. It is now the class &apos;ValueRef&apos;.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ref = &amp;foo.name\n\
   classOf ref -&gt; ValueRef\n\
   if classOf x = = ValueRef then y = *x</code></pre></blockquote>\n\
<p>Nested property accessing allowed in &apos;<strong>&amp;</strong>&apos; reference values in MAXScript.</p>\n\
<p>This allows constructs like: r = <strong>&amp;</strong>$foo.pos , and later *r.controller to mean $foo.pos.controller.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Functions.html\">Creating Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"By-Reference-Parameter-Passing.html\">By Reference Parameter Passing</a></li>\n\
          <li><a class=\"link\" href=\"Dereferencing-Operator.html\">Dereferencing Operator</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";