var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E4732A5D-91C4-4EDD-8944-F00E7DC57D10\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>about</h1></div><p>The <code>about &lt;center_spec&gt;</code> context is the MAXScript equivalent of the rotate/scale transform center list on the main <strong>3ds Max</strong> toolbar.</p>\n\
<p>It defines the center point about which any scale or rotation operation is performed within its context.</p>\n\
<p>Note that, like the center list in <strong>3ds Max</strong>, this sets only the center <strong>point</strong> for the operation, not the axis.</p>\n\
<p>The axis is taken from the current working coordinate system set using the <code>coordsys</code> context expression:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about selection </code></pre><p>Rotates/scales about the center of the current selection</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about pivot </code></pre><p>Rotates/scales about each object&apos;s pivot point</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about coordsys </code></pre><p>Rotates/scales about the center of the current working coordinate system set using the <code>coordsys</code> context expression</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about &lt;node&gt; </code></pre><p>Rotates/scales about the pivot point of the given object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about &lt;matrix3&gt; </code></pre><p>Rotates/scales about the center of the coordinate system specified by the given 3D matrix</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">about &lt;point3&gt; </code></pre><p>Rotates/scales about the given point with coordinate system and axes taken from the current working coordinate system.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- rotate all the boxes 30 degrees about the y_axis of $foo\n\
   about $foo rotate $box* 30 y_axis\n\
   -- rotate each planet 45 degrees around its parent\n\
   in coordsys parent about coordsys rotate $planets* 45 z_axis\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";