var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-874741B6-FE4B-496F-856D-1C66541F5DBC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reserved Keywords, Symbols, Punctuation and Variables</h1></div><p>As with any computer language, MAXScript features a number of lexical tokens, corresponding to the words and numbers and punctuation that are the building blocks of English. Tokens fall into several categories:</p>\n\
<ul>\n\
<li><p>Reserved ‘keywords’ that typically introduce clauses in the language, such as <code>if</code> , <code>for</code> , and <code>function</code> .</p>\n\
</li>\n\
<li><p>Punctuation marks and symbols that separate or group clauses or specify math operators, etc.</p>\n\
</li>\n\
<li><p>Reserved global variables containing <strong>3ds Max</strong> system global variables and MAXScript predefined global variables.</p>\n\
</li>\n\
</ul>\n\
<p>The following list of topics contains information about the above types of tokens and their syntax:</p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Language-Reserved-Keywords.html\">Language Reserved Keywords</a></p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Punctuation-and-Symbols.html\">Punctuation and Symbols</a></p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">Reserved Global Variables</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/Language-Reserved-Keywords.html\">Language Reserved Keywords</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/Punctuation-and-Symbols.html\">Punctuation and Symbols</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/C-style-bracketing-comments.html\">C++-style bracketing comments</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">Reserved Global Variables</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/Predefined-Globals.html\">Predefined Globals</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Globals</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Language-Reference.html\">MAXScript Language Reference</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";