var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CD5DD388-588A-4D03-8946-38534058791D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>C++-style bracketing comments</h1></div><p>C++-style bracketing can be used to comment out extended segments of code or add lengthy comments. These comments begin with the two characters <strong>/*</strong> and end at the next <strong>*/</strong> (or end of file).</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">/* this is a long comment\n\
blah blah\n\
print &quot;debug 1&quot; -- code commented out\n\
more comments\n\
*/\n\
</code></pre><p>You can also use this within a line to comment out a script fragment:</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in 1 to 10 do(/* messageBox &quot;in loop&quot;; */frabulate i )\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>/*</strong> and <strong>*/</strong> have to be adjacent characters.</p>\n\
<p>If you leave out the closing */ or make it * /, the rest of the file will be commented out.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">MAXScript Tabbed Editor Commands</a></li>\n\
          <li><a class=\"link\" href=\"../../Learning-MAXScript/Getting-Started/Source-Code-Layout.html\">Source Code Layout</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\">Source Code Layout and Continuation Lines</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";