var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-92E3BC56-2B85-4D54-AB88-EC0B5B23C470\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reserved Global Variables</h1></div><p>Reserved global variables are variables to which MAXScript automatically assigns values. The MAXScript reserved global variables fall in 3 categories: predefined globals (such as <code>red</code> and <code>pi</code> ); <strong>3ds Max</strong> system globals which give you access to state information in the <strong>3ds Max</strong> system (such as <code>currentTime</code> ); and MAXScript system globals which give you access to the MAXScript system state.</p>\n\
<p>Unlike language reserved keywords, you <strong>can</strong> re-use these variable names as local variables, with values that you specify. However, it is <strong>highly recommended</strong> that you <strong>do not re-use reserved global variable names</strong> as such usage can be <strong>highly confusing</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Predefined-Globals.html\">Predefined Globals</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-System-Globals.html\">MAXScript System Globals</a></li>\n\
          <li><a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";