var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4B31E2CC-8862-4C19-AA07-2DDED173757C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Structure Scope While Initializing</h1></div><p>When initializing a structure, the scope will be set to the structure&apos;s context. Note that this effectively lets you run a function within the structure when an instance of the structure is created!</p>\n\
<p>For example, when creating an instance of the following structure, the variable &apos;foo&apos; is initialized to 2, the function &apos;onCreate&apos; increments the value of foo and then returns a value of foo plus 3, and the variable &apos;a&apos; is initialized to the result of calling the function &apos;onCreate&apos;:</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">struct doinStuff (\n\
foo = 2,\n\
fn onCreate= (foo += 1;foo+3),\n\
a = onCreate()\n\
)\n\
DoIt = doinStuff()\n\
</code></pre><p><strong>RESULTS IN:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">doinStuff foo:3 a:6\n\
</code></pre><p>You can be real inventive with what you can do when you create a structure instance.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">Structure Definition</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Structure-Definition-1.html\">Structure Definition</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Local-Functions-in.html\">Defining Local Functions in Structures</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Inherited-Methods.html\">Structure Inherited Methods</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Creation-and-Cloning.html\">Structure Creation and Cloning Event Handlers</a></li>\n\
          <li><a class=\"link\" href=\"Private-and-Public-Members-in.html\">Private and Public Members in Structure Definitions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";