var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F3DD633D-728E-46EB-8D07-31307AEE1BF4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interval Values</h1></div><p>An <strong>Interval</strong> class represents an interval of time.</p>\n\
<p>It has two time value components: start and end.</p>\n\
<p>The start and end values can be numbers or <a href=\"Time-Values.html\">Time values</a> (numbers are interpreted as frame counts).</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">interval &lt;start_time&gt; &lt;end_time&gt;</code></pre><p>Construct a new interval value from start and end values.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval&gt;.start : Time</code></pre><p>Gets/sets the start value of the interval.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval&gt;.end : Time</code></pre><p>Gets/sets the end value of the interval.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t = animationRange.start + 5\n\
   orig_anim_range=animationRange -- store original animation range\n\
   animationRange=interval 0 100000 -- set real long animation range\n\
   -- assign script controller, controllers range is the current\n\
   -- animation range\n\
   ControlObj.scale.controller=scale_script()\n\
   -- assign a script to the controller\n\
   ControlObj.scale.controller.script = controlscript\n\
   -- reset animationRange back to original value\n\
   animationRange=orig_anim_range\n\
</code></pre></blockquote>\n\
<p>Some of the examples above refer to system global variables.</p>\n\
<p>See <a href=\"./../../Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds MaxSystem Globals</a> for more details.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Time-Data-Values.html\">Time Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";