var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EE307693-ACA8-4C1F-AE03-BDAE3C585C57\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Excel Spreadsheet in Internet Browser Control as Extended Viewport</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Creates a Microsoft Excel spreadsheet inside an embedded Microsoft Internet Explorer browser control. It also registers the rollout as an extended viewport -</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rExcel &quot;Excel&quot;\n\
   (\n\
   activeXControl ax &quot;e:\\\\test.xls&quot; height:250 width:370 align:#center\n\
   )\n\
   fExcel = newRolloutFloater &quot;Excel&quot; 390 270\n\
   addRollout rExcel fExcel\n\
   format &quot;----Application----&quot;\n\
   showProperties rExcel.ax.application\n\
   format &quot;----Parent----&quot;\n\
   showProperties rExcel.ax.parent\n\
   format &quot;----Container----&quot;\n\
   showProperties rExcel.ax.container\n\
   -- In case of MS Excel .document points to the msexcel.workbook\n\
   workbook = rExcel.ax.document\n\
   format &quot;----Document----&quot;\n\
   showProperties workbook showHidden:true\n\
   showMethods workbook showHidden:false\n\
   props = getPropNames workbook\n\
   sort props \n\
   for prop in props do\n\
   (\n\
   try\n\
   (\n\
   format &quot;\\t%=%\\n&quot; (prop as string) (getProperty workbook prop)\n\
   ) catch ()\n\
   )\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-6CBCB367-E7F3-4496-8B6B-0DC0F3C54CEF-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-ActiveX-Control-Examples.html\">Other ActiveX Control Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";