var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5460ECA8-63BE-45B7-A3FB-79EFEB8232B5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TabStrip ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Microsoft TabStrip Control 6.0 (SP4)&quot; &quot;MSComctlLib.TabStrip.2&quot; &quot;{1EFB6596-857C-11D1-B16A-00C0F0283628}&quot; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>TabStrip ActiveX Control</strong> creates a strip of tabs that can be used to manage multi-page dialogs similar to the Tabbed Render Scene Dialog or the Preferences dialog in <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeXControl ilctrl &quot;MSComctlLib.TabStrip.2&quot; </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tabs : ITabs </code></pre><p>Get/Set the array of tabs represented in the TabStrip.</p>\n\
<p><strong>.Tabs Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Caption : string </code></pre><p>Get/Set the text displayed on the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tag : undefined </code></pre><p>Get/Set the Tag of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Index : integer </code></pre><p>Get/Set the Index of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Key : string </code></pre><p>Get/Set the Key of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ToolTipText : string </code></pre><p>Get/Set the Tooltip text of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Width : float </code></pre><p>Get/Set the width of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Height : float </code></pre><p>Get/Set the height of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Top : float </code></pre><p>Get/Set the top position of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Left : float </code></pre><p>Get/Set the left position of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Selected : boolean </code></pre><p>Get/Set the selected state of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Image : undefined </code></pre><p>Get/Set the image of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HighLighted : boolean </code></pre><p>Get/Set the highlighted state of the tab.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Enabled : boolean </code></pre><p>Get/Set the enabled state of the TabStrip. When set to false, the tabs cannot be switched.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Font : IFontDisp </code></pre><p>Accesses the Font to be used to label the tabs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hWnd : OLE_HANDLE </code></pre><p>Accesses the Windows OLE handle of the TabStrip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseIcon : IPictureDisp </code></pre><p>Get/Set the mouse icon to be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MultiRow : boolean </code></pre><p>Get/Set the multi-row mode. When set to true, tabs will be ordered in multiple rows when the width of the strip does not provide enough space to show all tabs. When set to false, the excessive tabs will be off-screen, and a set of Left and Right arrows will be displayed to allow the scrolling of the tabs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Style : TabStyleConstants( #tabTabs | #tabButtons | #tabFlatButtons) </code></pre><p>Get/Set the tabs style.</p>\n\
<p><img src=\"./images/GUID-69987518-BED3-4741-93BC-F3613C628A55-low.gif\" alt> <img src=\"./images/GUID-FD9CA18C-F4F8-4C6E-BCB4-E69C19BE73A9-low.gif\" alt> <img src=\"./images/GUID-39F32D0F-79B2-4442-B505-5E94C42CE7A5-low.gif\" alt></p>\n\
<p><strong>#TabTabs, #TabButtons and #TabFlatButtons styles</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TabFixedWidth : integer </code></pre><p>Get/Set the fixed width of the tabs when <code>.TabWidthStyle</code> property is set to <code>#tabFixed</code> . The value is expressed in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TabWidthStyle : TabWidthStyleConstants( #tabJustified | #tabNonJustified | #tabFixed) </code></pre><p>Get/Set the width style of the tabs.</p>\n\
<p><img src=\"./images/GUID-69987518-BED3-4741-93BC-F3613C628A55-low.gif\" alt> <img src=\"./images/GUID-2783E32E-1256-4B97-A10E-BFBE94860B81-low.gif\" alt></p>\n\
<p><strong>#TabJustified vs. #TabFixed with TabFixedWidth set to 2400 twips</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ClientTop : float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ClientLeft : float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ClientHeight : float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ClientWidth : float </code></pre><p>Get/Set the Client Top, Left coordinates and the Width and Height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom ) </code></pre><p>Get/Set the Mouse Pointer style when hovering over the TabStrip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageList : IVBDataObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TabFixedHeight : integer </code></pre><p>Get/Set the fixed height of the tabs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowTips : boolean </code></pre><p>Get/Set whether to show tips.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedItem : ITab </code></pre><p>Returns the currently selected item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual ) </code></pre><p>Get/Set the OLE Drop Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HotTracking : boolean </code></pre><p>Get/Set whether to hot-track the tabs when the mouse is hovering over the TabStrip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MultiSelect : boolean </code></pre><p>Get/Set whether to allow multiple tabs to be selected at the same time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Placement : PlacementConstants( #tabPlacementTop | #tabPlacementBottom | #tabPlacementLeft | #tabPlacementRight ) </code></pre><p>Get/Set the placement of the tabs.</p>\n\
<p><img src=\"./images/GUID-1246BB7B-9443-4873-A00D-8E010E4567CD-low.gif\" alt> <img src=\"./images/GUID-3EA5062A-8AC6-4910-8E4B-3F5E8B39DEEC-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-2259AE7D-6CCF-40F0-B01A-BE892E955FFC-low.gif\" alt> <img src=\"./images/GUID-F4ED6585-5F8B-437A-B0AE-70DF305A1718-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Separators : boolean </code></pre><p>Get/Set whether to use separators.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TabMinWidth : float </code></pre><p>Get/Set the min. width of the tabs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TabStyle : TabSelStyleConstants( #tabTabStandard | #tabTabOpposite ) </code></pre><p>Get/Set the Tab style.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Refresh() </code></pre><p>Refreshes the tabs display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDrag() </code></pre><p>Performs a manual OLE Drag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DeselectAll() </code></pre><p>Deselects all tabs.</p>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Click do ( ... ) </code></pre><p>Called when the user clicks inside the TabStripc ontrol (right after the mouse button has been released). This event does not return specific Tab, but it could be used to query the selection state or other properties of all Tabs. It is a general notification that the user clicked a tab, the actual actions performed by the event are up to the script developer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user presses a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) </code></pre><p>Called when the user presses a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see keyDown event above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user moves the mouse inside the TabStrip control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TabStrip pixel coordinates (NOT twips!), where 0,0 is the upper left corner of theTabStripControl.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user releases the mouse over the TabStrip control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TabStrip pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TabStrip Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user releases the mouse over the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; BeforeClick Cancel:integer do ( ... ) </code></pre><p>Called when the user clicks a new tab. The Cancel argument returns 0 when the tab has been changed. Clicking the selected tab does not call this event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) </code></pre><p>Called when OLE Drag is started.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) </code></pre><p>Called when OLE Drag needs to specify the drag effect and cursor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) </code></pre><p>Called when OLE Drag needs to specify the drag effect and cursor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) </code></pre><p>Called when OLE Drag is complete.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) </code></pre><p>Called when the OLE Drag object is being dragged over the ActiveX control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) </code></pre><p>Called when the OLE Drag object has been dropped.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   rollout firstRollout &quot;Rollout 1&quot; (\n\
   edittext edittext01 text:&quot;This is just a test.&quot; height:135 width:262 )\n\
   rollout secondRollout &quot;Rollout 2&quot; (\n\
   listbox listbox02 items:#(&quot;Line One&quot;,&quot;MAXScript Rocks&quot;,&quot;ActiveX Too&quot;) width:260 )\n\
   rollout testTabs &quot;Test Tabs&quot; (\n\
   activeXcontrol ax_tabs &quot;MSComctlLib.TabStrip.2&quot; height:20\n\
   subRollout theSubRollout height:180\n\
   on ax_tabs Click do\n\
   (\n\
   case ax_tabs.SelectedItem.index of\n\
   (\n\
   1: (\n\
   removeSubRollout theSubRollout secondRollout\n\
   addSubRollout theSubRollout firstRollout\n\
   )\n\
   2: (\n\
   removeSubRollout theSubRollout firstRollout\n\
   addSubRollout theSubRollout secondRollout\n\
   )\n\
   )\n\
   )\n\
   on testTabs open do\n\
   (\n\
   ax_tabs.tabs[1].caption = &quot;First Tab&quot;\n\
   ax_tabs.tabs.add pvCaption:&quot;Second Tab&quot;\n\
   )\n\
   )--end rollout\n\
   createDialog testTabs 340 220\n\
   addSubRollout testTabs.theSubRollout firstRollout\n\
   )\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-38A5F34B-95F8-43B6-B815-0270E2F4EB20-low.gif\" alt> <img src=\"./images/GUID-3C2359D8-126C-4A58-95C3-6F787AE9751A-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Typical-ActiveX-Controls.html\">Typical ActiveX Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"ListView-ActiveX-Control.html\">ListView ActiveX Control</a></li>\n\
          <li><a class=\"link\" href=\"TreeView-ActiveX-Control.html\">TreeView ActiveX Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";