var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-45473275-772E-4EC1-A38A-114C8D7384F1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>submenu</h1></div><p>A <strong>subMenu</strong> is used to place an item in the right-click menu that, if the cursor is placed on, opens a submenu containing additional user-interface items. The syntax for a subMenu is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &lt;label&gt; [ filter:&lt;function&gt; ] ( &lt;submenu_body&gt; )</code></pre><p>The <code>&lt;submenu_body&gt;</code> of a subMenu definition is made up of a sequence of RCMenu clauses as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;submenu_body&gt; ::= { &lt;rcmenu_clause&gt; }+</code></pre><p><strong>Parameters</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">label:</code></pre><p>The string that appears in the right-click menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filter:</code></pre><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <code>true</code> the subMenu appears in the menu, otherwise it is not displayed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rcmenu MyRCmenu\n\
   (\n\
   fn flt_objects = ($ != undefined) -- objects filter\n\
   fn flt_shapes = (isKindOf $ Shape) -- shapes filter\n\
   menuItem mi_cs &quot;Cast Shadows&quot; checked:false\n\
   menuItem mi_rs &quot;Receive Shadows&quot; checked:false\n\
   separator sep2 filter:flt_objects\n\
   subMenu &quot;Modifiers&quot; filter:flt_objects -- begin subMenu\n\
   (\n\
   -- Add common objects\n\
   menuItem mi_bend &quot;Bend&quot;\n\
   menuItem mi_twist &quot;Twist&quot;\n\
   -- Add shape only modifiers\n\
   separator sep3 filter:flt_shapes\n\
   subMenu &quot;Shape&quot; filter:flt_shapes -- begin nested subMenu\n\
   (\n\
   menuItem mi_extrude &quot;Extrude&quot;\n\
   menuItem mi_EditSpline &quot;Edit Spline&quot;\n\
   )\n\
   )\n\
   -- event handlers would go here...\n\
   )\n\
   registerRightClickMenu MyRcmenu -- register the rcmenu\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../RCMenu-Clauses.html\">RCMenu Clauses</a></li>\n\
          <li><a class=\"link\" href=\"../../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";