var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2C5F5486-A171-43C1-9304-8A3D016BB0BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout Systems &apos;category&apos; Mechanism</h1></div><p>You can control the grouping of rollout for a plug-in, utility or floater by supplying a <code>category:&lt;integer&gt;</code> creation parameter before the opening parenthesis of the rollout body.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rollout01 &quot;Rollout 01&quot; category:10\n\
   (\n\
     button btn_pressme &quot;Press Me&quot;\n\
   )\n\
   rollout rollout02 &quot;Rollout 02&quot; category:1\n\
   (\n\
     button btn_pressme &quot;Press Me&quot;\n\
   )\n\
   rollout rollout03 &quot;Rollout 03&quot; category:2\n\
   (\n\
     button btn_pressme &quot;Press Me&quot;\n\
   )\n\
   theFloater = newRolloutFloater &quot;Test&quot; 200 200\n\
   addRollout rollout01 theFloater\n\
   addRollout rollout02 theFloater\n\
   addRollout rollout03 theFloater\n\
</code></pre></blockquote>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Although we added the rollouts in the order of their naming (rollout01, rollout02, rollout03), they appear in the floater in the order defined by the category - Category 1 first, then 2, then 10. If unspecified, the default value for category is 4000. </p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <img src=\"./images/GUID-7890D9B4-EB55-49C4-8484-C53765FA04F7-low.gif\" alt></p>\n\
<p>   The Floater does not allow dynamic reordering via the mouse, but scripted plugin rollouts shown in the modify tab of the command panel will participate in the rollout reordering system and can be reordered manually.</p>\n\
</blockquote>\n\
<p>The <code>category:</code> keyword is a creation parameter and cannot be accessed as a property of the rollout after the creation.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../Interacting-with-the-3ds-Max/Command-Panels/Customize-The-Order-of-Rollup.html\">Customize The Order of Rollup Pages</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-cmdPanel.html\">Interface: cmdPanel</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Visual-MAXScript.html\">Visual MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";