var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-99E9BB72-ACE0-4436-8893-8D1AA4AEFCA3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Setting Focus on User Interface Controls</h1></div><p>You can set the focus on a specific User Interface Control Item, RolloutFloater or Rollout using</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFocus (&lt;RolloutControl&gt;|&lt;RolloutFloater&gt;|&lt;Rollout&gt;|&lt;Rollout&gt;.hwnd)</code></pre><p>You can bring to the front (ie, make the &quot;top&quot; dialog) and set the focus on a User Interface Control item, RolloutFloater, or Rollout using\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setForegroundWindow (&lt;RolloutControl&gt;|&lt;RolloutFloater&gt;|&lt;Rollout&gt;|&lt;Rollout&gt;.hwnd)</code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testFocus &quot;Test Focus&quot;\n\
   (\n\
     edittext text1 &quot;Test&quot;\n\
     edittext text2 &quot;Focus&quot;\n\
   )\n\
   createDialog testFocus 200 100\n\
   testFloater = newRolloutFloater &quot;My Floater&quot; 300 220\n\
\n\
   setfocus testFocus\n\
   setfocus testFocus.hwnd\n\
   setfocus testFocus.text2 -- the second text field gets focus\n\
   setfocus testFloater\n\
\n\
   setForegroundWindow testFocus\n\
   setForegroundWindow testFocus.hwnd\n\
   setForegroundWindow testFloater\n\
</code></pre></blockquote>\n\
<p><strong>In 3ds Max 6 and higher,</strong></p>\n\
<p><code>SetFocus()</code> can be used to set focus on ActiveX controls, too.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";