var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-81C6EC68-B766-4C6C-A6A4-D0272A0DE953\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom File Streams</h1></div><p>3ds Max Scene files provide the ability to store custom user data that persists with the file. Available in <strong>3ds Max 2019 and higher</strong>. In MAXScript, this functionality is exposed in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomFileStream.html\"\">CustomFileStream</a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomSceneStreamManager.html\"\">CustomSceneStreamManager</a> interfaces. The <code>CustomSceneStreamManager</code> loads and caches all persistent <code>CustomFileStream</code> objects from the current 3ds Max scene file on load, and saves them on file save (with some exceptions, see &quot;Flag Values&quot; in the <code>CustomSceneStreamManager</code> topic for more information). <code>CustomFileStream</code> objects are identified by a unique case-sensitive name of up to 31 characters.</p>\n\
<p>The <code>CustomFileStream</code> interface can be used to query and write data streams from other (not currently loaded) 3ds Max scene files.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Custom File Stream functionality is exposed in the 3ds Max SDK, but does not depend on any 3ds Max components. This means you can write applications to read and write custom data to 3ds Max scene files independent of 3ds Max. The MAXScript exposure does depend on 3ds Max.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../File-Access.html\">File Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";