var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DF068975-00B6-4CF9-B240-50B032C1B960\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Active Shade Access</h1></div><p>The following functions provide access to the rendered image of the Active Shade feature, and a way to close Active Shade. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;GetActiveShadeBitmap  [wait:&lt;boolean&gt;] [timeout:&lt;float&gt;] [result:&amp;result]</code></pre><p>If ActiveShade is active, returns a copy of the Bitmap value containing the current ActiveShade render result.</p>\n\
<p>If no ActiveShade view is active, returns undefined.</p>\n\
<p>If the optional keyword <code>wait:</code> is passes as True, the function will wait for the rendering to end before returning the bitmap. If not specified or set to False, the current bitmap will be returned immediately.</p>\n\
<p>If the optional keyword <code>timeout:</code> is specified and <code>wait:</code> is set to True, the function will wait up to the specified number of seconds. If the rendering has not finished until then, it will return without waiting for it to finish.</p>\n\
<p>If the optional keyword <code>result:</code> is specified, the by-reference out variable &amp;result will be set to one of the following:</p>\n\
<p><strong>#done</strong> - the render completed, or if <code>wait:</code> was set to False or not specified, the current bitmap was returned without waiting.</p>\n\
<p><strong>#waitTimeout</strong> - the timeout threshold (if specified via timeout: keyword) was reached before completing the rendering.</p>\n\
<p><strong>#error</strong> - the rendering did not even start due to an error.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CloseActiveShade()</code></pre><p>Closes the ActiveShade window if it is open.</p>\n\
<p>Does nothing if no ActiveShade window is open.</p>\n\
<p>Returns OK in both cases.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">Interacting with the 3ds Max User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";