var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2216CEF5-5DC5-4A49-9A63-9707A5275A4F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Miscellaneous Dialogs</h1></div><p>For methods associated with the Render Effects dialog, see <a href=\"./../../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\">RenderEffect : MAXWrapper</a>.</p>\n\
<p>For methods associated with the Render Environment dialog, see <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Atmospheric-MAXWrapper-1.html\">Atmospheric : MAXWrapper</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exclusionListDlg()      </code></pre><p>Displays the Exclude/Include dialog used for Lights, and returns an array of the nodes moved into the Include/Exclude list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">configureBitmapPaths()   </code></pre><p>This method puts up the Configure Bitmap Paths dialog to let the user configure the bitmap loading paths. Returns <code>false</code> if the user cancels out of the Configure Bitmap Paths dialog, <code>true</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">materialBrowseDlg [  #mats] [  #maps] [  #incNone] [  #instanceOnly] </code></pre><p>This method puts up the Material/Map Browser. This method returns <code>undefined</code> if no Material or TextureMap is picked, otherwise a copy or instance of the Material or TextureMap is returned. The definition of the parameters are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#mats </code></pre><p>Display Materials only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#maps </code></pre><p>Display TextureMaps only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#incNone </code></pre><p>Include &quot;None&quot;as a Material and TextureMap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#instanceOnly </code></pre><p>If the selected Material or TextureMap already exists, the returned value contains an instance. Otherwise a dialog is displayed for the user to specify Copy or Instance.</p>\n\
<p>If neither <code>#mats</code> or <code>#maps</code> is specified, both Materials and TextureMaps are displayed. If both are specified, TextureMaps are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mtlBrowser.browseFrom [#mtlLibrary | #mtlEditor | #activeSlot | #selected | #scene | #new] </code></pre><p>Lets you set the Browse From: source for the modeless material browser.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nodeColorPicker() </code></pre><p>This method displays the Object Color picker dialog, and returns the selected color as a Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OSnap() </code></pre><p>This method toggles the Grid and Snap Settings dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">USetup() </code></pre><p>This method displays the Units Setup dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Dialogs.html\">Miscellaneous Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";