var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3EED3E7C-D7BB-4160-99BB-82B7872CA86D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Coordinate Display</h1></div><p>The following methods are associated with <strong>3ds Max</strong>&#x2019;s Status Bar Coordinate Display:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">disableStatusXYZ()      </code></pre><p>Disables mouse tracking and display of coordinates to the X, Y, Z status boxes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableStatusXYZ()   </code></pre><p>Enables mouse tracking and display of coordinates to the X, Y, Z status boxes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setStatusXYZ &lt;format_name&gt; &lt;point3&gt; </code></pre><p>Displays the component values of the Point3 value in the X, Y, Z status boxes. The format of the displayed values is controlled by <code>format_name</code> .</p>\n\
<p>The valid <code>format_name</code> types are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#universe </code></pre><p>display point3 as position in current units</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#scale </code></pre><p>display point3 as percentages - a point3 component value of 1 displays as 100%</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#angle </code></pre><p>display point3 as angles - point3 component values are in radians</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#other </code></pre><p>display point3 as straight floating point values.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Using a <code>&lt;format_name&gt;</code> value of <code>#other</code> for <code>setStatusXYZ()</code> does not correctly display the specified point3 value. The X and Y component values are displayed in the Y and Z status boxes, and the X status box is blank.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Status-Bar.html\">Status Bar</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Status-Bar-1.html\">Status Bar</a></li>\n\
          <li><a class=\"link\" href=\"Prompt-Line.html\">Prompt Line</a></li>\n\
          <li><a class=\"link\" href=\"Progress-Bar-Display.html\">Progress Bar Display</a></li>\n\
          <li><a class=\"link\" href=\"Status-Bar-Buttons.html\">Status Bar Buttons</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\">Interface: StatusPanel</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";