var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E71723FE-39B3-4A22-AA29-1BF7D2470491\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max Assert Display Functions</h1></div><p>The following functions let you control the display and logging of 3ds Max Asserts. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetMaxAssertDisplay &lt;boolean&gt;</code></pre><p>When the argument is True, 3ds Max Asserts will be displayed to the user in an interactive dialog.</p>\n\
<p>When the argument is False, 3ds Max Asserts will not be displayed but will be logged to the 3ds Max Assert Log file specified using the methods below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;GetMaxAssertLogFileName()</code></pre><p>Returns the 3ds Max Assert Log filename.</p>\n\
<p>Default value is &quot;C:\\Program Files\\Autodesk\\3ds Max 20XX\\3dsmax.assert.log&quot; where XX is the <strong>3ds Max</strong> version number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetMaxAssertLogFileName &lt;filename&gt;</code></pre><p>Sets the 3ds Max Assert Log filename to the path specified by the argument. Returns OK.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";