var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DE2A75A8-1CD5-4B21-86B4-5DCD5BC9D0A3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Documentation Changes in 3ds Max 9</h1></div><p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 9</strong> update:</p>\n\
<h2 id=\"additions\">Additions</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing dommission documentation** of the <strong>IScriptCtrl</strong> Interface originally introduced in <strong>3ds Max 8</strong>. This interface provides full access to the new <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\">scripted controllers</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing dommission documentation** of the <code>hdr:</code> <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">bitmap value</a> parameter originally introduced in <strong>3ds Max 8</strong>. This parameter allows the construction of 32 bit per channel bitmaps instead of the default 8 bit per channel bitmaps.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing documentation** of the <code>outputHDRbitmap:</code> parameter to the <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render() method</a> introduced originally in <strong>3ds Max 8</strong>. This parameter allows the rendering to 32 bit per channel bitmaps instead of the default 8 bit per channel bitmaps.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing <strong>documentation</strong> of the Go To Line Or Character dialog available in the MAXScript Editor since <strong>3ds Max 8</strong>. By pressing <strong>Ctrl+J</strong>, the user can open a modal dialog to enter a line and/or character number to jump to the corresponding location in the source code, for example based on the output of the Debugger or an error message in the Listener.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing documentation** of the <code>skinOps.setWeight(), skinOps.weightTool(), skinOps.isWeightToolOpen()</code> and <code>skinOps.closeWeightTool()</code> methods added in <strong>3ds Max 8</strong> to the SkinOps struct exposed by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">Skin Modifier</a>. Also added a missing third boolean parameter to the <code>skinOps.unNormalizeVertex()</code> method.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing documentation** of the <strong>all:</strong> optional keyword argument to the <code>makeDir()</code> method in the topic <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">External File Methods</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added missing documentation** of the following methods in the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\">ATSOps Interface</a> exposing the Asset Tracking System: <code>OpenProject(), CloseProject(), GetFilesByFileSystemStatus(), GetMinVersion(), GetMaxVersion(), GetVersion(), GetNotificationProviderIndex()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Added missing documentation</strong> of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefProxy Interface</a> and the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefObject Interface</a> exposed by the XRef Object.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added the <strong>previously undocumented methods</strong> <code>biped.loadFigJustTwists()</code> and <code>biped.loadFigNoTwists()</code> to <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Load-and-Save-Methods.html\">Biped Load and Save</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added the <code>previously undocumented methods biped.createCopyCollection(), biped.numCopyCollections(), biped.getCopyCollection(), biped.deleteCopyCollection(), biped.deleteAllCopyCollections()</code> to <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Copy-and-Paste-Posture.html\">Biped Copy and Paste Posture</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Added previously undocumented methods</strong> related to <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Twist-Poses.html\">Biped Twist Poses</a> controls.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Added previously undocumented methods</strong> related to <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Quaternions-Euler.html\">Biped Quaternions / Euler</a> controls.</p>\n\
<h2 id=\"other-minor-changes\">Other Minor Changes</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Changed the wording</strong> of the <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">animationRange documentation</a> to match the terminology used in the Render Scene Dialog and to allow for easier searching.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Changed the wording</strong> of the <code>&lt;index_integer&gt;</code> parameter description in the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Reactor-Controllers/Reactor-Controllers-1.html\">Reactor Controllers</a> topic. The original description was: &quot;...The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.&quot; This is no longer correct. The controller and the dialog have been refactored several releases ago and the dialog now reorders the reactions based on their values, so the order in the dialog does not match the creation order anymore. The new description is: &quot;...The order of reactions is the order in which they are created&quot;.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-15.html\">What was New in MAXScript in 3ds Max 9</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"What-was-New-in-MAXScript-in-3ds-16.html\">What was New in MAXScript in 3ds Max 9</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-Language-Improvements.html\">MAXScript Language Improvements in 3ds Max 9</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";