var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F946B645-8672-43DA-BB60-8B19805120FE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 9</h1></div><p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 9</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"geometry\">Geometry</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\">ProBoolean Extension</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-PolyBoolean.html\">Interface: PolyBoolean</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Exposes methods to create and manage the ProBoolean Compound Object</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-ProCutter.html\">Interface: ProCutter</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Exposes methods to create and manage the ProCutter Compound Object</p>\n\
<h2 id=\"exposure-controls\">Exposure Controls</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/ToneOperator-MAXWrapper/Logarithmic_Exposure_Control.html\">Logarithmic_Exposure_Control : ToneOperator</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A <strong>new tone mapping algorithm</strong> has been implemented for this exposure control. The old algorithm is still available for backwards compatibility.A new property <strong>.useLegacyAlgorithm</strong> has been added to allow the switching between the old and the new behavior.</p>\n\
<h2 id=\"directx-and-directx-shaders\">DirectX and DirectX Shaders</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneEffectLoader.html\">Interface: SceneEffectLoader</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New SceneEffectLoader Interface</strong> exposes the Scene Effect Loader Utility to MAXScript.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Viewport Drawing Methods</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>Newmethodgw.setDirectXDisplayAllTriangle()</code> lets the user change the <strong>Display All Triangle Edges</strong> option available in the UI as a checkbox in the <strong>Customize &gt; Preferences &gt; Viewports &gt; Configure Driver</strong> dialog of the Direct3D driver.</p>\n\
<h2 id=\"mental-ray\">Mental Ray</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>Two new read-only properties</strong> were added to the mental ray renderer: <strong>.LastTotalNonRenderTime_ms</strong> and <strong>.LastTotalGeomTranslationTime_ms</strong>. They will contain details about the translation time.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Arch and Design Material</strong> added to <strong>3ds Max 9</strong> provides advanced functionality like shader presets, glossy reflections, custom BRDF reflectivity functions, built-in environment occlusion and edge rounding effects etc.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Photometric Lights</strong> added to <strong>3ds Max 9</strong>. Provides physically correct sky light and sun light when rendering with mental ray.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New mental ray shader</strong> added to <strong>3ds Max 9</strong>. Provides visual representation of the physical sky as an environment map.</p>\n\
<h2 id=\"bitmap-proxy-management\">Bitmap Proxy Management</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapProxyMgr.html\">Interface: BitmapProxyMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New BitmapProxyMgr Interface</strong> exposes the Bitmap Proxy system to MAXScript.</p>\n\
<h2 id=\"asset-tracking-system\">Asset Tracking System</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\">Interface: ATSOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New property added</strong> to the Asset Tracking System: <strong>CheckNetworkPaths</strong></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New methods added</strong> to the Asset Tracking System to allow the querying of a file&#39;s status: <code>GetFileStatus(), GetFileSystemStatus(), TestFileSystemStatus().</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New methods added</strong> to the Asset Tracking System to allow the conversion of selected paths to UNC, relative or absolute paths: <code>ResolveSelectionToUNC(), ResolveSelectionRelativeToProjectFolder()</code> and <code>ResolveSelectionToAbsolute()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Return value for <code>checkin(), checkout(), undocheckout(), addfiles()</code> and <code>getlatest()</code> changed from <code>&lt;void&gt;</code>to <code>&lt;boolean&gt;</code>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New methods added</strong> to the Asset Tracking System: <code>IsInputFile(), SetWorkingFolder(), GetWorkingFolder(), IsFileShareLocked()</code> </p>\n\
<h2 id=\"path-configuration-access-and-management\">Path Configuration, Access and Management</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">PathConfig Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>The new PathConfig Struct</strong> exposes advanced methods for dealing with relative and absolute paths and provides access to System and Profile Paths.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">3ds Max System Directories</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New path names have been added</strong> as options to the <code>GetDir(), SetDir()</code> and some <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig struct</a> methods expecting a system directory name value: <code>#animations, #archives, #downloads, #maxData, #Photometric, #proxies, #renderassets, #renderPresets, #renderoutput, #temp, #userMacros, #userScripts, #userStartupScripts, #userIcons</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New method has been added</strong> to MAXScript: <code>ConvertDirIDToInt()</code> - returns an integer corresponding to the system directory name ID.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#map-path-methods-\">mapPaths Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New method has been added</strong> to the <code>mapPaths</code> struct: <code>getFullFilePath()</code> . It resolvesthefilename using map paths, returning fully qualified filename if the file is found.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/pluginPaths-Struct.html\">pluginPaths Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>The new plugin Paths</strong> struct provides two methods: <code>count()</code> and <code>get()</code> . The former method returns the number of defined plugin paths, the latter returns the indexed plugin path.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#xref-path-methods-\">xrefPaths Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New method has been added</strong> to the <code>mapPaths</code> struct: <code>getFullFilePath()</code> . It resolves the filename using xref paths, returning fully qualified filename if the file is found.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\"#symbolicpaths-struct\">SymbolicPaths Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>The new symbolicPaths Struct</strong> exposes advanced methods for accessing system symbolic paths and managing user-defined symbolic paths.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem_Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New method <code>logName</code> added to <code>logsystem</code> struct. It lets you define the log file name and path.</p>\n\
<h2 id=\"filename-properties-and-arguments-changed-from-string-to-filename-type\">Filename Properties and Arguments Changed from String to Filename Type</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/BakeElement/Bake-Elements.html\">Bake Elements</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the Properties <code>.fileName</code> and <code>.fileType</code> in all Bake Elements has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/bipedSystem-System.html\">bipedSystem : System</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the Properties <code>.fileName</code> and <code>.dirName</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BitmapTexture-TextureMap.html\">BitmapTexture : TextureMap</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the Property <code>.fileName</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairMod-Modifier.html\">HairMod : Modifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the preset name argument in the <code>SavePreset()</code> and <code>LoadPreset()</code> methods of the Hair Interface has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Particle_Cache-SpacewarpModifier.html\">Particle_Cache : SpacewarpModifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache : modifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier : SpacewarpModifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the Property <code>.cache_name</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Reflect_Refract-TextureMap.html\">Reflect_Refract : TextureMap</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the Properties <code>.bitmapName</code> and <code>.outputName</code> has been changed from StringsArray res. String to FilenameArray resp. Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">Interface: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments in the <code>SetCombustionOutputPath()</code> and <code>SetRenderElementFilename()</code> methods as well as the type of the return values of the <code>GetCombustionOutputPath()</code> and <code>GetRenderElementFilename()</code> methods have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename argument to the method <code>renderUV()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Viewport-Manager/ViewportManagerCustAttrib.html\">ViewportManagerCustAttrib interfaces: viewportmanager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename argument to the method <code>saveFXFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\">Interface: colorMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments to the methods <code>loadColorFile(), saveColorFile(), setIconFolder()</code> as well as the return value types of the methods <code>getColorFile(), getFileName(), getIconFolder()</code> have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-msZip.html\">Interface: msZip</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>fileInPackage()</code> and <code>unloadPackage()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">Interface: menuMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments to the methods <code>loadMenuFile()</code> and <code>saveMenuFile()</code> as well as the return value type of the method <code>getMenuFile()</code> have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface: actionMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments to the methods <code>loadKeyboardFile()</code> and <code>saveKeyboardFile()</code> as well as the return value type of the method <code>getKeyboardFile()</code> have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dragAndDrop.html\">Interface: dragAndDrop</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments to the methods <code>dropPackage(), downloadPackage()</code> and <code>DownloadUrlToDisk()</code> as well as the return value type of the method <code>getDownloadDirectory()</code> have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\">Interface: LoadSaveAnimation</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The return type of the methods <code>getAnimFileDirectory()</code> and <code>getAnimMapFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapLayerManager.html\">Interface: BitmapLayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>getLayerCount()</code> and <code>getLayerName()</code> and <code>LoadLayer()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>canImportBitmap()</code> and <code>loadCUIFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BrushPresetMgr.html\">Interface: BrushPresetMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>LoadPresetFile()</code> and <code>SavePresetFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-visualMS.html\">Interface: visualMS</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename argument to the method <code>createFormFromFile()</code> has been changed from String to Filename.</p>\n\
<p>Interface: XMLMaterial</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>export()</code> and <code>exportArray()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/Interface-Hair.html\">Interface: Hair</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename argument to the method <code>ExportDRA()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Workbench-MAXScript-Extensions/WorkBench-Core-Interfaces/BipAnalyzer-Core-Interface.html\">Interface: BipAnalyzer</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>LoadAnalysisFile()</code> and <code>SaveAnalysisFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSCustomDepsOps.html\">Interface: ATSCustomDepsOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename arguments to the methods <code>GetFiles(), AddFile(), SetFile()</code> and <code>RemoveFileByName()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MemStream.html\"\">Interface: memStreamMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the filename argument to the method <code>openFile()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">Mixin Interface: maxOps.GetCurRenderElementMgr(...) : Interface: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The types of the filename arguments to the methods <code>SetCombustionOutputPath()</code> and <code>SetRenderElementFilename()</code> as well as the return value types of the methods <code>GetCombustionOutputPath()</code> and <code>GetRenderElementFilename()</code> have been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-9.html\">Mixin Interface: memStreamMgr.openString(...) : Interface: memStream</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The return value type of the method <code>getFileName()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\">Mixin Interface: netRender.getManager(...) : Interface: NetManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The type of the file: keyword argument to the method <code>NewJob()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\">Mixin Interface: (schematicviews.open &quot;A&quot;;schematicviews.current) : Interface: SchematicView</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The return value type of the method <code>getBackgroundImageName()</code> as well as the type of the filename argument to the method <code>setBackgroundImageName()</code> has been changed from String to Filename.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\">Mixin Interface: batchRenderMgr.createView(...) : Interface: batchRenderViewOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The value type of the properties <code>.presetFile</code> and <code>.outputFilename</code> has been changed from String to Filename.</p>\n\
<h2 id=\"auto-backup\">Auto-Backup</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Controlling-the-Auto-Backup.html\">Controlling the Auto-Backup</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\">Interface: autosave</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New autosave Interface</strong> exposes the Auto-Backup feature and lets the user enable and disable it, change the backup interval, the number and the name of auto-backup files, reset the timer and check whether the system is currently active. The Auto-Backup system has been refactored and will now respect the scene dirty flag (scene needs saving). In addition, the timer will be reset after the saving has finished, leaving the user enough time to work on the scene before the next auto-save.</p>\n\
<h2 id=\"controllers\">Controllers</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/GetDriverController-Method.html\">GetMasterController() Method</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New method</strong> provides access to the master controller of a System.</p>\n\
<h2 id=\"animation-layers\">Animation Layers</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\">Interface: AnimLayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New AnimLayerManager Interface</strong> exposes the Animation Layer system to MAXScript.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Float_Layer-FloatController.html\">Float_Layer : FloatController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Float_Layercontroller</strong> created and used by the Animation Layer system to manage layered Float controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point3_Layer-Point3Controller.html\">Point3_Layer : Point3Controller</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>NewPoint3_Layercontroller</strong> created and used by the Animation Layer system to manage layered Point3 controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point4_Layer-Point4Controller.html\">Point4_Layer : Point4Controller</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>NewPoint4_Layercontroller</strong> created and used by the Animation Layer system to manage layered Point4 controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Position_Layer.html\">Position_Layer : PositionController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Position_Layercontroller</strong> created and used by the Animation Layer system to manage layered Position controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Rotation_Layer.html\">Rotation_Layer : RotationController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Rotation_Layercontroller</strong> created and used by the Animation Layer system to manage layered Rotation controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Scale_Layer-ScaleController.html\">Scale_Layer : ScaleController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Scale_Layercontroller</strong> created and used by the Animation Layer system to manage layered Scale controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer_Output-FloatController.html\">Layer_Output : FloatController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Layer_Outputcontroller</strong> created and used by the Animation Layer system to manage the output of the Layer controllers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer-Controller-Interfaces.html\">Layer Controller Interfaces</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>All Animation Layer Controllers</strong> except the Layer_Output controller expose the <strong>Layer Interface</strong>.</p>\n\
<h2 id=\"layermanager-interface\">LayerManager Interface</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Calling <code>layermanger.newlayerfromname()</code> triggers a <strong>new layer created</strong> callback. In previous versions, when polling the callback notification parameter, it would report the wrong name - the same default name that <code>layermanager.newlayer()</code> would report. This error has been fixed.</p>\n\
<h2 id=\"object-xrefs\">Object XRefs</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">IXrefItem Interface</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The following properties are now writable: <code>srcFileName, srcItemName</code> </p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefProxy</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The following properties are now writable: <code>proxyFileName, proxyItemName</code> </p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The following properties are now read|write: <code>srcFileName</code> </p>\n\
<h2 id=\"named-selection-sets\">Named Selection Sets</h2><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSet-Values.html\">SelectionSet Values</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <strong>new</strong> <code>.name</code> <strong>property</strong> of named selection sets can be both get and set. This allows the direct renaming of existing named selection sets without the need to delete the old set and recreate a new one with a new name.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>isDeleted()</code> <strong>method</strong> is now valid for named selection sets.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\">SelectionSetArray Values</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>deleteItem()</code> <strong>method</strong> for named selection sets can now accept the selection set value instead of the name of the selection set as the second argument.</p>\n\
<h2 id=\"point-cache\">Point Cache</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache: modifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The PointCache Modifier has been replaced with the previously available as free plug-in PointCache2 modifier. It provides advanced controls over the cache playback and can now be used to share deformation and animation data with Autodesk Maya which implements a new cache using the same data format.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The same modifier defines the PointCacheMan struct exposing a method to get the current memory usage by PointCache modifiers: <code>pointCacheMan.GetMemoryUsed()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The same modifier defines the CacheOps struct exposing methods to enable and disable modifiers below the Cache, Record, Reload and Unload the cache via MAXScript <code>: CacheOps.DisableBelow(), cacheOps.EnableBelow(), cacheOps.RecordCache(), cacheOps.Reload, cacheOps.Unload()</code> </p>\n\
<h2 id=\"simple-face-data\">Simple Face Data</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-simpleFaceManager.html\">Interface: simpleFaceManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Per-Face Data storage</strong> exposed to MAXScript via the <strong>simpleFaceManager Interface</strong> and the <strong>simpleFaceChannel MixinInterface</strong> returned by some of its methods. Enables the storage of integer, index, float, boolean, point2 and point3 values in each face.</p>\n\
<h2 id=\"dialog-monitor\">Dialog Monitor</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DialogMonitorOPS.html\">Interface: DialogMonitorOPS</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\">Interface: UIAccessor</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>The DialogMonitorOPS Interface</strong> provides a system to register custom callbacks to be triggered by UI activities and handle dialogs and popups automatically using the methods exposed by the <strong>UIAccessor Interface</strong>.</p>\n\
<h2 id=\"reference-target-monitor\">Reference Target Monitor</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RefTargetMonitor/RefTargMonitor-ReferenceTarget.html\">RefTargMonitor : ReferenceTarget</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> This classicality an indirect reference to any ReferenceTarget. It was added mainly for internal testing, but was left accessible as someone could find it useful in a script.</p>\n\
<h2 id=\"systems\">Systems</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RingArray.html\">Interface: RingArray</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <strong>RingArrayinterface</strong> exposes a creation method for the RingArray System. This interface was created mainly for test and debugging purposes as the RingArray has no real function in 3ds Max. It is only an System example.</p>\n\
<h2 id=\"character-studio\">Character Studio</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Node-Hierarchy.html\">Biped Node Hierarchy</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New methods added</strong> to the Biped Struct to allow MAXScript access to the twisty nodes and links in a character studio Biped: <code>biped.maxTwistNodes(), biped.maxTwistLinks()</code> and <code>biped.getTwistStartID()</code> .</p>\n\
<h2 id=\"viewport-frame-rate\">Viewport Frame Rate</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport.getFPS</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New method added</strong> to the viewport Struct to allow MAXScript access to the frame rate measurement of the current viewport provided by the Show Statistics option.</p>\n\
<h2 id=\"communication-center\">Communication Center</h2><p>CommCenterGUP : GlobalUtilityPlugin</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>New Global Utility Plugin added</strong> but does not expose any properties, methods or interfaces.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-15.html\">What was New in MAXScript in 3ds Max 9</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-Language-Improvements.html\">MAXScript Language Improvements in 3ds Max 9</a></li>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-5.html\">Documentation Changes in 3ds Max 9</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">What is New in MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";