var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88FE9C40-FDC0-4858-9675-493A9546DF04\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2017</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2017</strong> and <strong>3ds Max 2017 Extension 1</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"3ds-max-2017-1-update\">3ds Max 2017.1 Update</h2><h3 id=\"collections\">Collections</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Dictionary-Values.html\">Dictionary Value</a> class is a new collection type, which is an associative array data structure.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPair Value</a> class can now be specified in a persistent global variable. Both values in the DataPair must be specifiable as a persistent global variable in order for the DataPair to be fully restored on scene file load.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Turning-On-the-Listener-Log.html\">openLog</a> command now can now take a <strong>bufferedWrite</strong> parameter to turn off file caching.</p>\n\
<h3 id=\"system-information-additions\">System Information Additions</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#3ds-max-process-priority-and-affinity-\">sysinfo.MAXpriority</a> enum now has additional members to support all Windows process priority classes: <strong>#abovenormal</strong>, <strong>#belownormal</strong>, <strong>#backgroundBegin</strong>, <strong>#backgroundEnd</strong>, and <strong>#realtime</strong> are added in this release.</p>\n\
<h3 id=\"log-system-additions\">Log System Additions</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem.logEntry</a> function now takes an enum argument to specify warning level. The function still takes a bool to maintain backwards compatibility.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem.setLogLevel</a> sets the specified log level on or off.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem.getLogLevel</a> returns whether the specified log level is on or off.</p>\n\
<h3 id=\"materials-and-maps\">Materials and Maps</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BlendedBoxMap-TextureMap.html\">BlendedBoxMap: TextureMap</a> allows you to apply a box map across one or more objects, and to map them from all sides. Blended Box Map projects images from three 90 degree directions, and gives you the ability to blend between the maps for a more seamless result.</p>\n\
<h3 id=\"modeling\">Modeling</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/Data_Channel-Modifier.html\">Data_Channel: Modifier</a> is a new tool for automating complex modelling operations.</p>\n\
<h2 id=\"boolean-objects-and-related-interfaces\">Boolean Objects And Related Interfaces</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Boolean3-GeometryClass.html\">Boolean3 : GeometryClass</a> implements a boolean object with a modern and easier to use interface.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BooleanExplorerManager.html\">Interface:BooleanExplorerManager</a> Core Interface provides MAXScript access to the Boolean Explorer dialog.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BooleanObjectManager.html\">Interface:BooleanObjectManager</a> Core Interface exposes new Boolean3-related management methods.</p>\n\
<h2 id=\"animation-presets-offset-animation\">Animation Presets / Offset Animation</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Preset_Maker-modifier.html\">Preset_Maker : modifier</a> is used by the new Animation Presets functionality.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Preset_Maker-modifier.html\"#offset--floatcontroller\">offset: floatController</a> allows the shifting of selected animation tracks in time.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OffsetManager.html\">Interface:OffsetManager</a> exposes methods for creating and applying Animation Presets and Offset Animations to scene objects.</p>\n\
<h2 id=\"animation-controllers-and-animation-system-access\">Animation Controllers And Animation System Access</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point2-Controllers/Bezier_Point2-Point2Controller.html\">Bezier_Point2 : Point2Controller</a> is used to store Point2 animation keys. It derives from a new Point2Controller superclass.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Set-Controller-Value-Functions.html\">following new functions</a> can be used to set, restore, and commit value changes in animation controllers:</p>\n\
<ul>\n\
<li><code>SetControllerValue()</code></li>\n\
<li><code>RestoreControllerValue()</code></li>\n\
<li><code>CommitControllerValue()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/New-Default-Controller-Functions.html\">following new functions</a> can be used to construct a new controller using the default class customized by the user via the Assign Controller dialog:</p>\n\
<ul>\n\
<li><code>NewDefaultBoolController()</code></li>\n\
<li><code>NewDefaultColorController()</code></li>\n\
<li><code>NewDefaultFloatController()</code></li>\n\
<li><code>NewDefaultFRGBAController()</code></li>\n\
<li><code>NewDefaultMasterPointController()</code></li>\n\
<li><code>NewDefaultMatrix3Controller()</code></li>\n\
<li><code>NewDefaultPoint2Controller()</code></li>\n\
<li><code>NewDefaultPoint3Controller()</code></li>\n\
<li><code>NewDefaultPoint4Controller()</code></li>\n\
<li><code>NewDefaultPositionController()</code></li>\n\
<li><code>NewDefaultRotationController()</code></li>\n\
<li><code>NewDefaultScaleController()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#p\">following new properties</a> can be used to enable/disable the default key creation when animating a previously not animated property, as well as set the default keyframe time, which is not limited to frames 0 or 1 anymore:</p>\n\
<ul>\n\
<li><code>preferences.autoKeyDefaultKeyOn</code></li>\n\
<li><code>preferences.autoKeyDefaultKeyTime</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">new animateMode</a> System Global variable can be used to enable animation without changing the Auto Key button state in the UI.</p>\n\
<h2 id=\"art-renderer\">ART Renderer</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/ART_Renderer-RendererClass.html\"><code>ART_Renderer : RendererClass</code></a> exposes the new advanced renderer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Render-Elements/ART_Renderer_Noise_Filter.html\"><code>ART_Renderer_Noise_Filter : RenderElement</code></a> allows the noise removal from ART_Render output images via a post process.</p>\n\
<h2 id=\"physical-sun-and-sky\">Physical Sun And Sky</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Sun_Positioner-Light.html\"><code>Sun_Positioner : light</code></a> implements the light and control gizmo of the new Physical Sun and Sky system that integrates with the ART_Renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Physical_Sun___Sky_Environment.html\"><code>Physical_Sun___Sky_Environment : textureMap</code></a> implements the environment map which renders the Physical Sun and Sky system based on the Sun_Positioner&apos;s settings.</p>\n\
<h2 id=\"materials\">Materials</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Physical_Material-Material.html\"><code>PhysicalMaterial : Material</code></a> was designed for use with the new ART_Renderer raytracer.</p>\n\
<h2 id=\"texture-maps\">Texture Maps</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/ColorMap-textureMap.html\"><code>colorMap : textureMap</code></a> offers a simple way to pass a solid color into any map slot, allowing for example the instancing of a color value among independent Materials and Maps.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextMap-textureMap.html\"><code>textMap : textureMap</code></a> allows the procedural creation of texture maps from one or more TextPlus geometry objects.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/ShapeMap-textureMap.html\"><code>shapeMap : textureMap</code></a> allows the procedural creation of texture maps from one or more Spline objects, including the legacy Text shape.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/MultiTile-textureMap.html\"><code>MultiTile : textureMap</code></a> implements support for UDIM, custom, Z-Brush and Mudbox-compatible multi-tile textures.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextureObjMask-textureMap.html\"><code>TextureObjMask : textureMap</code></a> implements a texture for controlling inside/outside or above/below masking based on basic geometry primitives.</p>\n\
<h2 id=\"mental-ray-shaders-and-interfaces\">mental ray Shaders And Interfaces</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <code>Interface:NVIDIARenderersHelper</code> Core Interface exposes a function to check for the existence of the mental ray and iRay DLLs which are now an installer option.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <code>max_Shapemap : textureMap</code> implements the shapeMap texture map as a mental ray shader.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <code>TextureObjMasktextureMap : textureMap</code> implements the textureObjMask texture map as a mental ray shader.</p>\n\
<h2 id=\"hdpi-support\">HDPI Support</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\">Interface: colorMan</a> has new functions: <code>getColorTheme()</code> and <code>setColorTheme()</code>, as well as read/write property, <code>colorTheme</code>. The <code>getColorSchemeType()</code> and <code>setColorSchemeType()</code> functions are removed.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Button UI Control</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">Checkbox UI Control</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">Mapbutton UI Control</a>, and <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">Materialbutton UI Control</a> &#x2013; all now support a simpler syntax for displaying images: <code>iconName</code> and <code>iconSize</code> creation parameters.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> Several functions in the <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">windows structure</a> and <a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">systemTools</a> structure now take a new <code>applyUIScaling</code> parameter to deal with HDPI displays.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> There are new &quot;unscaled&quot; versions of these System Globals:</p>\n\
<ul>\n\
<li><a href=\"./../../Interaction-With-The-Operating/System-Information.html\"><code>sysInfo.DesktopSizeUnscaled</code></a></li>\n\
<li><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\"><code>mouse.posUnscaled</code></a></li>\n\
<li><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\"><code>mouse.screenposUnscaled</code></a></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> New function to get the scale factor for High DPI displays: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomControlsOptions.html\"><code>GetUIScaleFactor monitorID:&lt;int&gt;</code></a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> New arguments have been added to the existing function to get the size of a string in pixels if it was displayed on a command panel: <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/getTextExtent.html\"><code>&lt;point2&gt; getTextExtent &lt;string&gt; removeUiScaling:&lt;true&gt; useQtTextWidth:&lt;true&gt;</code></a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\"#getproperty-and-setproperty\"><code>getProperty()</code></a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\"#getproperty-and-setproperty\"><code>setProperty()</code></a> functions now have optional <code>removeUIScaling:&lt;boolean&gt;</code>/<code>applyUIScaling:&lt;boolean&gt;</code> parameters.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> These methods now have an optional <code>applyUIScaling:&lt;boolean&gt;</code> parameter:</p>\n\
<ul>\n\
<li><a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"><code>windows.setWindowPos</code></a></li>\n\
<li><a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"><code>windows.clientToScreen</code></a></li>\n\
<li><a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"><code>windows.screenToClient</code></a></li>\n\
<li><a href=\"./../../Interaction-With-The-Operating/System-Tools.html\"><code>systemTools.GetScreenWidth</code></a></li>\n\
<li><a href=\"./../../Interaction-With-The-Operating/System-Tools.html\"><code>systemTools.GetScreenHeight</code></a></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"><code>windows.getWindowPos</code></a> function now has an optional <code>removeUIScaling:&lt;boolean&gt;</code> parameter.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap</a> and <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/imgTag.html\">imgTag</a> classes have new <code>iconName:&lt;filename&gt;</code> and <code>iconSize:&lt;point2&gt;</code> parameters.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <code>getIconAsBitmap()</code> function in <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/imgTag.html\">imgTag</a> gets a bitmap from a loaded icon.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/dotNet-Struct-Methods.html\">dotNet Struct</a> has a new <code>dotNet.loadIcon()</code> function to load icons.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> The <code>getColorSchemeType()</code> and <code>setColorSchemeType()</code> functions are removed from the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\"><code>Interface: colorMan</code></a>.</p>\n\
<h2 id=\"core-interfaces\">Core Interfaces</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaxThumbnailMgr.html\"><code>Interface:MaxThumbnailMgr</code></a> Core Interface exposes the saving of viewport thumbnails with the saved .MAX file.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IAutoCamMax.html\"><code>Interface:IAutoCamMax</code></a> Core Interface exposes the new viewport navigation Pivot Ball to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\"><code>Interface:SceneConverter</code></a> Core Interface exposes properties and methods for setting up the scene converter system and its rules.</p>\n\
<h2 id=\"import-export-dialogs-access\">Import/Export Dialogs Access</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">following new functions</a> can be used to control the FBX settings dialog:</p>\n\
<ul>\n\
<li><code>OpenFbxSetting()</code></li>\n\
<li><code>GetEnableEditFbxSetting()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The following new functions can be used to control the display of the Game Exporter dialog represented by the <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GameExporter-UtilityPlugin.html\"><code>GameExporter: UtilityPlugin</code></a>:</p>\n\
<ul>\n\
<li><code>GameExporterOpenDialog()</code></li>\n\
<li><code>GameExporterShown()</code></li>\n\
</ul>\n\
<h2 id=\"debugging-support\">Debugging Support</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The following new functions have been added to the <a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">systemTools</a> struct:</p>\n\
<ul>\n\
<li><code>getSystemMetrics()</code> - calls the win32 function of the same name.</li>\n\
<li><code>enumDisplayDevices()</code> - returns an array corresponding to displays.</li>\n\
<li><code>isAeroEnabled()</code> - returns true if Windows Aero mode is enabled.</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>The following functions have been removed from the <code>systemTools</code> struct since the respective platforms are not supported by 3ds Max anymore:</p>\n\
<ul>\n\
<li><code>systemTools.isWindows98or2000()</code></li>\n\
<li><code>systemTools.isWindows9x()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> New <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/MXSCallstackCaptureEnabled.html\"><code>MXSCallstackCaptureEnabled</code></a> context allows you to better control how the MAXScript callstack is captured.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> New function <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#merging-max-files\"><code>&lt;array&gt;getLastMergedNodes()</code></a> - returns an array of merged nodes after a merge operation.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Introduction/The-MAXScript-Debugger/Manual-Stack-Dump-using-the.html\"><code>Stack()</code></a> function has a new <code>exlcudeOwner:&lt;boolean&gt;</code> parameter.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <code>globalVars.gather</code> function in <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\">globalVars Structure</a> now has an optional filter function parameter.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> Several new functions are available with the <a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\">Try Expression</a> to support advanced debugging:</p>\n\
<ul>\n\
<li><code>hasCurrentExceptionStackTrace()</code></li>\n\
<li><code>hasCurrentExceptionCallStack()</code></li>\n\
<li><code>getCurrentExceptionStackTrace()</code></li>\n\
<li><code>getCurrentExceptionCallStack()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"><code>getMaxExtensionVersion()</code></a> function returns the version number of the current Extension, or 0 if no Extension is installed.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\"><code>isValidValue()</code></a> function returns False if a value has been deleted, True if it is still valid.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\"><code>refs.getAddr()</code></a> method can be used to acquire the memory address of any MaxObject as a Pointer value.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The following new <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">System Globals</a> and functions are used internally to control the dependency notification optimizations, and collect related statistics:</p>\n\
<ul>\n\
<li><code>preferences.EnableOptimizeDependentNotifications</code></li>\n\
<li><code>GetOptimizeDependentNotificationsStatistics()</code></li>\n\
<li><code>ResetOptimizeDependentNotificationsStatistics()</code></li>\n\
</ul>\n\
<h2 id=\"miscellaneous-changes\">Miscellaneous Changes</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\">OpenEXR : BitmapIO</a> has new functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;fopenxr.getRenderElementByLayer &lt;integer&gt;layer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fopenxr.getLayerEnabled &lt;integer&gt;layer</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a> has a new function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;GetAssetById &lt;string&gt;assetid</code></pre><p>It returns the <code>AssetUser</code> object of the asset with the given asset ID.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The following FFD functions now support FFD Spacewarp objects:</p>\n\
<ul>\n\
<li><code>conformToShape()</code></li>\n\
<li><code>getDimensions()</code></li>\n\
<li><code>setDimensions()</code></li>\n\
<li><code>animateAll()</code></li>\n\
<li><code>resetLattice()</code></li>\n\
</ul>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> Tooltips are now supported for <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/multilistbox.html\">MultiListBox</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">Listbox</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">Colorpicker</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">EditText</a>, <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\">ComboBox</a> and <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\">Label UI</a> Controls.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\">Slider UI Control</a> has a new height creation parameter.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The filename being imported/exported is now returned in callbacks.notificationParam() for <code>callbacskaddScript #postImport</code> and <code>#postExport</code>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>There is a new max command, <code>max align to view</code>, that displays the <strong>Align to View</strong> dialog.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>The Deformable gPoly is deprecated and removed. In MAXScript, the <code>Turn_to_gPoly</code> modifier is no longer available. To maintain backwards compatibility with older scene files, the <code>Deformable_gPoly</code> class is still available, but cannot be created.</p>\n\
<h2 id=\"miscellaneous-functions\">Miscellaneous Functions</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <code>[convertKelvinToRGB](../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html)()</code> function returns the RGB color corresponding to black body radiation at the specified temperature in Kelvin.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\"><code>mesh_weld_overlapping_vertices()</code></a> function welds overlapping vertices in the TriMesh of an Editable_Mesh base object.</p>\n\
<h2 id=\"bug-fixes\">Bug Fixes</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> Strings are no longer truncated when passed as parameters to an invoked <code>dotNetMethod</code>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>The <code>classof</code>, <code>superclassof</code> and <code>isKindOf</code> functions now report the proper information for rollout control classes and instances.</p>\n\
<h2 id=\"new-in-3dx-max-2016-extension-1\">New in 3dx Max 2016 Extension 1</h2><h3 id=\"new-scripted-animation-controller-plug-ins\">New Scripted Animation Controller Plug-ins</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Animation-Controller.html\">Scripted Animation Controller Plug-ins</a> allow you to write scripted plug-ins in MAXScript for several controller types.</p>\n\
<h3 id=\"new-textplus-tool\">New TextPlus Tool</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TextPlus-GeometryClass.html\"><code>TextPlus</code></a> GeometryClass class, and related <code>TextObject2</code> Mixin interface provide MAXScript exposure for the new TextPlus tool.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";