var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D42EB461-C7DD-410B-89B3-7D477B030D40\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What Was New in MAXScript in 3ds Max 2021 and Updates</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2021</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-3-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.3 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Startup Script Loading</strong></td>\n\
<td>The way <a href=\"./../../MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a> are loaded has changed.  Scripts that have the hidden or system file attribute set, or are in a hidden or system folder (other than %LocalAppData% and %ProgramData%) are no longer loaded on startup.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>MAXScript Heap Size</strong></td>\n\
<td>The initial MAXScript heap size allocation is increased from 15 MB to 100 MB, which can improve performance when the Ribbon is open. See <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\"\">Memory Allocation and Garbage Collection</a> for more information.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Viewport Bloom Settings</strong></td>\n\
<td>Bloom settings are now exposed and documented in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"><code>ViewportViewSettingImpl</code></a></td>\n\
</tr>\n\
<tr>\n\
<td><strong>Quicksilver Renderer</strong></td>\n\
<td>New exposure for Reflection and Bloom settings are covered under <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\"\">Quicksilver_Hardware_Renderer</a>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Subdivide Modifiers</strong></td>\n\
<td>The Subdivide modifier has three new remeshing algorithms, and this functionality is now exposed in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/Subdivide-Modifier.html\"\">Subdivide:Modifier</a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/SubdivideSpacewarpModifier.html\"\">subdivideSpacewarpModifier</a> classes.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>PBR Importer</strong></td>\n\
<td>New <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/PBRImporter-UtilityPlugin.html\"\">PBRImporter</a> interface exposes some of the functionality of the PBR Importer feature.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Callback information</strong></td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\"#inspecting-callbacks\"><code>callbacks.show()</code></a> function now indicates when a callback definition is loaded from a scene file with <code>SceneFileEmebedded:true|false</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-2-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.2 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Spline Chamfer Modifier</strong></td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Spline_Chamfer-Modifier.html\"\">Spline_Chamfer : Modifier</a> exposes the properties of the new spline chamfer modifier feature.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Script execution function</strong></td>\n\
<td>The <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\"#executescriptfile\">executeScriptFile()</a> function provides a way to execute a script file and return any error messages it might generate</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Previously Undocumented Items</strong></td>\n\
<td>&bull; <code>autosave.BailoutEnabled()</code> and <code>autosave.autoBackupNow()</code> are now documented in <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\">Interface: autosave</a>. <br> &bull; Several missing properties, including <code>ShadedRenderMode</code>, are now documented under <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\">Interface: NitrousGraphicsManager</a>.  The topic has also been reorganized to reflect the updated UI.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-1-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.1 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Callback Management</td>\n\
<td>New functions allow you to enable or disable some callback types:<a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time change callbacks</a>: <code>timeCallbacksEnabled()</code>, <code>enableTimeCallbacks()</code>, <code>disableTimeCallbacks()</code><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport redraw callbacks</a>: <code>redrawViewsCallbacksEnabled()</code>, <code>enableRedrawViewsCallbacks()</code>, <code>disableRedrawViewsCallbacks()</code><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Selection filter callbacks</a>: <code>selectFilterCallbacksEnabled()</code>, <code>enableSelectFilterCallbacks()</code>, <code>disableSelectFilterCallbacks()</code><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Display filter callbacks:</a><code>displayFilterCallbacksEnabled()</code>, <code>enableDisplayFilterCallbacks()</code>, <code>disableDisplayFilterCallbacks()</code></td>\n\
</tr>\n\
<tr>\n\
<td>Bake To Texture</td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture : UtilityPlugin</a> interface has new members to support additional features:<code>alwaysSkipExistingFiles``getOutputTo()</code>/ <code>setOutputTo()``getNewMaterial()``getTargetMaterialSlots()``clearShellKeepBaked()</code> / <code>clearShellKeepOriginal()</code>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTextureMap</a> interface has new members:<code>UDIMEnabled``UDIMFilePattern``getTargetMapSlot()``setTargetMapSlot()</code>The callback that can be registered with <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture.bake()</a> is now called after every successful baked file is saved, now that the Bake To Texture feature supports formats with multiple files (such as animated maps or UDIM tiles).</td>\n\
</tr>\n\
<tr>\n\
<td>Default Parameter Management</td>\n\
<td>A new interface allows you to define defaults for parameters: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DefaultParamInterface.html\">DefaultParamInterface</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>Controlling UI Focus and Foreground</td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setFocus()</a> function can now take a rollout&#39;s HWND property.A new <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setForegroundWindow()</a> function is similar to <code>setFocus()</code>, but also brings the specified UI component to the foreground.</td>\n\
</tr>\n\
<tr>\n\
<td>New Assert Functions</td>\n\
<td>New <a href=\"./../../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\">assert functions</a> are provided for debugging: <code>assert_array_equal()</code>, <code>assert_matchpattern()</code>, and <code>assert_bitarray_equal()</code>. The new <code>assert_float_equal()</code> is identical to <code>assert_float()</code>, but has a more meaningful name.</td>\n\
</tr>\n\
<tr>\n\
<td>New createPreview() option</td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a> function has a new useMPCamEffect option that enables the display of multipass camera effects in the animation preview.</td>\n\
</tr>\n\
<tr>\n\
<td>New FBX Importer option</td>\n\
<td>The new &quot;PostSamplingKeyReducer&quot; option for the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX Importer</a> controls whether animation keys are reduced post-conversion.</td>\n\
</tr>\n\
<tr>\n\
<td>BigMatrix row values</td>\n\
<td>The value of a BigMatrix row can now be set directly to an array of float values.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously Undocumented Items</td>\n\
<td>The <code>registerDisplayFilterCallback()</code> function is now documented under <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Adding Selection and Display Filters</a>These functions for displaying registered callbacks are now documented:<code>showregisteredTimeCallbacks()``showregisteredSelectFilterCallbacks()``showregisteredDisplayFilterCallbacks()``showregisteredRedrawViewsCallbacks()</code>The dspSpaceWarps option for the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a> function is now documented.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Bake to Texture Support</td>\n\
<td>The BakeToTexture : UtilityPlugin exposes the functionality of the new Bake to Texture feature.</td>\n\
</tr>\n\
<tr>\n\
<td>MAXScript Editor Python Support</td>\n\
<td>When in Python language mode, the MAXScript Editor now inserts four spaces instead of a tab character when you type Tab. This complies with PEP-0008</td>\n\
</tr>\n\
<tr>\n\
<td>Plugin Package Manager Additions</td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PluginPackageManager.html\">PluginPackageManager</a> interface has new methods to return information about Scene Converter, OSL, and AMG paths:<code>GetSceneConverterFoldersCount()``GetSceneConverterFolderFullPath()``GetOSLFoldersCount()``GetOSLFolderFullPath()``GetAMGFoldersCount()``GetAMGFolderFullPath()</code></td>\n\
</tr>\n\
<tr>\n\
<td>Callbacks Changes</td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.addScript()</a> method can now take a function as the second parameter. Previously this had to be a String, StringStream, or filename.</td>\n\
</tr>\n\
<tr>\n\
<td>Weighted Normals Modifier</td>\n\
<td>The new Weighted Normals modifier is exposed in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Surface-Modifiers/Weighted_Normals-Modifier.html\">Weighted_Normals : Modifier</a> class.</td>\n\
</tr>\n\
<tr>\n\
<td>ATF-based Importers</td>\n\
<td>Autodesk Translation Framework (ATF) based importer plug-ins have some extra features exposed to MAXScript, <code>.ImportHiddenObjects</code> and <code>.PreserveLayers</code>. This applies to:<a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\">ATF_Alias_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_SKETCHUP_Import.html\">ATF_SKETCHUP_Import</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\">ATF_Solidworks_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\">ATF_UG_NX_importer</a></td>\n\
</tr>\n\
<tr>\n\
<td>Scripted Plug-ins</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted plug-in parameters</a> can now take an optional <code>localizedName</code> string, which is used (instead of the parameter name) when the parameter is displayed on a UI.</td>\n\
</tr>\n\
<tr>\n\
<td>Rollout Visibility</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Rollouts</a> have a new <code>visible</code> property that controls whether they are visible when displayed in a dialog.<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\"#parameter-type-convenience-functions\">Two new utility functions</a> allow you to convert parameter type name values to their corresponding enum integer representation from the C++ SDK, and vice versa: <code>ParamTypeToTypeName()</code> and <code>TypeNameToParamType()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>For Loop Index Variables</td>\n\
<td>The <a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for loop</a> now can take optional index arguments to handle filtered and unfiltered list operation.</td>\n\
</tr>\n\
<tr>\n\
<td>SME Material Library Methods</td>\n\
<td>Several new methods have been added to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">SME interface</a> to expose functionality for working with material libraries:<code>OpenMtlLib()``HasMtlLib()``IsMtlLibModified()``SaveMtlLib()``SaveMtlLibAs()``CloseMtlLib()</code></td>\n\
</tr>\n\
<tr>\n\
<td>edit_poly Modifier Chamfer Enhancements</td>\n\
<td>Chamfer improvements to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">edit_poly modfier</a> are exposed in new properties:<code>edgeChamferMiteringType</code> (which replaces the now obsolete <code>edgeChamferType</code> and <code>edgeChamferQuadIntersections</code>)<code>chamferVertexDepth``chamferVertexSegments``chamferVertexSmooth``chamferVertexSmoothThreshold``chamferVertexSmoothType``edgeChamferDepth``edgeChamferEndBias``edgeChamferMiteringType``edgeChamferRadialBias</code></td>\n\
</tr>\n\
<tr>\n\
<td>Max Memory Heap Usage</td>\n\
<td>The new <a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#memory-usage-and-max-process-info-\">sysinfo.getMAXHeapUsed()</a> function returns the amount of heap memory 3ds Max is using.</td>\n\
</tr>\n\
<tr>\n\
<td>Scripted Custom Attribute Loading Callbacks</td>\n\
<td>New functions have been added to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#scene-loading-callbacks-for-custom-attributes\">custAttributes</a> struct to help manage callbacks that can now be registered to alter definitions as they are loaded from a scene file:<code>custAttributes.registerDefLoadCallback()``custAttributes.unRegisterDefLoadCallback()``custAttributes.unRegisterAllDefLoadCallbacks()``custAttributes.showregisteredDefLoadCallbacks()</code></td>\n\
</tr>\n\
<tr>\n\
<td>Documentation Changes</td>\n\
<td>The active segment normalized time literal format has not been supported for several releases, and has been removed from the <a href=\"./../../MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\">Time Values</a> and <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Time-Literals.html\">Time Literals</a> topics.</td>\n\
</tr>\n\
<tr>\n\
<td>Deprecated and Removed Items</td>\n\
<td>The <code>&lt;ViewportViewSettingImpl&gt;.DefaultLightsFollowCamera</code> property is removed from the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager interface</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously Undocumented Items</td>\n\
<td>Functions in the custAttributes struct used to manage how scripted custom attribute definitions are managed when there is a conflict with a loaded or merged scene are now documented under <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#handling-scripted-custom-attribute-definition-conflicts\">Handling Scripted Custom Attribute Definition Conflicts</a>The <code>dspFrameNums</code> keyword argument has been added to the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview() method</a>.</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";