var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0890917F-5AC9-4E01-B860-0095172B48A9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What Was New in MAXScript in 3ds Max 2019 And Updates</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2019</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-3ds-max-2019-3-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in 3ds Max 2019.3 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Viewport ActiveShade Mode</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-2.html\">ActiveShadeFragmentManager Interface</a> provides MAXScript access to the new viewport ActiveShade display mode.</td>\n\
</tr>\n\
<tr>\n\
<td>Custom Attribute Container Owner</td>\n\
<td>A new property is exposed on the custom attribute array returned by  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Access-to-Custom-Attributes.html\">MAXWrapper.custattributes</a>, <code>.owner</code>, that contains the owning object.</td>\n\
</tr>\n\
<tr>\n\
<td>Node Event System Changes</td>\n\
<td>Two new functions have been added to retrieve information about registered  <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\">NodeEventCallbacks</a>: <code>getNodeEvents()</code> and <code>showNodeEvents()</code>. A new handling option has been added to <code>NodeEventCallbackValue</code>, polling, which tells the system the callback can be triggered by the new <code>triggerNodeEventCallback()</code> function.The general event callback inspection function  <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\"></a> now takes an optional <code>asArray:</code> keyword argument, which causes the output to be formatted as an array.</td>\n\
</tr>\n\
<tr>\n\
<td>3ds Max Process Information</td>\n\
<td>Three new functions have been added to the  <a href=\"./../../Interaction-With-The-Operating/System-Information.html\">sysinfo</a> struct to get information about the 3ds Max process, <code>getMAXHandleCount()</code>, <code>getMAXUserObjectCount()</code>, and <code>getMAXGDIObjectCount()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously undocumented items</td>\n\
<td>The  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/3ds-Max-Configuration-File.html\">cfgMgr struct</a>, which provides access to the 3dsmax.ini configuration file, is now documented.The <code>isDeleted &lt;MAXWrapper&gt;</code> function and <code>MAXWrapper.isDeleted</code> property are now documented; they indicate whether a  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper</a> is deleted.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\"><XRefScene>.overlay</a> property is now documented.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#bridge\">editPolyModReadyToBridge()</a> function is now documented.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-3ds-max-2019-2-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in 3ds Max 2019.2 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Fluid Loader</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/FluidLoader-GeometryClass.html\">FluidLoader</a> class is now accessible and creatable in MAXScript. This class exposes the Fluid Loader Geometry object.</td>\n\
</tr>\n\
<tr>\n\
<td>Script Loading Detection</td>\n\
<td>The new  <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">getMaxscriptStartupState()</a> function can be used to determine the loading state of standard and startup scripts. There is a new corresponding  <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism/System-Notifications.html\"\">#preStartupScriptLoad</a> event called immediately before the startup scripts are executed.</td>\n\
</tr>\n\
<tr>\n\
<td>Rendering UV Range of TextureMaps</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Common-Properties.html\">renderMap()</a> function has an additional <code>range</code> parameter to specify a UV range to render, and a new <code>disableBitmapProxies</code> parameter to disable the proxy system.</td>\n\
</tr>\n\
<tr>\n\
<td>Max Information</td>\n\
<td>The  <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxVersion()</a> function now includes release year and product version items.New functions in the  <a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#3ds-max-command-line-info\">sysinfo</a> structure, <code>getCommandLine()</code> and <code>getCommandLineArgs()</code> return information about the command line that executed Max. <a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">SystemTools.isDebugBuild()</a> is a new function that indicates whether the currently running 3ds Max is a debug or release build.</td>\n\
</tr>\n\
<tr>\n\
<td>Root Node User Properties</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">get/setUserProp/val/buffer()</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUerProp()</a>, and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a> functions now recognize a special <code>rootNode</code> parameter, allowing access to the scene root node user properties. The parameter can also be the root node of an xref, which is held in the xref file <code>.tree</code> property.</td>\n\
</tr>\n\
<tr>\n\
<td>Adding Nodes via Layer Manager</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties</a> interface has a new method, <code>addNodes()</code>, that works like <code>addNode()</code>, but takes an array of nodes, allowing you to add multiple nodes in a single call.</td>\n\
</tr>\n\
<tr>\n\
<td>SkinOps changes</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">SkinOps</a> struct has two new functions: <code>SetBoneWeights()</code> and <code>Hammer()</code>. In addition, many functions that previously required that the modifier UI be selected, now take an optional <code>node:&lt;node&gt;</code> or <code>name:&lt;string&gt;</code> argument, which when supplied, is applied to the specified node even if it is not selected.</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic Importer File Inspection Methods</td>\n\
<td>Several methods have been removed from the  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport Import Plugin</a>: <code>GetABCNodeType()</code>, <code>GetABCNodeDataType()</code>, <code>GetABCNodeExtent()</code>, and <code>IsPropertyNode()</code>. These have been replaced with new methods: <code>GetABCNodeProperties()</code>, <code>GetNumProperties()</code>, <code>GetChildPropertyFromIndex()</code>, <code>GetChildPropertyFromName()</code>, <code>GetPropertyType()</code>, <code>GetPropertyDataType()</code>, and <code>GetPropertyExtent()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Miscellaneous Changes</td>\n\
<td>The <code>noValue</code> predefined global variable has been renamed  <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/Predefined-Globals.html\">silentValue</a> to more accurately indicate what it does.</td>\n\
</tr>\n\
<tr>\n\
<td>Removed Items</td>\n\
<td>Synchronization mode related items that were removed from the Unwrap_UVW modifer in 3ds Max 2018.2 Update, have been removed from the documentation: <code>setSyncSelectionMode()</code>, <code>getSyncSelectionMode()</code>, <code>syncTVSelection()</code>, and <code>syncGeomSelection()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously undocumented items</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/Interface-ParticleCache.html\">Interface : ParticleCache</a> used by the MaxLiquidSolver is now documented.Several previously undocumented properties and methods in Interface  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">pluginManager</a> are now covered.The <code>max group open recursively</code>  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">max command</a> is now documented.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-3ds-max-2019-1-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in 3ds Max 2019.1 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>File Archiving</td>\n\
<td>The File &gt; Archive command is now exposed in MAXScript as  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">archiveMAXFile()</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>XRefObject re-parenting</td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">xrefs.addNewXRefObject()</a> method has a new reparentAction parameter to specify how to handle xref re-parenting. The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefs.html\">objXRefs.addNewXRefObject()</a> method has new flag bits to specify how to handle xref re-parenting.</td>\n\
</tr>\n\
<tr>\n\
<td>Improved version information</td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxversion()</a> function now returns the build number, and is consistent with the information returned from SystemTools.GetBuildNumber(). The SystemTools struct now has a new function, , to report the OS version that works with Windows 10.</td>\n\
</tr>\n\
<tr>\n\
<td>Node user-defined properties methods</td>\n\
<td>Two new methods provide better control over how user-defined node properties are stored and retrieved,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">getUserPropVal() and setUserPropVal()</a>. The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a> method checks whether a user-defined node property exists, and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUserProp()</a> removes a user-defined node property.</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic Importer File Inspection Methods</td>\n\
<td>Several new methods have been added to the  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport Import Plugin</a> to expose Alembic file inspection functionality.</td>\n\
</tr>\n\
<tr>\n\
<td>FBX Exporter Animation Option</td>\n\
<td>The  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">FBX Exporter</a> has a new parameter option, &quot;ExportAnimationOnly&quot;.</td>\n\
</tr>\n\
<tr>\n\
<td>Fluids</td>\n\
<td>The Volume helper object is exposed as the  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/VolumeHelper-Helper.html\">VolumeHelper : Helper</a> class.</td>\n\
</tr>\n\
<tr>\n\
<td>Miscellaneous</td>\n\
<td>New miscellaneous function  <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">createFloatControllerWithRandomValues()</a> for creating random data for testing. The scene compression setting is now exposed in the</td>\n\
</tr>\n\
<tr>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps</a> interface methods getCompressSceneFileOnSave() and setCompressSceneFileOnSave().</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Previously undocumented items</td>\n\
<td>Some parameter  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">clauses for scripted plug-ins</a> are now documented:  <code>readOnly:&lt;boolean&gt;</code>,  <code>readOnlyAsset:&lt;boolean&gt;</code>, and  <code>enumAsAsset:&lt;boolean&gt;</code>. <br/> A method for copying a modifier with its local data, addModifierWithLocalData(), is now documented in  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Properties, Operators, and Methods</a>.  <br/> The  <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/dontRepeatMessages-Context.html\">dontRepeatMessages context</a> is now documented. <br/> The <code>&lt;maxclass&gt;.isMSPluginClass</code> property and <code>&lt;string&gt;getObjectName &lt;maxwrapper&gt;</code> method are now documented in  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a>. <br/>  The  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/NetworkRTT-.html\">NetworkRTT()</a> function for creating network render to texture jobs is now documented. The <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">convertIntToDirID()</a> function returns the system directory name for the specified integer. <br/>  The <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.removeProjectDirectoryCreateFilter()</a> function removes a single specified Project Directory Filter. <br/>  The  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.getProjectDirectoryCreateFilters</a> function returns an array of all currently set Project Directory Filters. <br/>  The  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">getFiles() and getDirectories()</a> methods have a  <code>recurse:&lt;bool&gt;</code> parameter to indicate whether to recursively search for files or directories.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-3ds-max-2019\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in 3ds Max 2019</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Advanced Wood</td>\n\
<td>The Advanced Wood procedural texture map is exposed as the  <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/AdvancedWood-textureMap.html\">Advanced_Wood : TextureMap</a> map.</td>\n\
</tr>\n\
<tr>\n\
<td>OSL</td>\n\
<td>The Open Shading Language (OSL) is now supported in 3ds Max. There are many new OSL shaders available, and a generic  <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/OSLMap-textureMap.html\">OSLMap</a> class that can be used to load or modify existing shaders, or create new ones.</td>\n\
</tr>\n\
<tr>\n\
<td>Shape Booleans</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Compound-Shapes/ShapeBooleanObject-Shape.html\">ShapeBooleanObject</a> class exposes the functionality of the new Shape Booleans feature.</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic Import and Export</td>\n\
<td>Improvements to the Alembic import and export plug-ins are exposed as new or changed properties and methods in  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import: Importer_Plugin</a> and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export: ExporterPlugin</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>Custom Scene File Data Streams</td>\n\
<td>You can now write and read custom data to 3ds Max scene files. In MAXScript this functionality is exposed by methods in: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomFileStream.html\">CustomFileStream Interface</a> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomSceneStreamManager.html\"\">CustomSceneStreamManager Interface</a></td>\n\
</tr>\n\
<tr>\n\
<td>Rollout Resizing Changes</td>\n\
<td>Rollouts and Rollout Floaters now support automatically re-calculating the layout when they are re-sized. This accommodate resizing when docked in the command panel, since command panel can now be arbitrarily sized. Changes include:New <code>autoLayoutOnResize: &lt;boolean&gt;</code> parameter is added to  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">CreateDialog()</a>,  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">newRolloutFloater()</a>, and rollout and subrollout specifications. <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\"#rollout-properties-\">Rollouts</a> have new properties: <code>rolloutFloater</code> and <code>autoLayoutOnResize</code>.New methods  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">SetDialogSize()</a> and  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\"#rollout-methods-\">updateRolloutLayout()</a>. <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Buttons</a> and  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">CheckButton</a> UI controls now have <code>.height</code> and <code>.width</code> properties.New <code>applyUiScaling: &lt;boolean&gt;</code> keyword argument is added to  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\"\">setDialogPos()</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>Stream parameter for persistents.show()</td>\n\
<td>The  <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\">persistents.show()</a> method has a new <code>to:&lt;stream&gt;</code> parameter to direct output to.</td>\n\
</tr>\n\
<tr>\n\
<td><code>deepCopy()</code> changes</td>\n\
<td>The  <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">deepCopy()</a> method now applies to  <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Dictionary-Values.html\">Dictionaries</a>,  <a href=\"./../../MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPairs</a>, and  <a href=\"./../../MAXScript-Language-Reference/Structure-Definition/Structure-Inherited-Methods.html\">Structures</a>, as well as  <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Arrays</a>. It has been optimized to guarantee that if the copied object contains two references to a value, only one copy of that value is made. That is, the returned object contains two references to a single value, rather than two copies (which was the previous behavior).</td>\n\
</tr>\n\
<tr>\n\
<td>Documentation Enhancements</td>\n\
<td>The procedure for enabling  <a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Autocomplete.html\">autocomplete in the MAXScript Editor</a> is now documented.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-what-39-s-new-previous\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">What&#39;s New Previous</h2><p>Review <a href=\"./../What-was-New-in-MAXScript-in.html\">new features in previous releases</a>.</p>\n\
<p><em>Icon made by <a href=\"https://www.flaticon.com/authors/freepik\" target=\"_blank\">Freepik</a> from <a href=\"https://www.flaticon.com\" target=\"_blank\">www.flaticon.com</a>.</em></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";