var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-410B5268-A497-48B9-AE4E-1210BA9E6A4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Layer Controller Interfaces</h1></div><p>The <strong>LayerInterface</strong> is exposed by all Animation Layer Controllers.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Layer interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:layer </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerController&gt;.count : integer : Read   </code></pre><p>Get the number of layers in the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerController&gt;.active : index : Read|Write </code></pre><p>Get/Set the index of the active layer.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;LayerController&gt;.getCount() </code></pre><p>Returns the number of layers in the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.setLayerActive &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Activates the indexed layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;LayerController&gt;.getLayerActive() </code></pre><p>Returns the index of the current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.copyLayer &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Copies the indexed layer into the clipboard.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.pasteLayer &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Pastes the indexed layer from the clipboard.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.deleteLayer &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Deletes the indexed layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;LayerController&gt;.getLayerName &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Returns the name of the indexed layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.setLayerName &lt;index&gt;listIndex &lt;string&gt;name </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Sets the name of the indexed layer to the given string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;&lt;LayerController&gt;.getSubCtrl &lt;index&gt;index </code></pre><p><code>index</code> Validated by Validator function</p>\n\
<p>Returns the indexed sub-controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;LayerController&gt;.getLayerWeight &lt;index&gt;index &lt;time&gt;atTime </code></pre><p><code>index</code> Validated by Validator function</p>\n\
<p>Returns the weigth of the indexed layer at the given time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.setLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime &lt;float&gt;weight </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Sets the weigth of the indexed layer at the given time to the specified float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;LayerController&gt;.getLayerMute &lt;index&gt;index </code></pre><p><code>index</code> Validated by Validator function</p>\n\
<p>Returns true if the indexed layer is muted, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.setLayerMute &lt;index&gt;listIndex &lt;boolean&gt;mute </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Sets the muted state of the indexed layer to the given boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.collapseLayer &lt;index&gt;listIndex </code></pre><p><code>listIndex</code> Validated by Validator function</p>\n\
<p>Collapses the indexed layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;LayerController&gt;.disableLayer () </code></pre><p>Disables layers by removing all layer information from the track.</p>\n\
<h2 id=\"example\">Example</h2><p>This example iterates through all the Animation Layers for the selected object, printing their name. It then makes the last layer active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = $\n\
ctls = s.position.controller\n\
for i = 1 to ctls.count do\n\
    print ctls[i].name\n\
-- set last layer active:\n\
ctls.setLayerActive ctls.count</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Layer-Controllers.html\">Animation Layer Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Layer-Controllers.html\">Layer Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\">Interface: AnimLayerManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";