var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E6615B92-8BC4-4A13-BC31-86E006657A5C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Key Reducer</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">reduceKeys &lt;controller&gt; &lt;threshold&gt; &lt;step&gt; [ &lt;range&gt; ]</code></pre><p>where <code>&lt;threshold&gt;</code> is the closeness that the key-reduced controller will match the original keys, <code>&lt;step&gt;</code> is the time step at which the controller will be sampled and <code>&lt;range&gt;</code> is an optional time range within which the keys are reduced given as either 2 time values or an Interval value, defaulting to the active animation range.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   reduceKeys $foo.pos.controller 0.5 1f\n\
</code></pre><p>   reduce keys on foo&#x2019;s position, retain 0.5 units accuracy, sample every frame.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   reduceKeys $baz.bend.angle.controller 0.1 0.5f (interval 20 75)\n\
</code></pre><p>   Reduce keys on baz&#x2019;s bend angle, retain 0.1 units accuracy, sample every half frame, reduce within the interval 20f to 75f.</p>\n\
</blockquote>\n\
<p>As with the reducer in the track view, a progress bar and cancel button is displayed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Controller-Key-Functions.html\">Controller Key Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Time-Functions.html\">Controller Time Functions</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers-1.html\">Animation Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";