var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FC8E346B-AF24-426F-9A64-73C8AA865F40\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Controller Out-Of-Range Functions</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBeforeORT &lt;controller&gt;</code></pre><p>Gets the Out-of-Range type (ORT) for the controller for the time <strong>before</strong> the <strong>first</strong> key.</p>\n\
<p>Returns one of the following name values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#constant #cycle #loop #pingPong #linear #relativeRepeat</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getAfterORT &lt;controller&gt;</code></pre><p>Gets the Out-of-Range (ORT) type for the controller for the time <strong>after</strong> the <strong>last</strong> key. Returns one of the name values as for <code>getBeforeORT()</code> shown above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setBeforeORT &lt;controller&gt; &lt;ORT_type_name&gt;</code></pre><p>Sets the Out-of-Range (ORT) type for the controller for the time <strong>before</strong> the <strong>first</strong> key.</p>\n\
<p>The <code>&lt;ORT_type_name&gt;</code> must be one of the following name values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#constant #cycle #loop #pingPong #linear #relativeRepeat</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setAfterORT &lt;controller&gt; &lt;ORT_type_name&gt;</code></pre><p>Sets the Out-of-Range (ORT) type for the controller for the time <strong>after</strong> the <strong>last</strong> key. The <code>&lt;ORT_type_name&gt;</code> must be one of the symbolic values shown in <code>setBeforeORT()</code> above. No testing done on the validity of <code>&lt;ORT_type_name&gt;</code> is performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableORTs &lt;controller&gt; &lt;boolean&gt;</code></pre><p>Enables or disables the Out-of-Range processing for the controller. If set to disabled with <code>false</code> , the controller effectively employs a <strong>constant</strong> ORT.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Common-Properties.html\">Controller Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers-1.html\">Animation Controllers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";