var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2578F441-06B3-400E-90BC-14F54D8E25BC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scale_Reactor : ScaleController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scale_Reactor - superclass: ScaleController; super-superclass:MAXWrapper - 0:0 - classID: #(331629852, 751514504) </code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scale_Reactor...      \n\
ScaleReactor...   </code></pre><p><strong>ScaleReactor interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:reactions </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.editStateMode : boolean : Read|Write </code></pre><p>This property sets or gets the state of the Edit Reaction State toggle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useCurve : boolean : Read|Write </code></pre><p>Specifies whether or not to use the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.createMode : boolean : Read|Write </code></pre><p>Enable/Disable the Create mode.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;reactTo &lt;maxObject&gt;object </code></pre><p>The default influence value depends on the time the reaction was created. This is a time variant function so it will use the MAXScript time context instead of requiring a Time value as an argument.</p>\n\
<p><code>&lt;maxObject&gt;object</code>: The object to react to. This can either be a controller or a node.</p>\n\
<p>Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;createname:&lt;string&gt; </code></pre><p>Create a new reaction and give it a name. The default influence value depends on the time the reaction was created. This is a time variant function. It will also use the name supplied if there is one, but a name is not necessary. The default value of name is: &quot;scriptCreated&quot;. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> All index parameters below are <strong>1- based</strong>!</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;delete &lt;index&gt;index </code></pre><p>Delete the indexed reaction. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getCount () </code></pre><p>Returns the reaction count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;select &lt;index&gt;index </code></pre><p>Selects the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getSelected () </code></pre><p>Returns the index of the currently selected reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setStateToCurrent &lt;index&gt;index </code></pre><p>This is a Time Variant function. Sets the reaction state to the current state at the given MAXScript time. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setFloatState &lt;index&gt;index&lt;float&gt;state </code></pre><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setVectorState &lt;index&gt;index&lt;point3&gt;state </code></pre><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setRotationState &lt;index&gt;index&lt;quat&gt;state </code></pre><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueToCurrent &lt;index&gt;index </code></pre><p>This is a Time Variant function. Sets the reaction value to value of the ReactTo object at the given MAXScript time. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsFloat &lt;index&gt;index&lt;float&gt;value </code></pre><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <code>getType</code> () below. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsVector &lt;index&gt;index &lt;point3&gt;value </code></pre><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <code>getType</code> () below. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsQuat &lt;index&gt;index&lt;quat&gt;value </code></pre><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <code>getType</code> () below. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setInfluence &lt;index&gt;index&lt;float&gt;influence </code></pre><p>Sets the influence for the specified reaction. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setStrength &lt;index&gt;index&lt;float&gt;strength </code></pre><p>Sets the strength for the specified reaction. Returns <code>true</code> if successful and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setFalloff &lt;index&gt;index &lt;float&gt;influence </code></pre><p>Sets the falloff for the specified reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;index&gt;index &lt;string&gt;name </code></pre><p>Set the name of the reaction specified by the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getName &lt;index&gt;index </code></pre><p>Returns the reaction name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getInfluence &lt;index&gt;index </code></pre><p>Returns the reaction influence.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getStrength &lt;index&gt;index </code></pre><p>Returns the reaction strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getFalloff &lt;index&gt;index </code></pre><p>Returns the reaction falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getType () </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getType enums: {#floatReaction | #positionalReaction | #rotationalReaction | #scaleReaction} </code></pre><p>Returns the type of object you are reacting to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getState &lt;index&gt;index </code></pre><p>Returns the reaction state. This value can be either a Point3, a Quat, or a float depending on the type of reactor controller this is.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getValue &lt;index&gt;index </code></pre><p>Returns the reaction value. This value can be either a Point3, a Quat, or a float depending on the type of reactor controller this is.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scale-Controllers.html\">Scale Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Reactor-Controllers/Reactor-controller.html\">Reactor controller</a></li>\n\
          <li><a class=\"link\" href=\"../Reactor-Controllers/Reactor-Controllers-1.html\">Reactor Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../Float-Controllers/FloatReactor-superclass.html\">FloatReactor - superclass: FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../Point3-Controllers/Point3Reactor-superclass.html\">Point3Reactor - superclass: Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/PositionReactor-superclass.html\">PositionReactor - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/Rotation_Reactor.html\">Rotation_Reactor : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-reactionMgr.html\">Interface: reactionMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";