var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D1954A27-9102-4E31-8DE6-7DFE21C44FF9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TIF interfaces:</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TIF - superclass: BitmapIO; super-superclass:MAXWrapper - classID: #(64530, 0) </code></pre><p>The TIF BitmapIO class provides a function published interface for <strong>tiff I/O</strong> that gives access to the settings of the image format to be saved.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TIF tifio </code></pre><p><strong>TIF interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: itifio </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;TIF.getType () \n\
\n\
getType enums: {#mono | #color | #logL | #logLUV | #color16 } </code></pre><p>This method returns the format type, which is one of the enum types.</p>\n\
<p>Thetype <code>#color16</code> wasaddedin <strong>3ds Max 8</strong> to provide access to the new 16-bit color option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TIF.setType &lt;enum&gt;type \n\
\n\
type enums: {#mono | #color | #logL | #logLUV | #color16 } </code></pre><p>This method allows you to set the format type.</p>\n\
<p>Thetype <code>#color16</code> wasaddedin <strong>3ds Max 8</strong> to provide access to the new 16-bit color option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;TIF.getShowControl () \n\
\n\
getShowControl enums: {#true | #false} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TIF.setShowControl &lt;enum&gt;showControl \n\
\n\
showControl enums: {#true | #false} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;TIF.getCompression () \n\
\n\
getCompression enums: {#none | #packBits} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TIF.setCompression &lt;enum&gt;compression \n\
\n\
compression enums: {#none | #packBits} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;TIF.getAlpha () \n\
\n\
getAlpha enums: {#true | #false} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TIF.setAlpha &lt;enum&gt;onOff \n\
\n\
onOff enums: {#true | #false} </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;TIF.getDPI () </code></pre><p>This method returns the DPI resolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TIF.setDPI &lt;float&gt;dpi </code></pre><p>This method allows you to set the DPI resolution</p>\n\
<p>The methods in this interface can be accessed by specifying the class, interface, and method. For example: <code>tif.itifio.getType()</code> .</p>\n\
<p>MAXScript will automatically search through a class&#x2019; interfaces for a property or method name if the name isn&#x2019;t found as a class method or property. This allows you to say: <code>tif.getType()</code> .</p>\n\
<p>Providing the fully qualified name of the method results in faster script execution. Providing the fully qualified name is also safer, as at some point in time another interface could be specified for the class, and a method or property with the same name could be defined in that interface. Which method or property is used would then be dependent on the order in which the interfaces were searched for the method or property name.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
          <li><a class=\"link\" href=\"BMP-interfaces-.html\">BMP interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"JPEG-interfaces-.html\">JPEG interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Portable_Network_Graphics.html\">Portable_Network_Graphics interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Targa-interfaces-.html\">Targa interfaces:</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";