var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6F3E4E50-C44E-4F2C-AFA0-D046F096BA9F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Get A Using B Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEdgesUsingVert &lt;Poly poly&gt; &lt;vertlist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding edge uses one of the vertices in <code>&lt;vertlist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFacesUsingVert &lt;Poly poly&gt; &lt;vertlist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding face uses one of the vertices in <code>&lt;vertlist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsUsingEdge &lt;Poly poly&gt; &lt;edgelist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding vertex uses one of the edges in <code>&lt;edgelist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getFacesUsingEdge &lt;Poly poly&gt; &lt;edgelist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding face uses one of the edges in <code>&lt;edgelist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsUsingFace &lt;Poly poly&gt; &lt;facelist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding vertex uses one of the faces in <code>&lt;facelist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEdgesUsingFace &lt;Poly poly&gt; &lt;facelist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding edge uses one of the faces in <code>&lt;facelist&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getElementsUsingFace &lt;Poly poly&gt; &lt;facelist&gt; fence:&lt;fence_facelist&gt;</code></pre><p>Bits in the result bitarray are set for all faces in the same &quot;element&quot; or connected component with faces in <code>&lt;facelist&gt;</code>.</p>\n\
<p>If <code>&lt;fence_facelist&gt;</code> is specified, those faces are considered as &quot;walls&quot; for this processing and are not evaluated. That is, if face i is specified in <code>&lt;facelist&gt;</code>, and a ring of faces around it is specified in <code>&lt;fence_facelist&gt;</code>, the algorithm stops at that ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsUsedOnlyByFaces &lt;Poly poly&gt; &lt;facelist&gt;</code></pre><p>Bits in the result bitarray are set if the corresponding vertex is only used by faces in <code>&lt;edgelist&gt;</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";