var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: EditablePoly</h1></div><p>The <strong>EditablePoly</strong> Interface was added to the <a href=\"Editable_Poly-GeometryClass.html\">Editable_Poly</a> class in <strong>3ds Max 5</strong>.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#editable_poly-interfaces-\">Editable_Poly interfaces:</a><ul>\n\
<li><a href=\"#hide-unhide\">Hide/Unhide</a></li>\n\
<li><a href=\"#copy-paste-named-selection-sets\">Copy/Paste Named Selection Sets</a></li>\n\
<li><a href=\"#create\">Create</a></li>\n\
<li><a href=\"#delete\">Delete</a></li>\n\
<li><a href=\"#attach-detach\">Attach/Detach</a></li>\n\
<li><a href=\"#break-split-divide\">Break/Split/Divide</a></li>\n\
<li><a href=\"#insert-vertex\">Insert Vertex</a></li>\n\
<li><a href=\"#collapse\">Collapse</a></li>\n\
<li><a href=\"#extrude-faces\">Extrude Faces</a></li>\n\
<li><a href=\"#bevel\">Bevel</a></li>\n\
<li><a href=\"#chamfer\">Chamfer</a></li>\n\
<li><a href=\"#bridge\">Bridge</a></li>\n\
<li><a href=\"#relax\">Relax</a></li>\n\
<li><a href=\"#slice\">Slice</a></li>\n\
<li><a href=\"#cut\">Cut</a></li>\n\
<li><a href=\"#weld\">Weld</a></li>\n\
<li><a href=\"#create-shape-from-edges\">Create Shape from edges</a></li>\n\
<li><a href=\"#make-planar\">Make Planar</a></li>\n\
<li><a href=\"#subdivide\">Subdivide</a></li>\n\
<li><a href=\"#triangulation\">Triangulation</a></li>\n\
<li><a href=\"#select-faces-by-\">Select Faces By...</a></li>\n\
<li><a href=\"#ui-commands\">UI Commands</a></li>\n\
<li><a href=\"#get-set-by-flag\">Get/Set By Flag</a></li>\n\
<li><a href=\"#slice-plane\">Slice Plane</a></li>\n\
<li><a href=\"#get-set-data\">Get/Set Data</a></li>\n\
<li><a href=\"#preview-mode\">Preview Mode</a></li>\n\
<li><a href=\"#last-operation\">Last Operation</a></li>\n\
<li><a href=\"#convert-selection\">Convert Selection</a></li>\n\
<li><a href=\"#remove\">Remove</a></li>\n\
<li><a href=\"#outline\">Outline</a></li>\n\
<li><a href=\"#connect\">Connect</a></li>\n\
<li><a href=\"#toggle-shaded-faces\">Toggle Shaded Faces</a></li>\n\
<li><a href=\"#get-set-selections\">Get/Set Selections</a></li>\n\
<li><a href=\"#get-vertex\">Get Vertex</a></li>\n\
<li><a href=\"#get-edge\">Get Edge</a></li>\n\
<li><a href=\"#get-face\">Get Face</a></li>\n\
<li><a href=\"#get-map-channel\">Get Map Channel</a></li>\n\
<li><a href=\"#get-set-vertex-color-illumination-and-alpha\">Get/Set Vertex Color, Illumination and Alpha</a></li>\n\
<li><a href=\"#paint-deform\">Paint Deform</a></li>\n\
<li><a href=\"#hard-smooth-edges\">Hard/Smooth Edges</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"editable_poly-interfaces-\">Editable_Poly interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: EditablePoly</code></pre><p><strong>Methods:</strong></p>\n\
<p><a name=\"hide-unhide\"></a></p>\n\
<h3 id=\"hide-unhide\">Hide/Unhide</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.Hide &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p><code>flags</code> default value: 1</p>\n\
<p>Hide the sub-objects defined by <code>flags</code> in the specified sub-object level. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.unhideAll &lt;enum&gt;mnSelLevel\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p>Unhide the specified sub-object level. The modify panel does not have to be in the same sub-object level for this method to have effect. Returns <code>true</code> on success.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
polyop.setFaceSelection p #{1,2} --select the first two polygons\n\
p.Hide #Face --hide the two polygons\n\
sleep 1 --wait a second\n\
p.UnHideAll #Face --unhide all hidden faces again\n\
</code></pre><p><a name=\"copy-paste-named-selection-sets\"></a></p>\n\
<h3 id=\"copy-paste-named-selection-sets\">Copy/Paste Named Selection Sets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.EditablePoly.namedSelCopy &lt;string&gt;Name</code></pre><p>Copy selection to the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.namedSelPaste &lt;boolean&gt;useRenameDialog</code></pre><p>Paste named selection. Enables the Rename Dialog when useRenameDialog is supplied as true.</p>\n\
<p><a name=\"create\"></a></p>\n\
<h3 id=\"create\">Create</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;createVertex &lt;point3&gt;point [pointInLocalCoords:&lt;boolean&gt;] [select:&lt;boolean&gt;]\n\
\n\
pointInLocalCoords default value: true\n\
select default value: false</code></pre><p>Create a new vertex with the specified coordinates. If the optional pointInLocalCoords argument is true, the coordinates are taken in local space. If the optional <code>select</code> argument is <code>true</code> , the new vertex will be selected after creation. Returns the index of the new vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.createEdge &lt;index&gt;vertex1 &lt;index&gt;vertex2 [select:&lt;boolean&gt;]\n\
\n\
select default value: false</code></pre><p>Create a new edge between the two specified vertices. If the optional <code>select</code> argument is <code>true</code> , the new edge will be selected after creation. Returns the index of the new edge.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
p.createEdge 1 7 --create edge between vertices 1 and 7\n\
</code></pre><p><img src=\"./images/GUID-18ECD103-5792-4D38-AE9E-FD858981D5A8-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.createFace &lt;index array&gt;vertexArray [select:&lt;boolean&gt;] \n\
\n\
select default value: false</code></pre><p>Creates a new face using the specified array of vertices. If the optional select argument is true, the new face will be selected after creation. Returns the index of the new face.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
polyop.DeleteFaces p #(1) --delete the first polygon\n\
p.createFace #(1,6,5) --create a new polygon on its place\n\
</code></pre><p><img src=\"./images/GUID-EEDE4C46-5507-4D68-B761-710741A6C33A-low.gif\" alt> <img src=\"./images/GUID-6AF5AF69-4153-46FE-937D-35765B8E3218-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.capHoles &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p><code>flags</code> default value: 1</p>\n\
<p>Create new faces to cap open edge loops. Acquire open edge loop defining the hole using the msSelLevel enums. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
polyop.DeleteFaces p # (6) --delete a polygon\n\
--select all polygons surrounding the deleted one\n\
polyop.SetFaceSelection p #(1,2,3,5,6,8,9,10)\n\
select p --select the plane\n\
max modify mode --switch to Modify panel\n\
subObjectLevel = 4 --go to Face level to see the selection\n\
p.capHoles #Face --cap the hole using the selection\n\
</code></pre><p><img src=\"./images/GUID-55EADD9E-2B2A-47E8-8F52-127DF0A3D23B-low.gif\" alt> <img src=\"./images/GUID-878D42A1-E732-4167-9509-EA6600E7FA12-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-5616356F-D42C-4792-A096-85F7C7B417BC-low.gif\" alt></p>\n\
<p><a name=\"delete\"></a></p>\n\
<h3 id=\"delete\">Delete</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.delete &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;] [deleteIsoVerts:&lt;boolean&gt;]\n\
\n\
mnSelLevelenums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p><code>flags</code> default value: 1</p>\n\
<p><code>deleteIsoVerts</code> default value: true</p>\n\
<p>Delete the sub-objects in the specified sub-object level. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.deleteIsoVerts()</code></pre><p>Delete isolated vertices. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.DeleteIsoMapVerts()</code></pre><p>Delete the isolated vertices. Returns <code>true</code> on success.</p>\n\
<p><a name=\"attach-detach\"></a></p>\n\
<h3 id=\"attach-detach\">Attach/Detach</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.attach &lt;node&gt;nodeToAttach &lt;node&gt;myNode</code></pre><p>Attach a node to the Editable_Poly object. The additional node provides the transformation of the node to be attached. You can use the <code>nodeToAttach</code> as <code>myNode</code> to use its own transforms.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
s = sphere radius:5 --create a sphere primitive\n\
p.attach s s --attach sphere to EPoly\n\
p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
b = Box() --create a box primitive\n\
b.rotation = eulerangles 45 45 0 --rotate the box\n\
t = teapot radius:5 --create a teapot primitive\n\
p.attach t b --attach teapot to EPoly using the box&apos;s transformation\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.detachToElement &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;] [keepOriginal:&lt;boolean&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p><code>flags</code> default value: 1</p>\n\
<p><code>keepOriginal</code> default value: false</p>\n\
<p>Detach the sub-objects defined by <code>flags</code> in the specified sub-object level to element. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to EPoly\n\
polyop.SetFaceSelection p #(6) --select polygon 6\n\
--Detach the selected polygon to element, keeping the original:\n\
p.detachToElement #Face keepOriginal:true\n\
</code></pre><p><a name=\"break-split-divide\"></a></p>\n\
<h3 id=\"break-split-divide\">Break/Split/Divide</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.breakVerts &lt;integer&gt;vertFlags</code></pre><p>Break the vertices defined by <code>edgeFlags</code> . See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.splitEdges edgeFlags:&lt;integer&gt;\n\
\n\
edgeFlags default value: 1\n\
</code></pre><p>Split the edges defined by <code>edgeFlags</code> . See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.divideEdge &lt;index&gt;edgeID &lt;float&gt;proportion [select:&lt;boolean&gt;]\n\
\n\
select default value: false</code></pre><p>Divides the specified edge using the proportions for placement control. Returns the index of the new vertex. If select is true, the new vertex will be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.divideFace &lt;index&gt;faceID &lt;&amp;float array&gt;vertexCoefficients [select:&lt;boolean&gt;]\n\
\n\
vertexCoefficients is In and Out parameter</code></pre><p><code>select</code> default value: false</p>\n\
<p>Divides the specified polygon using the <code>vertexCoefficients</code> to place the new edges. Returns the index of the new vertex. If <code>select</code> is <code>true</code> , the new vertex will be selected.</p>\n\
<p><a name=\"insert-vertex\"></a></p>\n\
<h3 id=\"insert-vertex\">Insert Vertex</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.insertVertexInFace &lt;index&gt;faceID &lt;&amp;float array&gt;vertexCoefficients [select:&lt;boolean&gt;]\n\
\n\
vertexCoefficients is In and Out parameter</code></pre><p><code>select</code> default value: false</p>\n\
<p>Insert a vertex inside the specified polygon. Returns the index of the new vertex.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
--Insert new vertex in the middle of polygon 6.\n\
--new_vert will contain the index of the newly created vertex:\n\
new_vert = p.insertVertexInFace 6 #(0.5,0.0,0.5)\n\
</code></pre><p><img src=\"./images/GUID-4629C76C-C1F0-4618-BB02-CBB0304842AA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.insertVertexInEdge &lt;index&gt;edgeID &lt;float&gt;proportion [select:&lt;boolean&gt;]\n\
\n\
select default value: false</code></pre><p>Inserts a vertex in the specified edge using the proportions for placement control. Returns the index of the new vertex. If select is true, the new vertex will be selected.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
--Insert new vertex and split edge 17 at 1/3 of its edge.\n\
--new_vert will contain the index of the newly created vertex:\n\
new_vert = p.insertVertexInEdge 17 0.3\n\
polyOp.setVertSelection p #{new_vert} --select the new vertex\n\
select p --select the plane\n\
max modify mode --switch to modify panel\n\
subObjectLevel = 1 --go to Vertex level and check it out\n\
</code></pre><p><img src=\"./images/GUID-4FA4A21D-FAD0-4CF9-8FBC-7E276A14036C-low.gif\" alt></p>\n\
<p><a name=\"collapse\"></a></p>\n\
<h3 id=\"collapse\">Collapse</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.collapse &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p><code>flags</code> default value: 1</p>\n\
<p>Collapses the sub-objects defined by <code>flags</code> in the specified sub-object level. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
polyop.setVertSelection p #{7,8,12,13} --select some vertices\n\
p.EditablePoly.collapse #Vertex --collapse the selected vertices\n\
</code></pre><p><img src=\"./images/GUID-EBB2FC3E-B502-470E-94F6-188ADB708A9D-low.gif\" alt> <img src=\"./images/GUID-E1E2A054-C005-400E-833B-9420F819BA85-low.gif\" alt></p>\n\
<p><a name=\"extrude-faces\"></a></p>\n\
<h3 id=\"extrude-faces\">Extrude Faces</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.extrudeFaces &lt;float&gt;amount [faceFlags:&lt;integer&gt;]\n\
\n\
faceFlags default value: 1</code></pre><p>Extrudes the polygons defined by <code>faceFlags</code> by the specified amount.</p>\n\
<p>By default uses flag 1 that means selected polygons.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--create a skyscraper-like structure through random extrusions\n\
p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
for i = 1 to 50 do --repeat 50 times\n\
(\n\
polyop.setFaceSelection p #{(random 1 16)} --select a random polygon\n\
p.extrudeFaces 5.0 --extrude the selection\n\
)\n\
</code></pre><p><img src=\"./images/GUID-01227615-9935-478F-9125-F7AB1A1C26AC-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.ExtrudeAlongSpline faceFlag:&lt;integer&gt;\n\
\n\
faceFlag default value: 1</code></pre><p>Extrude along spline the polygons defined by the flags.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.HingeFromEdge faceFlag:&lt;integer&gt;\n\
\n\
faceFlag default value: 1</code></pre><p>Hinge from edge the polygons defined by the flags.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"bevel\"></a></p>\n\
<h3 id=\"bevel\">Bevel</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.bevelFaces &lt;float&gt;height &lt;float&gt;outline [faceFlags:&lt;integer&gt;]\n\
\n\
faceFlags default value: 1</code></pre><p>Bevels the polygons defined by <code>faceFlags</code> using the specified amount and outline values.</p>\n\
<p>By default, uses flag 1 that means selected polygons.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--create a futuristic skyline through random bevels\n\
p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
for i = 1 to 50 do --repeat 50 times\n\
(\n\
polyop.setFaceSelection p #{(random 1 16)} --select a random polygon\n\
p.bevelFaces 5.0 (random 0.0 -1.0) --randomly bevel the selection\n\
)\n\
</code></pre><p><img src=\"./images/GUID-A3614E9F-069E-47B3-A0D7-7AE73329F82F-low.gif\" alt></p>\n\
<p><a name=\"chamfer\"></a></p>\n\
<h3 id=\"chamfer\">Chamfer</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.chamferVertices &lt;float&gt;amount open:&lt;boolean&gt;\n\
\n\
open default value: false</code></pre><p>Chamfer the selected vertices using the specified amount.</p>\n\
<p>If the optional <code>open:</code> keyword is supplied and set to <code>true</code> , the new faces generated by the chamfer operation will be removed leaving an opening.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly (Plane()) --create a plane, convert to Epoly\n\
polyop.setVertSelection p #{1,5,21,25} --select the corner vertices\n\
p.EditablePoly.chamferVertices 5.0 --chamfer the selection\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.chamferEdges &lt;float&gt;amount open:&lt;boolean&gt;\n\
\n\
open default value: false</code></pre><p>Chamfers the selected edges using the specified amount.</p>\n\
<p>If the optional <code>open:</code> keyword is supplied and set to <code>true</code> , the new faces generated by the chamfer operation will be removed leaving an opening.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly (Plane()) --create a plane, convert to Epoly\n\
polyop.setEdgeSelection p #{7,10} --select two side edges\n\
p.EditablePoly.chamferEdges 5.0 --chamfer the selection\n\
</code></pre><p><img src=\"./images/GUID-F9A3535A-3407-4FAC-8105-F0B05DF98B19-low.gif\" alt> <img src=\"./images/GUID-056FECD2-5BF9-42D9-98B0-76A266CB697A-low.gif\" alt></p>\n\
<p><a name=\"bridge\"></a></p>\n\
<h3 id=\"bridge\">Bridge</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.Bridgesel Level:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1</code></pre><p>Creates a bridge using the specified selection level and flags.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There are a number of Properties controlling the result of the Bridge method. See <a href=\"Editable_Poly-Properties.html\"#bridge\">Editable Poly Properties - Bridge</a>.</div>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box() --create a box\n\
b.heightsegs = b.widthsegs = b.lengthsegs = 5 --set segments to 5\n\
convertToPoly(b) --convert to Editable Poly\n\
--select the central faces on both sides of the box:\n\
polyOp.setFaceSelection b #{57..59, 62..64, 67..69, 107..109, 112..114, 117..119}\n\
b.bridgeSegments = 5 --set the bridge segments property to 5\n\
b.bridge selLevel: #Face --bridge the selected polygons\n\
</code></pre><p><img src=\"./images/GUID-0798A6CC-3BD2-48F6-A5CD-EFABEFEFD8D8-low.gif\" alt> <img src=\"./images/GUID-C5E8F0E8-10AC-47A9-B709-5D3CD2EB4187-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.ReadyToBridgeFlagged selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1</code></pre><p>Returns true if the specified selection level and flags are ready to be bridged, false otherwise.</p>\n\
<p><a name=\"relax\"></a></p>\n\
<h3 id=\"relax\">Relax</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.Relax selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1</code></pre><p>Relaxes the vertices using the specified selection level and flags.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There are a number of Properties controlling the result of the Relax method. See <a href=\"Editable_Poly-Properties.html\"#relax\">Editable Poly Properties - Relax</a> for details.</div>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box() --create a box\n\
b.heightsegs = b.widthsegs = b.lengthsegs = 5 --set segments to 5\n\
convertToPoly(b) --convert to Editable Poly\n\
b.relaxAmount = 1.5 --set the relax amount property to 1.5\n\
b.relax selLevel:#Object --relax the whole mesh\n\
b2 = box() --create another box\n\
b2.heightsegs = b2.widthsegs = b2.lengthsegs = 5 --set segments to 5\n\
convertToPoly(b2) --convert to Editable Poly\n\
b2.relaxAmount = -1.5 --set the relax amount property to-1.5\n\
b2.pos = [40,0,0] --place the box 40 units from the first one\n\
b2.relax selLevel:#Object --relax the whole mesh\n\
</code></pre><p><img src=\"./images/GUID-E1745D64-7AED-4007-85A3-735C5D4FF13B-low.gif\" alt></p>\n\
<p><a name=\"slice\"></a></p>\n\
<h3 id=\"slice\">Slice</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.slice &lt;point3&gt;slicePlaneNormal &lt;point3&gt;slicePlaneCenter [flaggedFacesOnly:&lt;boolean&gt;] [faceFlags:&lt;integer&gt;]\n\
\n\
flaggedFacesOnly default value: false\n\
faceFlags default value: 1</code></pre><p>Slices using a slice plane defined by the normal vector and center. Both values are specified in local coordinates.</p>\n\
<p>When <code>flaggedFacesOnly</code> is set to <code>true</code> , only polygons specified by <code>faceFlags</code> will be affected (the flag is 1 by default, in other words, selected polygons). Operates by default on the whole EditablePoly object. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--create a box, convert to Epoly\n\
p = convertToPoly(Box())\n\
--slice using a diagonal plane at height 10\n\
p.slice [0,1,1] [0,0,10]\n\
--select a side polygon\n\
polyop.setFaceSelection p #{3}\n\
--slice the selected polygon only using a horizontal plane at height 15\n\
p.slice [0,0,1] [0,0,15] flaggedFacesOnly:true\n\
</code></pre><p><img src=\"./images/GUID-60092B87-E0C8-40ED-9149-76CFD08F1A22-low.gif\" alt> <img src=\"./images/GUID-926ACFDE-F2F0-4999-9902-12288EA40B7E-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-DA0582DF-28B2-492A-A4D5-E00D8846D2F9-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;inSlicePlaneMode ()</code></pre><p>Returns <code>true</code> if the EditablePoly is in slice plane mode.</p>\n\
<p><a name=\"cut\"></a></p>\n\
<h3 id=\"cut\">Cut</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.cutVertices &lt;index&gt;startVertex &lt;point3&gt;endPosition &lt;point3&gt;viewDirection</code></pre><p>Cut using a plane defined by the start vertex, the specified point, and the view direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.cutEdges &lt;index&gt;startEdge &lt;float&gt;startProportion &lt;index&gt;endEdge &lt;float&gt;endProportion &lt;point3&gt;viewDirection</code></pre><p>Cut using a plane defined by the point specified by the two edges and proportions, and the view direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.cutFaces &lt;index&gt;startFace &lt;point3&gt;startPosition &lt;point3&gt;endPosition &lt;point3&gt;viewDirection</code></pre><p>Cut using a plane defined by the point specified by the two face positions and the view direction.</p>\n\
<p><a name=\"weld\"></a></p>\n\
<h3 id=\"weld\">Weld</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.weldVerts &lt;index&gt;vertex1 &lt;index&gt;vertex2 &lt;point3&gt;destinationPoint</code></pre><p>Weld the two specified vertices and move the resulting vertex to the specified position.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.weldEdges &lt;index&gt;edge1 &lt;index&gt;edge2</code></pre><p>Weld the two specified edges.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.weldFlaggedVertices [vertexFlags:&lt;integer&gt;]\n\
\n\
vertexFlags default value: 1</code></pre><p>Weld the vertices defined by the supplied flags.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.weldFlaggedEdges [edgeFlags:&lt;integer&gt;]\n\
\n\
edgeFlags default value: 1</code></pre><p>Weld the edges defined by the supplied flags.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"create-shape-from-edges\"></a></p>\n\
<h3 id=\"create-shape-from-edges\">Create Shape from edges</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.createShape &lt;string&gt;shapeName &lt;boolean&gt;curved &lt;node&gt;myNode edgeFlags:&lt;integer&gt;\n\
\n\
edgeFlags default value: 1</code></pre><p>Create a shape from the edges defined by the supplied flags.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"make-planar\"></a></p>\n\
<h3 id=\"make-planar\">Make Planar</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.makePlanar &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Make the sub-objects defined by <code>flags</code> in the specified sub-object level planar.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.moveToPlane &lt;point3&gt;planeNormal &lt;float&gt;planeOffset &lt;enum&gt;mnSelLevel flags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Move the sub-objects defined by <code>flags</code> in the specified sub-object level to the specified plane. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
polyop.setVertSelection p #{7,8,12,13} --select some vertices\n\
p.movetoplane [0,0,1] 5.0 #Vertex --move 5.0 units along +Z\n\
</code></pre><p><img src=\"./images/GUID-2729842E-216B-460B-B5AF-04480CB707D9-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.alignToGrid &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Align the sub-objects defined by <code>flags</code> in the specified sub-object level to the active grid. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Box()) --create a Box, convert to Epoly\n\
polyop.setVertSelection p #{5,6} --select two top vertices\n\
select p --select the EPoly\n\
p.AlignToGrid #Vertex --align vertices to current grid\n\
</code></pre><p><img src=\"./images/GUID-2FCE7421-7122-46C6-8EB3-15172DA1D848-low.gif\" alt> <img src=\"./images/GUID-BAABBF49-F97A-4018-8747-97273E7AE701-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.alignToView &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Align the sub-objects defined by <code>flags</code> in the specified sub-object level to the active view. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
polyop.setVertSelection p #{7,8,12,13} --select some vertices\n\
p.EditablePoly.alignToView #Vertex --align to current view\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.MakePlanarIn &lt;enum&gt;axis selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
axis enums: {#X|#Y|#Z}\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1</code></pre><p>Makes the elements in the given sub-level specified by the flag bits planar relatively to the specified axis.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"subdivide\"></a></p>\n\
<h3 id=\"subdivide\">Subdivide</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.meshSmooth &lt;enum&gt;mnSelLevel flags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Apply MeshSmooth the sub-objects defined by <code>flags</code> in the specified sub-object level. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Box()) --create a Box, convert to Epoly\n\
polyop.setVertSelection p #{1} --select a vertex\n\
--apply meshSmooth 3 times to the selected vertex:\n\
for i = 1 to 3 do p.meshSmooth #Vertex\n\
</code></pre><p><img src=\"./images/GUID-741C16B0-39C4-45BB-ACCF-9541DB8252B0-low.gif\" alt> <img src=\"./images/GUID-FB0B3748-382C-4ACE-A37D-18F038F698B6-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-1C3C5663-F3CF-45BC-AC6F-5DFE67F7CCE0-low.gif\" alt> <img src=\"./images/GUID-FF863BEA-DA93-4D81-8A31-B763001930FE-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.tessellate &lt;enum&gt;mnSelLevelflags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1</code></pre><p>Tessellate the sub-objects defined by <code>flags</code> in the specified sub-object level.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Box()) --create a Box, convert to Epoly\n\
polyop.setVertSelection p #{1} --select a vertex\n\
--apply tessellate 3 times to the selected vertex:\n\
for i = 1 to 3 do p.tessellate #Vertex\n\
</code></pre><p><img src=\"./images/GUID-741C16B0-39C4-45BB-ACCF-9541DB8252B0-low.gif\" alt> <img src=\"./images/GUID-0A7A9E84-4FA1-4E01-B33F-46922BAACAC8-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-A3812433-D81B-488C-A541-5B3001728C63-low.gif\" alt> <img src=\"./images/GUID-6375EA18-7590-456E-8CC3-B54D7C7A9DB0-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.forceSubdivision()</code></pre><p>Force subdivision.</p>\n\
<p><a name=\"triangulation\"></a></p>\n\
<h3 id=\"triangulation\">Triangulation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setDiagonal &lt;index&gt;face &lt;index&gt;corner1 &lt;index&gt;corner2</code></pre><p>Set a diagonal in the specified face from corner1 to corner2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.retriangulate &lt;integer&gt;faceFlags</code></pre><p>Retriangulate the faces defined by <code>faceFlags</code> .</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.TurnDiagonal &lt;index&gt;face &lt;index&gt;diagonal</code></pre><p>Turn the indexed diagonal of the indexed face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.flipNormals &lt;integer&gt;faceFlags</code></pre><p>Flip the normals of the faces defined by <code>faceFlags</code> .</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"select-faces-by\"></a></p>\n\
<h3 id=\"select-faces-by-\">Select Faces By...</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.selectByMaterial &lt;index&gt;materialID [clearCurrentSelection:&lt;boolean&gt;]\n\
\n\
clearCurrentSelection default value: true</code></pre><p>Select the faces with the specified materialID.</p>\n\
<p>If the optional <code>clearCurrentSelection</code> is set to <code>false</code> , the existing selection will be kept.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.selectBySmoothGroup &lt;integer&gt;smoothingGroups [clearCurrentSelection:&lt;boolean&gt;]\n\
\n\
clearCurrentSelection default value: true</code></pre><p>Select the faces with the specified smoothing groups.</p>\n\
<p>If the optional <code>clearCurrentSelection</code> is set to <code>false</code> , the existing selection will be kept.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.autosmooth()</code></pre><p>Generate smoothing groups automatically based on face angles.</p>\n\
<p><a name=\"ui-commands\"></a></p>\n\
<h3 id=\"ui-commands\">UI Commands</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.buttonOp &lt;enum&gt;buttonOpID\n\
\n\
buttonOpID enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | \n\
#SelectEdgeRing | #HideSelection | #HideUnselected | #UnhideAll | #NamedSelectionCopy | \n\
#NamedSelectionPaste | #Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | \n\
#BreakVertex | #Collapse | #ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | \n\
#MakePlanar | #AlignGrid | #AlignView | #RemoveIsoVerts | #MeshSmooth | #Tessellate | \n\
#Update | #SelectByVertexColor | #Retriangulate | #FlipNormals | #SelectByMatID | \n\
#SelectBySmoothingGroups | #Autosmooth | #ClearSmoothingGroups| \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | \n\
#ToggleShadedFaces | #MakePlanarInX | #MakePlanarInY |#MakePlanarInZ |#Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges}</code></pre><p>Presses the specified Editable_Poly UI button.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Box, convert to Epoly\n\
polyop.setFaceSelection p #{6} --select a single polygon\n\
select p --select the object\n\
max modify mode --go to modify panel\n\
subobjectlevel = 4 --go to polygon sub-object level\n\
p.ButtonOp #GrowSelection --grow the selection\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.toggleCommandMode &lt;enum&gt;commandModeID\n\
\n\
commandModeID enums: { #CreateVertex | #CreateEdge | #CreateFace | #DivideEdge | #DivideFace | \n\
#ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #ChamferVertex | #ChamferEdge | #Bevel | \n\
#SlicePlane | #CutVertex | #CutEdge | #CutFace | #Weld | #EditTriangulation | #InsetFace | \n\
#QuickSlice | #HingeFromEdge | #PickLiftEdge | #OutlineFace}\n\
</code></pre><p>Presses the specified Editable_Poly UI button to enter a command mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;EditablePoly&gt;.getCommandMode </code></pre><p>Returns the current command mode (see the enums for <code>toggleCommandMode()</code> above), or -1 if no command mode is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.enterPickMode &lt;enum&gt;pickModeID\n\
\n\
pickModeID enums: {#Attach|#PickShape}</code></pre><p>Presses the button to enter the specified pick mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.exitCommandModes ()</code></pre><p>Exits any active command mode.</p>\n\
<p><a name=\"get-set-by-flag\"></a></p>\n\
<h3 id=\"get-set-by-flag\">Get/Set By Flag</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.getVerticesByFlag &lt;&amp;bitArray&gt;vertexSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
vertexSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Returns <code>true</code> on success.</p>\n\
<p>Each vertex in a poly contains a 32 bit flag variable.</p>\n\
<p>This method returns a by-reference bitarray of the vertices that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Internally, if &lt; <code>flagMask</code> &gt; is 0 then &lt; <code>flagMask</code> &gt; is set to the &lt; <code>flagsRequested</code> &gt; value, otherwise &lt; <code>flagsRequested</code> &gt; is set to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Bit 2 of &lt; <code>flagMask</code> &gt; is then set, which prevents dead vertices from being included in the resulting bitarray unless this bit was set in &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <code>flagMask</code> &gt; is equal to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">my_array= #{} --define an empty bitarray\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the empty array as\n\
--In parameter by reference and the flag bit to filter out\n\
$.getVerticesByFlag&amp;my_array b\n\
--Now look at the content of the bitarray -\n\
--it will contain the vertices that have their first flag bit set\n\
--(bit 1 stands for selected, so it will contain the vertex selection)\n\
print my_array\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.getEdgesByFlag &lt;&amp;bitArray&gt;edgeSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
edgeSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Get all edges whose flag bits are set to the ones supplied by <code>flagsRequested</code> . Returns <code>true</code> on success.</p>\n\
<p>Each edge contains a 32 bit flag variable. This method returns a by-reference bitarray of the edges that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Internally, if &lt; <code>flagMask</code> &gt; is 0 then &lt; <code>flagMask</code> &gt; is set to the &lt; <code>flagsRequested</code> &gt; value, otherwise &lt; <code>flagsRequested</code> &gt; is set to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Bit 2 of &lt; <code>flagMask</code> &gt; is then set, which prevents dead edges from being included in the resulting bitarray unless this bit was set in &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <code>flagMask</code> &gt; is equal to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">my_array= #{} --define an empty bitarray\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the empty array as\n\
--In parameter by reference and the flag bit to filter out\n\
$.getEdgesByFlag&amp;my_array b\n\
--Now look at the content of the bitarray:\n\
--it will contain the edges that have their first flag bit set\n\
--(bit 1 stands for selected, so it will contain the edge selection)\n\
print my_array\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.getFacesByFlag &lt;&amp;bitArray&gt;faceSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
faceSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Returns <code>true</code> on success.</p>\n\
<p>Each face contains a 32 bit flag variable.</p>\n\
<p>This method returns a by-reference bitarray of the faces that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Internally, if &lt; <code>flagMask</code> &gt; is 0 then &lt; <code>flagMask</code> &gt; is set to the &lt; <code>flagsRequested</code> &gt; value, otherwise &lt; <code>flagsRequested</code> &gt; is set to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Bit 2 of &lt; <code>flagMask</code> &gt; is then set, which prevents dead faces from being included in the resulting bitarray unless this bit was set in &lt; <code>flagMask</code> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <code>flagMask</code> &gt; is equal to the bitwise-AND of &lt; <code>flagsRequested</code> &gt; and &lt; <code>flagMask</code> &gt;.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">my_array= #{} --define an empty bitarray\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the empty array as\n\
--In parameter by reference and the flag bit to filter out\n\
$.getFacesByFlag&amp;my_array b\n\
--Now look at the content of the bitarray:\n\
--it will contain the faces that have their first flag bit set\n\
--(bit 1 stands for selected, so it will contain the face selection)\n\
print my_array\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setVertexFlags &lt;&amp;bitArray&gt;vertexSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
vertexSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Set the flag bits of the vertices supplied by the <code>vertexSet</code> bitarray to the bits supplied by <code>flagsToSet</code> .</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
my_array= #{1,2,3,4} --define an bitarray with some bits set\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the array as\n\
--In parameter by reference and the flag bit to get\n\
p.setVertexFlags&amp;my_array b\n\
--Since flag bit 1 stands for selected, the above will basically select\n\
--the first 4 vertices in the EditablePoly by setting the\n\
--corresponding flag bits. So let&apos;s take a look:\n\
select p --select the plane\n\
max modify mode --go to modify panel\n\
subObjectLevel = 1 --set sub-object level to vertex -\n\
--the first 4 vertices should be selected\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setEdgeFlags &lt;&amp;bitArray&gt;edgeSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
edgeSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Set the flag bits of the edges supplied by the <code>edgeSet</code> bitarray to the bits supplied by <code>flagsToSet</code> .</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
my_array= #{1,2,3,4} --define an bitarray with some bits set\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the array as\n\
--In parameter by reference and the flag bit to get\n\
p.setEdgeFlags&amp;my_array b\n\
--Since flag bit 1 stands for selected, the above will basically select\n\
--the first 4 vertices in the EditablePoly by setting the\n\
--corresponding flag bits. So let&apos;s take a look:\n\
select p --select the plane\n\
max modify mode --go to modify panel\n\
subObjectLevel = 2 --set sub-object level to edge -\n\
--the first 4 edges should be selected\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setFaceFlags &lt;&amp;bitArray&gt;faceSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
faceSet is In and Out parameter\n\
flagMask default value: 0</code></pre><p>Set the flag bits of the faces supplied by the <code>faceSet</code> bitarray to the bits supplied by <code>flagsToSet</code> .</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a plane, convert to Epoly\n\
my_array= #{1,2,3,4} --define an bitarray with some bits set\n\
b = bit.Set 0 1 true --set the first bit to true\n\
--now call the function and supply the array as\n\
--In parameter by reference and the flag bit to get\n\
p.setFaceFlags&amp;my_array b\n\
--Since flag bit 1 stands for selected, the above will basically select\n\
--the first 4 vertices in the EditablePoly by setting the\n\
--corresponding flag bits. So let&apos;s take a look:\n\
select p --select the plane\n\
max modify mode --go to modify panel\n\
subObjectLevel = 4 --set sub-object level to face -\n\
--the first 4 faces should be selected\n\
</code></pre><p><a name=\"slice-plane\"></a></p>\n\
<h3 id=\"slice-plane\">Slice Plane</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.resetSlicePlane ()</code></pre><p>Reset the slice plane transformations to their defaults.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.getSlicePlane &lt;&amp;point3&gt;planeNormal &lt;&amp;point3&gt;planeCenter &lt;*float&gt;planeSize\n\
\n\
planeNormal is In and Out parameter\n\
planeCenter is In and Out parameter\n\
planeSize is In and Out parameter</code></pre><p>Get the orientation, center, and size of the slice plane.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Define variables to hold the Out parameters:\n\
plane_normal = Point3 0 0 0\n\
plane_center = Point3 0 0 0\n\
plane_size = 1.0\n\
--Call the function and supply the variables by reference as In parameters\n\
$.getSlicePlane &amp;plane_normal &amp;plane_center &amp;plane_size\n\
--The variables will now contain the actual values of the slice plane:\n\
plane_normal\n\
plane_center\n\
plane_size\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setSlicePlane &lt;&amp;point3&gt;planeNormal &lt;&amp;point3&gt;planeCenter &lt;float&gt;planeSize\n\
\n\
planeNormal is In and Out parameter\n\
planeCenter is In and Out parameter\n\
</code></pre><p>Set the orientation, center, and size of the slice plane.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Define variables to hold the In parameters:\n\
plane_normal = Point3 0 1 0\n\
plane_center = Point3 5 5 6\n\
--Call the function and supply the variables by reference as In parameters\n\
$.setSlicePlane &amp;plane_normal &amp;plane_center 20.0\n\
--The slice plane transforms should have changed\n\
</code></pre><p><a name=\"get-set-data\"></a></p>\n\
<h3 id=\"get-set-data\">Get/Set Data</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;EditablePoly&gt;.getVertexData &lt;integer&gt;vertexDataChannel &lt;*integer&gt;numberSelected &lt;*bool&gt;uniformData [vertexFlags:&lt;integer&gt;]\n\
\n\
numberSelected is In and Out parameter\n\
uniformData is In and Out parameter\n\
vertexFlags default value: 1</code></pre><p>Get the vertex data stored in the specified <code>vertexDataChannel</code> .</p>\n\
<p>The number of vertices with stored values in this channel will be written to the passed by reference variable <code>numberSelected</code> .</p>\n\
<p>If all vertices contain the same value, the passed by reference boolean variable <code>uniformData</code> will contain <code>true</code> , otherwise <code>false</code> .</p>\n\
<p>If <code>vertexFlags</code> is specified, only values from the flagged vertices will be read.</p>\n\
<p>Returns the value stored in the first vertex encountered (the vertex with lower index).</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for descriptions of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;EditablePoly&gt;.getEdgeData &lt;integer&gt;edgeDataChannel &lt;*integer&gt;numberSelected &lt;*bool&gt;uniformData [edgeFlags:&lt;integer&gt;]\n\
\n\
numberSelected is In and Out parameter\n\
uniformData is In and Out parameter\n\
edgeFlags default value: 1</code></pre><p>Get the edge data stored in the specified <code>edgeDataChannel</code> .</p>\n\
<p>The number of edges with stored values in this channel will be written to the passed by reference variable <code>numberSelected</code> .</p>\n\
<p>If all edges contain the same value, the passed by reference boolean variable <code>uniformData</code> will contain <code>true</code> , otherwise <code>false</code> .</p>\n\
<p>If <code>edgeFlags</code> is specified, only values from the flagged edges will be read.</p>\n\
<p>Returns the value of the first edge encountered (the edge with lower index)</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setVertexData &lt;integer&gt;vertexDataChannel &lt;float&gt;value vertexFlags:&lt;integer&gt;\n\
\n\
vertexFlags default value: 1</code></pre><p>Set the vertex data stored in the specified <code>vertexDataChannel</code> to the provided value. If <code>vertexFlags</code> is specified, only flagged vertices will be affected.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setEdgeData &lt;integer&gt;edgeDataChannel &lt;float&gt;value [edgeFlags:&lt;integer&gt;]\n\
\n\
edgeFlags default value: 1</code></pre><p>Set the edge data stored in the specified <code>edgeDataChannel</code> to the provided value. If <code>edgeFlags</code> is specified, only flagged edges will be affected.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane())\n\
--&gt;$Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000]\n\
polyop.setVertSelection p #{1,2} --select vertices 1 and 2\n\
--&gt;OK\n\
numsel = 1 --define a variable to pass by reference\n\
--&gt;1 --it will contain the number of vertices\n\
uniform = false --define a boolean var. for uniformity\n\
--&gt;false --will be true when values are uniform\n\
p.getVertexData 1 &amp;numsel &amp;uniform --check default values\n\
--&gt;1.0 --default value returned is 1.0\n\
numsel--look at the selection number again\n\
--&gt;2 --two vertices were encountered\n\
uniform --check the uniformity\n\
--&gt;true --both vertices had the same value\n\
p.setVertexData 1 100.0 --now change values to 100.0\n\
--&gt;OK\n\
p.getVertexData 1 &amp;numsel &amp;uniform --and read it back\n\
--&gt;100.0 --the value has changed!\n\
numsel --look at the selection number again\n\
--&gt;2 --still two vertices encountered\n\
uniform --check the uniformity\n\
--&gt;true --both vertices still have the same value\n\
polyop.setVertSelection p #{3} --select vertex 3 alone\n\
--&gt;OK\n\
p.setVertexData 1 200.0 --change value to 200.0\n\
--&gt;OK\n\
p.getVertexData 1 &amp;numsel &amp;uniform --get the value\n\
--&gt;200.0 --it is 200.0 as desired\n\
polyop.setVertSelection p #{1,2,3} --select all 3 vertices\n\
--&gt;OK\n\
p.getVertexData 1 &amp;numsel &amp;uniform --get all 3 values\n\
--&gt;100.0 --result is 100.0 because vert.1 is the first encountered\n\
numsel --check how many vertices have been selected\n\
--&gt;3 --we selected 3 and there were actually 3\n\
uniform --were the values uniform?\n\
--&gt;false --we have two 100.0 and one 200.0 value, not uniform\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.resetVertexData &lt;integer&gt;vertexDataChannel</code></pre><p>Reset the vertex data stored in the specified <code>vertexDataChannel</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.resetEdgeData &lt;integer&gt;edgeDataChannel</code></pre><p>Reset the vertex data stored in the specified <code>edgeDataChannel</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.beginModifyPerData &lt;enum&gt;mnSelLevel &lt;integer&gt;dataChannel \n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p>Puts the EditablePoly object into ModifyPerData state.</p>\n\
<p>This makes all changes to the specified sub-object level and dataChannel conditional.</p>\n\
<p>At the end of the data changes, <code>endModifyPerData</code> has to be called with a boolean parameter to commit or discard the changes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.inModifyPerData ()</code></pre><p>Returns <code>true</code> if the object is currently in ModfyPerData state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.endModifyPerData &lt;boolean&gt;success</code></pre><p>Exits the ModifyPerData state.</p>\n\
<p>If <code>true</code> is supplied for success, the changes will be committed.</p>\n\
<p>If <code>false</code> is supplied for success, the changes will be discarded.</p>\n\
<p>See also <code>beginModifyPerData</code> .</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane())\n\
--&gt;$Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000]\n\
polyop.setVertSelection p #{1,2} --select vertices 1 and 2\n\
--&gt;OK\n\
numsel = 1 --define a variable to pass by reference\n\
--&gt;1 --it will contain the number of vertices\n\
uniform = false --define a boolean var. for uniformity\n\
--&gt;false --will be true when values are uniform\n\
p.getVertexData 1 &amp;numsel &amp;uniform --check default values\n\
--&gt;1.0 --default value returned is 1.0\n\
p.beginModifyPerData #vertex 1 --begin Modify Data state\n\
--&gt;OK\n\
p.setVertexData 1 100.0 --change values to 100.0\n\
--&gt;OK\n\
p.endModifyPerData false --end Modify state, say it failed\n\
--&gt;OK\n\
p.getVertexData 1 &amp;numsel &amp;uniform --check the value\n\
--&gt;1.0 --the value has NOT changed!\n\
p.beginModifyPerData #vertex 1 --again Modify Data state\n\
--&gt;OK\n\
p.setVertexData 1 100.0 --change values to 100.0\n\
--&gt;OK\n\
p.endModifyPerData true --end Modify state with success!\n\
--&gt;OK\n\
p.getVertexData 1 &amp;numsel &amp;uniform --check the value\n\
--&gt;100.0 --the value has changed as we notified success!\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.getMaterialIndex &lt;*bool&gt;determined\n\
\n\
determined is In and Out parameter</code></pre><p>Returns the material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setMaterialIndex &lt;index&gt;index &lt;integer&gt;faceFlags</code></pre><p>Set the material ID of the faces specified by the supplied flags.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.getSmoothingGroups &lt;integer&gt;faceFlag &lt;*DWORD&gt;anyFaces &lt;*DWORD&gt;allFaces\n\
\n\
\n\
anyFaces is In and Out parameter\n\
allFaces is In and Out parameter\n\
</code></pre><p>Get the smoothing groups of the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setSmoothingGroups &lt;integer&gt;bitValues &lt;integer&gt;bitMask &lt;integer&gt;faceFlags</code></pre><p>Set the smoothing groups of the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.collapseDeadStructures()</code></pre><p>Collapses all dead structures.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.propogateComponentFlags &lt;enum&gt;mnSelLevelTo &lt;integer&gt;flagSetTo &lt;enum&gt;mnSelLevelFrom &lt;integer&gt;flagTestFrom \\\n\
[allBitsMustMatch:&lt;boolean&gt;] [set:&lt;boolean&gt;] [undoable:&lt;boolean&gt;]\n\
\n\
mnSelLevelTo enums: { #Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
mnSelLevelFrom enums: { #Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
allBitsMustMatch default value: false\n\
set default value: true\n\
undoable default value: false</code></pre><p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"preview-mode\"></a></p>\n\
<h3 id=\"preview-mode\">Preview Mode</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.PreviewBegin &lt;enum&gt;previewOperation\n\
\n\
previewOperation enums:{ #GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | \n\
#HideSelection | #HideUnselected | UnhideAll | #NamedSelectionCopy | #NamedSelectionPaste | \n\
#Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | #BreakVertex | #Collapse | \n\
#ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | #MakePlanar | #AlignGrid | #AlignView | \n\
#RemoveIsoVerts | #MeshSmooth | #Tessellate | #Update | #SelectByVertexColor | #Retriangulate | \n\
#FlipNormals | #SelectByMatID | #SelectBySmoothingGroups | #Autosmooth | #ClearSmoothingGroups | \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | #ToggleShadedFaces | \n\
#MakePlanarInX | #MakePlanarInY |#MakePlanarInZ | #Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges}</code></pre><p>Preview the specified operation. Lets you create interactive dialogs for manipulating sub-object selections in realtime.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--The following script creates a plane and a small menu to interactively\n\
--extrude selected polygons.\n\
p = convertToPoly(Plane()) --create a plane, turn to Epoly.\n\
select p --select the plane\n\
max modify mode --enter Modify panel\n\
subobjectlevel = 4 --set Sub-Object mode to Polygon\n\
rollout extrude_faces&quot;Extrude&quot; --define a rollout\n\
(\n\
button try_it&quot;Preview&quot;across:3 --a button to start a new extrusion\n\
button cancel_it&quot;Cancel&quot; --a button to cancel preview\n\
button accept_it&quot;Accept&quot; --a button to accept the extrusion\n\
on cancel_it pressed do p.previewCancel() --cancel\n\
on accept_it pressed do p.previewAccept() --accept\n\
on try_it pressed do p.previewBegin #Extrude --begin again\n\
)\n\
createDialog extrude_faces 200 30 --create a dialog with the rollout\n\
--Run the script, select some polygons, press Preview\n\
--and watch them extrude interactively.\n\
--Press Accept if you like the result, press Cancel to discard.\n\
--Press Preview again for next extrusion etc.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.PreviewCancel ()</code></pre><p>Cancel the interactive preview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.PreviewAccept ()</code></pre><p>Accept the interactive preview results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.PreviewInvalidate ()</code></pre><p>Invalidates the preview results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.PreviewOn ()</code></pre><p>Enables preview mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.PreviewSetDragging &lt;boolean&gt;dragging</code></pre><p>Enables/Disables preview dragging.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.PreviewGetDragging ()</code></pre><p>Returns true if preview dragging is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.PopupDialog &lt;enum&gt;popupOperation\n\
\n\
popupOperation enums:{#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | \n\
#HideSelection | #HideUnselected | #UnhideAll | #NamedSelectionCopy | #NamedSelectionPaste | \n\
#Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | #BreakVertex | #Collapse | \n\
#ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | #MakePlanar | #AlignGrid | #AlignView | \n\
#RemoveIsoVerts | #MeshSmooth | #Tessellate | #Update | #SelectByVertexColor | #Retriangulate | \n\
#FlipNormals | #SelectByMatID | #SelectBySmoothingGroups #Autosmooth | #ClearSmoothingGroups | \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | #ToggleShadedFaces | \n\
#MakePlanarInX | #MakePlanarInY |#MakePlanarInZ | #Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges |#SelectHardEdges | #SelectSmoothEdges}</code></pre><p>Push the popup dialog&apos;s button for the specified interactive operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.ClosePopupDialog ()</code></pre><p>Close the popup dialog.</p>\n\
<p><a name=\"last-operation\"></a></p>\n\
<h3 id=\"last-operation\">Last Operation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.RepeatLastOperation ()</code></pre><p>Repeat the last operation in the current sub-object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetLastOperation ()</code></pre><p>Returns the ID of the last operation in the current sub-object level.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<p><a name=\"convert-selection\"></a></p>\n\
<h3 id=\"convert-selection\">Convert Selection</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.GrowSelection selLevel:&lt;enum&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel</code></pre><p>Grow the selection in the specified sub-object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.ShrinkSelection selLevel:&lt;enum&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel</code></pre><p>Shrink the selection in the specified sub-object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.ConvertSelection &lt;enum&gt;fromSelLevel &lt;enum&gt;toSelLevel [requireAll:&lt;boolean&gt;]\n\
\n\
fromSelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
toSelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
requireAll default value: false</code></pre><p>Convert the selection from the specified source sub-object level to the specified target sub-object level. Returns the number of selected target sub-object elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SelectBorder ()</code></pre><p>Select the borders containing the currently selected edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SelectElement ()</code></pre><p>Select the elements containing the currently selected faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SelectEdgeLoop ()</code></pre><p>Select the edge loops containing the currently selected edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SelectEdgeRing ()</code></pre><p>Select the edge rings using the currently selected edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setRingShift &lt;integer&gt;RingShiftValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add</code></pre><p>Moves the Ring selection.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>RingShiftValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is true, the selected edges will be moved, If Add is true and MoveOnly is true, newly selected edges will be added to the current selection.</p>\n\
<p>If MoveOnly is true and Add is false, newly selected edges will be removed to the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.setLoopShift &lt;integer&gt;LoopShiftValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add</code></pre><p>Moves the Loop selection.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>LoopShiftValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is true, the selected edges will be moved, If Add is true and MoveOnly is true, newly selected edges will be added to the current selection.</p>\n\
<p>If MoveOnly is true and Add is false, newly selected edges will be removed to the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.ConvertSelectionToBorder &lt;enum&gt;fromSelLevel &lt;enum&gt;toSelLevel\n\
\n\
fromSelLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
toSelLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}</code></pre><p>Converts the current selection to border selection. The first argument represents the sub-object type to convert from, the second one represents the sub-object type to convert to. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><a name=\"remove\"></a></p>\n\
<h3 id=\"remove\">Remove</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.Remove selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel\n\
flag default value: 1</code></pre><p>Remove the sub-objects defined by flags from the specified sub-object level. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a>, <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a>, and <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
polyop.setVertSelection p #{13} --select a vertex\n\
p.EditablePoly.Remove selLevel:#Vertex\n\
p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
polyop.setVertSelection p #{13} --select a vertex\n\
select p --select object\n\
subobjectlevel = 1 --change to vertex level\n\
p.Remove() --remove the current selection\n\
</code></pre><p><a name=\"outline\"></a></p>\n\
<h3 id=\"outline\">Outline</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.Outline [faceFlag:&lt;integer&gt;]\n\
\n\
faceFlag default value: 1</code></pre><p>Outline the polygons defined by the flags. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"connect\"></a></p>\n\
<h3 id=\"connect\">Connect</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.ConnectEdges edgeFlag:&lt;integer&gt;\n\
\n\
edgeFlag default value: 1</code></pre><p>Connect the edges defined by the flags. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.ConnectVertices vertexFlag:&lt;integer&gt;\n\
\n\
vertexFlag default value: 1</code></pre><p>Connect the vertices defined by the flags. Returns <code>true</code> on success.</p>\n\
<p>See <a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<p><a name=\"toggle-shaded-faces\"></a></p>\n\
<h3 id=\"toggle-shaded-faces\">Toggle Shaded Faces</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.ToggleShadedFaces ()</code></pre><p>Toggles shaded polygons.</p>\n\
<p><a name=\"get-set-selections\"></a></p>\n\
<h3 id=\"get-set-selections\">Get/Set Selections</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;EditablePoly&gt;.GetEPolySelLevel ()\n\
\n\
GetEPolySelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}</code></pre><p>Returns the EditablePoly selection level set in the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;EditablePoly&gt;.GetMeshSelLevel ()\n\
\n\
GetMeshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p>Returns the mesh selection level, this means the sub-object that can be selected in the current sub-object level.</p>\n\
<p>Edge and Border sub-object levels both return #Edge. Polygon and Element sub-object levels both return #Face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;EditablePoly&gt;.GetSelection &lt;enum&gt;selectionLevel\n\
\n\
selectionLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p>Returns the selection from the specified sub-object level as bitarray</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SetSelection &lt;enum&gt;selectionLevel &lt;bitArray&gt;selection\n\
\n\
selectionLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}</code></pre><p>Set the selection in the specified sub-object level using a bitarray.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.SetSelection #Face #{1,2,3} --select polygons 1,2 and 3\n\
p.SetSelection #Vertex #{1,2,3} --select vertices 1,2 and 3\n\
</code></pre><p><a name=\"get-vertex\"></a></p>\n\
<h3 id=\"get-vertex\">Get Vertex</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetNumVertices ()</code></pre><p>Returns the number of vertices in the EditablePoly.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
num_vert = p.GetNumVertices() --num_vert will contain 25\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;EditablePoly&gt;.GetVertex &lt;index&gt;vertexID</code></pre><p>Returns the coordinates of the vertex with the specified index.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
--loop through all vertices in the plane and print\n\
--the coordinates of each one of them:\n\
for i = 1 to p.GetNumVertices() do\n\
print (p.GetVertex i)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetVertexFaceCount &lt;index&gt;vertexID</code></pre><p>Returns the coordinates of the vertex with the specified index.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
--loop through all vertices in the plane and print the number\n\
--of polygons that are using each of them:\n\
for i = 1 to p.GetNumVertices() do\n\
print (p.GetVertexFaceCount i)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetVertexFace &lt;index&gt;vertexID &lt;index&gt;face</code></pre><p>Returns the face index of the Nth polygon sharing the specified vertex (where, N is between 1 and the number of polygons using the vertex).</p>\n\
<p>If the face argument is higher than the number of polygon sharing the vertex, the function will return 0.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
--Print the indices of all faces sharing vertex 13 in the plane.\n\
for i = 1 to (p.EditablePoly.GetVertexFaceCount 13) do\n\
print (p.EditablePoly.GetVertexFace 13 i)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetVertexEdgeCount &lt;index&gt;vertexID</code></pre><p>Returns the number of edges sharing the specified vertex.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.GetVertexEdgeCount 1 --returns 2 for a corner vertex\n\
p.GetVertexEdgeCount 2 --returns 3 for a side vertex\n\
p.GetVertexEdgeCount 13 --returns 4 for an inside vertex\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetVertexEdge &lt;index&gt;vertexID &lt;index&gt;edge</code></pre><p>Returns the edge index of the Nth edge sharing the specified vertex (where, N is between 1 and the number of edges sharing the vertex).</p>\n\
<p>If the edge argument is higher than the number of edges sharing the vertex, the function will return 0.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane())--create a Plane, convert to Epoly\n\
--Print the indices of all edges sharing vertex 13 in the plane.\n\
for i = 1 to (p.GetVertexEdgeCount 13) do\n\
print (p.GetEdgeFace 13 i)\n\
</code></pre><p><a name=\"get-edge\"></a></p>\n\
<h3 id=\"get-edge\">Get Edge</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetNumEdges ()</code></pre><p>Returns the number of edges in the EditablePoly.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
num_edges = p.GetNumEdges() --num_edges will contain 40\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetEdgeVertex &lt;index&gt;edgeID &lt;index&gt;end</code></pre><p>Returns the vertex index used by the specified edge.</p>\n\
<p>Since an edge has two vertices, the end argument is needed to define which of the two vertices of the edge to get.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.GetEdgeVertex 1 1 --returns vertex 6\n\
p.GetEdgeVertex 1 2 --returns vertex 1\n\
p.GetEdgeVertex 4 1 --returns vertex 1\n\
p.GetEdgeVertex 4 2 --returns vertex 2\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetEdgeFace &lt;index&gt;edgeID &lt;index&gt;side</code></pre><p>Returns the face index used by the specified edge. Since an edge can have two faces, the side argument is needed to define which of the two possible faces to get.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.GetEdgeFace 18 1 --returns face 6\n\
p.GetEdgeFace 18 2 --returns face 7\n\
p.GetEdgeFace 4 1 --returns face 1\n\
p.GetEdgeFace 4 2 --returns 0 as there is no second face\n\
</code></pre><p><a name=\"get-face\"></a></p>\n\
<h3 id=\"get-face\">Get Face</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetNumFaces ()</code></pre><p>Returns the number of faces in the EditablePoly.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
num_faces = p.GetNumFaces() --num_faces will contain 16\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetFaceDegree &lt;index&gt;faceID</code></pre><p>Returns the number of corners of the specified polygon. 3 means triangle, 4 means quad, and so on.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.setSelection #Vertex #{13} --select the middle vertex\n\
p.GetFaceDegree 1 -- degree of the corner face is 4\n\
p.Remove selLevel:#Vertex --remove the middle vertex\n\
p.GetFaceDegree 6 -- degree of the middle face is 8\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetFaceVertex &lt;index&gt;faceID &lt;index&gt;corner</code></pre><p>Returns the vertex index of the Nth vertex used by the specified face (where, N is between 1 and the number of face corners).</p>\n\
<p>If the corner argument is higher than the number of face corners, the function will return 0.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.GetFaceVertex 1 1 --returns face 6\n\
p.GetFaceVertex 1 2 --returns face 1\n\
p.GetFaceVertex 1 3 --returns face 2\n\
p.GetFaceVertex 1 4 --returns face 7\n\
p.GetFaceVertex 1 5 --returns 0, there is no fifth corner\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetFaceEdge &lt;index&gt;faceID &lt;index&gt;side</code></pre><p>Returns the vertex index of the Nth vertex used by the specified face (where, N is between 1 and the number of face corners).</p>\n\
<p>If the corner argument is higher than the number of face corners, the function will return 0.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = convertToPoly(Plane()) --create a Plane, convert to Epoly\n\
p.GetFaceEdge 1 1 --returns edge 1\n\
p.GetFaceEdge 1 2 --returns edge 4\n\
p.GetFaceEdge 1 3 --returns edge 3\n\
p.GetFaceEdge 1 4 --returns edge 2\n\
p.GetFaceEdge 1 5 --returns 0, there is no fifth edge\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;EditablePoly&gt;.GetFaceMaterial &lt;index&gt;faceID</code></pre><p>Returns the material ID of the specified face.</p>\n\
<p>If the face index is higher than the number of faces in the EditablePoly, the function will return 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetFaceSmoothingGroups &lt;index&gt;faceID</code></pre><p>Returns the Smoothing Groups of the specified face.</p>\n\
<p>If the face index is higher than the number of faces in the EditablePoly, the function will return 0.</p>\n\
<p><a name=\"get-map-channel\"></a></p>\n\
<h3 id=\"get-map-channel\">Get Map Channel</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetNumMapChannels ()</code></pre><p>Returns the number of mapping channels in the EditablePoly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;EditablePoly&gt;.GetMapChannelActive &lt;integer&gt;mapChannel</code></pre><p>Returns true if the specified mapping channel is active, false if not.</p>\n\
<p>If the mapChannel argument is higher than the number of available mapping channels, the function will return false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetNumMapVertices &lt;integer&gt;mapChannel</code></pre><p>Returns the number of texture vertices in the specified mapping channel.</p>\n\
<p>Returns 0 if the mapChannel argument is higher than the number of available mapping channels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;EditablePoly&gt;.GetMapVertex &lt;integer&gt;mapChannel &lt;index&gt;vertexID</code></pre><p>Returns the value of the specified texture vertices in the specified mapping channel.</p>\n\
<p>Returns [0,0,0] if the mapChannel argument is higher than the number of available mapping channels or the vertex index is higher than the number of texture vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;EditablePoly&gt;.GetMapFaceVertex &lt;integer&gt;mapChannel &lt;index&gt;faceID &lt;index&gt;corner</code></pre><p>Returns the texture vertex index of the Nth texture vertex used by the specified face (where, N is between 1 and the number of face corners). If the corner argument is higher than the number of face corners, the function will return -1.</p>\n\
<p><a name=\"get-set-vertex-color-illumination-and-alpha\"></a></p>\n\
<h3 id=\"get-set-vertex-color-illumination-and-alpha\">Get/Set Vertex Color, Illumination and Alpha</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SetVertexColor &lt;color&gt;color &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}</code></pre><p>Sets the Vertex Color, Illumination or Alpha value of the selected vertices to the specified color value.</p>\n\
<p>Corresponds to using the color picker in the <a href=\"Editable_Poly-Properties.html\"#edit-vertex-colors\">Edit Vertex Colors</a> rollout of the Editable Poly UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.SetFaceColor &lt;color&gt;color &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}</code></pre><p>Sets the Vertex Color, Illumination or Alpha value of the selected polygons to the specified color value.</p>\n\
<p>This affects all vertices used by the selected polygons.</p>\n\
<p>Corresponds to using the color picker in the <a href=\"Editable_Poly-Properties.html\"#edit-vertex-colors\">Edit Vertex Colors</a> rollout of the Editable Poly UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;&lt;EditablePoly&gt;.GetVertexColor &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}</code></pre><p>Gets the Vertex Color, Illumination or Alpha value of the selected vertices</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;&lt;EditablePoly&gt;.GetFaceColor &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}</code></pre><p>Gets the Vertex Color, Illumination or Alpha value of the selected polygons</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><a name=\"paint-deform\"></a></p>\n\
<h3 id=\"paint-deform\">Paint Deform</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.CommitPaintDeform ()</code></pre><p>Commits the painted deformations and resets the deformation cache.</p>\n\
<p>Corresponds to pressing the Commit button in the UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;EditablePoly&gt;.CancelPaintDeform ()</code></pre><p>Cancels the painted deformations and resets the deformation cache.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><a name=\"hard-smooth-edges\"></a></p>\n\
<h3 id=\"hard-smooth-edges\">Hard/Smooth Edges</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Editable_Poly.makeHardEdges &lt;integer&gt;flag</code></pre><p>Sets the edges specified by the flag to Hard.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Editable_Poly.makeSmoothEdges &lt;integer&gt;flag</code></pre><p>Sets the edges specified by the flag to Smooth.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Editable_Poly.selectHardEdges()</code></pre><p>Selects all Hard Edges.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Editable_Poly.selectSmoothEdges()</code></pre><p>Selects all Smooth Edges.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly.html\">Editable_Poly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Properties.html\">Editable_Poly Properties</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Methods.html\">Editable_Poly Methods</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Methods.html\">Editable_Poly Methods</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Mapping-Methods.html\">Editable_Poly Mapping Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";