var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5F4CDEC6-288D-4C33-91FA-0CB1AF4121C7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>InventorImport : ImporterPlugin</h1></div><p>The InventorImport ImportPlugin implements the import of Autodesk Inventor files into <strong>3ds Max</strong>.</p>\n\
<h2 id=\"inventorimport-interfaces-\">InventorImport interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: InventorImport</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.ImportBody : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Import As&quot; radio buttons in the Autodesk Inventor File Import dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>True - Import As Body Objects</p>\n\
<p>False - Import As Meshes</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.ReferenceDuplicatedParts : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Reference Duplicated Parts&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.LayerByMaterial : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Create Layers By Material&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), a layer will be created for each unique object material.</p>\n\
<p>When set to false, all objects will be imported into the current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.AppendObjectName : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Add Object Name To Material&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to false (default), the material name will be used as is.</p>\n\
<p>When set to true, the object name will be added to the material name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.ReplaceScene : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Merge/Replace Options&quot; radio buttons in the Autodesk Inventor File Import dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>False - Merge With Current Scene</p>\n\
<p>True (default) - Completely Replace Current Scene</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.ImportMaterials : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Import Inventor Material&quot; checkbox in the &quot;Material Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), the Inventor materials will be imported.</p>\n\
<p>When set to false, no materials will be assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.AssignMaterialIDs : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Assign Material IDs&quot; checkbox in the &quot;Material Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), the Inventor materials will be imported.</p>\n\
<p>When set to false, no materials will be assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.VerticalAxis : enum : Read|Write\n\
\n\
VerticalAxis enums: {#x|#y|#z}</code></pre><p>Get/set the state of the &quot;Inventor File Vertical Direction&quot; radio button in the Autodesk Inventor File Import dialog. Default is <strong>#y</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InventorImport.MeshResolution : integer : Read|Write</code></pre><p>Get/set the value of the &quot;Mesh Resolution&quot; slider in the Autodesk Inventor File Import dialog.</p>\n\
<p>Default is 0.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";