var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-639CF6E0-1B9F-4B05-9CE8-D6418162E0CE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ObjImp : ImporterPlugin</h1></div><p>The <strong>ObjImp ImporterPlugin</strong> introduced in <strong>3ds Max 2010</strong> exposes an interface to access the ASCII-based INI files location and name of the exporter dialog. The settings can then be queried and modified using the regular MAXScript INI settings functions <code>getIniSetting()</code> and <code>setIniSetting()</code> .</p>\n\
<p><strong>ObjImp Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: iobjimp </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;objImp.getIniName ()   </code></pre><p>Returns the name of the Obj Importer Settings file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;objImp.getPresetIniName () </code></pre><p>Returns the name of the Obj Importer Preset file.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open the INI file for editing in the MAXScript Editor\n\
   edit (objimp.getIniName())\n\
\n\
   --Alternatively, use INI file access to read and write:\n\
   theINI =objimp.getIniName()\n\
   getIniSetting theINI--get INI file categories\n\
   --&gt;#(&quot;General&quot;, &quot;Objects&quot;, &quot;Geometry&quot;, &quot;Units/Scale&quot;, &quot;Material&quot;)\n\
\n\
   --get the keys of the General category:\n\
   getIniSetting theINI &quot;Geometry&quot;\n\
   --&gt;#(&quot;FlipZyAxis&quot;, &quot;CenterPivots&quot;, &quot;Shapes&quot;, &quot;TextureCoords&quot;, &quot;SmoothingGroups&quot;, &quot;NormalsType&quot;, &quot;SmoothAngle&quot;, &quot;FlipNormals&quot;)\n\
\n\
   --get the value of theGeometry&gt;Shapeskey:\n\
   getIniSetting theINI &quot;Geometry&quot;&quot;Shapes&quot;\n\
   --&gt;&quot;0&quot;\n\
\n\
   --TurnShapes on:\n\
   setIniSetting theINI &quot;Geometry&quot;&quot;Shapes&quot; &quot;1&quot;\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ObjExp-ExporterPlugin.html\">ObjExp : ExporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";