var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ACB2B27F-0E55-4402-8A16-F8A13EBFBFCD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>sketchUp : ImporterPlugin</h1></div><p>The legacy <strong>sketchUp</strong> Importer Plugin allows the import of Google SketchUp .SKP files (from Sketchup 2015 and lower) into <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This importer is deprecated as of <strong>3ds Max 2020.2 Update</strong>, and may be removed in a future release. It is replaced by the ATF-based <a href=\"ATF_SKETCHUP_Import.html\">ATF_SKETCHUP_Import</a> importer. Since the new importer is the default for .skp files, you need to specify this importer with the <code>using</code> keyword parameter to <code>importFile()</code>.</div>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><h2 id=\"sketchup-interfaces-\">sketchUp interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ISketchUpImp</code></pre><p><strong>Methods:</strong></p>\n\
<h3 id=\"skip-hidden-objects\">Skip Hidden Objects</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getSkipHidden ()      </code></pre><p>Returns the state of the &quot;Skip Hidden Objects&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setSkipHidden &lt;boolean&gt;bSkipHidden   </code></pre><p>Sets the state of the &quot;Skip Hidden Objects&quot; option to the supplied Boolean value.</p>\n\
<h3 id=\"split-objects-by-layer\">Split Objects By Layer</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getSplitByLayer () </code></pre><p>Returns the state of the &quot;Split Objects By Layer&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setSplitByLayer &lt;boolean&gt;bSplitByLayer </code></pre><p>Sets the state of the &quot;Split Objects By Layer&quot; option to the supplied Boolean value.</p>\n\
<h3 id=\"cameras\">Cameras</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getImportCameras () </code></pre><p>Returns the state of the &quot;Cameras&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setImportCameras &lt;boolean&gt;bCameras </code></pre><p>Sets the state of the &quot;Cameras&quot; option to the supplied Boolean value.</p>\n\
<h3 id=\"daylight-system\">Daylight System</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getImportDaylightSystem () </code></pre><p>Returns the state of the &quot;Daylight System&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setImportDaylightSystem &lt;boolean&gt;bDaylightSystem </code></pre><p>Sets the state of the &quot;Daylight System&quot; option to the supplied Boolean value.</p>\n\
<h3 id=\"extract-embedded-textures-to-folder-\">Extract Embedded Textures to Folder:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;String&gt;getTextureFolder () </code></pre><p>Returns the texture folder path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTextureFolder &lt;String&gt;textureFolder </code></pre><p>Sets the texture folder path.</p>\n\
<h3 id=\"front-back-materials-as-double-sided-3ds-max-materials\">Front/Back Materials as Double Sided 3ds Max Materials</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getDoubleSided () </code></pre><p>Returns the state of the &quot;Front/Back Materials as Double Sided 3ds Max Materials&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDoubleSided &lt;boolean&gt;bDoubleSided </code></pre><p>Sets the state of the &quot;Front/Back Materials as Double Sided 3ds Max Materials&quot; option to the supplied Boolean value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";