var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-177F5FF3-0A4F-454E-B430-297DD43FB3F6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: AutodeskMaterialManager</h1></div><p>The <strong>AutodeskMaterialManager Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes methods for accessing the unified Autodesk Material Manager.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: AutodeskaterialManager </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;AutodeskMaterialManager.GetCategoryCount()   </code></pre><p>Returns the number of Autodesk Material Categories.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;AutodeskMaterialManager.GetCategoryUiName &lt;integer&gt;categoryIndex </code></pre><p>Returns the name of indexed Autodesk Material Category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;AutodeskMaterialManager.GetDefinitionCount &lt;integer&gt;categoryIndex </code></pre><p>Returns the number of Autodesk Material definitions in the indexed Autodesk Material Category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;AutodeskMaterialManager.GetDefinitionUiName &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex </code></pre><p>Returns the name of the indexed Autodesk Material definition in the indexed Autodesk Material Category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;AutodeskMaterialManager.GetDefinitionThumbnailURL &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex </code></pre><p>Returns the URL of the indexed Autodesk Material definition&apos;s Thumbnail in the indexed Autodesk Material Category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;AutodeskMaterialManager.GetDefinitionIdentifier &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex </code></pre><p>Returns the identifier of the indexed Autodesk Material definition in the indexed Autodesk Material Category.</p>\n\
<p>The return string value string can be used as argument in the following two methods:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;material&gt;AutodeskMaterialManager.CreateAutodeskMaterial &lt;string&gt;definitionIdentifier </code></pre><p>Creates a material from the supplied Autodesk Material definition identifier.</p>\n\
<p>See <code>.CreateAutodeskMaterial()</code> above for a method returning the identifier string by category and material index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;material&gt;AutodeskMaterialManager.CreateAutodeskTexmap &lt;string&gt;definitionIdentifier </code></pre><p>Creates a texture map from the supplied Autodesk Material definition identifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";