var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A98CB0BF-9B52-4E9E-B662-B77A55E36A59\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ActionItemOverrideManager</h1></div><p>The <strong>ActionItemOverrideManager Core Interface</strong> exposes the keyboard shortcuts overriding mechanism to MAXScript.</p>\n\
<p>The Action Item Override lets the user temporarily override the current mode with one of the Action supporting Overriding (shown in bold in the Customize User Interface dialog) by pressing and holding the key while performing the action, then releasing to exit the override mode.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ActionItemOverrideManager </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ActionItemOverrideManager.overridesActive: boolean : Read|Write   </code></pre><p>When set to <code>true</code> (default), the Action Item Override is enabled. When set to <code>false</code> , the Override will be turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ActionItemOverrideManager.timeToStartOverride: float : Read|Write </code></pre><p>Get/set the time in seconds before the override kicks in. Default is 0.1.</p>\n\
<p>These properties correspond to the controls found in the Customize User Interface dialog &gt; Keyboard tab:</p>\n\
<p><img src=\"./images/GUID-D4CE87CA-5E6C-4814-BD91-5719C0CE0FE4-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-417E7668-82C8-40E5-B034-A218545C233A-low.gif\" alt></p>\n\
<p><strong>Left:</strong> Rotate in local coordinate system.</p>\n\
<p><strong>Right:</strong> Pressing and holding the custom Use Working Pivot keyboard shortcuts overrides the current mode and switches to using the working pivot coordinate system.</p>\n\
<p>The Viewport shows the mode and the keyboard shortcut being pressed.</p>\n\
<p>Releasing the keys returns the system to local coordinate rotation.</p>\n\
<p>Pressing the same shortcut and releasing within the time defined by <code>ActionItemOverrideManager.timeToStartOverride</code> switches to the Use Working Pivot mode permanently - the viewport hint helps the user exit the mode.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";