var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-367E3C51-11AF-4C91-8D34-C26B6C891702\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: BitmapLayerManager</h1></div><p>This <strong>Core Interface</strong> provides access to the layered Photoshop PSD image format.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: BitmapLayerManager </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;BitmapLayerManager.getLayerCount &lt;filename&gt;filename   </code></pre><p>Returns the number of layers in the specified file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;BitmapLayerManager.getLayerName &lt;filename&gt;filename &lt;integer&gt;index </code></pre><p>Returns the name of the indexed layer in the specified file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;BitmapLayerManager.LoadLayer &lt;filename&gt;filename &lt;integer&gt;index &lt;boolean&gt;fullframe </code></pre><p>Loads the specified <strong>0-based</strong> indexed layer from the specified file. Returns a bitmap value. If <code>fullframe</code> is set to <code>true</code> , loads the layer at the resolution of the full image.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --load the background layer from a PSD file\n\
   test_file = sysinfo.currentdir + &quot;\\\\test.psd&quot;\n\
   theBmp = bitmapLayerManager.LoadLayer test_file 0 true\n\
   --assign a bitmap texture to the first material in the MEdit\n\
   meditMaterials[1].diffusemap = bitmapTexture()\n\
   --assign the PSD background layer to the diffuse slot:\n\
   meditMaterials[1].diffusemap.bitmap = theBmp\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../B.html\">B</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";