var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9C3BA21A-FE38-426D-AFD5-44AF41BF6371\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ContainerPreferences</h1></div><p><img src=\"./images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\" alt></p>\n\
<p>The ContainerPreferences Core Interface introduced in <strong>3ds Max 2011</strong> exposes the general <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container</a> preferences to MAXScript.</p>\n\
<p>See also the <a href=\"./../../../../Node-MAXWrapper/Containers/Containers-1.html\">Containers</a> overview topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ContainerPreferences </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ContainerPreferences.saveAsPreviousAccessType : enum : Read|Write      \n\
\n\
saveAsPreviousAccessType enums: {#noAccess | #onlyEditInPlace | #onlyAddNewObjects | #anythingUnlocked}   </code></pre><p>Get/set the Access Type for Save As Previous container files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ContainerPreferences.displayStatusOverride : enum : Read|Write \n\
\n\
displayStatusOverrideenums: {#always|#never|#perContainer} </code></pre><p>Get/set the Display Status Override behavior.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><code>#always</code> - always override</li>\n\
<li><code>#never</code> - never override</li>\n\
<li><code>#perContainer</code> - use the Container&apos;s Override property.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ContainerPreferences.updateCheck : boolean : Read|Write </code></pre><p>Get/set whether to check for updates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ContainerPreferences.updateOnLoad : boolean : Read|Write </code></pre><p>Get/set whether to update on Load.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ContainerPreferences.updateOnReload : boolean : Read|Write </code></pre><p>Get/set whether to update on Reload.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Containers/Containers-1.html\">Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Interface-Containers.html\">Interface: Containers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";