var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-563E07AD-5136-49DC-B6C6-B20EB0F9FF8F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LightingUnits</h1></div><p>The <strong>LightingUnits Core Interface</strong> exposes the Lighting Units settings to MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: LightingUnits </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LightingUnits.IsLightingSystemSI()   </code></pre><p>Returns true if the Lighting Units are set to International (SI) system, false if set to American (AS) sytem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LightingUnits.IsLightingSystemAS() </code></pre><p>Returns true if the Lighting Units are set to American (AS) system, false if set to International (SI) system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LightingUnits.SetLightingSystemToSI() </code></pre><p>Sets the Lighting Units to International (SI) system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LightingUnits.SetLightingSystemToAS() </code></pre><p>Sets the Lighting Units to American (AS) system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;LightingUnits.GetLuminanceUnits() </code></pre><p>Returns a string containing the Luminance Units, for example &quot;cd/m^2&quot; for SI and &quot;cd/ft^2&quot; for AS.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;LightingUnits.GetIlluminanceUnits() </code></pre><p>Returns a string containing the Illuminance Units, for example &quot;lx&quot; for SI and &quot;fc&quot; for AS.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;LightingUnits.ConvertASToSI &lt;float&gt;as_value </code></pre><p>Returns the SI value corresponding to the supplied AS value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;LightingUnits.ConvertSIToAS &lt;float&gt;si_value </code></pre><p>Returns the AS value corresponding to the supplied SI value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;LightingUnits.ConvertToCurrentSystem &lt;float&gt;value &lt;boolean&gt;is_SI_value </code></pre><p>Returns the value in the current system corresponding to the supplied value. When <code>is_SI_value</code> is <code>true</code> , the input value is taken as SI, when <code>false</code> , it is taken as AS value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../L.html\">L</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";