var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-008E051E-74A8-4835-900D-8C1CEBC179FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MaterialExplorerManager</h1></div><p>The <strong>MaterialExplorerManager Core Interface</strong> exposes methods for interacting with the Material Explorer feature.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaterialExplorerManager.OpenMaterialExplorer() </code></pre><p>Opens the Material Explorer.</p>\n\
<p>Returns <code>true</code> on success (even if the Material Explorer was already open), <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaterialExplorerManager.CloseMaterialExplorer() </code></pre><p>Closes the Material Explorer.</p>\n\
<p>Returns <code>true</code> on success (even if the Material Explorer was already closed), <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaterialExplorerManager.IsMaterialExplorerOpen() </code></pre><p>Returns <code>true</code> if the Material Explorer is open, <code>false</code> if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaterialExplorerManager.LoadMaterialExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadMaterialExplorerConfiguration - no automatic redraw after invoked</code></pre><p>Loads the given configuration file into the Material Explorer.</p>\n\
<p>Returns <strong><code>true</code> on success, <code>false</code></strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaterialExplorerManager.SaveMaterialExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveMaterialExplorerConfiguration - no automatic redraw after invoked</code></pre><p>Saves the current settings of the Material Explorer to the given configuration file.</p>\n\
<p>Returns <strong><code>true</code> on success, <code>false</code></strong> otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";