var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-843369B8-EA84-4C5F-8316-247A8465B4DE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: NetworkManager</h1></div><p>The <strong>NetworkManager Interface</strong> exposes a method to send email messages via MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NetworkManager.Send &lt;string&gt;to &lt;string&gt;from &lt;string&gt;subject &lt;string&gt;body &lt;string&gt;server      </code></pre><p>Sends an email message.</p>\n\
<p>The first argument is the address to send to.</p>\n\
<p>The second argument is the address the message is sent from.</p>\n\
<p>The third argument is the subject of the message.</p>\n\
<p>The fourth argument is the body of the message.</p>\n\
<p>The fifth argument is the email server to use to send the message.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   theAddress = &quot;youremail@yourcompany.com&quot;\n\
   theSender = &quot;myemail@mycompany.com&quot;\n\
   theSubject = &quot;Greetings from 3ds Max!&quot;\n\
   theBody = &quot;This email was sent by MAXScript\\n&quot;\n\
   theBody += &quot;from inside of 3ds Max!\\n\\n&quot;\n\
   theBody += &quot;Cool, eh?&quot;\n\
   theServer = &quot;smtp.myprovider.net&quot;\n\
   res = NetworkManager.Send theAddress theSender theSubject theBody theServer\n\
   if res then\n\
   messagebox (&quot;Email sent successfully to &quot; + theAddress)\n\
   else\n\
   messagebox (&quot;Failed to send email to &quot; + theAddress)\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";