var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8E1CE84-5209-451C-AB5B-2222DE54F925\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: INodeBakeProjProperties</h1></div><p>This node interface exposes properties related to the texture baking projection settings of the object. See also the related <a href=\"Interface-INodeBakeProperties.html\">Interface INodeBakeProperties</a> topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: INodeBakeProjProperties </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.enabled : boolean : Read|Write   </code></pre><p>Enable/Disable Projection Baking for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.projectionMod : maxObject : Read|Write </code></pre><p>Get/Set the Projection Modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.projectionModTarget : string : Read|Write </code></pre><p>Get/Set the Projection Modifier Target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.cropAlpha : boolean : Read|Write </code></pre><p>Get/Set whether Alpha will be cropped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.projSpace : enum : Read|Write \n\
\n\
projSpace enums: {#raytrace|#uvw_match} </code></pre><p>Get/Set the Projection Space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.normalSpace : enum : Read|Write \n\
\n\
normalSpace enums: {#world|#screen|#local|#tangent} </code></pre><p>Get/Set the Normal Space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.tangentYDir : enum : Read|Write \n\
\n\
tangentYDir enums: {#Y_Up|#Y_Down} </code></pre><p>Get/Set the Y Tangent Direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.tangentXDir : enum : Read|Write \n\
\n\
tangentXDir enums: {#X_Right|#X_Left} </code></pre><p>Get/Set the X Tangent Direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.useCage : boolean : Read|Write </code></pre><p>Get/Set whether to use the Cage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rayOffset : float : Read|Write </code></pre><p>Get/Set the Ray Offset value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.hitResolveMode : enum : Read|Write \n\
\n\
hitResolveMode enums: {#closest|#furthest} </code></pre><p>Get/Set the Hit Resolve Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.hitMatchMtlID : boolean : Read|Write </code></pre><p>Get/Set whether to match the Material IDs when projecting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.hitWorkingModel : boolean : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.warnRayMiss : boolean : Read|Write </code></pre><p>Get/Set whether to warn of missed ray hits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rayMissColor : color : Read|Write </code></pre><p>Get/Set the warn color for missed ray hits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.heightMapMin : float : Read|Write </code></pre><p>Get/Set the HeightMap Min. Value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.heightMapMax : float : Read|Write </code></pre><p>Get/Set the HeightMap Max. Value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.heightBufMin : float : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.heightBufMax : float : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.BakeObjectLevel : boolean : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.BakeSubObjLevels : boolean : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.useObjectBakeForMtl : boolean : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.proportionalOutput : boolean : Read|Write </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.subObjBakeChannel : integer : Read|Write </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;node&gt;.removeBakeElementByIndex &lt;index&gt;elementIndex </code></pre><p>Removes the indexed Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;node&gt;.getBakeElement &lt;index&gt;index </code></pre><p>Returns the indexed Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;node&gt;.findByName &lt;string&gt;elementName </code></pre><p>Returns the index of the Bake Element with the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;node&gt;.paramName &lt;maxObject&gt;element &lt;index&gt;paramIndex </code></pre><p>Returns the name of the indexed parameter in the supplied Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;node&gt;.paramType &lt;maxObject&gt;element &lt;index&gt;paramIndex </code></pre><p>Returns the type of the indexed parameter in the supplied Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;node&gt;.paramValue &lt;maxObject&gt;element &lt;index&gt;paramIndex </code></pre><p>Returns the value of the indexed parameter in the supplied Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;node&gt;.setParamValue &lt;maxObject&gt;element &lt;index&gt;paramIndex &lt;integer&gt;paramValue </code></pre><p>Sets the value of the indexed parameter in the supplied Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;node&gt;.findParam &lt;maxObject&gt;element &lt;string&gt;paramName </code></pre><p>Returns the index of the supplied parameter name in the supplied Bake Element.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Projection-Modifier.html\">Projection : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\">Project_Mapping : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping_Holder-Modifier.html\">Project_Mapping_Holder : Modifier</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";