var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-579AA593-B0C9-4CF8-A7FD-1980B97C94D3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: manipPlane</h1></div><p>This is a [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] returned by some properties of the <a href=\"./../../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\">manip Interface</a>. It provides methods to get intersections with a manipulator plane.</p>\n\
<p><strong>Mixin Interface: (manip.msXYPlane)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: manipPlane </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:manipPlane&gt;.normal : point3 by value : Read   </code></pre><p>Returns the normal of a plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:manipPlane&gt;.point : point3 by value : Read </code></pre><p>Return the point that the plane passes through.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:manipPlane&gt;.planeConstant : float : Read </code></pre><p>Return the value of the plane constant. This is the value of &quot;D&quot; in the equation that defines the plane:</p>\n\
<p><strong>Ax + By +Cz + D = 0</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:manipPlane&gt;.intersect &lt;ray by value&gt;ray &lt;&amp;point3&gt;intersectionPoint \n\
\n\
intersectionPoint is In and Out parameter </code></pre><p>Intersects the given ray with the plane. Returns <code>true</code> on success. The intersection point is set in the &quot;intersectionPoint&quot; value passes by reference, which must be initialized to a Point3 value in advance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;&lt;MixinInterface:manipPlane&gt;.mostOrthogonal &lt;ray by value&gt;viewDir &lt;Interface&gt;plane </code></pre><p>Returns the plane that is most orthogonal to the given ray. This means the plane that is most &quot;square&quot; to the view direction.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulator-Interfaces.html\">Manipulator Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\">Scripted Manipulators</a></li>\n\
          <li><a class=\"link\" href=\"../../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\">Interface: manip</a></li>\n\
          <li><a class=\"link\" href=\"Interface-simpleManip.html\">Interface: simpleManip</a></li>\n\
          <li><a class=\"link\" href=\"Interface-gizmoShape.html\">Interface: gizmoShape</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";