var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7DDD5571-7928-4573-83F8-80639C2A3A23\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ProSound Extension</h1></div><p><strong>ProSound</strong> introduced in <strong>3ds Max 2010</strong> is an advanced SoundClass object supporting up to 100 sound tracks.</p>\n\
<p>It can be used in place of the DefaultSoundClassobject that has been shipping with <strong>3ds Max</strong> since its first release.</p>\n\
<p>The <a href=\"./../../Sound-Class-MAXWrapper/ProSound-SoundClass.html\">ProSound:SoundClass object</a> exposes a large number of MAXScript functions for controlling its settings.</p>\n\
<p>Before <strong>ProSound</strong> can be used, it has to be initialized first. This is done by calling the function <code>&apos;</code>prosound.init true<code>&apos;</code>.</p>\n\
<p>This ensures that ProSound is loaded and that all required values are initialized.</p>\n\
<p>The argument to the <code>prosound.init()</code> function preserves any sound file already assigned to the Standard Sound Object that is being replaced by ProSound.</p>\n\
<p>The script below will list the audio files that are loaded in ProSound.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if not prosound.isactive() do prosound.init true\n\
   tracks =prosound.numtracks()\n\
   for i = 1 to tracks do\n\
   (\n\
     fname =prosound.name(i)\n\
     print (if fname !=&quot;&quot; then fname else &quot;Filename Error&quot;)\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-2.html\">MAXScript Extensions for ProSound</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Sound-Class-MAXWrapper/ProSound-SoundClass.html\">ProSound : SoundClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";