var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E87AD4FE-C495-4EF1-ADEA-56C48A75F144\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: HubFPInterface</h1></div><p>This Interface is exposed by the <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans Controller</a> of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-hubfpinterface\">Interface: HubFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PinHub: boolean : Read|Write      </code></pre><p>Get/set the Hub Pin state.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapsePoseToCurLayer() </code></pre><p>Collapses the poste to the current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapseTimeRangeToCurrLayer &lt;time&gt;StartTime &lt;time&gt;EndTime &lt;time&gt;Frequency </code></pre><p>Collapses to the current layer the time range defined by the first and second arguments using sampling frequency provided by the third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AddArm AddCollarbone:&lt;boolean&gt;  AddPalm:&lt;boolean&gt; \n\
\n\
AddCollarbone default value: true\n\
AddPalmdefaultvalue: true\n\
</code></pre><p>Adds an Arm to the Hub.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AddLeg  AddCollarbone:&lt;boolean&gt;  AddAnkle:&lt;boolean&gt; \n\
\n\
AddCollarbonedefault value: false\n\
AddAnkledefaultvalue: true\n\
</code></pre><p>Adds an Leg to the Hub.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AddSpine NumBones:&lt;integer&gt; \n\
\n\
NumBonesdefaultvalue: 5\n\
</code></pre><p>Adds a Spine to the Hub.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AddTail NumBones:&lt;integer&gt; \n\
\n\
NumBonesdefaultvalue: 5\n\
</code></pre><p>Adds a Tail to the Hub.</p>\n\
<p>If the optional NumBones keyword argument is supplied, the tail will contain the specified number of bones. If the argument is not supplied, it will default to 5.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\">HubTrans : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";