var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-85F33368-A1A2-4ED5-9CBB-B92164DFF194\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATMuscle : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATMuscle - superclass: helper; super-superclass:node - 23:23 - classID: #(401557208, 470706893) </code></pre><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATMuscle... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below-\">The following properties are actually exposed by the Interfaces below:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.DeformerType String default: &quot;Bones&quot; -- String   </code></pre><p>Get/set the Deformer Type as string.</p>\n\
<p>Possible values are &quot;Mesh&quot; and &quot;Bones&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.Colour Color default: (color 148 177 27) -- color </code></pre><p>Get/set the color of the CATMuscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.Handles Array default: #($Muscle_Handle:CATMuscle001M_A @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_AC @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_AB @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_B @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_BD @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_BA @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_C @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_CA @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_CD @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_D @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_DB @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_DC @ [0.000000,0.000000,0.000000], undefined, undefined, undefined, undefined) -- node by value array; </code></pre><p>Contains an array of <a href=\"Muscle_Handle-Helper.html\">Muscle_Handle objects</a>.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.HandleSize Float default: 10.0 -- float </code></pre><p>Get/set the size of the Muscle Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.HandlesVisible BooleanClass default: true -- boolean </code></pre><p>Get/set the state of the visibility option of the Muscle Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.LMR Integer default: 0 -- integer </code></pre><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.MiddleHandles BooleanClass default: false -- boolean </code></pre><p>Enable/disable middle Muscle Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.MuscleName String default: &quot;CATMuscle001&quot; --String </code></pre><p>Get/set the name of the Muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.NumCollisionObjects Integer default: 0 -- integer; </code></pre><p>Contains the number of collision objects in the Muscle.</p>\n\
<p>Read-only.</p>\n\
<p>Use the Interface methods listed further on this page to add, remove, get and manage collision object values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.NumUSegs Integer default: 3 -- integer </code></pre><p>Get/set the number of U Segment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATMuscle&gt;.NumVSegs Integer default: 2 -- integer </code></pre><p>Get/set the number of V Segment.</p>\n\
<h2 id=\"catmuscle-interfaces-\">CATMuscle interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATMuscleFunctions </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DeformerType: String: Read|Write \n\
.MuscleName: String: Read|Write \n\
.Colour: color : Read|Write \n\
.LMR: integer : Read|Write \n\
.NumVSegs: integer : Read|Write \n\
.NumUSegs: integer : Read|Write \n\
.HandleSize: float : Read|Write \n\
.HandlesVisible: boolean : Read|Write \n\
.MiddleHandles: boolean : Read|Write \n\
.Handles: node by value array : Read \n\
.NumCollisionObjects: integer : Read </code></pre><p>See above for properties descriptions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddCollisionObject &lt;node&gt;sphere </code></pre><p>Adds the node supplied as first argument to the list of collision objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;RemoveCollisionObject &lt;index&gt;index </code></pre><p>Removes the indexed collision object from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;node&gt;GetCollisionObject &lt;index&gt;index </code></pre><p>Returns the indexed collision object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetCollisionObjectDistortion &lt;index&gt;index </code></pre><p>Returns the distortion of the indexed collision object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetCollisionObjectDistortion &lt;index&gt;index &lt;float&gt;value </code></pre><p>Returns the Distortion value of the indexed collision object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetCollisionObjectHardness &lt;index&gt;index </code></pre><p>Returns the Hardness value of the indexed collision object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetCollisionObjectHardness &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the Hardness of the indexed collision object to the value specified as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MoveCollisionObjectUp &lt;index&gt;index </code></pre><p>Moves the indexed collision object up the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MoveCollisionObjectDown &lt;index&gt;index </code></pre><p>Moves the indexed collision object down the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;PasteMuscle &lt;maxObject&gt;SourceMuscle </code></pre><p>Pastes the source muscle settings.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";