var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7D318CC2-5F06-4E16-A141-5B3DC5194DA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Body_Object : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Body_Object - superclass: GeometryClass; super-superclass:node - 6:6 - classID: #(623455174, 401868168)</code></pre><p>The Body_Object class implements the Solid Body representation in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"operator-parameters\">Operator Parameters</h2><p><img src=\"./images/GUID-440C0C2F-8B9F-41F0-9003-EE3FCB171FC0-low.gif\" alt></p>\n\
<h3 id=\"conversion\">Conversion</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToBody &lt;node&gt; </code></pre><p>Converts the specified geometry to a <code>Body_Object</code>.</p>\n\
<h3 id=\"display\">Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.ShowResultOP (Show_Result__Hide_Ops) : boolean</code></pre><p>Get/set the state of the Result checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.ShowAllOperandsOP(Show_Ops__Hide_Result) : Boolean</code></pre><p>Get/set the state of the All Operands checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.ShowSelectedOperandsOP(Show_Selected_Operands) : boolean</code></pre><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean\n\
&lt;Body_Object&gt;.SaveBrepsOP (Save_NURBS_Breps) : boolean\n\
&lt;Body_Object&gt;.FastEditOP (Fast_Edit) :Boolean\n\
\n\
&lt;Body_Object&gt;.OP_NOT_USED1 (Update_Radio) : integer\n\
&lt;Body_Object&gt;.OP_NOT_USED2 (Update_Now) : boolean\n\
&lt;Body_Object&gt;.OP_NOT_USED3 (Save_Render_Mesh) : boolean\n\
&lt;Body_Object&gt;.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean</code></pre><h2 id=\"rendering-approximation\">Rendering Approximation</h2><p><img src=\"./images/GUID-B960392B-C892-48E6-A604-77B624D83A5D-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.RenderViewportMeshRA(Render_Viewport_Mesh) : boolean</code></pre><p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<h3 id=\"render-mesh-generation\">Render Mesh Generation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.RenderRadioRA(Render_Radio) : integer</code></pre><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx.</p>\n\
<h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.LowQualityRA (LowQuality) : boolean</code></pre><p>Get/set the state of the Draft checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.MediumQualityRA (MediumQuality) : boolean</code></pre><p>Get/set the state of the Good checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.HighQualityRA (HighQuality) : boolean</code></pre><p>Get/set the state of the Production checkbutton.</p>\n\
<h3 id=\"approximation\">Approximation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.FaceApproxAngleRA (Face_Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.EdgeApproxAngleRA (Edge_Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.FaceChordRA (Face_Chord) : float</code></pre><p>Get/set the Face Chors %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.EdgeChordRA (Edge_Chord) : float</code></pre><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.MaxEdgeRA (Edge_Length_Rendering) : float</code></pre><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<h3 id=\"misc-options\">Misc. Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.WeldAndSmoothRA (Weld_and_Smooth) : boolean</code></pre><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.SaveRenderMeshRA (Save_Render_Mesh) : boolean</code></pre><p>Get/set the state of the Save Render Mesh checkbox.</p>\n\
<h2 id=\"viewport-display-settings\">Viewport Display Settings</h2><p><img src=\"./images/GUID-4F240E46-A810-4096-9A4A-FB171BF2DAB4-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.DisplayRadioVDS (Display_Radio) : integer</code></pre><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.LowQualityVDS (LowQuality) : boolean</code></pre><p>Get/set the state of the Coarse checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.MediumQualityVDS (MediumQuality) : boolean</code></pre><p>Get/set the state of the Medium checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.HighQualityVDS (HighQuality) : boolean</code></pre><p>Get/set the state of the Fine checkbutton.</p>\n\
<h3 id=\"mesh-display\">Mesh Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.CleanMeshVDS (CleanMesh) : boolean</code></pre><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.FaceApproxAngleVDS (Face_Approx__Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.EdgeApproxAngleVDS (Edge_Approx__Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.FaceChordHeightVDS (Face_Chord_Height) : float</code></pre><p>Get/set the Face Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.EdgeChordHeightVDS (Edge_Chord_Height) : float</code></pre><p>Get/set the Edge Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.MaxEdgeLengthPctVDS (Edge_Length) : float</code></pre><p>Get/set the Max.Edge Len. % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.SmoothingPassesVDS (Smoothing_Passes) : float</code></pre><p>Get/set the Smoothing Passes value.</p>\n\
<h3 id=\"curve-display\">Curve Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.ULinesVDS (U_Lines) : float</code></pre><p>Get/set the Lines U value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.VLinesVDS (V_Lines) : float</code></pre><p>Get/set the Lines V value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean</code></pre><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.IsoAngleDS (Iso_Angle) : float</code></pre><p>Get/set the Approx value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.IsoChordHeightVDS (Iso_Chord) : float</code></pre><p>Get/set the Curve Distance value.</p>\n\
<h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.SubDMeshVDS (SubDMesh) : boolean\n\
&lt;Body_Object&gt;.VDS_NOT_USED1 (Update) : boolean</code></pre><h2 id=\"face-display-parameters\">Face Display Parameters</h2><p><img src=\"./images/GUID-4EFE0C4D-F312-457D-BC62-D551E74EE339-low.gif\" alt></p>\n\
<p>No Properties Exposed.</p>\n\
<h2 id=\"fao\">FAO</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.FilletAllEdgesFAO : boolean\n\
&lt;Body_Object&gt;.FirstOrEndEdgesFAO : boolean\n\
&lt;Body_Object&gt;.SecondOrSideEdgesFAO : boolean\n\
&lt;Body_Object&gt;.ThirdOrStartEdgesFAO : boolean\n\
&lt;Body_Object&gt;.FilletRadiusFAO : float\n\
&lt;Body_Object&gt;.ApproximateArcFAO : boolean\n\
&lt;Body_Object&gt;.ConstantDistanceFAO : boolean\n\
&lt;Body_Object&gt;.LinearCrossSectionFAO : boolean\n\
&lt;Body_Object&gt;.ShellStartFaceFAO : boolean\n\
&lt;Body_Object&gt;.ShellEndFaceFAO : boolean\n\
&lt;Body_Object&gt;.ShellRadioFAO : integer\n\
&lt;Body_Object&gt;.OffsetRadiusFAO : float\n\
&lt;Body_Object&gt;.CornerExtensionFAO (Corner_Extension) : boolean\n\
&lt;Body_Object&gt;.SectionTypeFAO : integer\n\
&lt;Body_Object&gt;.BlendStrengthFAO : float\n\
\n\
&lt;Body_Object&gt;.FAO_NOT_USED1 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED2 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED3 : boolean\n\
&lt;Body_Object&gt;.FAO_NOT_USED4 : boolean</code></pre><h2 id=\"surface_analysis\">Surface_Analysis</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.DisplayControlPointsSA (Display_Control_Points) : boolean\n\
&lt;Body_Object&gt;.DisplayControlMeshSA (Display_Control_Mesh) : boolean\n\
&lt;Body_Object&gt;.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean\n\
&lt;Body_Object&gt;.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer\n\
&lt;Body_Object&gt;.CurvatureScaleSA (Curvature_Scale) : float\n\
&lt;Body_Object&gt;.CurvatureDensitySA (Curvature_Density) : float\n\
&lt;Body_Object&gt;.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean\n\
&lt;Body_Object&gt;.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer\n\
&lt;Body_Object&gt;.StdDevMultiplesSA (Std__Dev__Multiples) : float\n\
&lt;Body_Object&gt;.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean\n\
&lt;Body_Object&gt;.StdDevMinRangeSA (Std__Dev__Min_Range) : float\n\
&lt;Body_Object&gt;.StdDevMaxRangeSA (Std__Dev__Max_Range) : float\n\
&lt;Body_Object&gt;.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean</code></pre><h2 id=\"nq\">NQ</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Object&gt;.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean\n\
&lt;Body_Object&gt;.ExtrToNURBSNQ( Extr_To_Nurbs) : boolean\n\
&lt;Body_Object&gt;.ExtrToCurveNQ (Extr_To_Curve) :Boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED1 (Flip_All) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED2 (Flip_Selected) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED3 (Extract_To_Spline) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED4 (Show_Counts) : boolean\n\
&lt;Body_Object&gt;.NQ_NOT_USED5 (Extract_To_CShape) : boolean</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Solid.html\">MAXScript Extensions for Solid Bodies</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Body_Cutter-GeometryClass.html\">Body_Cutter : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Join_Bodies-GeometryClass.html\">Join_Bodies : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body_Utility-GeometryClass.html\">Body_Utility : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body-Objects.html\">Body Objects</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";