var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DF1D0207-135C-4494-B254-3256B4202F32\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Convert : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Convert - superclass: ReferenceTarget; super-superclass:MAXWrapper - 20:0 - classID: #(1137313544, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../../../../What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-5.html\">NEW</a> The <strong>Convert</strong> Particle Data View sub-operator transforms data type from one format to another.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Convert...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Type     Integer    default: 10   --  integer</code></pre><p>Possible values are:</p>\n\
<p>0 - <strong>Boolean --&gt; Integer</strong></p>\n\
<p>1 - <strong>Boolean --&gt; Real</strong></p>\n\
<p>2 - <strong>Integer --&gt; Real</strong></p>\n\
<p>3 - <strong>Integer --&gt; Time</strong></p>\n\
<p>4 - <strong>Real --&gt; Integer</strong></p>\n\
<p>5 - <strong>Real --&gt; Time</strong></p>\n\
<p>6 - <strong>Real --&gt; Vector</strong></p>\n\
<p>7 - <strong>Real --&gt; Quaternion</strong></p>\n\
<p>8 - <strong>Time --&gt; Integer</strong></p>\n\
<p>9 - <strong>Time --&gt; Real</strong></p>\n\
<p>10 - <strong>Vector --&gt; Real</strong> (default)</p>\n\
<p>11 - <strong>Vector --&gt; Quaternion</strong></p>\n\
<p>12 - <strong>Vector --&gt; Matrix</strong></p>\n\
<p>13 - <strong>Vector --&gt; Pair</strong></p>\n\
<p>14 - <strong>Vector --&gt; Complex</strong></p>\n\
<p>15 - <strong>Quaternion --&gt; Real</strong></p>\n\
<p>16 - <strong>Quaternion --&gt; Vector</strong></p>\n\
<p>17 - <strong>Quaternion --&gt; Matrix</strong></p>\n\
<p>18 - <strong>Matrix --&gt; Vector</strong></p>\n\
<p>19 - <strong>Matrix --&gt; Quaternion</strong></p>\n\
<p>20 - <strong>Pair --&gt; Integer</strong></p>\n\
<p>21 - <strong>Pair --&gt; Vector</strong></p>\n\
<p>22 - <strong>Pair --&gt; Complex</strong></p>\n\
<p>23 - <strong>Complex --&gt; Vector</strong></p>\n\
<p>24 - <strong>Complex --&gt; Integer</strong></p>\n\
<p>25 - <strong>Complex --&gt; Time</strong></p>\n\
<p>26 - <strong>Complex --&gt; Pair</strong></p>\n\
<p>27 - <strong>Integer --&gt; Compound Index</strong></p>\n\
<p>28 - <strong>Compound Index --&gt; Integer</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Boolean_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 0 - <strong>Boolean --&gt; Integer</strong> or 1 - <strong>Boolean --&gt; Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>False As 0 / 0.0</strong> (default)</p>\n\
<p>1 - <strong>False As -1 / -1.0</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Integer_Time_Conversion     Integer    default: 1   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 3 - <strong>Boolean --&gt; Integer</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick As 1</strong> (default)</p>\n\
<p>1 - <strong>Frame As 1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Real_Integer_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 4 - <strong>Real --&gt; Integer</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Round to Even</strong> (default)</p>\n\
<p>1 - <strong>Round Up</strong></p>\n\
<p>2 - <strong>Round Down</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Negative_Up_Toward_Zero     BooleanClass    default: true   --  boolean</code></pre><p>Used when <code>.Type</code> is set to 4 - <strong>Real --&gt; Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Real_Time_Conversion     Integer    default: 1   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 5 - <strong>Real --&gt; Time</strong> or 9 - <strong>Time --&gt; Real</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick As 1.0</strong></p>\n\
<p>1 - <strong>Frame As 1.0</strong> (default)</p>\n\
<p>2 - <strong>Second As 1.0</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Real_Vector_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 6 - <strong>Real --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Cartesian Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Cylindrical Polar Coordinates</strong></p>\n\
<p>2 - <strong>Spherical Polar Coordinates</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Vector_Real_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 10 - <strong>Vector --&gt; Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Length</strong> (default)</p>\n\
<p>1 - <strong>Average</strong></p>\n\
<p>2 - <strong>Minimum</strong></p>\n\
<p>3 - <strong>Min Absolute</strong></p>\n\
<p>4 - <strong>Maximum</strong></p>\n\
<p>5 - <strong>X</strong></p>\n\
<p>6 - <strong>Y</strong></p>\n\
<p>7 - <strong>Z</strong></p>\n\
<p>8 - <strong>Max Absolute</strong></p>\n\
<p>9 - <strong>Axial Radius</strong></p>\n\
<p>10 - <strong>Bearing</strong></p>\n\
<p>11 - <strong>Latitude</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Vector_Quaternion_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 11 - <strong>Vector --&gt; Quaternion</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Rotation / Angles</strong> (default)</p>\n\
<p>1 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Vector_Pair_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 13 - <strong>Vector --&gt; Pair</strong>, 14 - <strong>Vector --&gt; Complex</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>I2 As Face/Vertex Index</strong> (default)</p>\n\
<p>1 - <strong>I3 As Compound Index</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Use_I3_As_Object_Index     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I3 As Object Index&quot;</strong> checkbox.</p>\n\
<p>Used when <code>.Type</code> is set to 13 - <strong>Vector --&gt; Pair</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Quaternion_Real_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 15 - <strong>Quaternion --&gt; Real</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rotation Angle</strong> (default)</p>\n\
<p>1 - <strong>Roll</strong></p>\n\
<p>2- <strong>Pitch</strong></p>\n\
<p>3 - <strong>Yaw</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Quaternion_Vector_Conversion     Integer    default: 2   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 16 - <strong>Quaternion --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rotation Axis</strong> (default)</p>\n\
<p>1 - <strong>Euler Rotation / Angles</strong></p>\n\
<p>2 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Matrix_Vector_Conversion     Integer    default: 3   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 18 - <strong>Matrix --&gt; Vector</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Rotation / Angles</strong></p>\n\
<p>1 - <strong>[ Roll, Pitch, Yaw ]</strong></p>\n\
<p>2 - <strong>Rotation Axis</strong></p>\n\
<p>3 - <strong>Translation</strong> (default)</p>\n\
<p>4 - <strong>Scale Factors</strong></p>\n\
<p>5 - <strong>X Axis</strong></p>\n\
<p>6 - <strong>Y Axis</strong></p>\n\
<p>7 - <strong>Z Axis</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Pair_Integer_Conversion     Integer    default: 0   --  radiobtnIndex</code></pre><p>Used when <code>.Type</code> is set to 24 - <strong>Complex --&gt; Integer</strong> or 28 - <strong>Compound Index --&gt; Integer</strong></p>\n\
<p>Possible values when <code>.Type</code> is 24 - <strong>Complex --&gt; Integer</strong> are:</p>\n\
<p>0 - <strong>Face/Vertex Index</strong></p>\n\
<p>1 - <strong>Object Index As Output</strong></p>\n\
<p>2 - <strong>Compound Index As Output</strong></p>\n\
<p>Possible values when <code>.Type</code> is 28 - <strong>Compound Index --&gt; Integer</strong> are:</p>\n\
<p>0 - <strong>Face/Vertex Index</strong></p>\n\
<p>1 - <strong>Object Index As Output</strong></p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the four Input sockets of the Convert sub-operator.</p>\n\
<p>Setting an Input to a sub-operator of the expected type will effectively wire that sub-operator to the corresponding Input of the Convert sub-operator.</p>\n\
<p>The Input types depend on the <code>.Type</code> property as listed below:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>.Type</th>\n\
<th>.Input_1</th>\n\
<th>.Input_2</th>\n\
<th>.Input_3</th>\n\
<th>.Input_4</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>0 - <strong>Boolean --&gt; Integer</strong></td>\n\
<td>Boolean</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>1 - <strong>Boolean --&gt; Real</strong></td>\n\
<td>Boolean</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>2 - <strong>Integer --&gt; Real</strong></td>\n\
<td>Integer</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>3 - <strong>Integer --&gt; Time</strong></td>\n\
<td>Integer</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>4 - <strong>Real --&gt; Integer</strong></td>\n\
<td>Real</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>5 - <strong>Real --&gt; Time</strong></td>\n\
<td>Real</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>6 - <strong>Real --&gt; Vector</strong></td>\n\
<td>Real</td>\n\
<td>Real</td>\n\
<td>Real</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>7 - <strong>Real --&gt; Quaternion</strong></td>\n\
<td>Real</td>\n\
<td>Vector</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>8 - <strong>Time --&gt; Integer</strong></td>\n\
<td>Time</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>9 - <strong>Time --&gt; Real</strong></td>\n\
<td>Time</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>10 - <strong>Vector --&gt; Real</strong> (default)</td>\n\
<td>Vector</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>11 - <strong>Vector --&gt; Quaternion</strong></td>\n\
<td>Vector</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>12 - <strong>Vector --&gt; Matrix</strong></td>\n\
<td>Vector</td>\n\
<td>Vector</td>\n\
<td>Vector</td>\n\
<td>Vector</td>\n\
</tr>\n\
<tr>\n\
<td>13 - <strong>Vector --&gt; Pair</strong></td>\n\
<td>Vector</td>\n\
<td>Integer</td>\n\
<td>(Integer)</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>14 - <strong>Vector --&gt; Complex</strong></td>\n\
<td>Vector</td>\n\
<td>Integer</td>\n\
<td>Integer</td>\n\
<td>Time</td>\n\
</tr>\n\
<tr>\n\
<td>15 - <strong>Quaternion --&gt; Real</strong></td>\n\
<td>Quaternion</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>16 - <strong>Quaternion --&gt; Vector</strong></td>\n\
<td>Quaternion</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>17 - <strong>Quaternion --&gt; Matrix</strong></td>\n\
<td>Quaternion</td>\n\
<td>Vector</td>\n\
<td>Vector</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>18 - <strong>Matrix --&gt; Vector</strong></td>\n\
<td>Matrix</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>19 - <strong>Matrix --&gt; Quaternion</strong></td>\n\
<td>Matrix</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>20 - <strong>Pair --&gt; Integer</strong></td>\n\
<td>Pair</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>21 - <strong>Pair --&gt; Vector</strong></td>\n\
<td>Pair</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>22 - <strong>Pair --&gt; Complex</strong></td>\n\
<td>Pair</td>\n\
<td>Time</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>23 - <strong>Complex --&gt; Vector</strong></td>\n\
<td>Complex</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>24 - <strong>Complex --&gt; Integer</strong></td>\n\
<td>Complex</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>25 - <strong>Complex --&gt; Time</strong></td>\n\
<td>Complex</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>26 - <strong>Complex --&gt; Pair</strong></td>\n\
<td>Complex</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>27 - <strong>Integer --&gt; Compound Index</strong></td>\n\
<td>Integer (Object Index)</td>\n\
<td>Integer (Face/Vertex Index)</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>28 - <strong>Compound Index --&gt; Integer</strong></td>\n\
<td>Integer</td>\n\
<td>--</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Convert&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the Convert sub-operator.</p>\n\
<h2 id=\"convert-interfaces-\">Convert interfaces:</h2><p><strong>The following common interface is exposed by the Convert Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";