var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C598C122-0608-4A96-97AA-7824D7D8C45D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FunctionReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FunctionReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 44:0 - classID: #(1137313545, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>FunctionReferenceTarget</strong> Particle Data View sub-operator performs arithmetic or vector operations on particle data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FunctionReferenceTarget...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"first-operand-group-of-controls\">First Operand group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.First_Operand_Type     Integer    default: 4   --  integer</code></pre><p>Get/set the selection of the First Operand&apos;s <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>Vector</strong> (default)</p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Factor_For_First_Operand     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the floating point <strong>&quot;Pre-Factor&quot;</strong> spinner (R3) used to multiply the First Operand when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Integer_Factor_For_First_Operand     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the integer <strong>&quot;Pre-Factor&quot;</strong> spinner (I3) used to multiply the First Operand when it is of type <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Offset_For_First_Operand     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the First Operand&apos;s offset value when it is of type <strong>Real</strong> or <strong>Time</strong>. Not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Integer_Offset_For_First_Operand     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the First Operand&apos;s offset value when it is of type <strong>Integer</strong>. Not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Use_R_As_Factor_For_First_Operand     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;R3&quot;</strong> checkbutton.</p>\n\
<p>When set to True, the Pre-Factor will be taken from the sub-operator&apos;s output connected to the <strong><code>.Input_3</code></strong> property.</p>\n\
<p>When set to False (default), the <strong><code>.Factor_For_First_Operand</code></strong> or <code>.Integer_Factor_For_First_Operand</code> value will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Use_Second_Operand     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Second Operand&quot;</strong> checkbox.</p>\n\
<h2 id=\"second-operand-group-of-controls\">Second Operand group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Factor_For_Second_Operand     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the floating point <strong>&quot;Pre-Factor&quot;</strong> spinner (R4) used to multiply the Second Operand when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Integer_Factor_For_Second_Operand     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the integer <strong>&quot;Pre-Factor&quot;</strong> spinner (I4) used to multiply the Second Operand when it is of type <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Integer_Real     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&apos;s type is <strong>Integer</strong> or <strong>Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Quaternion     Integer    default: 5   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&apos;s type is <strong>Quaternion</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>5 - <strong>Quaternion</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Vector     Integer    default: 4   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&apos;s type is Integer or <strong>Vector</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>Vector</strong> (default)</p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Use_R_As_Factor_For_Second_Operand     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;R4&quot;</strong> checkbutton.</p>\n\
<p>When set to True, the Pre-Factor will be taken from the sub-operator&apos;s output connected to the <strong><code>.Input_4</code></strong> property.</p>\n\
<p>When set to False (default), the <strong><code>.Factor_For_Second_Operand</code> or <code>.Integer_Factor_For_Second_Operand</code></strong> value will be used.</p>\n\
<h2 id=\"function-drop-down-list\">Function drop-down list</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Boolean_And_Boolean     Integer    default: 3   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Boolean</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>3 - <strong>AND</strong> (default)</p>\n\
<p>41 - <strong>OR</strong></p>\n\
<p>57 - <strong>XOR / Exclusive OR</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Boolean_Single     Integer    default: 40   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Boolean</strong> type and the Second Operand is turned off.</p>\n\
<p>Possible values are:</p>\n\
<p>4 - <strong>AND / All Particles</strong></p>\n\
<p>23 - <strong>False Count / All Particles</strong></p>\n\
<p>40 - <strong>NOT</strong> (default)</p>\n\
<p>42 - <strong>OR / All Particles</strong></p>\n\
<p>54 - <strong>True Count / All Particles</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Integer_And_Real     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Integer</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>6 - <strong>Average (X+Y)/2</strong></p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>21 - <strong>Division Remainder X%Y</strong></p>\n\
<p>24 - <strong>Geometric Mean (X*Y)**1/2</strong></p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>30 - <strong>Logarithm log(X)base(Y)</strong></p>\n\
<p>31 - <strong>Maximum</strong></p>\n\
<p>33 - <strong>Minimum</strong></p>\n\
<p>35 - <strong>Multiplication X*Y</strong></p>\n\
<p>43 - <strong>Power X</strong>Y**</p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Integer_Real_Single     Integer    default: 50   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Integer</strong> or <strong>Real</strong> type and the Second Operand is turned off.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>7 - <strong>Average / All Particles</strong></p>\n\
<p>8 - <strong>Binary Exponent 2**X</strong></p>\n\
<p>9 - <strong>Binary Logarithm log2(X)</strong></p>\n\
<p>12 - <strong>Cosine cos(X)</strong></p>\n\
<p>13 - <strong>Cotangent ctg(X)</strong></p>\n\
<p>14 - <strong>Cube X**3</strong></p>\n\
<p>15 - <strong>Cubic Root X**1/3</strong></p>\n\
<p>16 - <strong>Decimal Exponent 10**X</strong></p>\n\
<p>17 - <strong>Decimal Logarithm log10(X)</strong></p>\n\
<p>25 - <strong>Geometric Mean / All Particles</strong></p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>28 - <strong>Inverse 1/X</strong></p>\n\
<p>32 - <strong>Maximum / All Particles</strong></p>\n\
<p>34 - <strong>Minimum / All Particles</strong></p>\n\
<p>36 - <strong>Natural Exponent e**X</strong></p>\n\
<p>37 - <strong>Natural Logarithm ln(X)</strong></p>\n\
<p>45 - <strong>Reverse ID Indexing</strong></p>\n\
<p>49 - <strong>Sine sin(X)</strong></p>\n\
<p>50 - <strong>Square X*X</strong> (default)</p>\n\
<p>51 - <strong>Square Root X**1/2</strong></p>\n\
<p>53 - <strong>Tangent tg(X)</strong></p>\n\
<p>58 - <strong>Sign</strong></p>\n\
<p>59 - <strong>Arcsin asin(X)</strong></p>\n\
<p>60 - <strong>Arccos acos(X)</strong></p>\n\
<p>61 - <strong>Sum / All Particles</strong></p>\n\
<p>62 - <strong>Arctangent atan(X)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Matrix_And_Matrix     Integer    default: 11   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Matrix</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>11 - <strong>Composition X*Y</strong> (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Matrix_Single     Integer    default: 44   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Matrix</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>44 - <strong>Inverse</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Integer_Time     Integer    default: 35   --  integer; Function_Type_For_Quaternion_And_Integer_Real</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is of <strong>Time</strong> or <strong>Integer</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - <strong>Multiplication X*Y</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Quaternion     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Quaternion</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Real     Integer    default: 35   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - <strong>Multiplication X*Y</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_Single     Integer    default: 44   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>44 - <strong>Reverse</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Time_And_Time     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Time</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Time_Single     Integer    default: 7   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Time</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>7 - <strong>Average / All Particles</strong> (default)</p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>32 - <strong>Maximum / All Particles</strong></p>\n\
<p>34 - <strong>Minimum / All Particles</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Integer_Time     Integer    default: 35   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Time</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - <strong>Multiplication X*Y</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Matrix     Integer    default: 10   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Matrix</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>10 - <strong>Complete Transform</strong> (default)</p>\n\
<p>56 - <strong>Vector Transform</strong></p>\n\
<p>63 - <strong>Overwrite M2.X</strong></p>\n\
<p>64 - <strong>Overwrite M2.Y</strong></p>\n\
<p>65 - <strong>Overwrite M2.Z</strong></p>\n\
<p>66 - <strong>Overwrite M2.T</strong></p>\n\
<p>67 - <strong>Align M2.X to V1</strong></p>\n\
<p>68 - <strong>Align M2.Y to V1</strong></p>\n\
<p>69 - <strong>Align M2.Z to V1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Quaternion     Integer    default: 46   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Quaternion</strong> type.</p>\n\
<p>The only possible value is:</p>\n\
<p>46 - <strong>Rotate By</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Real     Integer    default: 35   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - <strong>Multiplication X*Y</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Vector     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Vector</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>5 - <strong>Angle Between Vectors</strong></p>\n\
<p>6 - <strong>Average (X+Y)/2</strong></p>\n\
<p>18 - <strong>Deflection X:Speed Y:Normal</strong></p>\n\
<p>19 - <strong>Distance length(X-Y)</strong></p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>38 - <strong>Orthogonalization</strong></p>\n\
<p>47 - <strong>Scalar Product</strong></p>\n\
<p>48 - <strong>Scale Product</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<p>55 - <strong>Vector Product</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_Single     Integer    default: 29   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>7 - <strong>Average / All Particles</strong> (default)</p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>39 - <strong>Normalize</strong></p>\n\
<p>58 - <strong>Sign</strong></p>\n\
<h2 id=\"result-group-of-control\">Result group of control</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Post_Factor     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the floating point <strong>&quot;Post-Factor&quot;</strong> spinner used to multiply the Result when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Integer_Post_Factor     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the floating point <strong>&quot;Post-Factor&quot;</strong> spinner used to multiply the Result when it is of type <strong>Integer</strong>.</p>\n\
<h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Sync_Type     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Use_E5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<h2 id=\"restrict-by-group-id-controls\">Restrict By Group ID controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Restrict_By_Group_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Restrict By Group ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Group_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Group ID Data Channel object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Group_ID_Data_Handle     Integer    default: 0   --  integer</code></pre><p>Get/set the Group ID Data Handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the first Input socket, representing the First Operand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the second Input socket, representing the Second Operand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the third Input socket, representing the Pre-Factor used when <code>.Use_R_As_Factor_For_First_Operand</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the fourth Input socket, representing the Post-Factor used when <code>.Use_R_As_Factor_For_Second_Operand</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the fifth Input socket, representing the Sync Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FunctionReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the Function sub-operator.</p>\n\
<h2 id=\"functionreferencetarget-interfaces-\">FunctionReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the FunctionReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";