var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A9A316B-C3BE-462F-8133-318A7319C68C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Display_Script : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Display_Script - superclass: helper; super-superclass:node - 12:0 - classID: #(1509449988, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Display_Script</strong> operator shows script data associated with particles: Integer, Float or Vector. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Display_Script...\n\
DisplayScriptParticles...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Show_Numbering     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Show Particle IDs&quot;</strong> checkbox.</p>\n\
<p>When set to True, the operator will display each particle&apos;s ID number before the displayed data. The ID number is followed by a &gt; symbol to distinguish it from the data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Color     Color    default: (color 172 206 255)   --  RGB color</code></pre><p>Get/set the value of the color used for data display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Add_Prefix     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Add Prefix&quot;</strong> checkbox.</p>\n\
<p>This property lets you add a custom Prefix specified by the <code>.Prefix_Text</code> property (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Prefix_Text     String    default: &quot;Data&quot;   --  string</code></pre><p>Get/set the value of the text field.</p>\n\
<p>The prefix is added between the ID (if shown) and the Data. It adds an offset between the Prefix and Data automatically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Script_Data_Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show Script Data&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>--None--</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Vector X</strong></p>\n\
<p>4 - <strong>Vector Y</strong></p>\n\
<p>5 - <strong>Vector Z</strong></p>\n\
<p>6 - <strong>Vector</strong></p>\n\
<h2 id=\"screen-offset-pixels-group-of-controls\">Screen Offset - pixels group of controls</h2><p>The following properties can be used to adjust the positioning of the data display relative to the particle position, in pixels.</p>\n\
<p>By using different offset values and several Display_Script operators, multiple data values can be shown at once without overlapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Offset_LeftRight     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Left / Right&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Offset_UpDown     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Up / Down&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Offset_InOut     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;In / Out&quot;</strong> spinner.</p>\n\
<h2 id=\"show-ids-and-data-on-group-of-controls\">Show IDs and Data on group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Filter_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show IDs and Data on&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All Particles</strong> - Displays data for all particles in the viewports.</p>\n\
<p>1 - <strong>Selected Particles Only</strong> - Displays data only for selected particles.</p>\n\
<p>2 - <strong>Group Selected Only</strong> - Displays data only for group-selected particles. Use the <code>.Group_Selection</code> property (see below) to specify the <a href=\"./../Operators/Groups/Group_Select-Helper.html\">Group_Selection Operator</a> to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Group_Selection     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the <a href=\"./../Operators/Groups/Group_Select-Helper.html\">Group_Selection Operator</a> to be used when <code>.Filter_Type</code> is set to 2 - <strong>Group Selected Only</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Precision     Integer    default: 2   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Precision&quot;</strong> spinner.</p>\n\
<p>For float values, this properties sets the number of decimal places displayed.</p>\n\
<p>The range is from 0 to 8 (where 0 is no decimal places).</p>\n\
<h2 id=\"execution-order-group-of-controls\">Execution Order group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Display_Script&gt;.Execution_Order     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Execution Order&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong> - Shows particle data values before any operator in the Event is executed.</p>\n\
<p>1 - <strong>Normal</strong> (default) - The data are shown as of the current execution order of the operators. You can use two Display_Script operators - above and below the Script Operator in question - to see how the Script Operator changes some data.</p>\n\
<p>2 - <strong>Post</strong> - Data values will be shown after all the operators in the Event are executed.</p>\n\
<h2 id=\"display_script-interfaces-\">Display_Script Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";