var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3A3D29AB-7A0D-4522-9B9D-A5EA6B1F57BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Event : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Event - superclass: helper; super-superclass:node - 0:0 - classID: #(1962490627, 515064576) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Event</strong> lets you group Actions in Particle View to define the appearance of particles over a certain period of time. Creating instances of this class gives you empty holders that can be filled with Actions using the exposed Interfaces&#x2019; Methods.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Event... </code></pre><h2 id=\"event-interfaces-\">Event Interfaces:</h2><p><strong>The following Interfaces are exposed by the Event Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-ActionList.html\">Interface: ActionList</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-MaterialHolder.html\">Interface: MaterialHolder</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open the Particle View to watch the results:\n\
   particleFlow.openParticleView()\n\
   --&gt; OK\n\
\n\
   ev = event()--Create an empty Event\n\
   --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]\n\
\n\
   --In order to fill in the empty Event, we have to disable\n\
   --the automatic Event encapsulation of newly created Actions.\n\
   particleFlow.beginEdit()\n\
   --&gt; OK\n\
\n\
   --Now we can create a new Birth action to add to the Event.\n\
   br = birth()\n\
   --&gt; $Birth:Birth 01 @ [0.000000,0.000000,0.000000]\n\
\n\
   --We can now append the new Birth Action to the empty Event:\n\
   ev.appendAction br\n\
   --&gt; true\n\
\n\
   --We can also create Action class instances\n\
   --and append them to the Event in a single step:\n\
   ev.appendAction (Position_Icon())\n\
   --&gt; true\n\
   ev.appendAction (Speed())\n\
   --&gt; true\n\
   ev.appendAction (ShapeStandard())\n\
   --&gt; true\n\
   ev.appendAction (DisplayParticles())\n\
   --&gt; true\n\
\n\
   --Finally, we can exit the Edit mode to enable automatic\n\
   --Event encapsulation again:\n\
   particleFlow.endEdit()\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";