var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-42177859-786C-40F0-A7E5-187DBC12A7D2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Camera_IMBlur : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_IMBlur - superclass: helper; super-superclass:node - 4:0 - classID: #(1509450241, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Camera_IMBlur</strong> operator adjusts particle speed before passing the data for image motion blur. The adjustment takes into account the camera motion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Camera_IMBlur...\n\
CameraMBlur...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_IMBlur&gt;.Use_Active_Camera     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Active Camera&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the current view/render camera will be used.</p>\n\
<p>When set the False, the Camera object specified by the <strong><code>.Camera</code></strong> property will be used instead, regardless of the current view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_IMBlur&gt;.Camera     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the Camera to use when the property <code>.Use_Active_Camera</code> is set to False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_IMBlur&gt;.Use_Event_Multiplier     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Event IMBlur Multiplier&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the Image Motion Blur Multiplier set in the Object Properties of the current Event object (accessed via right-click inside the Particle View dialog) will be used.</p>\n\
<p>When set to False, the <strong><code>.Multiplier</code></strong> property of the operator will be used instead (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Camera_IMBlur&gt;.Multiplier     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Multiplier&quot;</strong> spinner.</p>\n\
<p>Used only when the <code>.Use_Event_Multiplier</code> property is set to False.</p>\n\
<h2 id=\"camera_imblur-interfaces-\">Camera_IMBlur interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the Camera_IMBlur Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";