var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5E6797AF-920E-4DB4-A0BD-0AD336CF7827\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using MAXScript with Particle Flow</h1></div><p>MAXScript can be used with <strong>Particle Flow</strong> for the following tasks:</p>\n\
<ul>\n\
<li><p>Creating new instances of exposed <strong>Particle Flow</strong> classes. See <a href=\"Particle-Flow-Classes.html\">Particle Flow Classes</a> for a list of all exposed classes.</p>\n\
</li>\n\
<li><p>Accessing properties and methods of existing <strong>Particle Flow</strong> objects (Sources, Events, Operators, Tests etc.), either created by the user via the UI or by MAXScript.</p>\n\
</li>\n\
<li><p>Controlling values in the Integer, Float, Vector etc. channels supported by <strong>Particle Flow</strong>. Certain <strong>Particle Flow</strong> actions have built-in options to access these channels to control some of their properties.</p>\n\
</li>\n\
<li><p>Updating particle values in the <a href=\"Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> using the <a href=\"Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\">Every Step Update</a> and <a href=\"Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\">Final Step Update</a> scripts.</p>\n\
</li>\n\
<li><p>Controlling particle creation using the <a href=\"Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a> action.</p>\n\
</li>\n\
<li><p>Creating custom <strong>Particle Flow</strong> operators using the <a href=\"Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> action.</p>\n\
</li>\n\
<li><p>Creating custom tests using the <a href=\"Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a> action.</p>\n\
</li>\n\
<li><p>Low-level access to the <strong>Particle Flow</strong> system components using their <a href=\"Particle-Flow-Interfaces.html\">Interfaces</a>’ Properties and Methods.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for.html\">MAXScript Extensions for Particle Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-Flow-and-MAXScript.html\">Particle Flow and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
          <li><a class=\"link\" href=\"Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";