var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E241DC4E-D59A-4D37-9FA4-B7B66C4EC30F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Miscellaneous Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;biped.getIKActive &lt;biped_ctrl&gt; &lt;int_index&gt;      </code></pre><p>Returns <code>true</code> if the indexed limb is under IK control at the current MAXScript time. Useful for custom key reducers and exporters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.unifyMotion &lt;biped_ctrl&gt;   </code></pre><p>Displays the Unify Motion dialog for the specified biped. The biped must be selected in the Motion panel and in Motion mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interval&gt;biped.getCurrentRange &lt;biped_ctrl&gt; </code></pre><p>Get the animation range of the specified biped controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;biped.getIdLink &lt;node&gt; </code></pre><p>The id and link values for a particular biped node. The &apos;x&apos; value is the id and the &apos;y&apos; value is the link. An id value of -1 means the node isn&apos;t part of a biped.</p>\n\
<h2 id=\"copy-paste-buffer\">Copy Paste Buffer</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadCopyPasteFile &lt;biped_ctrl&gt;&lt;file_name&gt; </code></pre><p>Load the specified buffer file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;biped.pasteFromBuffer &lt;biped_ctrl&gt; </code></pre><p>Paste from buffer. Returns true on success, false otherwise.</p>\n\
<h2 id=\"accessing-internal-biped-values\">Accessing Internal Biped Values</h2><p>Collection of functions useful for a biped interpolator that uses the internal biped hierarchy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;INode&gt;biped.getRotParentNode &lt;node&gt; \n\
&lt;INode&gt;biped.getPosParentNode &lt;node&gt; \n\
&lt;Quat&gt;biped.getParentNodeRot &lt;node&gt; \n\
&lt;Point3&gt;biped.getParentNodePos &lt;node&gt; \n\
&lt;Point2&gt;biped.getClavicleVals &lt;node&gt; --2 angles in degrees \n\
&lt;float&gt;biped.getHingeVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getHorseAnkleVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getPelvisVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getFingerVal &lt;node&gt; --in degrees </code></pre><h2 id=\"com-controls-access\">COM Controls Access</h2><p>Convenience functions for getting the different biped COM controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Control&gt;biped.getHorizontalControl &lt;biped_ctrl&gt; \n\
&lt;Control&gt;biped.getVerticalControl &lt;biped_ctrl&gt; \n\
&lt;Control&gt;biped.getTurnControl &lt;biped_ctrl&gt; </code></pre><h2 id=\"biped-keys-display-in-trackbar\">Biped Keys Display in Trackbar</h2><p>You can turn off biped keys in the trackbar, so that you may only just see subanim keys. The property is</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;biped_controller&gt;.showBipedInTrackBar = true|false. </code></pre><h2 id=\"set-multiple-keys-dialog\">Set Multiple Keys Dialog</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.dosetmultiplekeysdlg &lt;biped_controller&gt; </code></pre><p>The function will bring up the old set multiple keys dialog in a popup.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setmultiplekeys &lt;biped_controller&gt; </code></pre><p>The functionwill apply increment without bringing up the dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Sample-Scripts.html\">Biped Sample Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";