var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49607A21-C0E1-46E4-8571-F80F2E44F81A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Extensions for Crowd</h1></div><p>The following topics describe the constructors, properties and methods providing MAXScript access to the Crowd feature of <strong>character studio</strong>:</p>\n\
<h2 id=\"crowds\">Crowds</h2><p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\">Crowd : Helper</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/Delegate-Helper.html\">Delegate:Helper</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/CrowdScatter-ReferenceTarget.html\">CrowdScatter:</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/CrowdAssignment-MAXObject.html\">CrowdAssignment : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/CrowdTeam-ReferenceTarget.html\">CrowdTeam : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/CrowdState-ReferenceTarget.html\">CrowdState:MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/CrowdTransition-MAXObject.html\">CrowdTransition : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowds/Crowds-Methods.html\">Crowds - Methods</a></p>\n\
<h2 id=\"crowd-behaviors\">Crowd Behaviors</h2><p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors.html\">Crowd Behaviors</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Avoid_Behavior-MAXObject.html\">Avoid_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/CogControl-ReferenceTarget.html\">CogControl : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Orientation_Behavior-MAXObject.html\">Orientation_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Path_Follow_Behavior-MAXObject.html\">Path_Follow_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Repel_Behavior-ReferenceTarget.html\">Repel_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Scripted_Behavior-MAXObject.html\">Scripted_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Seek_Behavior-MAXObject.html\">Seek_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Space_Warp_Behavior.html\">Space_Warp_Behavior: MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Speed_Vary_Behavior-MAXObject.html\">Speed_Vary_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Surface_Arrive_Behavior.html\">Surface_Arrive_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Surface_Follow_Behavior.html\">Surface_Follow_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wall_Repel_Behavior.html\">Wall_Repel_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wall_Seek_Behavior.html\">Wall_Seek_Behavior : MAXObject</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors/Wander_Behavior-MAXObject.html\">Wander_Behavior : MAXObject</a></p>\n\
<h2 id=\"motion-clips\">Motion Clips</h2><p><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip.html\">MotionClips and GlobalMotionClip</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/Clip_Associations.html\">Clip_Associations : ReferenceTarget</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/ClipAssigner-ReferenceTarget.html\">ClipAssigner : ReferenceTarget</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/MinMaxAvg-ReferenceTarget.html\">MinMaxAvg : ReferenceTarget</a></p>\n\
<p><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip/ClipState-ReferenceTarget.html\">ClipState : ReferenceTarget</a></p>\n\
<h2 id=\"space-warps\">Space Warps</h2><p><a href=\"MAXScript-Extensions-for-Crowd/SpaceWarps/Vector_Field-SpacewarpObject.html\">Vector_Field: SpacewarpObject</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Extensions-for-Crowd/Crowds.html\">Crowds</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Extensions-for-Crowd/Crowd-Behaviors.html\">Crowd Behaviors</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Extensions-for-Crowd/MotionClips-and-GlobalMotionClip.html\">MotionClips and GlobalMotionClip</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MAXScript-Extensions-for-Crowd/SpaceWarps.html\">SpaceWarps</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Biped-MAXScript-Extensions/Biped-General-Topics/Biped-and-Crowd-Interaction.html\">Biped and Crowd Interaction</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";