var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-59033B9C-B875-4AB6-93B0-559EC4B33E90\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Path_Follow_Behavior : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Follow_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(1057384567, 1223371753) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Follow_Behavior ... PathFollowBehavior ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.name String Default: &quot;Path Follow&quot; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.path Node Default: Undefined </code></pre><p>A path object. Suitable path objects include splines and NURBS curves. If a path object contains more than one spline or curve, character studio uses the lowest-numbered element (usually the earliest created one).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.radius Float Default: 20.0 Alias: Radius_about_Path -- animatable </code></pre><p>The radial distance from the path within which the delegate stays while traversing the path. Range=0.0 to 99,999.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.awareness Float Default: 0.5 -- animatable </code></pre><p>Specifies how &quot;intelligent&quot; the delegate is while traversing this path. A high Awareness setting means that it takes into account the curve of the path while moving and will try to anticipate changes. A low value for Awareness, on the other hand, means that the delegate notices the path only when leaving it. Range=0.0 to 1.0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can randomize awareness behavior with the Deviation and Seed settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.awareDeviation Float Default: 0.0 Alias: AwarenessDeviation -- animatable </code></pre><p>Specifies the maximum amount by which Awareness should vary. character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Awareness setting, and adds the result to Awareness. Range=0.0 to 1.0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can vary behaviors among different Path Follow behaviors that use the same Awareness and Deviation settings by changing the Seed value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.start Integer Default: 0 -- animatable </code></pre><p>0 - Path Beginning</p>\n\
<p>1 - Path End</p>\n\
<p>This setting determines where on the path the delegate begins to follow the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.direction Integer Default: 0 -- animatable </code></pre><p>0 - Forwards: The delegate moves along path vertices in ascending order.</p>\n\
<p>1 - Backwards: The delegate moves along path vertices in descending order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.endAction Integer Default: 0 -- animatable </code></pre><p>0 - Loop: The delegate loops around the path, even if it isn&apos;t closed. If Beginning of Path or End of Path is chosen, it returns to the path&apos;s start or end point each time it finishes traversing the path. If Nearest Point is chosen, it returns to an arbitrary point determined by its position and the path shape.</p>\n\
<p>1 - Reverse: The delegate reverses direction at the end of the path. Use this choice to simulate a back-and-forth &quot;patrol&quot; behavior.</p>\n\
<p>2 - Continue: The delegate continues moving in the same direction it faced at the end of the path until the simulation ends or it&apos;s acted upon by another force or behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.seed Integer Default: 1 -- animatable </code></pre><p>Specifies a seed value for randomizing Awareness.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.forceColor Color Default: (color 0 0 255) </code></pre><p>The color used to draw the Path Follow force vector during the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.displayForce Boolean Default: True </code></pre><p>When true, force exerted on the delegate(s) by the Path Follow behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.targetColor Color Default: (color 0 0 127.5) </code></pre><p>Sets the color used to draw the target icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.displayTarget Boolean Default: True </code></pre><p>Enables display of the target icon, which appears during the solution when a new interim goal is calculated for the delegate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_follow_behavior&gt;.targetScale Float Default: 5.0 -- animatable </code></pre><p>The overall size of the target icon.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";