var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9C71C136-D0A1-4DC9-ACB7-AFA1D85170DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Global_Motion_Clip : DriverBlockController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Global_Motion_Clip - superclass: DriverBlockController; super-superclass:MAXWrapper - 0:0 - classID: #(936531797, 663513431) </code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Global_Motion_Clip GlobalMotionClip </code></pre><p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalMotionClipOps.loadfile &lt;global_motion_clip&gt; &lt;filename_string&gt; </code></pre><p>&apos;loadfile&apos; expects a GlobalMotionClip, then a filename for a &quot;*.ant&quot; GlobalMotionClip file to load.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalMotionClipOps.savefile &lt;global_motion_clip&gt; &lt;filename_string&gt; </code></pre><p>&apos;savefile&apos; expects a GlobalMotionClip, then a filename for the &quot;*.ant&quot; file to save.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalMotionClipOps.synthesize &lt;global_motion_clip&gt; </code></pre><p>&apos;synthesize&apos; expects a GlobalMotionClip and will synthesize it.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>GlobalMotionClip</strong> objects are found under <strong>the GlobalTracks.Block_Control</strong> list controller.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<p>   In order to call <code>globalMotionClipOps.savefile</code>, you could use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   GlobalMotionClipOps.savefile GlobalTracks.Block_Control.global_Motion_Clip__XXXXXX&quot;globalObject.ant&quot;\n\
   --where XXXXXX is the name of the object.\n\
</code></pre><p>   The available global motion clips can be seen by using the following code:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to GlobalTracks.Block_Control.numsubs do\n\
   (\n\
   localcontroller =GlobalTracks.Block_Control[i].object\n\
   if (classof controller == Global_Motion_Clip) do print controller \n\
   ) \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MotionClips-and-GlobalMotionClip.html\">MotionClips and GlobalMotionClip</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";