var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8DBFCC92-BF06-4C53-A4BA-8A0E1433D65D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BipWorkBench Core Interface</h1></div><p>This Core Interface exposes the functionality of the Workbench to MAXScript.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>All of the &apos;toggle&apos; functions are listed as BipAnimationWB actions in the Customize UI section.</p>\n\
<p>This gives users a quick way to mirror some workbench functionality in the trackview via quadmenus, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:BipWorkBench </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleShowX()   </code></pre><p>Toggles the <strong>X</strong> function curve display checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.GetShowX() </code></pre><p>Returns <strong>true</strong> if the <strong>X</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleShowY() </code></pre><p>Toggles the <strong>Y</strong> function curve display checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.GetShowY() </code></pre><p>Returns <strong>true</strong> if the <strong>Y</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleShowZ() </code></pre><p>Toggles the <strong>Z</strong> function curve display checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.getShowZ() </code></pre><p>Returns <strong>true</strong> if the <strong>Z</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleLayerEdit() </code></pre><p>Toggles the <strong>Show Layered Edit</strong> checkbutton</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.GetLayerEdit() </code></pre><p>Returns <strong>true</strong> if the <strong>Show Layered Edit</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleDrawDuringMove() </code></pre><p>Toggles the Draw While Moving checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.GetDrawDuringMove() </code></pre><p>Returns <strong>true</strong> if the <strong>Draw While Moving</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ToggleLimit180() </code></pre><p>Toggles the Limit -180 to 180 checkbutton</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BipWorkBench.GetLimit180() </code></pre><p>Returns <strong>true</strong> if the <strong>Limit -180 to 180</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Quat Curve</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowPosCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Pos Curve</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowAngSpeedCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Rot Speed</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowAngAccelCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Rot Accel</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowAngJerkCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Rot Jerk</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowPosSpeedCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Pos Speed</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowPosAccelCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Pos Accel</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowPosJerkCurve() </code></pre><p>Sets the Curve drop-down list to <strong>Pos Jerk</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.PosCurveToWorld() </code></pre><p>Put the position curve relative to the World. Checks the <strong>World</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.PosCurveToBipRoot() </code></pre><p>Put the position curve relative to the Root. Checks the <strong>Parent</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.PosCurveToThisNode&lt;node&gt;relativeToNode </code></pre><p>Put the position curve relative to the specified node. Checks the Node checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.Open() </code></pre><p>Opens the Animation Workbench.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatXYZ() </code></pre><p>Enables the Show Quat XYZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatXZY() </code></pre><p>Enables the Show Quat XZY option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatYXZ() </code></pre><p>Enables the Show Quat YXZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatYZX() </code></pre><p>Enables the Show Quat YZX option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatZXY() </code></pre><p>Enables the Show Quat ZXY option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipWorkBench.ShowQuatZYX() </code></pre><p>Enables the Show Quat ZYZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";