var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-025B6C97-8601-4FEF-ACB8-E47EE0929300\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXWrapper : Value</h1></div><p>The <strong>MAXWrapper</strong> class is the superclass of all classes in MAXScript that represent <strong>3ds Max</strong> objects, such as scene nodes, modifiers, materials, etc.</p>\n\
<p>MAXWrapper values contain references to the associated <strong>3ds Max</strong> objects that allow it keep track of the object.</p>\n\
<p>This allows MAXScript to know when a <strong>3ds Max</strong> object is transformed, deleted by the user, or its properties are changed.</p>\n\
<p>The <strong>properties</strong>, <strong>operators</strong>, and <strong>methods</strong> that are common to all classes derived directly from the MAXWrapper class are described in <a href=\"MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a>.</p>\n\
<p>The following classes are derived directly from the MAXWrapper class.</p>\n\
<p>Other classes are derived from these classes, and inherit the properties and methods defined for the MAXWrapper class.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : Value</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-MAXWrapper-1.html\">Node : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Material-MAXWrapper/Material-MAXWrapper-1.html\">Material : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Atmospheric-MAXWrapper/Atmospheric-MAXWrapper-1.html\">Atmospheric : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers/Controller-Types/Controllers-Superclass-Level.html\">Controllers - Superclass Level</a></li>\n\
          <li><a class=\"link\" href=\"../RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\">RenderEffect : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Elements/Render-Elements-1.html\">Render Elements</a></li>\n\
          <li><a class=\"link\" href=\"../BakeElement/Bake-Elements.html\">Bake Elements</a></li>\n\
          <li><a class=\"link\" href=\"../BitmapIO-MAXWrapper/BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";