var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7FBCA7A7-1F55-4BFE-91A2-AFC452D067F7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FFD_Cyl : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FFDCyl - superclass: modifier; super-superclass:MAXWrapper - classID: #(-1728873885, 1073650634)</code></pre><p><img src=\"./images/GUID-AF8C218D-B03E-4726-814B-C551E236045D-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ffdCyl ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.dispLattice Boolean default: true -- alias: Lattice</code></pre><p>Draws lines connecting the control points to make a grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.dispSource Boolean default: false&amp;emdash;alias: Source_Volume</code></pre><p>Displays the control points and lattice in their unmodified state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.deformType Integer default: 0</code></pre><p>Deform type:</p>\n\
<p>0- <strong>Only In Volume</strong> (Deforms vertices that lie inside the source volume. Vertices outside the source volume are not affected.)</p>\n\
<p>1- <strong>All Vertices</strong> (Deforms all vertices regardless of whether they lie inside or outside the source volume depending on the value in the Falloff spinner. The deformation outside the volume is a continuous extrapolation of the deformation inside the volume. Note that the deformation can be extreme for points far away from the source lattice.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.falloff Float default: 0.0 -- animatable</code></pre><p>Determines the distance from the lattice that the FFD effect will decrease to zero.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.tension Float default: 25.0 -- animatable</code></pre><p>Adjusts the tension of the deformation splines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.continuity Float default: 25.0 -- animatable</code></pre><p>Adjusts the continuity of the deformation splines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.inPoints Boolean default: true -- alias: Inside_Points</code></pre><p>Only control points inside the object are affected by Conform to Shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.outPoints Boolean default: true -- alias: Outside_Points</code></pre><p>Only control points outside the object are affected by Conform to Shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.offset Float default: 0.05 -- animatable</code></pre><p>The distance by which control points affected by Conform to Shape are offset from the object surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FFDCyl&gt;.lattice_transform SubAnim\n\
&lt;FFDCyl.lattice_transform&gt;.position Point3 default: [0,0,0] -- animatable\n\
&lt;FFDCyl.lattice_transform&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable\n\
&lt;FFDCyl.lattice_transform&gt;.scale Point3 default: [1,1,1] -- animatable</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">conformToShape &lt;FFDCyl&gt;</code></pre><p>conforms the control points of the FFD to the node the FFD is applied to. If an instance of the FFD modifier has been applied to more than one object, no action is performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resetLattice &lt;FFDCyl&gt;</code></pre><p>resets the control points of the FFD to their default positions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getDimensions &lt;FFDCyl&gt;\n\
setDimensions &lt;FFDCyl&gt; &lt;Point3&gt;</code></pre><p>sets the number of control points for the FFDCyl modifier. The first component value in the Point3 specifies the number of Side control points, the second the number of Radial control points, and the third the number of Height control points. The minimum component values are 6, 2, and 2, respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateVertex &lt;FFDCyl&gt; { &lt;integer_index&gt; | &lt;integer_index_array&gt; | #all}</code></pre><p>Applies controllers to the specified control points of the FFD modifier.</p>\n\
<p>By assigning controllers to the control points, the control points are added to the driver subAnim and appear as animatables in the Track View, allowing further scripting of the control points.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateVertex $box01.modifier[1] #all\n\
</code></pre><p>The control points to be animated are specified by index number or with the keyword <code>#all</code> to animate all control points.</p>\n\
<p>See also <a href=\"./../../../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a> and <a href=\"./../../../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a> for details on accessing the control points in an FFD and <a href=\"./../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a> for details on the coordinate system used for FFD control points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateAll &lt;FFDCyl&gt;</code></pre><p>Applies controllers to all control points of the FFD modifier.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The default number of control points in a FFDCyl created by MAXScript is always 4x6x4.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../FFD-Modifiers.html\">FFD Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";