var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-42908B30-BB2A-41B1-9F45-9CFD11E0C4CD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Optimize : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">optimize - superclass: modifier; super-superclass:MAXWrapper - classID: #(806193, 0) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">optimize ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.renderLOD Integer default: 0 </code></pre><p>You can store two different optimization settings for the renderer, in two separate levels; L1 &amp; L2. Set the level of display for the default scanline renderer:</p>\n\
<p>0- L1</p>\n\
<p>1- L2</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.viewLOD Integer default: 0 </code></pre><p>You can store two different optimization settings for the viewport, in two separate levels; L1 &amp; L2. Set the level of display for the viewport:</p>\n\
<p>0- L1</p>\n\
<p>1- L2</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.facethreshold1 Float default: 4.0 -- animatable, angle, alias: Face_Threshold_L1 </code></pre><p>The threshold angle used to determine which faces are collapsed. Low values produce less optimization but better approximations of the original shape. Higher values improve optimization, but are more likely to result in faces that render poorly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.edgethreshold1 Float default: 1.0 -- animatable, angle, alias: Edge_Threshold_L1 </code></pre><p>Sets a different threshold angle for open edges (those that bound only one face). A low value preserves open edges. At the same time you can apply a high face threshold to get good optimization.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.bias1 Float default: 0.1 -- animatable, alias: Bias_L1 </code></pre><p>Helps eliminate the skinny or degenerate triangles that occur during optimization, which can cause rendering artifacts. Higher values keeps triangles from becoming degenerate. The default of 0.1 is enough to eliminate the skinniest triangles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.MaxEdgeLength1 Float default: 0.0 -- animatable, alias: Max_Edge_Length_1 </code></pre><p>The maximum length, beyond which an edge cannot be stretched when optimized. When <code>MaxEdgeLength1</code> is 0, it has no effect. Any value greater than 0 specifies the maximum length of the edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.preservemat1 Boolean default: false </code></pre><p>When on, prevents face collapse across material boundaries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.preservesmooth1 Boolean default: false </code></pre><p>When turned on, allows only faces that share at least one smoothing group to collapse.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.facethreshold2 Float default: 4.0 -- animatable, angle, alias: Face_Threshold_L2 </code></pre><p>The threshold angle used to determine which faces are collapsed. Low values produce less optimization but better approximations of the original shape. Higher values improve optimization, but are more likely to result in faces that render poorly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.edgethreshold2 Float default: 1.0 -- animatable, angle, alias: Edge_Threshold_L2 </code></pre><p>Sets a different threshold angle for open edges (those that bound only one face). A low value preserves open edges. At the same time you can apply a high face threshold to get good optimization.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.bias2 Float default: 0.1 -- animatable, alias: Bias_L2 </code></pre><p>Helps eliminate the skinny or degenerate triangles that occur during optimization, which can cause rendering artifacts. Higher values keeps triangles from becoming degenerate. The default of 0.1 is enough to eliminate the skinniest triangles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.MaxEdgeLength2 Float default: 0.0 -- animatable, alias: Max_Edge_Length_2 </code></pre><p>The maximum length, beyond which an edge cannot be stretched when optimized. When <code>MaxEdgeLength2</code> is 0, it has no effect. Any value greater than 0 specifies the maximum length of the edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.preservemat2 Boolean default: false </code></pre><p>When on, prevents face collapse across material boundaries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.preservesmooth2 Boolean default: false </code></pre><p>When turned on, allows only faces that share at least one smoothing group to collapse.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.manualUpdate Boolean default: false </code></pre><p>When on, enables the Update button. When turned off, Optimize works as it does by default, updating the viewport display dynamically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;optimize&gt;.autoedge Boolean default: false </code></pre><p>When on, turns edges on and off following optimization. Turns on any open edges.</p>\n\
<p>Turns off any edges between faces whose normals are within the face threshold; such edges beyond the threshold are not turned on.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";