var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1DBA0C37-0535-47C5-9AAF-83C9195B8109\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VertexPaint : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">VertexPaint - superclass: modifier; super-superclass:MAXWrapper - 12:0 - classID: #(2126202437, 2078409803)</code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p>The original <strong>VertexPaint</strong> Class from older <strong>3ds Max</strong> versions has been renamed to <strong>OldVertexPaint</strong> in <strong>3ds Max 6</strong>. The new implementation has exactly the same class name but a different classID and completely replaces the old one.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vertexPaint ... PaintLayerMod...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing</code></pre><p>Get/Set the ignore backfacing option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.mapChannel Integer default: 0 -- integer; Map_Channel</code></pre><p>Get/Set the Map Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.layerMode String default: &quot;Normal&quot; -- string; Layer_Mode</code></pre><p>Get/Set the Layer Mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.layerOpacity Float default: 100.0 -- animatable; float; Layer_Opacity</code></pre><p>Get/Set the Layer Opacity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.layerIsolated BooleanClass default: false -- boolean; Layer_Isolated</code></pre><p>Get/Set the Layer Isolated mode. Corresponds to the &quot;Ignore Underlying Color&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.surviveCondense BooleanClass default: false -- boolean; Survive_Condense</code></pre><p>Get/Set the Survive Condense mode. Corresponds to the &quot;Preserve Layer&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.lightingModel Integer default: 1 -- integer; Lighting_Model</code></pre><p>Get/Set the Lighting model. Possible values are:</p>\n\
<ol>\n\
<li><p>- Lighting + Diffuse</p>\n\
</li>\n\
<li><p>- Lighting Only</p>\n\
</li>\n\
<li><p>- Diffuse Only</p>\n\
</li>\n\
</ol>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.colorBy Integer default: 0 -- integer; Color_By</code></pre><p>Get/Set the Color Assignment mode. Possible values are:</p>\n\
<ol>\n\
<li><p>- Color By Face</p>\n\
</li>\n\
<li><p>- Color By Vertex</p>\n\
</li>\n\
</ol>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.castShadows BooleanClass default: false -- boolean; Cast_Shadows</code></pre><p>Get/Set the Cast Shadows option state. Corresponds to the &quot;Shadows&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.useMaps BooleanClass default: false -- boolean; Use_Maps</code></pre><p>Get/Set the Use Maps option state. Corresponds to the &quot;Mapping&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.useRadiosity BooleanClass default: false -- boolean; Use_Radiosity</code></pre><p>Get/Set the Use Radiosity option state. Corresponds to the &quot;Use Radiosity&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.radiosityOnly BooleanClass default: false -- boolean; Radiosity_Only</code></pre><p>Get/Set the Radiosity Only option state. Corresponds to the &quot;Radiosity Only&quot; option in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.radiosityOption Integer default: 0 -- integer; Lighting_Model</code></pre><p>Get/Set the Radiosity Lighting Model index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;VertexPaint&gt;.hideUnselSubobjs BooleanClass default: false --  boolean; Hide_Unselected_Subobjects</code></pre><p>Hides or shows unselected sub objects. This option is not exposed in the UI.</p>\n\
<h3 id=\"interface-ivertexpaint\">Interface: IVertexPaint</h3><p>This interface provides paint state access for the <code>VertexPaint</code> modifier. To work with this interface:</p>\n\
<ol>\n\
<li>Obtain the paint state with <code>AcquirePaintState()</code>. This is a copy of the current state.</li>\n\
<li>Modify the state as desired.</li>\n\
<li>Re-apply the state using <code>ApplyPaintState()</code>.</li>\n\
<li>Optionally use <code>MergeVertexColors()</code> to capture baked vertex colors from below the <code>VertexPaint</code> modifier in the stack.</li>\n\
</ol>\n\
<p>Available in <strong>3ds Max 2019.3 Update</strong> and later.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;AcquirePaintState &lt;node&gt;node</code></pre><p>Gets a copy of the <code>VertexPaintState</code> object for the specified node. You need to get this object in order to modify it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ApplyPaintState &lt;node&gt;node &lt;Interface&gt;state</code></pre><p>Applies the specified <code>VertexPaintState</code> to the specified node. You must do this after you&apos;ve modified a <code>VertexPaintState</code> object and want to apply the changes back to the modified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ReleasePaintState &lt;node&gt;node &lt;Interface&gt;state</code></pre><p>Releases the specified <code>VertexPaintState</code> from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MergeVertexColors &lt;node&gt;node</code></pre><p>Merges any baked vertex colors on the specified node from below the VertexPaint modifier into the modfier&apos;s Paint.</p>\n\
<h3 id=\"interface-vertexpaintstate\">Interface: VertexPaintState</h3><p>This interface exposes methods to edit colors on a <code>VertexPaintState</code> object. There are two types of methods:</p>\n\
<ul>\n\
<li>&quot;Raw&quot; methods that work on the underlying internal color data in the <code>VertexPaintState</code> object. The color data is held in an &quot;exploded topology&quot; format, where each vertex holds a separate color value for each surrounding face. A vertex with four edges will have six color entries in a trimesh, four in a polymesh. These methods take a raw index, which you can obtain by passing the face and vertex indices to <code>GetRawIndex()</code>. The raw index is 1-based.</li>\n\
<li>Convenience methods that work on the calculated color by the mesh face and vertex indices.</li>\n\
</ul>\n\
<p>The color parameter for these methods is a Point4, in the format of [R,G,B,A], where the alpha channel affects the amount of paint applied, with 0.0 having no effect, and 1.0 is maximum (100%) effect.</p>\n\
<p>Available in <strong>3ds Max 2019.3 Update</strong> and later.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;ReleasePaintState()</code></pre><p>Releases the current paint state object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumRawColors()</code></pre><p>Returns the number of raw color entries held by the VertexPaintState object. This is the number of raw indices in the exploded topology.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetRawIndex &lt;index&gt;faceIndex &lt;index&gt;vertIndex</code></pre><p>Returns the raw index for the vertex specified by face index and vertex index. This is the index for the color value held by the vertex in the internal &quot;exploded topology&quot;, where each vertex holds a separate color value for each adjacent face. You need this index to call <code>GetRawColor()</code> or <code>SetRawColor()</code>. The raw index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;GetRawColor &lt;index&gt;rawIndex</code></pre><p>Returns the raw color for the specified vertex. Use <code>GetRawIndex()</code> to get the raw index for a specific vertex/face combination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;GetVertAverageColor &lt;index&gt;vertIndex</code></pre><p>Gets the average color for all the color entries (one per adjacent face) the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;GetFaceAverageColor &lt;index&gt;faceIndex</code></pre><p>Gets the average color (the color value for that face held by all its vertices), for the face specified by <code>faceIndex</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;GetFaceVertColor &lt;index&gt;faceIndex &lt;index&gt;vertIndex</code></pre><p>Gets the color for</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetRawColor &lt;index&gt;rawIndex &lt;point4&gt;color</code></pre><p>Set the color of a single vertex entry via its &quot;raw&quot; index. You can obtain this index using <code>GetRawIndex()</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetVertColor &lt;index&gt;vertIndex &lt;point4&gt;color</code></pre><p>Sets the color for the specified vertex, affecting all entries held by the vertex. The vertex holds a color entry for each adjacent face. A vertex with four edges has six color entries in a trimesh, four in a polymesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetFaceColor &lt;index&gt;faceIndex &lt;point4&gt;color</code></pre><p>Sets the color for all entries for the specified face. A face with four edges has six color entries in a trimesh, and four entries in a polymesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetFaceVertColor &lt;index&gt;faceIndex &lt;index&gt;vertIndex &lt;point4&gt;color</code></pre><p>Set the color entry for a single face/vertex combination. This is a convenience method that is functionally equivalent to getting the raw index for the face/index combination, and calling <code>SetRawColor()</code>.</p>\n\
<h3 id=\"for-example\">For Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Demo: VertexPaint Scripting\n\
\n\
fn doYourThing = (print &quot;doing my thing&quot;)\n\
\n\
-- Create an object and VertexPaint\n\
g = Box() -- geometry object\n\
    v = PaintLayerMod()\n\
    addModifier g v\n\
    g.showVertexColors = on\n\
\n\
\n\
\n\
-- ---------- PAINT COLOR STATE ----------\n\
-- Create a VertexPaint State object\n\
-- This captures the current state into the object for editing.\n\
-- Note:  Necessary to pass the node as a parameter to disambiguate,\n\
-- since the modifier could be applied on multiple objects.\n\
    s = v.AcquirePaintState g\n\
\n\
\n\
\n\
-- ---------- RAW COLOR ACCESS ----------\n\
-- Check how many color entries are in the state\n\
    s.GetNumRawColors()\n\
-- Each vertex has multiple entries, one for each face surrounding the vert.\n\
-- VertexPaint maintain an &quot;exploded topology&quot; at all times.\n\
-- Set a raw color entry, index is 1-based (not 0-based)\n\
    s.SetRawColor 1 [1, 0.5, 0, 1]\n\
    v.ApplyPaintState g s\n\
-- Four entries are R,G,B and Amount, which is the amount of paint applied, and acts\n\
-- like a mask in Photoshop terms.  Amount of zero means the paint has no effect.\n\
-- Red 1.0 (maximum), Green 0.5, Blue 0.0 = Orange\n\
\n\
\n\
\n\
-- ---------- VERTEX COLOR ACCESS ----------\n\
-- Set a vertex color, affects all entries for the vert.\n\
-- A vert with four visible edges has about six entries in a trimesh, four in a polymesh\n\
    s.SetVertColor 1 [1, 0.5, 0, 1]\n\
-- Apply the state back to the modifier\n\
    v.ApplyPaintState g s\n\
-- Get a vertex color, this takes the average of all entries for the vert\n\
    c = s.GetVertAverageColor 1\n\
    if( c != [1, 0.5, 0, 1] ) do UhOh()\n\
\n\
\n\
\n\
-- ---------- FACE COLOR ACCESS ----------\n\
-- Set a face color, affects all entries for the face.\n\
-- A face with four edges has six color entries in a trimesh,  four in a polymesh\n\
    s.SetFaceColor 1 [1, 0.5, 0, 1]\n\
-- Apply the state back to the modifier\n\
    v.ApplyPaintState g s\n\
-- Get a face color, this takes the averaage of all entries for the face\n\
    c = s.GetFaceAverageColor 1\n\
    if( c != [1, 0.5, 0, 1] ) do UhOh()\n\
\n\
\n\
\n\
-- ---------- FACE VERT COLOR ACCESS ----------\n\
-- Specify both a face and a vert (in that order) to indicate a single raw entry\n\
    faceNum=2\n\
    vertNum=4\n\
    s.SetFaceVertColor faceNum vertNum [1, 0, 0, 1]\n\
-- OR, get the equivalent index to use with SetRawColor()\n\
    x = s.GetRawIndex faceNum vertNum\n\
    s.SetRawColor x [0, 1, 0, 1]\n\
-- Apply the state back to the modifier\n\
    v.ApplyPaintState g s\n\
\n\
\n\
\n\
-- ---------- CAPTURE COLORS ----------\n\
-- Capture any existing vertex colors on an object into a new VertexPaint.\n\
-- Specify the map channel you&apos;re interested to capture\n\
    v.mapChannel = 3\n\
    v.MergeVertexColors g\n\
-- This is similar to &quot;Condense to Single Layer&quot;,\n\
-- however it does not delete any modifiers.\n\
-- Fetch the state again for editing\n\
    s = v.AcquirePaintState g\n\
\n\
\n\
\n\
-- ---------- !! WARNING !! ----------\n\
-- ---------- SELECTIONS ----------\n\
-- The sub-object selection masks the operation of ApplyPaintState(),\n\
-- just like it masks the effect of brush strokes.\n\
-- If you do not want this behavior, make sure to clear the selection\n\
    selHoldSubobjLevel = 0\n\
    if( (finditem (selection as array) g) &gt; 0 )  do -- are we selected?\n\
    (\n\
        selHoldSubobjLevel = subobjectLevel -- remember subobject level\n\
        subobjectLevel = 0 -- go to object level\n\
    )\n\
-- Do your thing\n\
    doYourThing()\n\
-- Revert selection after\n\
    if( selHoldSubobjLevel &gt; 0 ) do (\n\
        subobjectLevel = selHoldSubObjLevel\n\
    )</code></pre><p><strong>Below is the original definition of the old VertexPaint Modifier:</strong></p>\n\
<h2 id=\"oldvertexpaint-modifier\">OldVertexPaint : Modifier</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OldVertexPaint - superclass: modifier; super-superclass:MAXWrapper - classID: #(1715171243, 1945400197)</code></pre><p><strong>Class instances not creatable in 3ds Max 6 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Vertex-Paint-Tools/Vertex_Paint_Floater.html\">Vertex_Paint_Floater : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";