var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-50EF4FBD-2F7F-4037-8E5C-371300EAB45D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OpenSubdiv : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OpenSubdiv - superclass: modifier; super-superclass:MAXWrapper - 14:0 - classID: #(1942811466, -1698937348)</code></pre><p>Exposes the Open Subdiv Modifier to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> OpenSubdiv ...\n\
OpenSubdivMod ... </code></pre><h2 id=\"properties-\">Properties:</h2><p><strong>General Controls Rollout</strong></p>\n\
<p>Main Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.iterations     Integer    default: 1   --  animatable; integer</code></pre><p>Gets/sets the value of the <strong>&quot;Iterations&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.useRenderIterations     BooleanClass    default: false   --  boolean; Use_Render_Iterations</code></pre><p>Gets/sets the state of the <strong>&quot;Render Iters&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.renderIterations     Integer    default: 0   --  animatable; integer; Render_Iterations</code></pre><p>Gets/sets the value of the <strong>&quot;Render Iters&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.isolineDisplay     BooleanClass    default: true   --  boolean; Isoline_Display</code></pre><p>Gets/sets the state of the <strong>&quot;Isoline Display&quot;</strong> checkbox.</p>\n\
<p>Operating Mode Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.mode     Integer    default: 0   --  integer</code></pre><p>Gets/sets the state of the <strong>&quot;Operating Mode&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Mesh Output</strong> (default)</p>\n\
<p>1 - <strong>GPU Display</strong></p>\n\
<p>If GPU Display is not supported on the current system, setting this property to a value other than 0 will have no effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.solverType     Integer    default: 0   --  integer</code></pre><p>Reserved for future use.</p>\n\
<p>Not exposed to the UI.</p>\n\
<p><strong>OpenSubdiv Controls Rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.vertboundary     Integer    default: 1   --  integer</code></pre><p>Gets/sets the selection of the <strong>&quot;Vertex Boundary&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Interp. Edges</strong></p>\n\
<p>1 - <strong>Interp. Edges &amp; Corners</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.fvarboundary     Integer    default: 3   --  integer</code></pre><p>Gets/sets the selection of the <strong>&quot;UV Boundary&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Bilinear (None)</strong></p>\n\
<p>1 - <strong>Smooth (Edge Only)</strong></p>\n\
<p>2 - <strong>Smooth (Edge &amp; Corner)</strong></p>\n\
<p>3 - <strong>Smooth (Always Sharp)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.propagatecorners     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets the state of the <strong>&quot;Propagate Corners&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.smoothtriangles     BooleanClass    default: true   --  boolean</code></pre><p>Gets/sets the state of the <strong>&quot;Smooth Triangles&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.creasemethod     Integer    default: 0   --  integer</code></pre><p>Gets/sets the selection of the <strong>&quot;Creases&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Normal</strong></p>\n\
<p>1 - <strong>Chaikin</strong></p>\n\
<p><strong>Adaptive Subdivision Group Of Controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.adaptive     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets the state of the <strong>&quot;Adaptive&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.adaptiveIterations     Integer    default: 1   --  integer</code></pre><p>Gets/sets the value of the <strong>&quot;Max. Iterations&quot;</strong> spinner.</p>\n\
<p><strong>Mesh Controls Rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OpenSubdiv&gt;.update     Integer    default: 0   --  integer; Update_Options</code></pre><p>Gets/sets the state of the <strong>&quot;Update Options&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Rendering</strong></p>\n\
<p>2 - <strong>Manual</strong></p>\n\
<h2 id=\"opensubdiv-interfaces-\">OpenSubdiv interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: OSDModOps</code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GPUTestWindow()</code></pre><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Subdivision-Surfaces.html\">Subdivision Surfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";