var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-830F23A3-E594-476D-B531-631BCD72EB42\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Command Panel Controls</h1></div><p>The following methods require that the Unwrap UVW modifier is the <strong>displayed modifier</strong> in the Modify panel, and that the <strong>Modify panel is active</strong>.</p>\n\
<h2 id=\"unwrap_uvw-ui-selection-rollout\">Unwrap_UVW UI - Selection Rollout</h2><p><img src=\"./images/GUID-57FFC67C-CB2C-46B1-B61C-D66C3FDC869B-low.bmp\" alt></p>\n\
<h3 id=\"sub-object-mode\">Sub-Object Mode</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getTVSubObjectMode() </code></pre><p>Returns the sub-object mode index.</p>\n\
<p>0 - None</p>\n\
<p>1 - Vertex</p>\n\
<p>2 - Edge</p>\n\
<p>3 - Face</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTVSubObjectMode &lt;integer&gt;mode </code></pre><p>Sets the sub-object mode:</p>\n\
<p>0 - None</p>\n\
<p>1 - Vertex</p>\n\
<p>2 - Edge</p>\n\
<p>3 - Face</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGeomSelectElementMode() </code></pre><p>Returns the state of the Select By Element checkbox in the modifier&#x2019;s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomSelectElementMode &lt;boolean&gt;mode </code></pre><p>Sets the state of the Select By Element checkbox in the modifier&#x2019;s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectElement() </code></pre><p>Select the Element using the current selection.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomVerts() </code></pre><p>Returns a bitarray with bits set for the selected geometry vertices.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomVerts &lt;bitArray&gt;selection </code></pre><p>Selects the geometry vertices using the bitarray argument.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomEdges() </code></pre><p>Returns a bitarray with bits set for the selected geometry edges.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomEdges &lt;bitArray&gt;selection </code></pre><p>Selects the geometry edges using the bitarray argument.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h3 id=\"modify-selection\">Modify Selection</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomVertexSelection() </code></pre><p>Grows the Vertex Selection.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Vertex Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomVertexSelection() </code></pre><p>Shrinks the Vertex Selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Vertex Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomEdgeSelection() </code></pre><p>Expands the Edge Selection.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Edge Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomEdgeSelection() </code></pre><p>Contracts the Edge Selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Edge Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.expandGeomFaceSelection() </code></pre><p>Expands the face selection in the viewport.</p>\n\
<p>Equivalent to clicking the <strong>Grow Geom. Selection</strong> icon while in Face Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.contractGeomFaceSelection() </code></pre><p>Contracts the Face selection.</p>\n\
<p>Equivalent to clicking the <strong>Shrink Geom. Selection</strong> icon while in Face Sub-Object mode.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.geomEdgeLoopSelection() </code></pre><p>Performs Edge Loop Selection.</p>\n\
<p>Equivalent to clicking the <strong>Select Edge Loop</strong> icon.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.geomEdgeRingSelection() </code></pre><p>Performs Edge Ring Selection.</p>\n\
<p>Equivalent to clicking the <strong>Select Edge Ring</strong> icon.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h3 id=\"select-by\">Select By</h3><h4 id=\"ignore-backfacing-subobject\">Ignore Backfacing Subobject</h4><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getIgnoreBackFaceCull() </code></pre><p>Returns the state of the Ignore Backfacing checkbox in the modifier&#x2019;s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setIgnoreBackFaceCull &lt;boolean&gt;ignoreBackFaceCull </code></pre><p>Sets the state of the Ignore Backfacing checkbox in the modifier&#x2019;s UI.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h4 id=\"planar-threshold\">Planar Threshold</h4><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getGeomPlanarThresholdMode() </code></pre><p>Returns true if the <strong>Planar Angle</strong> mode is checked, false otherwise. Corresponds to the checkbox in front of the Planar Angle value in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomPlanarThresholdMode &lt;boolean&gt;mode </code></pre><p>Sets the <strong>Planar Angle</strong> mode state. Corresponds to the checkbox in front of the Planar Angle value in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getGeomPlanarThreshold() </code></pre><p>Returns the <strong>Planar Angle</strong> value.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGeomPlanarThreshold &lt;float&gt;angle </code></pre><p>Sets the Planar Angle value.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h4 id=\"select-by-material-id\">Select By Material ID</h4><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectByMatID &lt;integer&gt;matID </code></pre><p>Selects the faces with the specified Material ID. Corresponds to the Select MatID button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getSelectMatID() </code></pre><p>Returns the value in the Select MatID (Material ID) spinner in the Unwrap_UVW modifier&apos;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectMatID &lt;integer&gt;matID </code></pre><p>Sets the value in the Select MatID (Material ID) spinner in the Unwrap_UVW modifier&apos;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<h4 id=\"select-by-smoothing-group\">Select By Smoothing Group</h4><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectBySG &lt;integer&gt;sg </code></pre><p>Selects the faces with the specified Smoothing Group. Corresponds to the Select SG button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getSG() </code></pre><p>Returns the value in the Select SG (Smoothing Group) spinner in the Unwrap_UVW modifier&apos;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSG &lt;integer&gt;sgID </code></pre><p>Sets the value in the Select SG (Smoothing Group) spinner in the Unwrap_UVW modifier&apos;s User Interface.</p>\n\
<p>The Unwrap UVW modifier must be the current modifier in the Modify panel and the Modify panel must be active.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<h2 id=\"unwrap_uvw-ui-edit-uvs\">Unwrap_UVW UI - Edit UVs</h2><p><img src=\"./images/GUID-FFD023DE-D933-4B2D-9656-D5FE5C3DAAB0-low.bmp\" alt></p>\n\
<h3 id=\"open-uv-editor-button\">Open UV Editor Button</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.edit() </code></pre><p>Presses the <strong>Open UV Editor</strong> button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<p><a name=\"tweak-mode-button\"></a></p>\n\
<h3 id=\"tweak-mode-button\">Tweak Mode Button</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTweakMode()</code></pre><p>Returns true if the Unwrap Editor is in Tweak Mode, false if it is not in Tweak Mode.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.setTweakMode &lt;boolean&gt;on</code></pre><p>Enables/disables the Tweak Mode.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<h3 id=\"quick-planar-map\">Quick Planar Map</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.planarMap() </code></pre><p>Presses the <strong>Quick Planar Map</strong> button.</p>\n\
<p>Creates planar mapping using the Mapping Align radio button settings.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getProjectionType() </code></pre><p>Returns the state of the Mapping Align radio buttons:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>4 - Averaged Normals</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setProjectionType &lt;integer&gt;projection </code></pre><p>Sets the Mapping Align radio buttons state:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>4 - Averaged Normals</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"channel-rollout\">Channel Rollout</h2><p><img src=\"./images/GUID-C9FC75EF-5293-435D-98ED-896ABC8B5823-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.reset() </code></pre><p>Presses the <strong>Reset UVWs</strong> button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.save() </code></pre><p>Presses the <strong>Save</strong> button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.load() </code></pre><p>Presses the <strong>Load</strong> button in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h3 id=\"channel-group-of-controls\">Channel Group Of Controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getMapChannel() </code></pre><p>Returns the mapping channel set for editing in the modifier&#x2019;s UI.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Channel 1 returns 0 instead. This is for backwards compatibility with older max versions where the only UVW Channel was 0 and the Vertex Color channel was 1.</div>\n\
<p>0 - UVW Channel 1</p>\n\
<p>1 - Vertex Colors Channel</p>\n\
<p>2..99 - UVW Channels 2 .. 99</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $.unwrap_uvw.unwrap.setMapChannel 10 --set map channel to 10\n\
   $.unwrap_uvw.unwrap.getMapChannel()--returns 10\n\
   $.unwrap_uvw.unwrap.setMapChannel 1--set map channel to 1\n\
   $.unwrap_uvw.unwrap.getMapChannel()--although set to 1, returns 0\n\
   $.unwrap_uvw.unwrap.setMapChannel 2--set map channel to 2\n\
   $.unwrap_uvw.unwrap.getMapChannel()--returns 2\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setMapChannel &lt;integer&gt;mapChannel </code></pre><p>Sets the Map Channel field in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getVC() </code></pre><p>Returns the state of the <strong>Vertex Color Channel</strong> radio button in the rollup.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setVC &lt;boolean&gt;vertexColor </code></pre><p>When set to true, activates the <strong>Vertex Colors Channel</strong> radio button in the Channel Group. When set to false, enables Map Channels.</p>\n\
<p>Exposed using <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"peel-rollout\">Peel Rollout</h2><p><img src=\"./images/GUID-854D7402-D57F-4AE0-9BD3-9EBD25A26314-low.bmp\" alt></p>\n\
<h3 id=\"quick-peel-icon\">Quick Peel Icon</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMInteractive &lt;boolean&gt;useExistingMapping</code></pre><p>Equivalent to pressing the Quick Peel Icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\"Unwrap_UVW-Modifier-LSCM-Peel.html\">Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<h3 id=\"peel-mode-icon\">Peel Mode Icon</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMSolve()</code></pre><p>Equivalent to pressing the Peel Mode icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\"Unwrap_UVW-Modifier-LSCM-Peel.html\">Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<h3 id=\"reset-peel-icon\">Reset Peel Icon</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMReset()</code></pre><p>Equivalent to pressing the Reset icon in the Peel rollout of the Unwrap_UVW Modifier.</p>\n\
<p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>See also the <a href=\"Unwrap_UVW-Modifier-LSCM-Peel.html\">Unwrap_UVW Modifier - LSCM Mapping</a> topic.</p>\n\
<h3 id=\"pelt-map-icon\">Pelt Map Icon</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltMapMode() </code></pre><p>Exposed using <code>unwrap6</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>Implementation currently missing</strong></div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltMapMode &lt;boolean&gt;mode </code></pre><p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>Implementation currently missing</strong></div>\n\
<p>Use <code>&lt;Unwrap_UVW&gt;.mappingMode 5</code> instead to enter Pelt Mapping Mode.</p>\n\
<h3 id=\"seams-group-of-controls\">Seams Group Of Controls</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltEditSeamsMode() </code></pre><p>Returns true if in <strong>Edit Seams</strong> mode, false otherwise.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltEditSeamsMode &lt;boolean&gt;mode </code></pre><p>Pass true as argument to enable the <strong>Edit Seams</strong> mode, or false to disable.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltPointToPointSeamsMode() </code></pre><p>Returns true if in Point To Point Seams mode, false otherwise.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltPointToPointSeamsMode &lt;boolean&gt;mode </code></pre><p>Pass true as argument to enable the Point To Point Seams mode, or false to disable.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltExpandSelectionToSeams() </code></pre><p>Expands the Face Selection to the Seams.</p>\n\
<p>Equivalent to clicking the <strong>Expand Face Selection To Seams</strong> icon.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltEdgeSelToSeam &lt;boolean&gt;replace </code></pre><p>Converts the Edge Selection to Seams. If the argument is passed as true, any existing Seams will be replaced.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.peltSeamToEdgeSel &lt;boolean&gt;replace </code></pre><p>Converts the Seams to Edge Selection. If the argument is passed as true, any existing edge selection will be replaced.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getPeltSelectedSeams() </code></pre><p>Returns a bitarray of the selected seams.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltSelectedSeams &lt;bitArray&gt;selection </code></pre><p>Sets the seams to the supplied bitarray argument.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"unwrap_uvw-ui-projection-rollout\">Unwrap_UVW UI - Projection Rollout</h2><p><img src=\"./images/GUID-D7F549C2-0180-431A-9CFA-A4053E9D78E2-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingMode &lt;integer&gt;mode </code></pre><p>Sets the mapping mode to the specified mode.</p>\n\
<p>Possible argument values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Planar</p>\n\
<p>2 - Cylindrical</p>\n\
<p>3 - Spherical</p>\n\
<p>4 - Box</p>\n\
<p>5 - Pelt</p>\n\
<p>6 and higher - Free</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --make sure the modifier is displayed in the Modify panel:\n\
   max modify mode\n\
   modPanel.setCurrentObject $Teapot01.Unwrap_UVW\n\
   $Teapot01.Unwrap_UVW.mappingMode 5--enter Pelt Mapping Mode\n\
</code></pre></blockquote>\n\
<h3 id=\"align-options-group-of-controls\">Align Options group of controls</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingAlign &lt;integer&gt;axis </code></pre><p>Aligns the mapping gizmo to the specified axis.</p>\n\
<p>Possible argument values are:</p>\n\
<p>0 - Align Mapping to X</p>\n\
<p>1 - Align Mapping to Y</p>\n\
<p>2 - Align Mapping to Z</p>\n\
<p>3 - Align Mapping to Average Normal</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingAlignToView() </code></pre><p>Aligns the mapping gizmo to the view.</p>\n\
<p>Corresponds to pressing the <strong>Align To View</strong> button.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingCenter() </code></pre><p>Center the mapping gizmo to the selection. Corresponds to pressing the <strong>Center</strong> button.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingFit() </code></pre><p>Fits the mapping gizmo to the selection.</p>\n\
<p>Corresponds to pressing the <strong>Fit</strong> button.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.mappingReset() </code></pre><p>Resets the Mapping gizmo. Corresponds to pressing the <strong>Reset Mapping Gizmo</strong> button.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;&lt;Unwrap_UVW&gt;.getGizmoTM() </code></pre><p>Returns the transformation matrix of the mapping gizmo.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setGizmoTM &lt;matrix3&gt;tm </code></pre><p>Sets the transformation matrix of the mapping gizmo to the matrix3 argument.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"configure-rollout\">Configure Rollout</h2><p><img src=\"./images/GUID-65265AF9-AEAB-4AC6-B65C-A5462E1317ED-low.bmp\" alt></p>\n\
<h3 id=\"display-settings\">Display Settings</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getViewportOpenEdges() </code></pre><p>Returns the state of the <strong>Map Seam</strong> checkbox.</p>\n\
<p>Exposed using <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setViewportOpenEdges &lt;boolean&gt;show </code></pre><p>Sets the state of the <strong>Map Seam</strong> checkbox.</p>\n\
<p>Exposed using <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPeltAlwaysShowSeams() </code></pre><p>Returns the state of the <strong>Peel Seam</strong> checkbox.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltAlwaysShowSeams &lt;boolean&gt;show </code></pre><p>Sets the state of the <strong>Peel Seam</strong> checkbox.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getThickOpenEdges() </code></pre><p>Returns the state of the <strong>Thick/ThinSeam Display</strong> radio button.</p>\n\
<p>If the result is true, the radio buttons are set to &quot;Thick Seam Display&quot;. If false, they are set to &quot;Thin Seam Display&quot;.</p>\n\
<p>Exposed using <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setThickOpenEdges &lt;boolean&gt;thick </code></pre><p>Sets the state of the <strong>Thick/ThinSeam Display</strong> radio buttons.</p>\n\
<p>If the argument is true, the radio buttons are set to &quot;Thick Seam Display&quot;. If false, they are set to &quot;Thin Seam Display&quot;.</p>\n\
<p>Exposed using <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h3 id=\"prevent-reflattening-option\">Prevent Reflattening Option</h3><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPreventFlattening() </code></pre><p>Returns the state of the Prevent Reflattening checkbox in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPreventFlattening &lt;boolean&gt;preventFlattening </code></pre><p>Sets the state of the Prevent Reflattening checkbox in the modifier&#x2019;s UI.</p>\n\
<p>Exposed using <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h3 id=\"normalize-map-option\">Normalize Map Option</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getNormalizeMap() </code></pre><p>Returns the state of the Normalize Map checkbox.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setNormalizeMap &lt;boolean&gt;normalize </code></pre><p>Sets the state of the Normalize Map checkbox.</p>\n\
<p>Exposed using <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";