var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AE92D209-6295-4D09-A940-370079FFD96D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Render UV Template</h1></div><p>The following properties and methods expose the Render UV Template Dialog settings of the UnwrapUVW Modifier to MAXScript.</p>\n\
<p><img src=\"./images/GUID-BD118061-ACF4-4D08-8DCB-5EDBA753BC3D-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_width Integer default: 1024 -- integer; Width </code></pre><p>Get/Set the Image Width.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_height Integer default: 1024 -- integer; Height </code></pre><p>Get/Set the Image Height.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_force2sided BooleanClass default: true -- boolean; Force_2_Sided </code></pre><p>Get/Set the state of the Force 2-Sided checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_fillColor Color default: (color 127.5 127.5 127.5) -- RGB color; Fill_Color </code></pre><p>Get/Set the Fill Color value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_fillalpha Float default: 1.0 -- float; Fill_Alpha </code></pre><p>Get/Set the Fill Alpha value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_fillmode Integer default: 0 -- integer; Fill_Mode </code></pre><p>Get/Set the Fill Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong></p>\n\
<p>1 - <strong>Solid</strong></p>\n\
<p>2 - <strong>Normal</strong></p>\n\
<p>3 - <strong>Shaded</strong></p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_showoverlap BooleanClass default: true -- boolean; Overlap </code></pre><p>Get/Set the state of the Show Overlap checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_overlapColor Color default: (color 255 0 0) -- RGB color; Overlap_Color </code></pre><p>Get/Set the Overlap color. A</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_edgeColor Color default: (color 255 255 255) -- RGB color; Edge_Color </code></pre><p>Get/Set the Edge color.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_edgealpha Float default: 1.0 -- float; Edge_Alpha </code></pre><p>Get/Set the Edge Alpha value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_visibleedges BooleanClass default: true -- boolean; Visible_Edges </code></pre><p>Get/Set the state of the Visible Edges checkbox. When true, visible edges will be rendered.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_invisibleedges BooleanClass default: false -- boolean; Invisible_Edges </code></pre><p>Get/Set the state of the Invisible Edges checkbox. When true, invisible edges will be rendered.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_seamedges BooleanClass default: true -- boolean; Seam_Edges </code></pre><p>Get/Set the state of the Seam Edges checkbox. When true, seam edges will be rendered.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_seamColor Color default: (color 0 255 0) -- RGB color; Seam_Color </code></pre><p>Get/Set the color to render Seam Edges with.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.renderuv_showframebuffer BooleanClass default: true -- boolean; Show_Frame_Buffer </code></pre><p>When true, theframe buffer will be displayed.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.renderUVDialog() </code></pre><p>Opens the Render UVW Template dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.renderUV &lt;filename&gt;fileName </code></pre><p>Renders a UVW Template to the specified file name using the current Render UVW Template dialog settings.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";