var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B540D1D-6B16-47DD-9530-FE3C3CF57E07\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Inverse Kinematics Methods</h1></div><p>The following methods get and set the node&apos;s IK values as seen in the Hierarchy panel, Object Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRotTaskWeight &lt;node&gt; </code></pre><p>Returns the rotation binding weight for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setRotTaskWeight &lt;node&gt; &lt;float&gt; </code></pre><p>Sets the rotation binding weight for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPosTaskWeight &lt;node&gt; </code></pre><p>Returns the position binding weight for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setPosTaskWeight &lt;node&gt; &lt;float&gt; </code></pre><p>Sets the position binding weight for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTaskAxisState &lt;node&gt; &lt;pos_or_rot_integer&gt; &lt;axis_integer&gt; </code></pre><p>Returns <code>true</code> or <code>false</code> to indicate if the specified axis is turned on for position or rotation binding. If an axis is turned off, the specified axis is no longer influenced by the follow object or the IK Controller Position end effector. <code>&lt;pos_or_rot_integer&gt;</code> sets whether the method returns the position state or the rotation state: 0 specifies position and 1 specifies rotation . <code>&lt;axis_integer&gt;</code> sets the axis to check: 0 specifies X, 1 specifies Y, and 2 specifies Z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTaskAxisState &lt;node&gt; &lt;pos_or_rot_integer&gt; &lt;axis_integer&gt; &lt;boolean&gt; </code></pre><p>Sets the axis state for position or rotation binding to the specified boolean value. See <code>getTaskAxisState()</code> for a description of the parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mirrorIKConstraints &lt;node&gt; &lt;axis_integer&gt; &lt;pos_or_rot_integer&gt; </code></pre><p>Mirrors the specified IK constraints on the specified node&apos;s transform controller about the specified axis . <code>&lt;axis_integer&gt;</code> specifies the axis of reflection: 0 for X, 1 for Y, and 2 for Z . <code>&lt;pos_or_rot_integer&gt;</code> specifies which type of constraints are being mirrored: 0 for position and 1 for rotation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nodeIKParamsChanged &lt;node&gt; </code></pre><p>Call this method when one of the node level IK parameters has been changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OKToBindToNode &lt;ik_node&gt; &lt;node&gt; </code></pre><p>Returns <code>true</code> if the <code>&lt;ik_node&gt;</code> can be bound to the <code>&lt;node&gt;</code> as a follow object, <code>false</code> otherwise. If the <code>&lt;ik_node&gt;</code> is not part of an IK system, this method always returns <code>true</code> . This method tests <code>&lt;node&gt;</code> to see if its transform is dependent on the IK system, and returns <code>false</code> if it is.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";