var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E2F6EF93-B8D8-43B7-BC21-2A20A4899EA1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scatter : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scatter - superclass: GeometryClass; super-superclass:node - classID:#(1545869245, 1141180772) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<p>Scatter compounds are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Duplicates Integer default: 1 -- animatable   </code></pre><p>The number of scattered duplicates of the source object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Base_Scale Float default: 100.0 -- animatable, percentage </code></pre><p>Alters the scale of the source object, affecting each duplicate identically. This scale occurs before any other transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Vertex_Chaos Float default: 0.0 -- animatable </code></pre><p>Applies a random perturbation to the vertices of the source object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Animation_Offset Time default: 0f -- animatable </code></pre><p>The number of frames by which each source object duplicate&apos;s animation is offset from the previous duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.x_rotation Float default: 0.0 -- animatable </code></pre><p>The maximum random rotational offset you want about the local X-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.y_rotation Float default: 0.0 -- animatable </code></pre><p>The maximum random rotational offset you want about the local Y-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.z_rotation Float default: 0.0 -- animatable </code></pre><p>The maximum random rotational offset you want about the local Z-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.X_Translation Float default: 0.0 -- animatable </code></pre><p>The maximum random movement you want along the X-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Y_Translation Float default: 0.0 -- animatable </code></pre><p>The maximum random movement you want along the Y-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Z_Translation Float default: 0.0 -- animatable </code></pre><p>The maximum random movement you want along the Z-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.A_Translation_on_Face Float default: 0.0 -- animatable </code></pre><p>The first <a href=\"./../../../Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\">barycentric coordinate</a> on the surface of the face, upon which duplicates are translated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.B_Translation_on_Face Float default: 0.0 -- animatable </code></pre><p>The second <a href=\"./../../../Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\">barycentric coordinate</a> on the surface of the face, upon which duplicates are translated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.N_Translation_on_Face Float default: 0.0 -- animatable </code></pre><p>The offset along the normal of the face, upon which duplicates are translated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Local_X_Scaling Float default: 0.0 -- animatable </code></pre><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Local_Y_Scaling Float default: 0.0 -- animatable </code></pre><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.Local_Z_Scaling Float default: 0.0 -- animatable </code></pre><p>The percent of random scaling along the X-axis of each duplicate.</p>\n\
<p>The following properties are available only after the Scatter object has been created.</p>\n\
<p>The values shown for the properties are those for a Scatter object created from two boxes.</p>\n\
<p>The operand transforms are in the local coordinate system of the Scatter object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scatter&gt;.S_Box04 SubAnim default: SubAnim:S_Box04\n\
&lt;Scatter&gt;.Operand_A_Transform SubAnim default: SubAnim:Operand_A_Transform\n\
&lt;Scatter&gt;.D_Box05 SubAnim default: SubAnim:D_Box05\n\
&lt;Scatter&gt;.Operand_B_Transform SubAnim default: SubAnim:Operand_B_Transform</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Many properties associated with Scatter are not accessible to MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";