var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-22BE07E9-E903-4686-B3F7-C26D35D16FE5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>nvCapsule : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvCapsule - superclass: GeometryClass; super-superclass:node - 4:1 - classID: #(2008240352, 979120522)</code></pre><p>Implements the Capsule shape used by the <a href=\"./../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX RBody Modifier</a> as Proxy Geometry.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvCapsule ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;nvCapsule&gt;.Capsule Capsule default: Capsule -- read-only; SubAnim</code></pre><p>Get the <a href=\"./../Geometry-Extended-Objects/Capsule-GeometryClass.html\">Capsule primitive</a>instance used by the plugin as delegate object to extend upon. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;nvCapsule&gt;.radius Float default: 1.0 -- animatable; float</code></pre><p>Get/set the Radius value of the Capsule.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;nvCapsule&gt;.height Float default: 2.0 -- animatable; float</code></pre><p>Get/set the Height value of the Capsule.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;nvCapsule&gt;.heighttype Integer default: 0 -- animatable; integer</code></pre><p>Get/set the state of the Height Type option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Overall</strong> - the height value is used to define the end-to-end height of the object including its two hemispheres&apos; radii.</p>\n\
<p>1 - <strong>Centers</strong> - the height value is used to define the distance between the centers of the two hemispheres, excluding the radii.</p>\n\
<h2 id=\"nvcapsule-interfaces-\">nvCapsule interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-MassFX.html\">Geometry - MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\">PhysXPanel : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : helper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";