var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E3242472-322A-4D2C-BDDC-14F98B0017DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CharacterAssembly : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CharacterAssembly - superclass: helper; super-superclass:node - classID: #(-876649472, -1986750208) </code></pre><p>Instances of this class provides the controls, UI and icon for the Character Assembly creation.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">characterAssembly...   </code></pre><p>CharacterAssembly objects are typically created using the <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-assemblyMgr.html\">assemblyMgr.assemble</a> method.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn createCharacter nodes =\n\
   (\n\
   local chr\n\
   animate off\n\
   (\n\
   chr = assemblyMgr.assemble nodes name:(uniqueName&quot;Character&quot;) classDesc:CharacterAssembly\n\
   chr.assemblyBBoxDisplay = false\n\
   chr.wirecolor = (colorMan.getColor #chr_color)*255\n\
   )\n\
   chr\n\
   )\n\
   b=box pos:[100,0,0]\n\
   s=sphere()\n\
   createCharacter #(b,s)\n\
</code></pre></blockquote>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CharacterAssembly&gt;.character SubAnim default: SubAnim:CharacterHelper -- SubAnim </code></pre><p>References the <a href=\"Character-helper.html\">Character Helper</a> object used. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CharacterAssembly&gt;.characterID Integer default: 553248 -- integer </code></pre><p>The ID of the character.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CharacterAssembly&gt;.displayRes Integer default: 3 -- abimatable; radio button number </code></pre><p>Get/set the radio button state controlling the display of the character elements specified in the Assembly for Full Resolution display and Low Resolution display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CharacterAssembly&gt;.iconSize Integer default: 10 -- integer </code></pre><p>Controls the icon size.</p>\n\
<h2 id=\"characterassembly-interfaces-\">CharacterAssembly interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IMtlRender_Compability_MtlBase </code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Assembly-Head.html\">Helper - Assembly Head</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-assemblyMgr.html\">Interface: assemblyMgr</a></li>\n\
          <li><a class=\"link\" href=\"Character-helper.html\">Character : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";