var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-026FCDF6-0944-4A22-A233-61506F67C58C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Section : Shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">section - superclass: shape; super-superclass:node - 13:0 - classID: #(549004141, 1725569194) </code></pre><p><img src=\"./images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">section...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"section-size-rollout\">Section Size Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;section&gt;.length Float default: 0.0 -- animatable   </code></pre><p>The length of the displayed section rectangle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;section&gt;.width Float default: 0.0 -- animatable </code></pre><p>The width of the displayed section rectangle.</p>\n\
<blockquote>\n\
<p>   <strong>KNOWN PROBLEMS AND WORKAROUNDS:</strong></p>\n\
<p>   Sometimes, the Section shape might not be able to properly collapse to a SplineShape. This only happens when a Section shape is created inside a loop and is being converted to a SplineShape.</p>\n\
<p>   To collapse to a SplineShape, a viewport redraw must be performed after the Section shape is created.</p>\n\
<p>   An example of creating contour lines from an object is shown below:</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meshSelected = sphere()-- object to create contours of\n\
   minZ = meshSelected.min.z-- get min and max Z positions\n\
   maxZ = meshSelected.max.z\n\
   numLevels = 10-- the number of contours\n\
   delta = (maxZ - minZ) / (numLevels + 1)-- the number of steps\n\
   for currentZ = minZ to maxZ by delta do-- start loop...\n\
   (\n\
   s = section pos:[0, 0, currentZ]-- create Section\n\
   max views redraw-- this line is needed to get around the problem\n\
   convertToSplineShape s-- convert Section to SplineShape\n\
   s.renderable = true-- set to renderable\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";