var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C292FA05-487A-43FB-92C3-69EFEFEC4CD2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Path_Follow : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Follow - superclass: SpacewarpObject; super-superclass:node - classID: #(2058894005, 1578972349)</code></pre><p><img src=\"./images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">path_Follow...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Range_Limited Integer default: 1</code></pre><p>When off, the range of influence of the space warp is limited to the value set in <code>*.range_value*</code> . When on, the space warp influences all bound particles in the scene, regardless of their distance from the path object.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Range_Value Float default: 100.0 -- animatable</code></pre><p>The range of influence when Unlimited Range is off. This is the distance between the path object and the particle system. The position of the Path Follow space warp&apos;s icon is ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Spline_Follow_Type Integer default: 1</code></pre><p>Set the follow type:</p>\n\
<p>0 - <strong>Along Offset Splines</strong> (The distance between the particle system and the path alter the effect of the particle motion. If the first vertex of the spline is at the birthplace of the particle, the particle follows the spline path. If you move the path away from the particle system, the particles are affected by the offset.)</p>\n\
<p>1 - <strong>Along Parallel Splines</strong> (Particles follow a copy of the selected path, parallel to the particle system. In this mode, the position of the path relative to the particle system does not matter. The orientation of the path, however, affects the particle stream.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Constant_Speed Integer default: 0</code></pre><p>When on, all particles travel at the same speed:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Tangent_Chaos Float default: 0.0 -- percentage</code></pre><p>Causes particles to converge or diverge toward the path over time, or to simultaneously converge and diverge. You specify the effect by choosing Converge, Diverge, or Both (see following). This provides a tapering effect over the length of the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Tang_Chaos_Var Float default: 0.0</code></pre><p>The amount by which <code>*.tangent_chaos*</code> can vary for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Tangent_Dir Integer default: 0</code></pre><p>Set behavior of tangent chaos:</p>\n\
<p>0 - <strong>Converge</strong> (When . <code>*tangent_chaos*</code> is greater than 0, the particles move in toward the path as they follow the path. The effect is that the stream tapers from larger to smaller over time.</p>\n\
<p>1 - <strong>Diverge</strong> (Provides the opposite effect of Converge. The particles diverge from the path over time.)</p>\n\
<p>2 - <strong>Both</strong> (Splits the particle stream, causing some particles to converge and others to diverge.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Spiral_Chaos Float default: 0.0</code></pre><p>The number of turns by which particles spiral about the path. In conjunction with . <code>*tangent_chaos*</code> , alters the diameter of the spiral.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Spiral_Chaos_Var Float default: 0.0</code></pre><p>The amount by which each particle can vary from the Spiral value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Spiral_Dir Integer default: 0</code></pre><p>The direction of spiraling behavior:</p>\n\
<p>0 - <strong>Clockwise</strong></p>\n\
<p>1 - <strong>Counterclockwise</strong></p>\n\
<p>2 - <strong>Bidirectional</strong> (The stream is splits so that particles spiral in both directions.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Start_Time Time default: 0f</code></pre><p>The frame at which Path Follow begins to influence the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Travel_Time Time default: 30f</code></pre><p>The time each particle takes to traverse the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Travel_Var Float default: 0.0 -- percentage</code></pre><p>The amount by which each particle&apos;s travel time can vary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Stop_Time Time default: 100f</code></pre><p>The frame at which Path Follow releases the particles and no longer influences them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Follow&gt;.Icon_Size Float default: 0.0</code></pre><p>The size of the Path Follow icon. Does not alter the Path Follow effect.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is not a way to select the Path shape object using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p>The Seed parameter in not accessible using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;path_Follow_node&gt;</code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PathFollowMod</code></pre><p>This modifier is automatically created by the <code>*bindSpaceWarp()*</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Deflectors.html\">Spacewarp - Deflectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";