var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1F83C5C5-A5FB-4F04-A4A6-CE37BB9AB8E5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Radiosity : RadiosityEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Radiosity - superclass: RadiosityEffect; super-superclass:MAXWrapper - classID: #(2036089192, 1721374773) </code></pre><p>This RadiosityEffect was first implemented in <strong>Autodesk VIZ 4</strong> and is available in <strong>3ds Max 5 and higher</strong>.</p>\n\
<p><strong>3ds Max Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Radiosity...      \n\
Discreet_Radiosity ... </code></pre><p><strong>Autodesk VIZ Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Discreet_Radiosity ... VIZ_Radiosity... </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> The constructor <code>Discreet_Radiosity</code> must be used in scripts to ensure compatibility.</div>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.lightUnitsUsed Integer default: 0 -- integer; Light_Units_in_Use </code></pre><p>Gets/Sets the Light Units used by the Radiosity.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - International</p>\n\
<p>1 - American</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Light Units in the Customize &gt; Units Setup dialog affects the currently assigned RadiosityEffect. Setting the value using MAXScript changes the units used by the currently assigned RadiosityEffect, but will not affect the Customize Units Setup dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radProcessInRenderOnly Boolean default: false -- boolean; Process_in_Radiosity_Only </code></pre><p>Gets/Sets the state of the &quot;Start&quot; button in the &quot;Radiosity Processing Parameters&quot; dialog. When the value is set to <code>true</code> , the button will be disabled and the radiosity processing can be initiated by the renderer only. When set to <code>false</code> , the user can initiate the processing manually by pressing the button.</p>\n\
<h2 id=\"radiosity-processing-parameters-rollout\">Radiosity Processing Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radInitialQuality Float default: 85.0 -- float; Initial_Quality </code></pre><p>Gets/Sets the Initial Quality value in percent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radGlobalRefineSteps Integer default: 0 -- integer; Refine_Iterations_Done </code></pre><p>Gets/Sets the Refine Iterations (All Objects) value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radSelectionRefineSteps Integer default: 0 -- integer; Selection_Refine_Steps </code></pre><p>Gets/Sets the &quot;Refine Iterations (Selected Objects)&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radProcessObjectRefineSteps Boolean default: true -- boolean; processObjectRefineSteps </code></pre><p>Gets/Sets the state of the &quot;Process Refine Iterations Stored in Object&quot; checkbox. When set to <code>true</code> , the Refine Iterations set in the Object Properties &gt; Radiosity Tab &gt; Refine Iterations. When false, these object-specific settings will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radFiltering Integer default: 0 -- integer; Filtering </code></pre><p>Gets/Sets the &quot;Indirect Light Filtering&quot; value in the &quot;Interactive Tools&quot; group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radDirectFiltering Integer default: 0 -- integer; Filtering </code></pre><p>Gets/Sets the value of the &quot;Direct Light Filtering&quot; spinner in the &quot;Interactive Tools&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.radDisplayInViewport Boolean default: true -- boolean; Display_in_Viewport </code></pre><p>Gets/Sets the &quot;Display Radiosity in Viewport&quot; checkbox state in the &quot;Interactive Tools&quot; group of controls. Enables the interactive display of the radiosity in the viewport.</p>\n\
<h2 id=\"radiosity-meshing-parameters-rollout\">Radiosity Meshing Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.meshingEnabled Boolean default: false -- boolean; Enable_Meshing </code></pre><p>Gets/Sets the state of the &quot;Enabled&quot; checkbox in the &quot;Global Subdivision Settings&quot; group of controls. When set to true, enables the user-defined global meshing size, or the adaptive subdivision if <code>.useAdaptiveMeshing</code> is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.useAdaptiveMeshing BooleanClass default: true -- boolean; Use_Adaptive_Meshing </code></pre><p>Toggle the Use Adaptive Subdivisions checkbox on and off. When set to true and the &quot;Global Subdivision Settings&quot; &gt; &quot;Enabled&quot; checkbox ( <code>.meshingEnabled</code> ) is on, Adaptive Subdivisions will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.meshingSize Float default: 36.0 -- animatable; world units; Meshing_Size </code></pre><p>Gets/Sets the Maximum Meshing Size value in the &quot;Mesh Settings&quot; group of controls. In versions prior to <strong>3ds Max 8</strong>, the value was called &quot;Mesh Size&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.minimumMeshSize Float default: 3.0 -- animatable; worldUnits; Minimum_Mesh_Size </code></pre><p>Gets/Sets the Minimum Mesh Size value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.contrastThreshold Float default: 75.0 -- animatable; percent; Contrast_Threshold </code></pre><p>Gets/Sets the Contrast Threshold value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.initialMeshSize Float default: 12.0 -- animatable; worldUnits; Initial_Mesh_Size </code></pre><p>Gets/Sets the Initial Meshing Size value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.shootDirectLights BooleanClass default: true -- boolean; Shoot_Direct_Lights </code></pre><p>Gets/Sets the state of the &quot;Shoot Direct Lights&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.includePointLights BooleanClass default: true -- boolean; Include_Point_Lights </code></pre><p>Gets/Sets the state of the &quot;Include Point Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.includeLinearLights BooleanClass default: true -- boolean; Include_Linear_Lights </code></pre><p>Gets/Sets the state of the &quot;Include Linear Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.includeAreaLights BooleanClass default: true -- boolean; Include_Area_Lights </code></pre><p>Gets/Sets the state of the &quot;Include Area Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.includeSkylight BooleanClass default: false -- boolean; Include_Skylight </code></pre><p>Gets/Sets the state of the &quot;Include Skylight&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.includeSelfEmittingLights BooleanClass default: false -- boolean; Include_Self_Emitting_Faces </code></pre><p>Gets/Sets the state of the &quot;Include Self-Emitting Faces in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.minimumSelfEmittingSize Float default: 6.0 -- animatable; worldUnits; Minimum_Self_Emitting_Size </code></pre><p>Gets/Sets the value of the &quot;Minimum Self-Emitting Size&quot; spinner in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"light-painting-rollout\">Light Painting Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.lightPaintingIntensity Float default: 500.0 -- float; Light_Painting_Intensity </code></pre><p>Gets/Sets the Light Painting Intensity value in lux.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.lightPaintingPressure Float default: 10.0 -- float; Light_Painting_Pressure </code></pre><p>Gets/Sets the Light Painting Pressure value in percent.</p>\n\
<h2 id=\"rendering-parameters-rollout\">Rendering Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmReuseDirectIllumination Boolean default: false -- boolean; Re_Use_Direct_Illumination </code></pre><p>Gets/Sets the state of the &quot;Re-Use Direct Illumination from Radiosity Solution/Render Direct Illumination&quot; radio buttons. When set to <code>true</code> , the Direct Illumination from the Radiosity Solution will be reused. When <code>false</code> , the Direct Illumination will be rendered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmRegather Boolean default: false -- boolean; Regather </code></pre><p>Gets/Sets the state of the &quot;Regather Indirect Illumination&quot; checkbox. When set to <code>true</code> , Indirect Illumination will be regathered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmRaysPerSample Integer default: 64 -- integer; Rays_per_Sample </code></pre><p>Gets/Sets the Rays per Sample value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmFilterRadius Float default: 2.5 -- float; Filter_Radius </code></pre><p>Gets/Sets the Filter Radius value in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmClampEnabled Boolean default: false -- boolean; Clamp_Enabled </code></pre><p>Gets/Sets the state if the Clamp Values checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmClampValue Float default: 10000.0 -- float; Clamp_Value </code></pre><p>Gets/Sets the value of the Clamp Values (cd/m^2) parameter. When <code>rmClampEnabled</code> is set to true, values above <code>rmClampValue</code> will be clamped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmAdaptiveEnabled Boolean default: false -- boolean; Adaptive_Enabled </code></pre><p>Gets/Sets the state of the Adaptive Sampling checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmSampleSpacing Integer default: 3 -- integer; Sample_Spacing </code></pre><p>Gets/Sets the Sample Spacing value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - 2x2</p>\n\
<p>1 - 4x4</p>\n\
<p>2 - 8x8</p>\n\
<p>3 - 16x16</p>\n\
<p>4 - 32x32</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmSubdivisionContrast Float default: 5.0 -- float; Subdivision_Contrast </code></pre><p>Gets/Sets the Subdivision Contrast value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmMinSampleSpacing Integer default: 1 -- integer; Minimum_Sample_Spacing </code></pre><p>Gets/Sets the Min. Sample Spacing.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<p>6- 64x64</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.rmShowSamples Boolean default: false -- boolean; Show_Samples </code></pre><p>Gets/Sets the state of the Show Samples checkbox.</p>\n\
<h2 id=\"statistics-rollout\">Statistics Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statSolutionQuality Float default: 0.0 -- float; Solution_Quality </code></pre><p>Contains the Solution Quality value from the Statistics rollout. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statRefineIterations Integer default: 0 -- integer; Refine_Iterations_Done </code></pre><p>Contains the Refine Iterations value from the Statistics rollout. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.elapsedTime Integer default: 0 -- integer; Elapsed_Time </code></pre><p>The time in seconds used to process the radiosity solution. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statNumGeomObjects Integer default: 0 -- integer; Number_of_Geometric_Objects </code></pre><p>Contains the Geometric Objects value from the Statistics rollout. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statMeshSize Float default: 36.0 -- float; Meshing_Size </code></pre><p>Contains the Meshing Size value from the Statistics rollout. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statNumLightObjects Integer default: 0 -- integer; Number_of_Light_Objects </code></pre><p>Contains the Light Objects value from the Statistics rollout. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Radiosity&gt;.statNumFaces Integer default: 0 -- integer; Radiosity_scene_faces </code></pre><p>Contains the Mesh Elements value from the Statistics rollout. Read-only.</p>\n\
<h2 id=\"radiosity-interfaces-\">Radiosity interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:srrOps </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Start () </code></pre><p>Start Radiosity calculation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Stop () </code></pre><p>Start Radiosity calculation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Reset &lt;boolean&gt;resetGeometry &lt;boolean&gt;noWarningDialog </code></pre><p>Reset the Radiosity solution. The <code>resetGeometry</code> parameter controls whether the geometry must be reset too. The <code>noWarningDialog</code> controls whether the reset warning dialog must be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GatherObjects &lt;node array&gt;Nodes &lt;integer&gt;GatherSteps\n\
       GatherSteps Validated by Range: 0 to 1000000</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ShowLightingStatistics () </code></pre><p>Displays the Lighting Analysis dialog. Returns <code>true</code> if successful, <code>false</code> if there is no Radiosity Solution in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AbortLightingStatistics () </code></pre><p>Close the Lighting Analysis dialog if open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CanShowLightingStatistics () </code></pre><p>Returns <code>true</code> if the Lighting Analysis dialog can be displayed, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetPointIlluminance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter </code></pre><p>Returns <code>true</code> if the Illuminance value at the specified <code>point</code> can be retrieved. The result is passed by reference into the <code>result</code> Out parameter, the <code>vertex0</code> , <code>vertex1</code> , and <code>vertex2</code> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sceneRadiosity.radiosity = Radiosity()\n\
   obj = plane()\n\
   convertToMesh obj\n\
   for i in 1 to obj.numFaces do\n\
   (\n\
   myFace = getFace obj i\n\
   myverts = # ()\n\
   myverts[1] = getVert obj myFace.x\n\
   myverts[2] = getVert obj myFace.y\n\
   myverts[3] = getVert obj myFace.z\n\
   midPoint = (myverts[1] + myverts[2] + myverts[3])/3\n\
   PointVal = 0.0\n\
   sceneRadiosity.Radiosity.GetPointIlluminance &amp;pointVal obj midPoint myverts[1] myverts[2] myverts[3]\n\
   format &quot;Face %: %\\n&quot; i pointVal\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetPointLuminance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter </code></pre><p>Returns <code>true</code> if the Luminance value at the specified <code>point</code> can be retrieved. The result is passed by reference into the <code>result</code> Out parameter, the <code>vertex0</code> , <code>vertex1</code> , and <code>vertex2</code> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetPointReflectance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter</code></pre><p>Returns <code>true</code> if the Reflectance value at the specified <code>point</code> can be retrieved. The result is passed by reference into the <code>result</code> Out parameter, the <code>vertex0</code> , <code>vertex1</code> , and <code>vertex2</code> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetPointTransmittance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter</code></pre><p>Returns <code>true</code> if the Transmittance value at the specified <code>point</code> can be retrieved. The result is passed by reference into the <code>result</code> Out parameter, the <code>vertex0</code> , <code>vertex1</code> , and <code>vertex2</code> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Show the scene radiosity ReferenceTarget object:\n\
   sceneRadiosity.radiosity\n\
   --&gt; ReferenceTarget:Radiosity\n\
   --Reset the Scene Radiosity solution completely, allow warning:\n\
   sceneRadiosity.radiosity.Reset true false\n\
   --&gt; OK\n\
   --Start new Radiosity Processing:\n\
   sceneRadiosity.radiosity.Start ()\n\
   --&gt; OK\n\
   --Stop the Radiosity Processing:\n\
   sceneRadiosity.radiosity.Stop ()\n\
   --&gt; OK\n\
   --Check whether the Lighting Analysis dialog can be displayed\n\
   sceneradiosity.radiosity.CanShowLightingStatistics ()\n\
   --&gt; true\n\
   --Display the Lighting Analysis dialog\n\
   sceneradiosity.radiosity.ShowLightingStatistics ()\n\
   --&gt; true\n\
   --Close the Lighting Analysis dialog\n\
   sceneradiosity.radiosity.AbortLightingStatistics ()\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
<p><strong>The following interface provides MAXScript access to the radiosity mesh in 3ds Max 6 and higher:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: srrRadiosityMesh </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;doesSolutionExist () </code></pre><p>Returns <code>true</code> if a radiosity solution exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;doesMeshExist &lt;node&gt;node </code></pre><p>Returns <code>true</code> if the specified node has a radiosity mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isMeshValid &lt;node&gt;node </code></pre><p>Returns <code>true</code> if the specified node has a valid radiosity mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval by value&gt;getMeshValidity &lt;node&gt;node </code></pre><p>Returns the validity interval of the specified node&apos;s radiosity mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh by value&gt;getMesh &lt;node&gt;node </code></pre><p>Returns the node&apos;s radiosity mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;interval by value&gt;getMeshTMValidity &lt;node&gt;node </code></pre><p>Returns the validity interval of the radiosity mesh&apos;s transformation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3 by value&gt;getMeshTM &lt;node&gt;node </code></pre><p>Returns the transformation matrix of the radiosity mesh of the specified node.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RadiosityEffect-MAXWrapper.html\">RadiosityEffect : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-radiosityMeshOps.html\">Interface: radiosityMeshOps</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneRadiosity.html\">Interface: SceneRadiosity</a></li>\n\
          <li><a class=\"link\" href=\"Light_Tracer-RadiosityEffect.html\">Light_Tracer : RadiosityEffect</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";