var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C64BDB77-6912-4596-9D73-BB4175BD12FC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ART_Renderer_Noise_Filter : RenderElement</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ART_Renderer_Noise_Filter - superclass: RenderElement; super-superclass:MAXWrapper - 5:0 - classID: #(917508805L, 2008838497L)</code></pre><p>The <code>ART_Renderer_Noise_Filter</code> Render Element can be used to filter the noise from the ART_Renderer output as a post process. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ART_Renderer_Noise_Filter... RapidRT_Noise_Filter... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer_Noise_Filter&gt;.bitmap    Bitmap    default: undefined  --  bitmap</code></pre><p>Get the bitmap the RenderElement writes to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer_Noise_Filter&gt;.elementName    String    default: &quot;ART Renderer Noise Filter&quot;   --  string; Name</code></pre><p>Get/set the name of the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer_Noise_Filter&gt;.enabled    BooleanClass    default: true   --  boolean; Bitmap</code></pre><p>Get/set the enabled state of the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer_Noise_Filter&gt;.strength     Float    default: 0.5   --  float</code></pre><p>Get/set the strength of the Noise Filter as a float in the 0.0 to 1.0 range.</p>\n\
<p>Setting this value will automatically adjust the <strong><code>.strength_percentage</code></strong> value (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer_Noise_Filter&gt;.strength_percentage     Float    default: 50.0   --  float</code></pre><p>Get/set the strength of the Noise Filter as a float in the 0.0 to 100.0 percent range.</p>\n\
<p>Setting this value will automatically adjust the <strong><code>.strength</code></strong> value (see above).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Elements.html\">Render Elements</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";