var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-57A7AB1F-80DA-4735-B639-EF1CE425CA98\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Gradient : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Gradient - superclass: textureMap; super-superclass:material - classID: #(624, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gradient...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 </code></pre><p>The gradient interpolates between 3 colors. This is the first color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map1 TextureMap default: undefined -- alias: Map_1 </code></pre><p>You can interpolate between 3 maps instead of colors. This is the first map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.color2 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Color_2 </code></pre><p>The gradient interpolates between 3 colors. This is the second color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map2 TextureMap default: undefined -- alias: Map_2 </code></pre><p>You can interpolate between 3 maps instead of colors. This is the second map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.color3 Color default: (color 255 255 255) -- animatable, alias: Color_3 </code></pre><p>The gradient interpolates between 3 colors. This is the third color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map3 TextureMap default: undefined -- alias: Map_3 </code></pre><p>You can interpolate between 3 maps instead of colors. This is the third map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.map3Enabled Boolean default: true -- alias: Map_3_Enable </code></pre><p>When on, the associated map is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.color2Pos Float default: 0.5 -- animatable, alias: Color_2_Position </code></pre><p>Controls the centerpoint of the middle color. The position ranges from 0 to 1. When it is 0, <code>color2</code> replaces <code>color3</code> . When it is 1, <code>color2</code> replaces <code>color1</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.gradientType Integer default: 0 -- alias: Gradient_Type </code></pre><p>Sets the type of gradient:</p>\n\
<p>0- Linear (Interpolates the color based on the vertical position.)</p>\n\
<p>1- Radial (Interpolates based on the distance from the center of the map.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noiseAmount Float default: 0.0 -- animatable, alias: Noise_Amount </code></pre><p>When nonzero (ranges from 0 to 1), applies a noise effect. This perturbs the color interpolation parameter using a 3D noise function based on U, V, and Phase.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noiseType Integer default: 0 -- alias: Noise_Type </code></pre><p>Set the type of noise</p>\n\
<p>0 - <strong>Regular</strong> (Generates plain noise. This is the same as Fractal noise with the Levels setting at 1.)</p>\n\
<p>1 - <strong>Fractal</strong> (Generates noise using a fractal algorithm. <code>noiselevels</code> sets the number of iterations for the fractal noise.)</p>\n\
<p>2 - <strong>Turbulence</strong> (Generates fractal noise with an absolute value function applied to it to make fault lines. The noise amount must be greater than 0 to see any effects of turbulence.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noiseSize Float default: 1.0 -- animatable, alias: Noise_Size </code></pre><p>Scales the noise function. Smaller values give smaller chunks of noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noisePhase Float default: 0.0 -- animatable, alias: Noise_Phase </code></pre><p>Controls the speed of the animation of the noise function. A 3D noise function is used for the noise. The first two parameters are U and V and the third is phase.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noiseLevels Float default: 4.0 -- animatable, alias: Noise_Levels </code></pre><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.noiseThresholdLow Float default: 0.0 -- animatable, alias: Low_Threshold \n\
&lt;Gradient&gt;.noiseThresholdHigh Float default: 1.0 -- animatable, alias: High_Threshold \n\
&lt;Gradient&gt;.noiseThresholdSMooth Float default: 0.0 -- animatable, alias: Threshold_Smoothing </code></pre><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0-1. This produces a smaller discontinuity at the threshold transition and thus causes less potential aliasing.</p>\n\
<p><code>noiseThresholdLow</code> : Sets the low threshold.</p>\n\
<p><code>noiseThresholdHigh</code> : Sets the high threshold.</p>\n\
<p><code>NoiseThresholdSmooth</code> : Helps make a smoother transition from the threshold value to the noise value. When 0, no smoothing is applied. When it is 1, the maximum amount of smoothing is applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.coords StandardUVGen -- alias: coordinates </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/UVGenClass-Material.html\">UVGenClass</a> for the StandardUVGen properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";