var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-72A89EC4-B41E-4293-9542-2DBD6F001BC4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MultiOutputChannelTexmapToTexmap : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiOutputChannelTexmapToTexmap - superclass: textureMap; super-superclass:material - 3:1 - classID: #(2305749756L, 1153266751L)</code></pre><p>This class is used for texturemap classes that have multiple outputs, and not just an RGB or RGBA output.  When you assign this type of texturemap to a Material map, this class gets automatically created between the multiple output map and the material map slot.</p>\n\
<p>For an example of how to use this class, see <a href=\"OSLMap-textureMap.html\"#example\">OSLMap: textureMap</a></p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiOutputChannelTexmapToTexmap</code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiOutputChannelTexmapToTexmap&gt;.numInputs     Integer    default: 1   --  integer</code></pre><p>The number of inputs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiOutputChannelTexmapToTexmap&gt;.outputChannelIndex     Integer    default: 1   --  integer</code></pre><p>The channel index for the output.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiOutputChannelTexmapToTexmap&gt;.sourceMap     UndefinedClass    default: undefined   --  texturemap; Source_Map</code></pre><p>The source map.</p>\n\
<h2 id=\"multioutputchanneltexmaptotexmap-interfaces-\">MultiOutputChannelTexmapToTexmap interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: iMultiOutputConsumer</code></pre><h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    .numInputs : integer : Read</code></pre><p>The number of inputs.</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SetOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;maxObject&gt;GetOutputRefTargetFromInput &lt;index&gt;input_index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;GetOutputIndexFromInput &lt;index&gt;input_index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CanAssignOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputName &lt;index&gt;input_index\n\
       GetInputName - no automatic redraw after invoked</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputLocalizedName &lt;index&gt;input_index\n\
       GetInputLocalizedName - no automatic redraw after invoked</code></pre><p>   Actions:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";