var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F97ED7D3-C65D-4BA7-B931-78125CEA6C8A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Fix_Ambient : UtilityPlugin</h1></div><p><strong>Fix_Ambient</strong> is a Utility Plug-in providing means to fix Ambient Color values in materials by locking them to the Diffuse Color for use in Radiosity calculations.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Alias:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FixAmbient </code></pre><h2 id=\"fix_ambient-interfaces-\">Fix_Ambient Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: fixAmbientColors </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixAll prompt:&lt;boolean&gt; \n\
prompt default value: true </code></pre><p>Fixes all scene materials by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <code>False</code> , the changes are performed immediately. When set to <code>True</code> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixSelected prompt:&lt;boolean&gt; \n\
prompt default value: true </code></pre><p>Fixes the materials of the selected objects by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <code>False</code> , the changes are performed immediately. When set to <code>True</code> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;findAll &lt;&amp;material array&gt;mtlsFound \n\
mtlsFound is Out parameter </code></pre><p>Finds all scene materials requiring fixing. Returns the materials in the by-reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;findSelected &lt;&amp;material array&gt;mtlsFound \n\
mtlsFound is Out parameter </code></pre><p>Finds materials of selected objects requiring fixing. Returns the materials in the by-reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;find &lt;node array&gt;objects &lt;&amp;material array&gt;mtlsFound\n\
       mtlsFound is Out parameter</code></pre><p>Finds materials of supplied objects requiring fixing. Returns the materials in the by-reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;findMaterials &lt;material array&gt;mtls &lt;&amp;material array&gt;mtlsFound\n\
       mtlsFound is Out parameter</code></pre><p>Finds the materials from the supplied materials list requiring fixing. Returns the materials in the by-reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fix &lt;material array&gt;mtls prompt:&lt;boolean&gt;\n\
       prompt default value: true</code></pre><p>Fixes the materials from the supplied list of materials by enabling the Ambient-Diffuse lock. When the optional prompt parameter is set to <code>False</code> , the changes are performed immediately. When set to <code>True</code> or not supplied, a dialog showing all materials to be changed will be displayed. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: FixAmbientActions </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixAmbientAll () -- Action Interface </code></pre><p>Fixes all ambient colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixAmbientSelected () -- Action Interface </code></pre><p>Fixes ambient colors of only selected nodes.</p>\n\
<p><strong>Actions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Category: Fix_Ambient_Actions; Action: Fix_Ambient_All; Shortcut: -- none defined --Category: Fix_Ambient_Actions; Action: Fix_Ambient_Selected; Shortcut: -- none defined --</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UtilityPanel.html\">Interface: UtilityPanel</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";