var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DEFAF4D3-ADE9-469E-963A-440996D64BE1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Do not use return, break, exit or continue</h1></div><p>Return, break, exit, continue and throw are implemented using C++ exception.</p>\n\
<p>C++ exceptions are SLOW!</p>\n\
<blockquote>\n\
<p>   <strong>TEST CASES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test1a v = (if v == true do return 1; 0)\n\
   fn test1b v = (if v == true then 1 else 0)\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test1a true  -- 15890 msec.\n\
   test1a false  -- 78 msec.\n\
   test1b true  -- 47 msec.\n\
   test1b false  -- 62 msec.\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>TEST CASES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test2a =\n\
   (\n\
     local res\n\
     for i = 1 to 1000 do\n\
       if i == 10 do (res = i; break;)\n\
     res\n\
   )\n\
\n\
   fn test2b =\n\
   ( \n\
     local notfound = true, res\n\
     for i = 1 to 1000 while notfound do\n\
       if i == 10 do (res = i; notfound = false;)\n\
     res\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test2a()   -- 84265 msec.\n\
   test2b()   -- 1359 msec.\n\
</code></pre></blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\"matchPattern-is-faster-than.html\">matchPattern is faster than findString</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\"Use-StringStream-to-build-large.html\">Use StringStream to build large strings</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">How To Make It Faster?</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";