var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8882888F-3AEF-477E-8CF1-6BD7338B9DB5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Local and Universal Time</h1></div><p>The following methods and system global variables provide access to the system&apos;s time.</p>\n\
<p>These methods are available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>They were previously available in the <a href=\"./../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getLocalTime()\n\
getUniversalTime()</code></pre><p>Return the Local respectively the Coordinated Universal Time (UTC) as an 8 element array.</p>\n\
<p>Array elements are:</p>\n\
<ol>\n\
<li><strong>Year</strong> - Specifies the current year.</li>\n\
<li><strong>Month</strong> - Specifies the current month; January = 1, February = 2, and so on.</li>\n\
<li><strong>DayOfWeek</strong> - Specifies the current day of the week; Sunday = 0, Monday = 1, and so on.</li>\n\
<li><strong>Day</strong> - Specifies the current day of the month.</li>\n\
<li><strong>Hour</strong> - Specifies the current hour.</li>\n\
<li><strong>Minute</strong> - Specifies the current minute.</li>\n\
<li><strong>Second</strong> - Specifies the current second.</li>\n\
<li><strong>Milliseconds</strong> - Specifies the current millisecond.</li>\n\
</ol>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">localTime</code></pre><p>This system global variable contains a String value that defines the current local date and time. This variable is read-only. An example of the value stored in localtime is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = localTime\n\
--&gt; &quot;4/14/97 10:24:57 AM&quot;\n\
</code></pre><p>The format of this string is controlled by the date format selected in the main Windows Regional Settings control panel.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";