var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88DEB380-FAA0-4766-86FD-43AEE8041382\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Converting Scripts From Using ActiveX Controls to DotNet Controls</h1></div><p>The main reason for the introduction of DotNet support in MAXScript was the fact that ActiveX controls which were largely used in the <strong>3ds Max</strong> User Interface were made unavailable in 64 bit Windows versions.</p>\n\
<p>Scripts developed for versions prior to <strong>3ds Max 9</strong>wwould require a rewrite to be able to run under 64 bit Windows operating systems.</p>\n\
<h3 id=\"the-following-examples-show-the-conversion-of-activex-controls-to-dotnet-controls-\">The following examples show the conversion of ActiveX controls to DotNet Controls:</h3><p><a href=\"Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><a href=\"Converting-ActiveX-TreeView.html\">Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<h3 id=\"see-also-these-3ds-max-components-which-were-updated-to-use-dotnet-controls-\">See also these 3ds Max components which were updated to use DotNet controls:</h3><p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>The Render To Texture dialog has been updated to use DotNet ListView controls instead of ActiveX controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_NamedSelSets.mcr</strong></p>\n\
<p>The Named Selection Sets editor dialog has been updated to use a DotNet TreeView control instead of an ActiveX control. It is a good example of using <strong>Drag And Drop</strong> in DotNet TreeView controls.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Converting-ActiveX-Controls-To.html\">Converting ActiveX Controls To DotNet Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";