var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DD3A8F38-9CD8-47FE-AE32-AA65D8A429D6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using the MAXScript Listener</h1></div><p>The MAXScript Listener is a combination of text editor and command prompt window. MAXScript executes the commands you write when you press ENTER, but you can also scroll through the text to re-execute existing commands, or edit them and then have MAXScript execute the modified code.</p>\n\
<p><strong>Listener has the following features:</strong></p>\n\
<ul>\n\
<li><p>A line selection margin at the left window border. When you move the cursor into the left margin, it changes to a right-pointing arrow. A single-click selects an entire line, and click-dragging selects multiple lines.</p>\n\
</li>\n\
<li><p>Drag-and-drop for copying text within Listener and to and from script Editor windows.</p>\n\
</li>\n\
<li><p>Selected text is loaded automatically into the search text dialog field when you choose Search &gt; Find or Search &gt; Replace. This is useful for quickly finding other occurrences of the selected text.</p>\n\
</li>\n\
<li><p>Color-coding for distinguishing between input text, output text, and error message text. Several MAXScript system global variables control these colors as well as background colors, and you can assign them new colors to customize your Listener.</p>\n\
</li>\n\
</ul>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Text Type</th>\n\
<th>Variable</th>\n\
<th>Default Color</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>typed input text</td>\n\
<td><code>inputTextColor</code></td>\n\
<td>black</td>\n\
</tr>\n\
<tr>\n\
<td>output text</td>\n\
<td><code>outputTextColor</code></td>\n\
<td>blue</td>\n\
</tr>\n\
<tr>\n\
<td>error message text</td>\n\
<td><code>messageTextColor</code></td>\n\
<td>red</td>\n\
</tr>\n\
<tr>\n\
<td>listener background color</td>\n\
<td><code>listenerBackgroundColor</code></td>\n\
<td>white</td>\n\
</tr>\n\
<tr>\n\
<td>macro recorder background color</td>\n\
<td><code>macroRecorderBackgroundColor</code></td>\n\
<td>color 219 195 195</td>\n\
</tr>\n\
<tr>\n\
<td>macro recorder text color</td>\n\
<td><code>macroRecorderTextColor</code></td>\n\
<td>black</td>\n\
</tr>\n\
<tr>\n\
<td>python mode prompt color</td>\n\
<td><code>pythonPromptColor</code></td>\n\
<td>color 255 100 0</td>\n\
</tr>\n\
</tbody></table>\n\
<p>For commands within the Listener window, see <a href=\"Listener-Commands.html\">Listener Commands</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-Symbol.html\">Using the &#x27;?&#x27; Symbol</a></li>\n\
          <li><a class=\"link\" href=\"Turning-On-the-Listener-Log.html\">Turning On the Listener Log</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Listener.html\">Controlling the Listener Contents and the Insertion Point</a></li>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Including-Scripts-Within-Scripts.html\">Including Scripts Within Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Aborting-Execution-with-the-ESC.html\">Aborting Execution with the ESC Key</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";