var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0CA68F7B-8B14-4D5E-8D9C-BE97E2881B43\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Properties, Methods, Operators, and Literals</h1></div><p>One principle of object-oriented programming is that how a class operates internally is hidden. All interactions with a class are defined by the external interfaces for the class. These external interfaces are broken up into several categories.</p>\n\
<p><strong>Properties:</strong> Accessible parameters for objects of the class. Examples of properties are height, width, and length for boxes, and radius for spheres.</p>\n\
<p><strong>Methods:</strong> Defines all the functions you can call for objects of the class. Examples of methods are moving or rotating a <strong>3ds Max</strong> object, adding a modifier to a <strong>3ds Max</strong> object, and accessing the position of vertices in a <strong>3ds Max</strong> object. The terms <em>method</em> and <em>function</em> are synonymous in this document.</p>\n\
<p><strong>Operators:</strong> Defines the math and other symbolic operators that are defined on values in the class. An example of an operator is the &#39;-&#39; operator, which will perform a mathematical operation on numbers, colors, vectors, and matrices, but will perform a Boolean subtraction when used with <strong>3ds Max</strong> objects.</p>\n\
<p><strong>Constructors:</strong> The various ways you can create objects of the class. For example <code>Point3 0 0 0</code> and <code>&lt;color&gt; as Point3</code> are constructors for the Point3 class. Executing either of these constructors will create a new Point3 object.</p>\n\
<p><strong>Literals:</strong> Any literal form for objects of the class. For example [0,0,0] is a literal form for the Point3 class, and &quot;Hello world&quot; is a literal form for the String class.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Objects-and-Classes-in-Object.html\">Objects and Classes in Object-Oriented Programming</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";