var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7259C23E-85E8-47C8-A2E6-8A17F1555AE2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Output Pane</h1></div><p>The <a href=\"MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> is based on the Scintilla control and the free SciTE editor. The stand-alone version of the SciTE editor provides an Output pane which can be used to output feedback, results and error messages when working with stand-alone programming languages like Python or LUA. Since the MAXScript Listener is already split into two panes (MacroRecorder and Listener), the SciTE Output Pane could not be easily redesigned to host both while providing all features the MAXScript Listener already has.</p>\n\
<p>In <strong>3ds Max</strong>, the Output pane of the MAXScript Editor is used mainly by the <a href=\"MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\">Find In Files</a> feature as well as by the <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\"#source-control-integration\">Source Control Check In and Check Out operations</a> which generally call an external application like Perforce or Subversion.</p>\n\
<p>The Output pane is located by default at the bottom of the Editor - drag the divider to expand it. It can be optionally placed at the right side of the editor - see the <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\"#output-pane\">Output Pane Properties</a> for details.</p>\n\
<h2 id=\"using-the-windows-command-shell\">Using the Windows Command Shell</h2><p>Some of the standard features of the Output pane can still be used in <strong>3ds Max</strong>, for example typing in &#39;cmd&#39; will launch a Windows Command Shell providing all DOS commands available in the stand-alone shell of MS Windows:</p>\n\
<p><img src=\"./images/GUID-6E3526F6-7784-4FAE-ABB5-467E5D73BD50-low.gif\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";