var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41315287-B2FA-4496-BDB6-28F8D38D2213\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is MAXScript?</h1></div><p>MAXScript is the built-in scripting language of <strong>Autodesk</strong>® <strong>3ds Max</strong>®.</p>\n\
<p>MAXScript provides users of these products with the ability to:</p>\n\
<ul>\n\
<li><p>Script most aspects of the program&#39;s use, such as modeling, animation, materials, rendering, and so on.</p>\n\
</li>\n\
<li><p>Control the program interactively through the command-line Listener window.</p>\n\
</li>\n\
<li><p>Package scripts within custom Utility panel rollouts or modeless windows to give them a standard user interface.</p>\n\
</li>\n\
<li><p>Package scripts as macro scripts, and install these macro scripts as buttons in the product’s toolbars, as items in menus, or assign them to keyboard shortcuts.</p>\n\
</li>\n\
<li><p>Extend or replace the user interface for objects, modifiers, materials, textures, render effects, and atmospheric effects.</p>\n\
</li>\n\
<li><p>Build scripted plug-ins for custom mesh objects, modifiers, render effects and more.</p>\n\
</li>\n\
<li><p>Build custom import/export tools using ASCII and binary file I/O.</p>\n\
</li>\n\
<li><p>Write procedural controllers that can access the entire state of the scene.</p>\n\
</li>\n\
<li><p>Build batch-processing tools, such as batch-rendering scripts.</p>\n\
</li>\n\
<li><p>Set up live interfaces to external systems through OLE Automation.</p>\n\
</li>\n\
<li><p>Record your actions in the product as MAXScript commands.</p>\n\
</li>\n\
<li><p>Store scripts in scene files to run at each of the supported notification events, for example when a scene has been reset, a file has been opened or saved, rendering has been started or stopped, object selection has changed and so on.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript Introduction</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-Overview.html\">MAXScript Overview</a></li>\n\
          <li><a class=\"link\" href=\"General-MAXScript-Topics.html\">General MAXScript Topics</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";