var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A6FE1355-631F-47BD-BBAE-4368CF9D31FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>defaultAction Context</h1></div><p>This context is available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">with defaultAction &lt;action&gt; &lt;expression&gt;      </code></pre><p>where <code>&lt;action&gt;</code> is <code>#logmsg</code> , <code>#logToFile</code> , or <code>#abort</code> .</p>\n\
<p>When entering this context, MAXScript stores the current state of the DefaultActionSys and when exiting it restores the DefaultActionSys to that state.</p>\n\
<p>Messages being held by the DefaultActionSys are not affected by entering or exiting this context.</p>\n\
<p>When entering this context, after storing the current state, all existing event actions are set to the specified action.</p>\n\
<p>The pre-defined <strong>3ds Max</strong> events (missingExtFiles, missingDLLs, missingXRefs, missingUVW, and unsupportedRendereffect) are added if not already present and set to the specified action.</p>\n\
<p>The defaultAction context state is <code>#logToFile</code> .</p>\n\
<p>Also when entering this context (unless entering the context via a &apos;set defaultAction&apos;) the quiet mode is set on, and is restored when exiting the context.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";