var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ECB4AC81-658B-4256-A31D-9C3FE78D9EB5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Literal Constants</h1></div><p>MAXScript has many built-in data types: numbers, strings, names, arrays, vectors, and matrices, as well as special data types which store the <strong>3ds Max</strong> objects such as geometry objects, splines, materials, modifiers, etc.</p>\n\
<p>Some data types have special literal constant forms, where the literal constant is a value that is keyed directly into your program where it is needed. The syntax of the literal constant specifies both its value and data type. In MAXScript, the assignment of a literal constant might look like this:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=50\n\
</code></pre></blockquote>\n\
<p>In this line, <code>b</code> is the variable name, and <code>50</code> is the literal constant of type integer assigned to <code>b</code> . <code>50</code> is a literal constant because you cannot assign a value to <code>50</code> , and its value cannot be changed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Literal-Constants.html\">Literal Constants</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Number-Literals.html\">Number Literals</a></li>\n\
          <li><a class=\"link\" href=\"String-Literals.html\">String Literals</a></li>\n\
          <li><a class=\"link\" href=\"Time-Literals.html\">Time Literals</a></li>\n\
          <li><a class=\"link\" href=\"Pathname-Literals.html\">Pathname Literals</a></li>\n\
          <li><a class=\"link\" href=\"2D-and-3D-Point-Literals.html\">2D and 3D Point Literals</a></li>\n\
          <li><a class=\"link\" href=\"Array-Literals.html\">Array Literals</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";