var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4389A5F4-9D6E-4DDE-B3A1-F19E89ED3FB5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Time Literals</h1></div><p>Time is a basic data type in MAXScript. Its semantics are based on animation time in <strong>3ds Max</strong>, where you can express time in frames, <a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a> or normalized time. In <strong>3ds Max</strong>, time is stored with a resolution of 4800 ticks per second.</p>\n\
<p>The format for a time literal is one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;decimal_number&gt;[m | s | f | t]}+ -- minutes/sec/frames/ticks</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[-]{&lt;digit&gt;}:{&lt;digit&gt;}[.{&lt;digit&gt;}] -- SMPTE mins:secs.frame</code></pre><p>In the first form, the <code>{...}+</code> indicates one or more repetitions, so you can string together minutes/seconds/frames/ticks. If you do this, they must be in the specific minutes/seconds/frames/ticks order.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>EXAMPLE</th>\n\
<th>MEANING</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>2.5s</code></td>\n\
<td>2.5 seconds</td>\n\
</tr>\n\
<tr>\n\
<td><code>1m15s</code></td>\n\
<td>1 minute 15 seconds</td>\n\
</tr>\n\
<tr>\n\
<td><code>2m30s5f2t</code></td>\n\
<td>2 minutes 30 seconds 5 frames 2 ticks</td>\n\
</tr>\n\
<tr>\n\
<td><code>125f</code></td>\n\
<td>125 frames</td>\n\
</tr>\n\
<tr>\n\
<td><code>18.25f</code></td>\n\
<td>18.25 frames</td>\n\
</tr>\n\
<tr>\n\
<td><code>1f20t</code></td>\n\
<td>1 frame 20 ticks</td>\n\
</tr>\n\
<tr>\n\
<td><code>2:10.0</code></td>\n\
<td>2 minutes 10 seconds 0 frames (SMPTE)</td>\n\
</tr>\n\
<tr>\n\
<td><code>0:0.29</code></td>\n\
<td>29 frames (SMPTE)</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Literal-Constants.html\">Literal Constants</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/Time-Data-Values/Time-Values.html\">Time Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">Ticks</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";