var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4C706E8C-89D4-4E39-8F28-F1BAB50D2C47\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Math Assignment</h1></div><p>MAXScript provides the C language shorthand form of assignment that can be used to modify a value in place, as shown in the following long-form examples:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = x + 1 -- increment x by one\n\
   $obj.pos = $obj.pos * scale -- multiply $obj.pos by scale\n\
</code></pre></blockquote>\n\
<p>Corresponding to the four math operations ( <code>+</code> , <code>-</code> , <code>*</code> , and <code>/</code> ) are assignment operators that apply the operation to the assignment&apos;s destination and update the destination with the result.</p>\n\
<p><strong>Their syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;destination&gt; += &lt;expr&gt; -- add &lt;expr&gt; to destination \n\
&lt;destination&gt; -= &lt;expr&gt; -- subtract &lt;expr&gt; from destination \n\
&lt;destination&gt; = &lt;expr&gt; -- multiply destination by &lt;expr&gt; \n\
&lt;destination&gt; = &lt;expr&gt; -- divide destination by &lt;expr&gt;</code></pre><p>Using the shorthand form of assignment, the previous examples can be written as:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x += 1 -- increment x by one\n\
   $obj.pos *= scale -- multiply $obj.pos by scale\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Math-Expressions.html\">Math Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";