var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D5426B3F-7060-4C02-BA75-CB24A66B2ABD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Structure Inherited Methods</h1></div><p>All structures inherit from the <a href=\"./../Values/Values-1.html\">Value</a> class and so structure instances implement the Value methods <code>print()</code> , <code>format()</code> , <code>classOf()</code> , <code>superClassOf()</code> , <code>isKindOf()</code> , <code>==</code> , and <code>!=</code> . The <code>copy()</code> method is the only method not inherited from Value that structures implement. It yields a top-level copy of the structure you call it on, meaning that you get a new, separate structure instance containing the same element values as the original and then you can modify that copy independently. The element values are not themselves copies, so for example, if one of the elements was an array, the copy would reference that same array, not a copy of that array.</p>\n\
<p>The deepCopy() method returns a deep copy of a structure, which creates not only a copy of the top-level structure, but also of all its elements. Available in <strong>3ds Max 2019 and higher</strong>. Note that if the elements contain multiple references to a value, the copy will contain multiple references to a new value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">Structure Definition</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Structure-Definition-1.html\">Structure Definition</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Local-Functions-in.html\">Defining Local Functions in Structures</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Scope-While.html\">Structure Scope While Initializing</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Creation-and-Cloning.html\">Structure Creation and Cloning Event Handlers</a></li>\n\
          <li><a class=\"link\" href=\"Private-and-Public-Members-in.html\">Private and Public Members in Structure Definitions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";