var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D37202D3-0E64-4A15-B737-9FA0D22A3C5B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Undefined Value</h1></div><p>The <strong>Undefined</strong> class implements the value used in uninitialized variables and array members.</p>\n\
<p>There is one distinguished instance of the <strong>Undefined</strong> class in the reserved system variable <code>undefined</code> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">undefined </code></pre><blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MyLight = Targetspot pos:[10,20,100] target:(box())\n\
   -- check to see if MyLight has a target\n\
   if MyLight.target != undefined then\n\
   -- distance from light to target\n\
   dist=distance MyLight.pos MyLight.target.pos\n\
   else\n\
   -- distance from light to [0,0,0]\n\
   dist=length MyLight.pos\n\
   -- set CH_Hand1 to undefined so can test later to see if deleted\n\
   --deleteChangeHandler CH_Hand1; CH_Hand1=undefined\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Special-Data-Values.html\">Special Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-the-difference-between.html\">What is the difference between &#x27;undefined&#x27; and &#x27;unsupplied&#x27; values?</a></li>\n\
          <li><a class=\"link\" href=\"Unsupplied-Value.html\">Unsupplied Value</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";