var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B87B076E-0057-41A7-97A3-C0A8315FB699\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Windows Media Player ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;AMovie (Microsoft ActiveMovie Control)?-0&quot; {05589FA1-C356-11CE-BF01-00AA0055595A} </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageSourceWidth : integer, read-only   </code></pre><p>Returns the width of the image source as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageSourceHeight : integer, read-only </code></pre><p>Returns the height of the image source as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Author : string, read-only </code></pre><p>Returns the name of the author of the of source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Title : string, read-only </code></pre><p>Returns the title if the image source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Copyright : string, read-only </code></pre><p>Returns the copyright notice of the image source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Description : string, read-only </code></pre><p>Returns the description of the image source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Rating : string, read-only </code></pre><p>Returns the rating of the image source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FileName : string </code></pre><p>Returns the file name of the image source as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Duration : float, read-only </code></pre><p>Returns the duration of the video stream as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CurrentPosition : float </code></pre><p>Get/Set the current position of the video stream as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PlayCount : integer </code></pre><p>Get/Set the play count (number of times to repeat the playback) as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectionStart : float </code></pre><p>Get/Set the selection start as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectionEnd : float </code></pre><p>Get/Set the selection end as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CurrentState : StateConstants( #amvNotLoaded | #amvStopped | #amvPaused | #amvRunning), read-only </code></pre><p>Returns the current state of the Media Player.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Rate : float </code></pre><p>Get/Set the playback rate as a float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Volume : integer </code></pre><p>Get/Set the audio volume as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Balance : integer </code></pre><p>Get/Set the audio balance as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnableContextMenu : Boolean </code></pre><p>Enable/Disable the context menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowDisplay : Boolean </code></pre><p>Enable/Disable the display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowControls : Boolean </code></pre><p>Enable/Disable the controls display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowPositionControls : Boolean </code></pre><p>Enable/Disable the position controls display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowSelectionControls : Boolean </code></pre><p>Enable/Disable the selection controls display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ShowTracker : Boolean </code></pre><p>Enable/Disable the tracker display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnablePositionControls : Boolean </code></pre><p>Enable/Disable the position controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnableSelectionControls : Boolean </code></pre><p>Enable/Disable the selection controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnableTracker : Boolean </code></pre><p>Enable/Disable the Tracker.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AllowHideDisplay : Boolean </code></pre><p>Enable/Disable the display hiding.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AllowHideControls : boolean </code></pre><p>Enable/Disable the controls hiding.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DisplayMode : DisplayModeConstants( #amvTime | #amvFrames ) </code></pre><p>Get/Set the time/frames display mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AllowChangeDisplayMode : Boolean </code></pre><p>Enable/Disable the changing of the time.frames display mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FilterGraph : undefined .FilterGraphDispatch : DActiveMovieEvents, read-only .DisplayForeColor : integer </code></pre><p>Get/Set the display foreground color as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DisplayBackColor : integer </code></pre><p>Get/Set the display background color as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MovieWindowSize : WindowSizeConstants( #amvOriginalSize | #amvDoubleOriginalSize | #amvOneSixteenthScreen | #amvOneFourthScreen | #amvOneHalfScreen ) </code></pre><p>Get/Set the movie window size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FullScreenMode : Boolean </code></pre><p>Enable/Disable fullscreen mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AutoStart : boolean </code></pre><p>Enable/Disable Auto Start. When true, the movie will repeat playback when the last frame is reached. When false, the movie will not restart.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AutoRewind : Boolean </code></pre><p>Enable/Disable Auto Rewind. When true, the movie will automatically jump back to the first frame when playback is finished. When false, the movie will remain on the last frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hWnd : integer, read-only </code></pre><p>Returns the Windows handle of the ActiveX control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Appearance : AppearanceConstants( #amvFlat | #amv3D ) </code></pre><p>Get/Set the appearance of the WMP control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BorderStyle : BorderStyleConstants( #amvNone | #amvFixedSingle ) </code></pre><p>Get/Set the border style of the WMP control when <code>.Appearance</code> is set to <code>#amvFlat</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Enabled : Boolean </code></pre><p>Enable/Disable the WMP control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ReadyState : ReadyStateConstants( #amvUninitialized | #amvLoading | #amvInteractive | #amvComplete ), read-only </code></pre><p>Returns the Ready state of the WMP control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MediaPlayer : DActiveMovieEvents </code></pre><p>Returns a DActiveMovieEvents object with the following methods:</p>\n\
<h2 id=\"-mediaplayer-dactivemovieevents-methods\">.MediaPlayer DActiveMovieEvents Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.StateChange oldState:integer newState:integer </code></pre><p>Change the state of the Player.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PositionChange oldPosition:float newPosition:float </code></pre><p>Change the position of the Player.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Timer() </code></pre><p>Call the timer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OpenComplete() </code></pre><p>Set the open state to complete.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Click() </code></pre><p>Call the click event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DblClick() </code></pre><p>Call the double-click event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.KeyDown KeyCode:integer Shift:integer </code></pre><p>Causes the keyDown event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.KeyUp KeyCode:integer Shift:integer </code></pre><p>Causes the keyUp event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.KeyPress KeyAscii:integer </code></pre><p>Causes the keyPress event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS </code></pre><p>Causes the MouseDown event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS </code></pre><p>Causes the MouseMove event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS </code></pre><p>Causes the MouseUp event handler to be executed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Error SCode:integer Description:string Source:string CancelDisplay:Boolean </code></pre><p>Causes the Error event handler to be executed.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AboutBox() </code></pre><p>Open the About box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Run() </code></pre><p>Start Playback.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Pause() </code></pre><p>Pause Playback.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Stop() </code></pre><p>Stop Playback.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.IsSoundCardEnabled() </code></pre><p>Returns true if the Sound Card is enabled, false otherwise.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; StateChange oldState:integer newState:integer do ( ... ) </code></pre><p>Called when the Player&apos;s state has changed. The arguments oldState and newState will contain the state before and after the change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; PositionChange oldPosition:float newPosition:float do ( ... ) </code></pre><p>Called when the Player&apos;s position has changed. The arguments oldState and newState will contain the position before and after the change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Timer do ( ... ) </code></pre><p>Called when the Timer has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OpenComplete do ( ... ) </code></pre><p>Called when the a loading of a new video stream has finished.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Click do ( ... ) </code></pre><p>Called when the user clicked the control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; DblClick do ( ... ) </code></pre><p>Called when the user double-clicked the control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user pressed down a key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user released a key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) </code></pre><p>Called when the user pressed a key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user pressed a mouse button over the Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user moved the mouse over the Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user released a mouse button over the Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Error SCode:integer Description:string Source:string CancelDisplay:boolean do ( ... ) </code></pre><p>Called when an error has occurred.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; DisplayModeChange do ( ... ) </code></pre><p>Called when the display mode has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; ReadyStateChange ReadyState:ReadyStateConstants( #amvUninitialized | #amvLoading | #amvInteractive | #amvComplete ) do ( ... ) </code></pre><p>Called when the ready state has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; ScriptCommand bstrType:string bstrText:string do ( ... ) </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Windows-Media-Player-ActiveX/Windows-Media-Player-ActiveX-1.html\">Windows Media Player ActiveX Control Example</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Typical-ActiveX-Controls.html\">Typical ActiveX Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Windows-Media-Player-ActiveX/Windows-Media-Player-ActiveX-1.html\">Windows Media Player ActiveX Control Example</a></li>\n\
          <li><a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";