var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7A138D7A-D13F-433E-9C72-8034CCC64A41\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>getTextExtent</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt; getTextExtent &lt;string&gt; removeUiScaling:&lt;boolean&gt; useQtTextWidth:&lt;boolean&gt;</code></pre><p>Returns a Point2 value containing the size of the string in pixels if it was displayed in a command panel.</p>\n\
<p>By default, any UI scaling performed when the display is DPI scaled above 100% is removed. Set <code>removeUiScaling</code> to false to get the size of the string when scaled.Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>If <code>useQtTextWidth</code> is true (the default), the text extent width is calculated by <code>QtApplication</code>-&gt;<code>fontMetrics().width(text)</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt; getQtTextExtent &lt;string&gt; removeUIScaling:&lt;true&gt;</code></pre><p>Returns a Point2 value containing the text extents (bounding box) in pixels if it was displayed in a command panel, as calculated by <code>QtApplication</code>-&gt;<code>fontMetrics().boundingRect(string)</code>.</p>\n\
<p>By default, any UI scaling performed when the display is DPI scaled above 100% is removed. Set <code>removeUIScaling</code> to false to get the size of the string when scaled. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Command-Panels.html\">Command Panels</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";