var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-723ABECE-4FDC-47F2-B084-07C1EFD6EB27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Pre-Render Script Evaluation Order Changes in 3ds Max 2008</h1></div><p>The following changes have been made to the evaluation of Pre-Render Scripts in <strong>3ds Max 2008</strong>:</p>\n\
<p><strong>Pre-Render Scripts</strong> specified in the Render Scene Dialog are now executed before the &quot;Render Begin&quot; timeframe. This means a Pre-Render script <strong>can create or modify objects</strong> in the scene, and <strong>can change any render settings</strong>.</p>\n\
<p>This has the following consequences:</p>\n\
<ul>\n\
<li><p>The Pre-Render Script is executed <strong>BEFORE</strong> any pre-render error or warning messages, including possible cancellation of the render.</p>\n\
</li>\n\
<li><p>Previously, neither the Pre- nor Post-Render Scripts would be executed if the render was cancelled due to an error. Now both are executed if enabled, regardless of errors. The Post-Render script is executed after the render completes or is cancelled.</p>\n\
</li>\n\
<li><p>In some circumstances, the output filenames for render elements are modified by the system during the &quot;Render Begin&quot; timeframe. This means the Pre-Render Script is executed too early to have access to the correct filenames of all render elements.</p>\n\
</li>\n\
<li><p>The Pre-Render Script is executed <strong>BEFORE</strong> the image sequence file (.imsq or .ifl) is created. This is because creation of the sequence file requires the render element filenames, which are available only after the Pre-Render Script is executed, as explained above.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";