var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5120D063-E771-4700-98FF-60E4E578BE52\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>trackbar</h1></div><p>The following methods are associated with the Trackbar:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.getPreviousKeyTime()</code></pre><p>Gets the previous key time. If no previous key is present, returns <code>undefined</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   at time sliderTime trackbar.getPreviousKeyTime()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.getNextKeyTime()</code></pre><p>Gets the next key time. If no next key is present, returns <code>undefined</code> .</p>\n\
<p>The following <strong>3ds Max</strong> System Global Variables are associated with the Trackbar:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.filterName</code></pre><p>Get and set the filter specifying which types of keys to show in the Trackbar.</p>\n\
<p>The valid values are: <code>#all</code> , <code>#TMOnly</code> , <code>#currentTM</code> , <code>#object</code> and <code>#mat</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackbar.visibleBoolean</code></pre><p>Get and set whether the trackbar is visible - <code>true</code> if the trackbar is visible, <code>false</code> if invisible</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Trackbar.html\">Trackbar</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Status-Bar/Status-Bar-1.html\">Status Bar</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\">Interface: StatusPanel</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\">Interface: FrameTagManager</a></li>\n\
          <li><a class=\"link\" href=\"../../Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\">examples</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";