var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E7F423C-9737-40DF-B89A-E74B59684E15\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Vertex_Paint_Floater : ReferenceTarget</h1></div><p>The <code>VertexPaintTool</code> primitive provides access to the Vertex Paint Floater used by the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/VertexPaint-Modifier.html\">VertexPaint Modifier</a>. It returns a <code>Vertex_Paint_Floater ReferenceTarget</code> with the following properties:</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.curPaintMode (Current_Paint_Mode) : integer      </code></pre><p>Get/Set the current paint mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mapDisplayChannel (Map_Channel) : integer   </code></pre><p>Get/Set the current map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.brushOpacity (Paint_Strength) : float </code></pre><p>Get/Set the brush opacity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.brushSize (Paint_Strength) : float </code></pre><p>Get/Set the brush size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.paintColor (Paint_Color) : RGBcolor </code></pre><p>Get/Set the brush color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.blurStrength (Blur_Strength) : float </code></pre><p>Get/Set the brush strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.windowPosX (Window_Pos_X) : integer </code></pre><p>Get/Set the horizontal position of the Vertex Paint Floater relatively to the upper left corner of the Windows desktop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.windowPosY (Window_Pos_Y) : integer </code></pre><p>Get/Set the vertical position of the Vertex Paint Floater relatively to the upper left corner of the Windows desktop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MapDisplayChannelLock : boolean </code></pre><p>When set to <code>true</code> , the channel will be locked.</p>\n\
<p>When the lock is enabled, the user cannot manually change the display channel in the floater. Instead, it will always reflect the paint channel of the active VertexPaint modifier, if any.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.KeepToolboxOpen : boolean </code></pre><p>When set to <code>true</code> , the vertex paint floater will remain open after the modifier is closed. The default is <code>false</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HideUnselSubobjs : boolean </code></pre><p>When set to <code>true</code> , only the selected subobjects are drawn in the viewport, when <code>false</code> , selected and unselected subobjects are both drawn, in different colors. The default is <code>false</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MirrorMode : boolean </code></pre><p>Turns the PainterInterface mirror mode on and off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MirrorModeAxis : integer </code></pre><p>Determines the mirror axis. Possible values are:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   v = VertexPaintTool()\n\
   ReferenceTarget:Vertex_Paint_Floater\n\
   v.brushOpacity = 50\n\
   50\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Vertex-Paint-Tools.html\">Vertex Paint Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/VertexPaint-Modifier.html\">VertexPaint : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssignVertexColors.html\">Interface: AssignVertexColors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";