var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1AB01BA7-7337-4E2F-8CFE-E0AB55EFE995\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2018</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2018</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>Highlights</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-16261D42-A6B2-4DFB-913C-3D7E25500ACF-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-370DFD6B-B6A8-4F4F-B2C8-686FD17E15BD-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-E5746E12-83E7-4794-BBEB-917EFA26359B-low.png\" alt=\"\"></td>\n\
</tr>\n\
<tr>\n\
<td>Materials, Shaders and Maps:You can now determine if a material (or any other MAXWrapper) is used in a scene using  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">isUsedInScene()</a>, and whether a material or texture is used in a material using  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\">isMtlUsedInSceneMtl()</a>.The Scene Material Library (<code>sceneMaterials</code> collection) can be forced to update using  <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">UpdateSceneMaterialLib()</a>. In some cases this collection can get out of date and contain materials not currently used in the scene, such as when a node gets deleted.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader</a> now exposes the <code>.parentMaterial</code> property.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Vector_Map-TextureMap/Vector_Map-textureMap.html\">vector_map</a> now exposes the <code>.finiteResolution</code> and <code>.resType</code> properties.</td>\n\
<td>Scripted Plug-ins: <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted Plug-ins</a> now support new parameter types of #paramBlock2 and #point2. <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted Plug-ins</a> now support new parameter event handlers preSet and postSet that are guaranteed to use the original and new parameter value respectively. <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/MAXtoA-Scripted-Plug-ins.html\">Scripted MAXtoA</a> plug-ins can now be created for Arnold nodes.</td>\n\
<td>TrackView:There are new filter flags for  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\">TrackView</a>: #activeLayer and #unlockedTracks. There is a new method to test flags, <code>testFilter()</code>.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Mixin Interface trackviews.current.ui</a> now exposes the <code>getToolbarObjectName</code> method to retrieve the non-localized toolbar name. By contrast, the <code>getToolbarName</code> method returns a localized string.</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-7F5779B3-2973-4D9A-BF8F-6BF0F3230566-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-53A6604C-BE7E-4334-919C-97BA781DCF2C-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-0480BD60-4A2A-4103-9EF1-592AAEC2A374-low.png\" alt=\"\"></td>\n\
</tr>\n\
<tr>\n\
<td>Geometry Objects Type-in Properties:The Keyboard Entry properties for several geometry objects are now exposed. These properties are now available for  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Box-GeometryClass.html\">Box</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferBox-GeometryClass.html\">ChamferBox</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferCyl-GeometryClass.html\">ChamferCyl</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cone-GeometryClass.html\">Cone</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cylinder-GeometryClass.html\">Cylinder</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Prism-GeometryClass.html\">Prism</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Pyramid-GeometryClass.html\">Pyramid</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Teapot-GeometryClass.html\">Teapot</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Torus-GeometryClass.html\">Torus</a>, and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Tube-GeometryClass.html\">Tube</a>.The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a> and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a> now also define the <code>.CenterCreate</code> property which controls the offset of the mesh as though it had been created from its center.</td>\n\
<td>Chamfer Quad Intersection Mode: The following boolean properties have been added to control the quad intersection mode. Enabling this mode attempts to preserve the quad structure of the faces participating in the chamfered edges. <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer</a><code>.quadIntersectionMode</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a><code>.edgeChamferQuadIntersections</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\">Editable_Poly</a><code>.edgeChamferQuadIntersections</code></td>\n\
<td>BooleanClass Comparison: <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/BooleanClass-Values.html\">BooleanClass</a> values can now be compared to Integer values, with 0 equivalent to false and all other values equivalent to true.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"what-39-s-new-in-3ds-max-2018-2-update\">What&#39;s New in 3ds Max 2018.2 Update</h2><p>This section covers enhancements and changes in 3ds Max 2018.2 Update.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Spline Enhancements</td>\n\
<td>Several new objects and modifiers in the Spline Tools feature are exposed in MAXScript: <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Freehand-Shape.html\">FreehandSpline: Shape</a> object <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Normalize_Spline2-Modifier.html\">Normalize_Spline2</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Path_Deform2-Modfier.html\">Path_Deform2</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Optimize_Spline-Modifier.html\">Optimize_Spline</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineInfluence-Modifier.html\">SplineInfluence</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/InfluenceHelper-Helper.html\">InfluenceHelper</a> helper <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineRelax-Modifier.html\">SplineRelax</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMorph-Modifier.html\">SplineMorph</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineOverlap-Modifier.html\">SplineOverlap</a> modifier <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMirror-Modifier.html\">SplineMirror</a> modifier</td>\n\
</tr>\n\
<tr>\n\
<td>Dump file creation</td>\n\
<td>The  <a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">systemTools</a> struct now exposes some functions to control how dump files are created and what they contain. These are <code>GenerateMiniDumpAndContinue()</code>, <code>SetMiniDumpContents()</code> and <code>SetBigMiniDumpContents()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Previously Undocumented Items</td>\n\
<td>Several previously undocumented items are now documented: <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Box3-Values.html\">Box3 Values</a>Global parameters in the  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup dialog</a>: <code>rendLockImageAspectRatio</code>, <code>rendImageAspectRatio</code>, <code>rendPixelAspectRatio</code>, <code>rendUseImgSeq</code>, and <code>rendImgSeqType</code>.Functions for  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curves</a>: <code>getMultiplierCurve()</code> and <code>getEaseCurve()</code>.<code>inverseHighPrecision()</code> function for  <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3</a> values.Body_Object conversion functions:  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\">convertToBody()</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Join_Bodies-GeometryClass.html\">convertToJoinBodies()</a>, and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Cutter-GeometryClass.html\">convertToBodyCutter()</a>.<code>getCommandMode()</code> function for the  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a> modifier and interface  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">Editable_Poly</a>.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"what-39-s-new-in-3ds-max-2018-3-update\">What&#39;s New in 3ds Max 2018.3 Update</h2><p>This section covers enhancements and changes in 3ds Max 2018.3 Update.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Fluid Simulation</td>\n\
<td>New objects that support fluid simulation are exposed in MAXScript: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Fluids/MaxLiquid-GeometryClass.html\">MaxLiquid : GeometryClass</a> object <a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/MaxLiquidSolver.html\">LiquidSolver</a> object</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"what-39-s-new-in-3ds-max-2018-4-update\">What&#39;s New in 3ds Max 2018.4 Update</h2><p>This section covers enhancements and changes in 3ds Max 2018.4 Update.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Missing Path Monitor Cache</td>\n\
<td>The new missing path monitor cache is exposed in MAXScript with the new  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\">missingPathCache</a> interface.</td>\n\
</tr>\n\
<tr>\n\
<td>.NET Support</td>\n\
<td>Improved support for conversion between C# and MAXScript values.Conversion for C# built-in type namesConversion for Point2, Point3, Point4, Quat, EulerAngles and Matrix3 to .NET arrays.See  <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript / DotNet Value Conversions</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>MeshOp Methods</td>\n\
<td>New methods in the MeshOp struct take list parameters:  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFace()</a>,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFaces()</a> and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html#mesh-vertex-access\">meshOp.getVerts()</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>PolyOp Methods</td>\n\
<td>New versions of existing methods in  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly</a> that take lists instead of a single index, and return arrays:polyop.getEdgesVerts()polyop.getEdgesFaces()polyop.getFacesVerts()polyop.getFacesEdges()polyop.getVerts()</td>\n\
</tr>\n\
<tr>\n\
<td>PRT Export</td>\n\
<td>Enhanced PRT file export for fluids is exposed in a new interface,  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PRTExport.html\">PRTExport</a>.</td>\n\
</tr>\n\
<tr>\n\
<td>Symbolic Path Names</td>\n\
<td>A new  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\">symbolic path name</a> <code>#pageFile</code> is added to match the system directory global <code>$pageFile</code>.Several path names and system directory names introduced in 3ds Max 2017 that were previously undocumented are now documented.</td>\n\
</tr>\n\
<tr>\n\
<td>3ds Max Batch</td>\n\
<td>Some additions have been made to support the improved version of 3ds Max Batch introduced in this update:New <code>quiet:&lt;bool&gt;</code> and <code>exitcode:&lt;int&gt;</code> arguments to the  <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">quitMax()</a> function.New <code>mxsCmdLineArgs</code> member of  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">mxsOps</a> contains a dictionary of values passed from 3dsmaxbatch.exe via the <code>-mxsString</code> and <code>-mxsValue</code> parameters.</td>\n\
</tr>\n\
<tr>\n\
<td>Callbacks</td>\n\
<td>The  <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.show()</a> method has a new <code>to:&lt;stream&gt;</code> argument to specify a stream value that the method can send output to.</td>\n\
</tr>\n\
<tr>\n\
<td>Scene Converter</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\">SceneConverter</a> interface has a new property and two new methods for dealing with missing legacy assets on file load or merge:<code>sceneconverter.AutoRemoveMissingLegacyAssets``sceneconverter.GetMissingLegacyAssetsName()``sceneconverter.RemoveMissingLegacyAssetsFromScene()</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-enhancements-and-changes\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">Enhancements and Changes</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>mental ray and iray</td>\n\
<td>By default, mental ray and iray are no longer installed with 3ds Max. All corresponding classes and interfaces have been removed, though the names have been reserved and appear as &quot;undefined&quot; if inspected with <code>apropos()</code> or <code>showclass()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Ray and Matrix3 Values</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Ray-Values.html\">Ray Values</a> and  <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Maxtrix3 Values</a> now support comparisons using the <code>==</code> and <code>!=</code> operators.</td>\n\
</tr>\n\
<tr>\n\
<td>Try Expression</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\">Try expressions</a>, You can now use <code>getErrorSourceFileName()</code>, <code>getErrorSourceFileLine()</code>, and <code>getErrorSourceFileOffset()</code> to obtain more information about the location of an error in a catch block. This can be useful if running external scripts via <code>fileIn()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>XRefScene Values</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a> has new parameters, root and owner, both of which return the owning root node for the XRefScene.</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>A root node can now be coerced to an  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a> value using <code>&lt;RootNode&gt; as XRefScene</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/AlembicFloat-FloatController.html\">AlembicFloat</a> controller exposes the visibility track for imported Alembic objects.</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export</a> and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import</a> plugins now expose a <code>.ShapeName</code> boolean property to control whether or not the &quot;Shape&quot; string suffix is trimmed from imported and exported objects.</td>\n\
</tr>\n\
<tr>\n\
<td>Unwrap_UVW Modifer - Edit UVWs Floater</td>\n\
<td>The <code>addFloater()</code>, <code>ShowFloater()</code> and <code>DeleteFloater()</code> methods for  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\">Unwrap_UVW</a> are removed.</td>\n\
</tr>\n\
<tr>\n\
<td>Grid Helper</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">Grid Helper</a> now exposes the <code>.activeColor</code> and <code>.displayPlane</code> properties</td>\n\
</tr>\n\
<tr>\n\
<td>cui.RegisterDialogBar</td>\n\
<td>The maxSize parameter for  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.RegisterDialogBox</a> is deprecated and no longer has any effect on the dialog box size.</td>\n\
</tr>\n\
<tr>\n\
<td>maxops Core Interface</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops Core Interface</a> now exposes the settings for Motion Paths (previously known as Trajectories in the user interface).</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops Core Interface</a> now also exposes the <code>isRibbonSupportEnabled</code> property to check if the ribbon has been deactivated.</td>\n\
</tr>\n\
<tr>\n\
<td>Exchange Store Package Manager Core Interface</td>\n\
<td>The <code>ExchangeStorePackageManager</code> Core Interface now exposes the following method to process custom install directories based on a filepath: <code>ProcessCustomInstallDirectory</code>.</td>\n\
</tr>\n\
<tr>\n\
<td>HelpSystem Core Interface</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">HelpSystem Core Interface</a> can now be used to open the Python and MaxScript help, and to open an arbitrary .CHM file on disk.</td>\n\
</tr>\n\
<tr>\n\
<td>AssetUser Mixin Interface</td>\n\
<td>The  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Mixin Interface</a> now exposes the <code>Reset</code> method to relinquish its reference to the underlying asset.</td>\n\
</tr>\n\
<tr>\n\
<td>PFlow and CFD Simulation</td>\n\
<td>The  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Node-Helper.html\">AirFlow_Node</a> and  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Spline-Helper.html\">AirFlow_Spline</a> operators import CFD data for simulating air flows using Particle Flow.</td>\n\
</tr>\n\
</tbody></table>\n\
<p><em>Icon made by <a href=\"https://www.flaticon.com/authors/freepik\" target=\"_blank\">Freepik</a> from <a href=\"https://www.flaticon.com\" target=\"_blank\">www.flaticon.com</a>.</em></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";