var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-222431A5-8BEE-4715-A805-E0803BADD9EE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2009</h1></div><p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2009</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"viewport\">Viewport</h2><h3 id=\"viewport-navigation-tools\">Viewport Navigation Tools</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SteeringWheelsOps.html\">Interface: SteeringWheelsOps</a></p>\n\
<p>This new interface exposes all settings of the Steering Wheel viewport navigation system.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewCubeOps.html\">Interface: ViewCubeOps</a></p>\n\
<p>This new interface exposes all settings of the View Cube viewport navigation system.</p>\n\
<h3 id=\"viewport-shading\">Viewport Shading</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interfac e: IViewportShadingMgr</a></p>\n\
<p>New property added to the existing IViewportShadingMgr Interface to set the maximum number of active lights in the viewports.</p>\n\
<p>Two more properties and five methods were available but not documented in <strong>3ds Max 2008</strong> and have now been included.</p>\n\
<h3 id=\"viewport-access\">Viewport Access</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<p>New <code>index:</code> optional keyword parameter added to <code>viewport.getType()</code> and <code>viewport.getCamera()</code> to query viewports by index instead of the active one.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetID</a></p>\n\
<p>New method <code>viewport.getID()</code> added to returns the ID of an indexed viewport. When a viewport is maximized, its index will be 1 but its ID will be the viewport&#39;s index when not maximized.</p>\n\
<h2 id=\"texture-mapping\">Texture Mapping</h2><h3 id=\"texture-maps\">Texture Maps</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/CompositeTextureMap-TextureMap.html\">CompositeTextureMap : TextureMap</a></p>\n\
<p>The Composite Map has been completely reimplemented, while still providing backwards compatibility with old scenes containing the previous version of the map.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\">Color_Correction : TextureMap</a></p>\n\
<p>The new Color_Correction TextureMap provides means to alter the color information of an incoming texture map by modifying its Brightness, Contrast, Saturation, Exposure, Gain, Gamma, Color Channels and so on.</p>\n\
<h3 id=\"unwrap_uvw-spline-mapping\">Unwrap_UVW Spline Mapping</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Spline.html\">Unwrap_UVW Modifier - Spline Mapping</a></p>\n\
<p>New properties and methods have been added to the Unwrap_UVW modifiers, exposing the new Spline Mapping functionality.</p>\n\
<h2 id=\"lighting-and-rendering\">Lighting and Rendering</h2><h3 id=\"image-viewer-a-k-a-vfb-or-rendered-image-window-\">Image Viewer (a.k.a. VFB or Rendered Image Window)</h3><p>Image Viewer DisplayNotifications</p>\n\
<p>Two new notifications added to the General Event Callbacks: <code>#preImageViewerDisplay</code> and <code>#postImageViewerDisplay</code></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\">Interface: IVFB</a></p>\n\
<p>This new interface is returned as notification parameter of the above callbacks before or after a Rendered Frame Window or Image Viewer is opened and can be used to customize the custom User Interface panels.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\"#the-existing-functions\">Rollout Adding and Removing</a></p>\n\
<p>A new optional keyword <code>border:</code> has been added to the existing <code>addRollout()</code> method to allow for borderless rollouts in the Image Viewer.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EditRenderRegion.html\">Interface: EditRenderRegion</a></p>\n\
<p>This new interface provides access to the new Render Region rubber band gizmo in the Rendered Image Window and in the Viewport.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">Controlling the Renderer</a></p>\n\
<p>A new optional keyword <code>pos:</code> has been added to the <code>render()</code> method to allow the opening of the Rendered Frame Window (also known as Virtual Frame Buffer) at a particular location of the screen or at the last known position (the new default behavior).</p>\n\
<h3 id=\"render-scene-dialog-a-k-a-render-setup-dialog-\">Render Scene Dialog (a.k.a. Render Setup Dialog)</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\"#render-presets\">Viewport Index, Lock Button and Render Presets</a></p>\n\
<p>New properties have been added to expose the Lock Button, Viewport Index list and Last Used Render Presets list at the bottom of the Render Scene Dialog.</p>\n\
<h3 id=\"mental-ray-renderer\">mental ray Renderer</h3><p>mentalray renderer &gt; Rendering Algorithms Rollout &gt; Raytrace Acceleration</p>\n\
<p>A new BSP2 option has been added to the existing <code>.RaytraceMethod</code> property, the old Grid and Large BSP options have been removed.</p>\n\
<p>mental ray renderer &gt; Rendering Algorithms Rollout &gt; Trace Depth</p>\n\
<p>Two new <code>.ReflectionsEnable</code> and <code>.RefractionsEnable</code> properties have been added to the mental ray renderer to enable and disable trancing of reflections and refractions.</p>\n\
<p>mentalray renderer &gt; Rendering Algorithms Rollout &gt; Subset Pixel Rendering</p>\n\
<p>The new <code>.enable_subset_pixel_rendering</code> property has been added to mental ray renderer to enable and disable the rendering of changed objects only.</p>\n\
<p>mental ray renderer &gt; Translator Options Rollout &gt; Geometry Caching</p>\n\
<p>The new <code>.Enable_Geometry_Cache, .isGeometryCacheEmpty</code> and <code>.LockGeometryCache</code> properties have been added to the mental ray renderer to control the caching of geometry between iterative renders.</p>\n\
<p>mental_ray_renderer_functions Interfaces</p>\n\
<p>This new interface exposes properties and methods related to managing Final Gather Presets, Final Gather Maps and the clearing of the Mesh Cache.</p>\n\
<h3 id=\"mental-ray-proxy\">mental ray Proxy</h3><p>mr_Proxy : GeometryClass</p>\n\
<p>This new geometry object allows the creation of proxy files on disk which can be loaded by mental ray at render time. This lets you replace very complex geometry with simple stand-ins and load their actual geometry ony when rendering.</p>\n\
<h3 id=\"mental-ray-lights\">mental ray Lights</h3><p>mr_Sky : light</p>\n\
<p>Several new properties have been added to the existing mental ray Sky light.</p>\n\
<h3 id=\"photometric-lights\">Photometric Lights</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Light-Classes.html\">Photometric Light Classes</a></p>\n\
<p>The Photometric Lights have been rewritten to allow easier creation, conversion between all types and more Area Light shapes.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Lights-Common.html\">Photometric Lights Common Properties, Operators, and Methods</a></p>\n\
<p>All Photometric Lights share the same set of properties and methods. The list of properties has been updated and has also been redesigned to reflect the order the related controls appear in the User Interface.</p>\n\
<h3 id=\"daylight-system-assembly-head\">Daylight System Assembly Head</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\">DaylightAssemblyHead : Helper</a></p>\n\
<p>New properties and methods related to weather file handling have been added to the Daylight Assembly Head helper.</p>\n\
<h3 id=\"hair-and-fur\">Hair and Fur</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairEffect-RenderEffect.html\">HairEffect : RenderEffect</a></p>\n\
<p>New properties have been added to the Hair RenderEffect, exposing the tile memory usage and transparency depth parameters and the Global Illumination/Skylight options.</p>\n\
<h2 id=\"lighting-analysis-tools-3ds-max-design-only\">Lighting Analysis Tools - 3ds Max Design Only</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a></p>\n\
<p>This new Render Effect allows the generation of lighting analysis data in screen or world space.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Render-Elements/Lighting_Analysis_Data.html\">Lighting_Analysis_Data : RenderElement</a></p>\n\
<p>This new Render Element can be used to output the lighting analysis data to an image file.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\">LightMeter : Helper</a></p>\n\
<p>This new Helper can be used to define lighting analysis grids in world space to be used in conjunction with the Lighting Analysis Overlay RenderEffect.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">Interface: LightMeterManager</a></p>\n\
<p>This new Interface provides tools to perform lighting calculations and CSV file data export using any number of active LightMeter Helpers in the scene.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-6.html\">Interface: DaylightSimulationUtilities</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-5.html\">Interface: DaylightSimulationUIOps</a></p>\n\
<p>These two new Interfaces provide access to the functionality and the User Interface of the Daylight Simulation Utility.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PseudoColorManager.html\">Interface: PseudoColorManager</a></p>\n\
<p>This new interface can be used to set up the PseudoColor range and type (Linear or Logarithmic).</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LuminosityUtil.html\">Interface: LuminosityUtil</a></p>\n\
<p>This new interface exposes a method for converting RGB data into Illumination data by taking into account the different contribution of the three channels.</p>\n\
<h2 id=\"scripting-tools\">Scripting Tools</h2><h3 id=\"user-interface-controls\">User Interface Controls</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\">Label</a></p>\n\
<p>An optional keyword argument <code>style_sunkenedge:</code> has been added to the existing Label control to display a half-sunken border around it.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Button</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">Checkbutton</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">Mapbutton</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">Materialbutton</a></p>\n\
<p>An optional keyword argument <code>border:</code> has been added to the existing Button controls to control the display of the border around them. When set to false, the button will appear as one with the UI background. This keyword is <strong>NOT</strong> available in the pickbutton control.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">Checkbox</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">Dropdownlist</a></p>\n\
<p>An optional keyword argument <code>tooltip:</code> and a <code>tooltip:</code> property have been added to the existing Checkbox and Dropdownlist controls to get and set a tooltip string. Also note that <strong>3ds Max 2009</strong> will now automatically split long tooltips into multiple lines.</p>\n\
<h3 id=\"binary-search-in-array\">Binary Search In Array</h3><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Bsearch()Method</a></p>\n\
<p><a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Using Bsearch For Fast Table Lookup</a></p>\n\
<p>The new <code>bsearch()</code> method is used to efficiently find an item in a sorted array.</p>\n\
<h3 id=\"network-manager\">Network Manager</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetworkManager.html\">Interface: NetworkManager</a></p>\n\
<p>This new Interface exposes a method to send emails via MAXScript.</p>\n\
<h3 id=\"macro-recorder-performance\">Macro Recorder Performance</h3><p><a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\">The Macro Recorder</a></p>\n\
<p>The performance of the Macro Recorder when selecting a large number of objects has been improved significantly.</p>\n\
<h3 id=\"miscellaneous-maxscript-additions\">Miscellaneous MAXScript Additions</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Accessing-the-Last-Rendered.html\">Accessing the Last Rendered Image</a></p>\n\
<p>An option was added to the <code>getLastRenderedImage()</code> method to copy the image or reference the same bitmap value as the renderer.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<p>Two options were added to the <code>callbacks.show()</code> method to show callbacks by type and/or by ID.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\">Interface: batchRenderMgr</a></p>\n\
<p>Two properties of the <code>batchRenderViewOps</code> interface were hooked up to incorrect methods internally, making it impossible to access the scene state name and the enabled property. These have been fixed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-11.html\">What was New in MAXScript in 3ds Max 2009</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-3.html\">Documentation Changes in 3ds Max 2009</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";