var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4E93681E-5FE0-4E06-842A-AB7CB87C3D91\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Documentation Changes in 3ds Max 2008</h1></div><p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 2008</strong> update:</p>\n\
<h2 id=\"new-navigation-methods\">New Navigation Methods</h2><p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Added breadcrumb trails</strong> to several classes including Core Interfaces, MAXWrapper derived classesand some more. The trail provides quick access to the common properties and methods of the superclasses the class inherits from:</p>\n\
<h2 id=\"additions\">Additions</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Changed the name</strong>of the existing mental ray shaderAmbient_Reflective_Occlusion__Base to Ambient_Reflective_Occlusion__3dsMax. The shader was renamed in the <strong>3ds Max 9</strong> Productivity Booster Extension.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added missing documentation</strong> of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/XRef_Controller.html\">XREF_Controller</a> originally introduced in <strong>3ds Max 9</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated the documentation</strong> of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier - superclass: SpacewarpModifier</a> replaced by PointCach2 version in <strong>3ds Max 9</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added previously undocumented callbacks</strong> to the Callbacks File Notifications subtopic of <a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a> topic: <code>#filePreOpenProcess, #filePostOpenProcess, #filePreSaveProcess, #filePostSaveProcess</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added previously undocumented</strong> global variables related to <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\"#scripts\">Pre- and Post-Render Scripts in the Render Scene Dialog</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added previously undocumented</strong> method <code>appendMaxClip()</code> to the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Mixer-MAXScript-Extensions/MxTrack-Class.html\">MxTrack Class</a> documentation. The method is used to append <strong>3ds Max</strong> Animation .XAF clips to the Animation Mixer (as opposed to .BIP clips)</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated the documentation</strong> of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IKSys.html\">Interface: IKSys</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added a note and workarounds</strong> to the existing <code>exprForMaxObject()</code> method in <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators and Methods</a> topic regarding incorrect return result for ambient Color Controller</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and reformatted</strong> the documentation of the mental ray renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and reformatted</strong> the documentation of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-GeometryClass.html\">Editable_Poly: GeometryClass</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and reformatted</strong> the documentation of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly : Modifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and added more examples</strong> to the documentation of <a href=\"./../../../MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\">Time Values</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added a separate topic</strong> documenting the <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and added a better example</strong> to the topic <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Controls-Property.html\">Rollout .Controls Property</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and added a better example</strong> to the topic <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Systems-category.html\">Rollout Systems &apos;category&apos; Mechanism</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated and added a better example</strong> to the topic <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">Radiobuttons</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Updated the example</strong> anesthetics <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">Visibility of Locals, Functions, Structures and User-Interface Items in Rollout Code</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>Added popups</strong> to various topics explaining the use of a [<a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>]. Popups are enclosed in rectangular brackets [].</p>\n\
<h2 id=\"how-to-maxscript-tutorials\">How To - MAXScript Tutorials</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Copy-The-Last-Rendered.html\">How To ... Copy The Last Rendered Image To The Windows Clipboard</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Call-a-MAXScript-Function.html\">How To... Call a MAXScript Function Periodically using DotNet</a></p>\n\
<h2 id=\"maxscript-frequently-asked-questions\">MAXScript Frequently Asked Questions</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>The <a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-.html\">How To Make It Faster?</a> FAQ topic had grown too long and has been split into multiple sub-topics.</p>\n\
<p>The following topics have been added to the MAXScript FAQ:</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\">How do I call the dropdownList Selected handler as a function?</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-uncheck-a-MacroScript.html\">How do I uncheck a MacroScript button correctly?</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">Optimizing Particle Flow Script Operator For Loops For Speed</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-set-the-default-path.html\">How do I set the default path for file operations in MAXScript?</a></p>\n\
<h2 id=\"other-updates\">Other Updates</h2><p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Changed titles background to black</strong> to make search result highlights (typically dark blue) easier recognizable.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>As an ongoing effort to improve readability,</strong> the <strong>spacing</strong> between properties and methods definitions has been <strong>increased</strong> in most topics.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Replaced all screenshots</strong> in the Introduction to MAXScript to reflect the modern look of viewports and dialogs.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Reformatted</strong> the documentation of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps Interface</a> for easier navigation.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Changed formatting</strong> of Notes and Examples (Work In Progress)</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Added new table formatting</strong> for Notes and Warnings.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   <img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt> <strong>Added new table formatting</strong> for Examples:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   some code here\n\
</code></pre></blockquote>\n\
<h2 id=\"bug-fixes\">Bug Fixes</h2><p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Fixed description</strong> of the <code>macros.new()</code> method in <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\">Macro Scripts</a> topic. It listed first argument as Name and second as Category. The correct order is Category first, then Name.</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Added missing link</strong> to the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Area_Shadows-Shadow.html\">Area_Shadows : Shadow</a> topic from the Contents tab and fixed broken link to the same topic from <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Light-Common-Properties.html\">Light Common Properties, Operators, and Methods</a>.</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Fixed description</strong> of the <code>#viewportChange</code> <a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">general event callback</a>. Old documentation claimed that it is called whenever the viewport layout changes. In reality, it is called each time the viewport parameters change, including panning, zooming, orbiting or changing the active viewport.</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Fixed property name</strong> in the RBCollection : Helper- <code>.rigidBody</code> was listed as <code>.rigidBodyTab</code> .</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Fixed method name</strong> in the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-ProCutter.html\">Interface: ProCutter</a>- <code>.addStocks()</code> was listed as <code>.addStock()</code> .</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt> <strong>Removed claims</strong> from <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render() method description</a> about it being re-entrant. The only special case where <code>render()</code> can be called reentrantly is documented in <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\">Scripted RenderEffect Plug-ins</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt>The content of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Constraints/Path_Constraint-superclass.html\">Path Constraint</a> topic was very outdated and misleading. It has been completely rewritten**, incl. notes and examples.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-13.html\">What was New in MAXScript in 3ds Max 2008</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"What-was-New-in-MAXScript-in-3ds-14.html\">What was New in MAXScript in 3ds Max 2008</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">What is New in MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";