var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CD775B5B-2368-499A-A11F-A32244FD317E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2008</h1></div><p>The following pages will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2008</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"scite-maxscript-editor\">SciTE MAXScript Editor</h2><p><a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Editor-Windows.html\">The MAXScript Editor Windows</a></p>\n\
<p>A <strong>new tabbed MAXScript Editor</strong> based on the open source Scintilla control and the SciTE editor has mostly replaced the original RichEdit-based MAXScript Editor.</p>\n\
<p>In addition to the MAXScript Editor, both the <strong>MAXScript Listener</strong> and its <strong>MacroRecorder</strong> pane and the <strong>Mini-Listeners</strong> in the bottom left corner of the GUI are now using the Scintilla control and provide an <strong>Undo depth of up to 500 operations</strong>!</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Overview.html\">MAXScript Tabbed Editor Overview</a></p>\n\
<p>The above topic is an introduction to the new Editor and its main features and advantages.</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">MAXScript Editor Commands</a></p>\n\
<p>This topic is an index with links to all relevant topics discussing the use of the new Editor, its menus, commands, keyboard shortcuts and the various customization methods. The same links are provided below for faster access:</p>\n\
<h3 id=\"maxscript-editor-menu-options-\">MAXScript Editor - Menu Options:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-File-Menu.html\">File Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Edit-Menu.html\">Edit Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\">Search Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/Regular-Expressions-Find-and.html\">Regular Expressions Find and Replace in the MAXScript Editor</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Output-Pane.html\">MAXScript Editor - Output Pane</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-View-Menu.html\">View Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\">Tools Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Options-Menu.html\">Options Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Language-Menu.html\">Language Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Windows-Menu.html\">Windows Menu</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Help-Menu.html\">Help Menu</a></p>\n\
<h3 id=\"maxscript-editor-keyboard-shortcuts-\">MAXScript Editor - Keyboard Shortcuts:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\">MAXScript Editor - Keyboard Shortcuts</a></p>\n\
<h3 id=\"maxscript-editor-configuration-and-customization-\">MAXScript Editor - Configuration and Customization:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\">MAXScript Editor - MAXScript-Specific Language Settings</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">MAXScript Editor - Customizing Syntax Color Schemes</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\">MAXScript Editor - Defining Custom Keyboard Shortcuts</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\">MAXScript Editor - Defining Custom Context Menu Items</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\">List of Editor Menu Commands</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Key-Commands.html\">List of Editor Key Commands</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">MAXScript Editor - Defining And Using Abbreviations</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">MAXScript Editor - Defining Custom Status Bars</a></p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><p>The following new features have been added to <strong>3ds Max 2008</strong> and have been exposed to MAXScript:</p>\n\
<h3 id=\"viewport-shading-illumination-and-shadows\">Viewport Shading - Illumination and Shadows</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a></p>\n\
<p>This interface exposes the <strong>Viewport Shading System</strong> to MAXScript including shadows and per-pixel lighting.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a></p>\n\
<p>This node interface exposes the <strong>Viewport Shading node properties</strong> to MAXScript.</p>\n\
<h3 id=\"adaptive-degradation\">Adaptive Degradation</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Adaptive-Degradation-Access.html\">Adaptive Degradation Access</a></p>\n\
<p>These new methods available in the <code>viewport</code> struct provide means to get and set all controls of the completely rewritten <strong>Adaptive Degradation</strong> system.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeDisplayProperties.html\">Interface: INodeDisplayProperties</a></p>\n\
<p>This new node interface provides access to the <code>.neverDegrade</code> property which can be used to exclude nodes from <strong>Adaptive Degradation</strong>.</p>\n\
<h3 id=\"show-map-in-viewports\">Show Map In Viewports</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\">Show Hardware MapIn Viewports</a></p>\n\
<p>The new <code>enableHardwareMaterial()</code> and <code>showHWTextureMap()</code> methods can be used to toggle the new flyout option in the Show Map In Viewports icon.</p>\n\
<h3 id=\"viewport-controls\">Viewport Controls</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.SetFOV</a></p>\n\
<p>The new <code>viewport.setFOV()</code> method sets the active viewport&#39;s field of view in degrees.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetFocalDistance</a></p>\n\
<p>The new method <code>viewport.getFocalDistance()</code> and <code>viewport.setFocalDistance()</code> get and set the active viewport&#39;s focal distance.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">ViewportPan, Zoom and Rotate</a></p>\n\
<p>The new <code>viewport.pan(), viewport.zoom(),</code> <code>viewport.zoomPerspective()</code> and <code>viewport.rotate()</code> methods let you implement scripted viewport navigation operations similar to the interactive Pan, Zoom and Arc Rotate commands in the <strong>3ds Max</strong> UI.</p>\n\
<h3 id=\"display-color-correction-gamma-and-lut\">Display Color Correction - Gamma and LUT</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\">Interface: IDisplayGamma</a></p>\n\
<p>The existing core interface has been extended to expose some Gamma and LUT settings including the color correction mode, the LUT filename and the Gamma value.</p>\n\
<h3 id=\"scene-explorer\">Scene Explorer</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\">Interface: SceneExplorerManager</a></p>\n\
<p>This new core interface provides <strong>Scene Explorer management functions</strong> including methods to open, close, load, save, position and resize named Scene Explorers, as well as methods for adding new property filters to Scene Explorers via scripted functions.</p>\n\
<h3 id=\"actionitem-override\">ActionItem Override</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface.html\">Interface: ActionItemOverrideManager</a></p>\n\
<p>This new core interface exposes the <strong>ActionItem Override</strong> feature to MAXScript.</p>\n\
<h3 id=\"working-pivot\">Working Pivot</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkingPivot.html\">Interface: WorkingPivot</a></p>\n\
<p>This new core interface exposes the <strong>Working Pivot</strong> feature to MAXScript.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper : Helper</a></p>\n\
<p>An instance of this internal helper class is used by the <strong>Working Pivot</strong> feature to display an axis tripod in the scene and set it as the current transformation system reference node.</p>\n\
<h3 id=\"polygon-modeling\">Polygon Modeling</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#selection\">Edit_Poly Selection Properties</a></p>\n\
<p>A new property <code>.selectMode</code> was added to the Edit_Poly modifier. It exposes the new sub-object selection modes (Off - SubObj - Multi).</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#chamfer\">Edit_Poly Chamfer Properties</a></p>\n\
<p>A new property <code>.edgeChamferSegments</code> was added to the Edit_Poly modifier. It exposes the new segmented edge chamfering feature.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#preview-selection\">Editable Poly Preview Selection</a></p>\n\
<p>A new property <code>.selectMode</code> was added to the Editable_Poly base object. It exposes the new sub-object selection modes (Off - SubObj - Multi).</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#edge-chamfer-extrude-values\">Editable_Poly Edge Chamfer Properties</a></p>\n\
<p>A new property <code>.edgeChamferSegments</code> was added to the Editable_Poly base object. It exposes the new segmented edge chamfering feature.</p>\n\
<h3 id=\"unwrap_uvw-modifier\">Unwrap_UVW Modifier</h3><p>The new <strong>unwrap6 interface</strong> exposed by the <strong>Unwrap_UVW Modifier</strong> provides access to new properties.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a></p>\n\
<p>A new property <code>.baseMaterial_list</code> was added to the <strong>Unwrap_UVW Modifier</strong>.</p>\n\
<h3 id=\"projection-modifier\">Projection Modifier</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\">Project_Mapping : ReferenceTarget</a></p>\n\
<p>Several new properties related to Projection Quality were added to the <strong>Project_Mapping modifier</strong>.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Projection-Modifier.html\"#cage-rollout\">Projection Modifier Cage</a></p>\n\
<p>New methods <code>exportCage()</code> and <code>importCage()</code> were added to the <strong>projectionModOps Interface</strong> exposed by the Projection Modifier.</p>\n\
<h3 id=\"point-cache-modifier-and-spacewarp\">Point Cache Modifier and SpaceWarp</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache: modifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier: SpacewarpModifier</a></p>\n\
<p>A new <code>.fileCount</code> property was added to the Point Cache Modifier and SpaceWarp, controlling whether a single file or a file per frame will be saved.</p>\n\
<h3 id=\"load-save-animation\">Load / Save Animation</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\">Interface: LoadSaveAnimation</a></p>\n\
<p>Several new methods were added to the <strong>LoadSaveAnimation Interface</strong>, as well as a <strong>stripLayers:</strong> option to some existing methods.</p>\n\
<h3 id=\"biped\">Biped</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\"#object-space-object\">Object Space Object and Head LookAt Target Properties</a></p>\n\
<p>The properties <code>.osObject</code> and <code>.headObject</code> of the <strong>Biped Vertical_Horizontal_Turn(Body):Matrix3 Controller</strong> were changed to accept <strong>undefined</strong> as a valid value.</p>\n\
<h3 id=\"directx-shader\">DirectX Shader</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader</a></p>\n\
<p>Several new methods related to getting the <strong>shader&#39;s techniques</strong> have been added to the function publishing interface exposed by the DirectX Shader Material</p>\n\
<h3 id=\"export\">Export</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-s3dexporter.html\">Interface: s3dexporter</a></p>\n\
<p>This new core interface provides access to some actions in the <strong>Shockwave 3D Exporter Dialog</strong>.</p>\n\
<h3 id=\"render-scene-dialog\">Render Scene Dialog</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Pre-Render-Script-Evaluation.html\">Pre-Render Script Evaluation Order Changes in 3ds Max 2008</a></p>\n\
<p>The evaluation order of Pre- and Post-Render Scripts has been changed.</p>\n\
<h3 id=\"mental-ray\">mental ray</h3><p>mr_Sky_Portal : light</p>\n\
<p>The <strong>mental ray Sky Portal Light</strong> can be used to transfer outdoor lighting indoors by defining portals at openings like windows and doors and collecting light from skylight or HDRI environment maps.</p>\n\
<p>mr_Photographic_Exposure_Control : ToneOperator</p>\n\
<p>This new exposure control provides a real-world workflow familiar from traditional photography.</p>\n\
<h3 id=\"bake-elements\">Bake Elements</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">Interface: BakeElementProperties</a></p>\n\
<p>This new interface exposed by all BakeElements provides direct access to some Bake Element properties which were previously accessible only through the node&#39;s interface.</p>\n\
<h3 id=\"maxops-interface\">MaxOps Interface</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></p>\n\
<p>New properties and methods were added to the <strong>maxOps</strong> Interface to control the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#autokey-default-key\">Default Key on Auto Key</a> creation and time.More new properties to control the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#motion-paths\">Motion tab &gt; Trajectory</a> sub-object modes were added.</p>\n\
<p>A new <code>maxOps.findNodes()</code> method was added. It can be used for <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#find-nodes\">finidng similar nodes</a> including filtering by material and layer.</p>\n\
<h3 id=\"menuman-interface\">MenuMan Interface</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">Interface: menuMan</a></p>\n\
<p>A new method <code>createMenuItemFromAction()</code> was added to the <strong>menuMan Interface</strong>.</p>\n\
<h3 id=\"animhandle-system\">AnimHandle System</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/AnimHandle-System.html\">AnimHandle System</a></p>\n\
<p>The new <strong>AnimHandle System</strong> provides a <strong>unique ID number</strong> for <strong>every entity</strong> in the scene including nodes, modifiers, materials, controllers and so on.</p>\n\
<h3 id=\"node-event-system\">Node Event System</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\">Node Event System</a></p>\n\
<p>The new <strong>Node Event System</strong> provides <strong>better handling of node-related events</strong> than the General Event Callback Mechanism available in previous releases of <strong>3ds Max</strong>.</p>\n\
<h3 id=\"default-actions\">Default Actions</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-defaultActions.html\">Interface: defaultActions</a></p>\n\
<p>The new <strong>default Actions core interface</strong> provides access to the default actions for several events like missing UVWs, missing DLLs and so on.</p>\n\
<h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2><p>The following new features have been added to MAXScript in <strong>3ds Max 2008</strong>:</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/String-Literals.html\">Verbatim String Literals</a></p>\n\
<p><strong>Verbatim string literals</strong> prefixed with the <code>&#39;@&#39;</code> character are now supported and will not be expanded on evaluation even if containing escape character sequences like &#39;\\t&#39;, &#39;\\n&#39; or &#39;\\r&#39;.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></p>\n\
<p>Anew <strong>historyCategory:</strong> optional keyword was added to the <code>getOpenFilename()</code> and <code>getSaveFilename()</code> methods. It allows you to specify a history category for your file dialogs.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">OpenBitmap</a></p>\n\
<p>The existing <code>openBitMap()</code> method now returns <code>undefined</code> if the bitmap cannot be loaded instead of generating a run time error.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Validity.html\">World Space Modifiers - Validity Methods</a></p>\n\
<p>New <code>isSpaceWarpValid()</code> method returns <code>true</code> if a Space Warp can be applied to a given object.</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Encrypting-Script-Files.html\">Encrypting Script Files</a></p>\n\
<p>A new encryption scheme is provided in addition to the old encryption method. Scripts encrypted using the new method cannot be run in older versions of <strong>3ds Max</strong>!</p>\n\
<h2 id=\"avguard-extensions\">Avguard Extensions</h2><p>The <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard DLX Extension</a> has been completely incorporated into <strong>3ds Max 2008</strong>.</p>\n\
<h3 id=\"node-related-methods\">Node Related Methods</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">IntersectRayScene</a></p>\n\
<p>Added a new method for intersecting a ray with all nodes in the scene.</p>\n\
<p>Node Modifier Context Transform Methods</p>\n\
<p>Added new methods <code>setModContextTM()</code> and <code>setModContextBBox().</code></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Deformable-Methods.html\">Node Deformable Methods</a></p>\n\
<p>Added new methods <code>isDeformable(), numPoints()</code> and <code>getPointPos().</code></p>\n\
<p>Node Bounding Box Methods</p>\n\
<p>Added new methods <code>nodeGetBoundingBox()</code> and <code>nodeLocalBoundingBox().</code></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">getNodeTM Method</a></p>\n\
<p>Added a new method <code>getNodeTM()</code> which returns the node&#39;s transformation matrix, including the cases where the node is XRef Scene Object.</p>\n\
<h3 id=\"references-dependencies-instances\">References, Dependencies, Instances</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">refs.dependentNodes()</a></p>\n\
<p>Added a new method for getting nodes dependent on a given MAXObject.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">notifyDependents()</a></p>\n\
<p>Added a new method for notifying all dependents of a MAXObject.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">disableRefMsgs() and enableRefMsgs()</a></p>\n\
<p>Added new methods for disabling and enabling the Reference System.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">replaceInstances Method</a></p>\n\
<p>Updated the existing <code>replaceInstances()</code> method.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">AreNodesInstances Method</a></p>\n\
<p>Added a new method <code>areNodesInstances()</code> which returns <code>true</code> if the two nodes passed as arguments are instances.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: Layer Manager</a></p>\n\
<p>Added a method <code>getLayerObject()</code> which returns the layer&#39;s Reference Target. DEPRECATED, provided for backwards compatibility with scripts that use this method from the Avguard Extension.</p>\n\
<h3 id=\"custattributes-structure-methods\">CustAttributes Structure Methods</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Definition.html\">Custom Attributes Definition Values</a></p>\n\
<p>Added two new methods: <code>custAttributes.getDefClass()</code> and <code>custAttributes.getDefInstances()</code></p>\n\
<h3 id=\"controller-methods-and-structures\">Controller Methods and Structures</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\">clearControllerNewFlag Method</a></p>\n\
<p>Added a new <code>clearControllerNewFlag()</code> method to clear the flag signifying that a controller is a new instance that has not been assigned to a property yet.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/BezierDefaultParams-Structure.html\">BezierDefaultParams Structure</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCBDefaultParams-Structure.html\">TCBDefaultParams Structure</a></p>\n\
<p>Added two new structs to expose the default Bezier and TCB key settings for newly created keys.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/IK_ControllerMatrix3Controller.html\">IK_ControllerMatrix3Controller : Matrix3Controller</a></p>\n\
<p>20 new methods added to the <strong>ik struct</strong> to provide access to the Axis settings of the IK controller, including Ease, Min, Max, Damping, Angle and Spring settings.</p>\n\
<h3 id=\"meshop-structure-methods\">Meshop Structure Methods</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></p>\n\
<p>Tweaked the existing methods: <code>meshop.setVert()</code> and <code>meshop.moveVert()</code> to allow positions to be specified alternatively as array, thus allowing multiple vertices to be affected at the same time. Also adds soft-selection support to the latter method.</p>\n\
<h3 id=\"polyop-structure-methods\">Polyop Structure Methods</h3><p>Editable Poly Methods</p>\n\
<p>Tweaked the existing methods: <code>polyop.setVert()</code> and <code>polyop.moveVert()</code> to allow positions to be specified alternatively as array, thus allowing multiple vertices to be affected at the same time. Also adds soft-selection support to the latter method.</p>\n\
<h3 id=\"spline-shape-methods\">Spline Shape Methods</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">New SplineShape Methods</a></p>\n\
<p>Added new methods: <code>weldSpline(), findPathSegAndParam(), findLengthSegAndParam(), interpBezier3D(), tangetBezier3D().</code></p>\n\
<h3 id=\"array-values\">Array Values</h3><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<p>Added new methods - <code>appendIfUnique()</code> and <code>makeUniqueArray()</code> - which can be used to ensure that the array contains only unique values.</p>\n\
<h3 id=\"global-variables-management\">Global Variables Management</h3><p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\">globalVars Structure</a></p>\n\
<p>The <code>GlobalVars</code> struct provides methods to collect, inspect and manage global variables.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\">Persistents Structure</a></p>\n\
<p>The <code>Persistents</code> struct provides methods to collect, inspect and manage persistent global variables.</p>\n\
<h3 id=\"bitmap-values\">Bitmap Values</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">pasteBitmap</a></p>\n\
<p>Added new methods - <code>pasteBitmap()</code> and <code>getBitmapInfo()</code> - which can be used to paste a bitmap into another bitmap and get info about the bitmap.</p>\n\
<h3 id=\"datapair-values\">DataPair Values</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPair Values</a></p>\n\
<p>Added new <strong>DataPairValue</strong> class - a wrapper around two values of any type.</p>\n\
<h3 id=\"string-value-methods\">String Value Methods</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String ValueMethods</a></p>\n\
<p>Added new methods <code>toUpper(), toLower, substituteString(), replace_LF_with_CRLF()</code> and <code>replace_CRFL_with_LF()</code> for changing a string to upper and lower case, replacing all occurrences of a string with another string and converting Line Feed and Carriage Return/Line Feed text files.</p>\n\
<h3 id=\"quat-and-euler-value-methods\">Quat and Euler Value Methods</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">Euler Angles Methods</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Quat-Values.html\">Quat Related Methods</a></p>\n\
<p>Added anew method <code>quatToEuler2()</code> which returns the same Euler value shown in the Transform Type-In dialog, and a new method <code>quatArrayToEulerArray()</code> which converts an array of Quats into an array of EulerAngles.</p>\n\
<h3 id=\"world-space-modifiers-and-space-warps\">World Space Modifiers and Space Warps</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Force.html\">World Space Modifiers - Force-Related Methods</a></p>\n\
<p>Addednew methods thatcan be used to calculate forces from World Space Modifiers.</p>\n\
<h3 id=\"file-input-and-output\">File Input and Output</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\">BinStream for Binary Reading and Writing</a></p>\n\
<p>Added new BinStream I/Omethods <code>writeLongLong(), writeDouble(), writeFloatAsDouble(), readLongLong(), readDouble()</code> and <code>readDoubleAsFloat().</code></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\">Accessing INI File Keys</a></p>\n\
<p>Added a new method <code>hasINIsetting()</code> which returns true if the given key and/or section exists in the supplied INI file.</p>\n\
<h3 id=\"filename-parsing\">Filename Parsing</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/File-Name-Parsing.html\">File Name Parsing</a></p>\n\
<p>Added a new method <code>pathIsNetworkPath()</code> which returns true if the argument is a network path.</p>\n\
<h3 id=\"plug-ins-loading\">Plug-ins Loading</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">Miscellaneous Functions</a></p>\n\
<p>Added a new method <code>scanForNewPlugins()</code> which scans for new plug-in classes and exposes them to MAXScript.</p>\n\
<h3 id=\"viewports\">Viewports</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Grids.html\">Viewport Grids</a></p>\n\
<p>Addednew methods <code>setGridSpacing()</code> and <code>setGridMajorLines()</code> for setting the spacing and major lines of the viewport grids.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetViewportDib()</a></p>\n\
<p>Addedanew method <code>viewport.getViewportDIB()</code> which can be used to get the viewport Device Independent Bitmap including Multi-Pass Camera Effects preview.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Drawing Rectangle in the Viewport</a></p>\n\
<p>Addednew methods <code>gw.hRect()</code> and <code>gw.wRect()</code> for drawing a colored rectangle in the viewport.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Drawing Triangles in the Viewport</a></p>\n\
<p>Addednew methods <code>gw.startTriangles(). gw.endTriangles()</code> and <code>gw.triangles()</code> for drawing a series of triangles to the viewport.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Drawing TriStrip in the Viewport</a></p>\n\
<p>Addedanew method <code>gw.triStrip()</code> for drawing a series of triangles to the viewport as a triangle strip.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\">Refreshing the Viewports</a></p>\n\
<p>Addedanew method <code>setNeedsRedraw()</code> which sets an internal MAXScript flag that theviewports need to be redrawn before MAXScript returns.</p>\n\
<h3 id=\"animation-playback\">Animation Playback</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">isAnimPlaying</a></p>\n\
<p>Addednew method <code>isAnimPlaying()</code> which returns true if the animation is playing back and false if it is not.</p>\n\
<h3 id=\"system-global-variables\">System Global Variables</h3><p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">timeDisplayMode</a></p>\n\
<p>Addednew system global variable <code>timeDisplayMode</code> which can be used to get and set the time display mode.</p>\n\
<h3 id=\"renderers\">Renderers</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">Renderers</a></p>\n\
<p>Addednew methods <code>renderers.GetDraftRenderer()</code> and <code>renderers.ClearDraftRenderer()</code> for getting and resetting the former draft renderer which was retired in <strong>3ds Max 6</strong> but could still be present in old files.</p>\n\
<h3 id=\"mouse-cursor\">Mouse Cursor</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\">Mouse Cursors</a></p>\n\
<p>Addednew read-only property <code>mouse.inAbort</code></p>\n\
<h3 id=\"paths-and-filenames\">Paths and Filenames</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\">MAXScript Source Filename Access</a></p>\n\
<p>Addednew method <code>getThisScriptFilename()</code> which is the same as <code>getSourceFileName()</code> but has been available longer in the Avguard Extension and is providedfor backwards compatibility with scripts written to use the Extension.</p>\n\
<h3 id=\"executing-external-commands\">Executing External Commands</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\">Executing External Commands</a></p>\n\
<p>Addedanew <code>HiddenDOSCommand()</code> method to execute DOS commands in a hidden window.</p>\n\
<h3 id=\"interaction-with-the-operating-system\">Interaction With The Operating System</h3><p><a href=\"./../../../Interaction-With-The-Operating/Copy-To-and-From-Clipboard.html\">Copy To and From Clipboard</a></p>\n\
<p>Addednew methods <code>getClipBoardText(), setClipboardText(), getClipboardBitmap()</code> and <code>setClipboardBitmap()</code> for getting and setting text and bitmap values from/to the Windows Clipboard.</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/System-Information.html\">System Information</a></p>\n\
<p>Addednew properties <code>sysinfo.processAffinity</code> and <code>sysinfo.systemAffinity</code> for getting and setting the process and system affinity per CPU.</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/System-Tools.html\">System Tools</a></p>\n\
<p>Addednew methods <code>systemTools.getEnvVariable()</code> and <code>systools.setEnvVariable()</code> for getting and setting values from/to the Windows Environment variables.</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/Windows-Structure.html\">Windows Structure</a></p>\n\
<p>Added a new <strong>Windows</strong> struct providing methods to access Windows HWND values of child windows, <strong>3ds Max</strong> and the Windows desktop.</p>\n\
<h3 id=\"windows-registry-access\">Windows Registry Access</h3><p><a href=\"./../../../Interaction-With-The-Operating/Registry-Access/Registry-Structure.html\">Registry Structure</a></p>\n\
<p>Added a new <strong>Registry</strong> struct providing methods to access Windows Registry keys and values.</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/Registry-Access/HKey-Values.html\">HKey Values</a></p>\n\
<p>Addednew <strong>HKey Value</strong> class representing a Registry Key value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-13.html\">What was New in MAXScript in 3ds Max 2008</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-4.html\">Documentation Changes in 3ds Max 2008</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";