var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-185D4BF3-7EE1-449B-85C1-73448852E0A3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is New in MAXScript in 3ds Max 2011</h1></div><p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2011</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <a href=\"Documentation-Changes-in-3ds-Max-1.html\">Documentation Changes in 3ds Max 2011</a>.</p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><p>The following new features have been added to <strong>3ds Max 2011</strong> and have been exposed to MAXScript:</p>\n\
<h3 id=\"polytools-graphite-modeling-tools-\">PolyTools (Graphite Modeling Tools)</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyTools-Interfaces-Graphite.html\">PolyTools Interfaces - Graphite Modeling Tools</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsModeling.html\">PolyToolsModeling : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsPaintDeform.html\">PolyToolsPaintDeform : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsPolyDraw.html\">PolyToolsPolyDraw : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsSelect.html\">PolyToolsSelect : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsShift.html\">PolyToolsShift : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsTopology.html\">PolyToolsTopology : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsUVWTweak.html\">PolyToolsUVWTweak : GlobalUtilityPlugin</a></p>\n\
<p>The Graphite Modeling functionality has been consolidated using a number of GlobalUtilityPlugins exposing properties and methods that are now officially supported as MAXScript tools. (In <strong>3ds Max 2010</strong>, these features, while exposed to MAXScript, were not officially supported for use in your own scripts).</p>\n\
<h3 id=\"ribbon-and-caddy-manipulators\">Ribbon and Caddy Manipulators</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaxRibbon.html\">Interface: MaxRibbon</a></p>\n\
<p>This new core interface exposes methods to access and customize the appearance of the Ribbon UI.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-Grip.html\">Interface: Grip</a></p>\n\
<p>This new core interface exposes properties related to the appearance and placement of the Caddy in-screen parameter manipulators (called &quot;Grips&quot; internally).</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EPolyManipGrip.html\">Interface: EPolyManipGrip</a></p>\n\
<p>This new core interface exposes methods related to the display of Caddy (Grips) in-screen parameter manipulators for various polygon modeling features.</p>\n\
<h3 id=\"quicksilverhardware-renderer\">QuicksilverHardware Renderer</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></p>\n\
<p>This new renderer class lets you create instances of the Quicksliver hardware renderer to assign to the production renderer and set up its properties.</p>\n\
<h3 id=\"schematic-material-editor\">Schematic Material Editor</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#material-editor-mode\">maxOps Material Editor Mode</a></p>\n\
<p>The new maxops.mtlDlgMode property lets you get and set the Material Editor mode - Legacy or Schematic Material Editor.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/MatEditor-Open-and-Close-the.html\">MatEditor - Open and Close the Material Editor</a></p>\n\
<p>The existing methods for opening and closing the Material Editor now support the Schematic Material Editor. New properties and methods have been added to control the Material Editor mode and open the Schematic Material Editor specifically.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">Interface: SME</a></p>\n\
<p>This new core interface exposes the Schematic Material Editor to MAXScript.</p>\n\
<h3 id=\"containers-and-locked-tracks\">Containers and Locked Tracks</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ContainerPreferences.html\">Interface: ContainerPreferences</a></p>\n\
<p>This new core interface exposes the Container Preferences to MAXScript.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : Helper</a></p>\n\
<p>Several new properties and methods have been added to the existing Container Helper object.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LockedTracksMan.html\">Interface: LockedTracksMan</a></p>\n\
<p>Three new method has been added to the existing interface to control the Exposed UI state of anims and to allow the unlocking of children.</p>\n\
<h3 id=\"cat-and-maxscript\">CAT and MAXScript</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></p>\n\
<p>The 3ds Max CAT (Character Animation Tools) system is now an integral part of 3ds Max and is fully exposed to MAXScript.</p>\n\
<p>Use the Quick Navigation icon above to jump to any CAT-related topic.</p>\n\
<h3 id=\"biped-and-maxscript\">Biped and MAXScript</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Workbench-MAXScript-Extensions/WorkBench-Core-Interfaces/BipFilter-Core-Interface.html\">BipFilter Core Interface</a></p>\n\
<p>The COMkeySpacing argument to the existing <code>key Reduction</code> method has been changed from integer to float.</p>\n\
<h3 id=\"openexr-bitmap-i-o\">OpenEXR Bitmap I/O</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\">OpenEXR : BitmapIO</a></p>\n\
<p>This new OpenEXR IO plugin replaces the previously available one and adds support for layered EXR files.</p>\n\
<h3 id=\"mental-ray-renderer\">mental ray Renderer</h3><p>Other mental ray Properties</p>\n\
<p>The new <code>.taskSize Auto</code> property in mental ray controls whether to adjust the bucket size automatically to use all cores optimally (for example when updating Material Editor samples).</p>\n\
<p>Interface mental_ray_string_options</p>\n\
<p>This new core Interface lets the user toggle rendering options and set internal parameters not yet available in the UI.</p>\n\
<p>This allows for evaluation of mental ray features before they are exposed for regular usage. String options can be set and cleared only through MaxScript. Once set, an option affects all mental ray renders until cleared, or until <strong>3ds Max</strong> is shut down.</p>\n\
<p>mental ray String Options</p>\n\
<p>This topic discusses the use of the String Options Interface to access some advanced and currently unexposed to the UI features of mental ray including <strong>Progressive Rendering</strong>, <strong>Irradiance Particles, Importons</strong> and <strong>Force Final Gather mode</strong>.</p>\n\
<p>Interface: renderMessageManager</p>\n\
<p>Exposes the mental ray Render Message window to MAXScript.</p>\n\
<p>mental ray Shaders Index</p>\n\
<p>A large number of new mental ray shaders have been added to 3ds Max 2011.</p>\n\
<p>MultiOutputChannelTexmapToTexmap : textureMap</p>\n\
<p>A specialized texture map used to pass the output of a multi-output MetaSL shader to an input of another shader.</p>\n\
<h3 id=\"light-meter-manager\">Light Meter Manager</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">Interface: LightMeterManager</a></p>\n\
<p>A new property <code>.deleteCacheBeforeCalculation</code> has been added to the existing interface.</p>\n\
<h3 id=\"named-selection-sets-manager\">Named Selection Sets Manager</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NamedSelectionSetManager.html\">Interface: NamedSelectionSetManager</a></p>\n\
<p>This interface exposes methods to access and manage Named Selection Sets.</p>\n\
<h3 id=\"modifiers\">Modifiers</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/CameraMap-Modifier.html\">CameraMap : Modifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/SpaceCameraMap-SpacewarpModifier.html\">SpaceCameraMap : SpacewarpModifier</a></p>\n\
<p>A new <code>.affectBehind Camera</code> property was added to the existing modifiers.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\">ClothOpsInterface</a></p>\n\
<p>A new method <code>.getObjectProperty</code> was added to the existing modifier&#39;s interface.</p>\n\
<h3 id=\"body-objects\">Body Objects</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body-Objects.html\">Body Objects</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\">Body_Object : GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Cutter-GeometryClass.html\">Body_Cutter : GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Utility-GeometryClass.html\">Body_Utility : GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Join_Bodies-GeometryClass.html\">Join_Bodies : GeometryClass</a></p>\n\
<p>The four new Body objects implement solid bodies based on technology licensed from nPower Software.</p>\n\
<h3 id=\"object-snaps\">Object Snaps</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">snapMode</a></p>\n\
<p>A new &quot;Body&quot; OSnap set has been added to the existing Snaps system with index 1, increasing the number of snap sets from 5 to 6 and pushing the previously available &quot;NURBS&quot; and 4 &quot;Standard&quot; OSnap sets one index up.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The previously available property <code>snapMode.useAxisCenterAsStartSnap</code> Point has been <strong>deprecated</strong> in <strong>3ds Max 2011</strong>.</p>\n\
<h3 id=\"importer-plugins\">Importer Plugins</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/sketchUp-ImporterPlugin.html\">sketchUp : ImporterPlugin</a></p>\n\
<p>This new ImporterPlugin provides the ability to import Google SketchUp files into <strong>3ds Max</strong>.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></p>\n\
<p>This new ImporterPlugin provides the ability to import Autodesk Inventor files (.IPT, .WIRE, .IAM) into <strong>3ds Max</strong>.</p>\n\
<h3 id=\"default-object-names-and-renaming\">Default Object Names And Renaming</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#node-name-suffix-length\">maxOps.NameSuffixLength</a></p>\n\
<p>In 3ds Max 2011, the default number of digits in object names was changed to 3. This number can be controlled using the <code>maxOps.NameSuffixLength</code> property.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">uniquename</a></p>\n\
<p>The <code>uniquename()</code> method also supports the new default digits number and also provides a new optional keyword argument <code>numDigits</code> : controlling the number of digits to be generated.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">mergeMaxFile()</a></p>\n\
<p>The <code>mergeMaxFile()</code> method now supports a new optional flag <code>#autoRenameDups</code> which causes incoming objects with names that already exist in the scene to be renamed automatically.</p>\n\
<h3 id=\"saving-as-previous-version\">Saving As Previous Version</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">saveMaxFile()</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">saveNodes()</a></p>\n\
<p>The <code>saveMaxFile()</code> and <code>saveNodes()</code> methods now support a new optional keyword argument <code>saveAsVersion</code> : which accepts an integer value of 2010 and causes the file to be saved in the specified version&#39;s format. If not supplied, or if any other value is supplied, the current version&#39;s file format will be used.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container SaveContainer Method</a></p>\n\
<p>The saveContainer() method also adds support for a new optional keyword argument saveAsVersion: which accepts an integer value of 2010 and causes the file to be saved in the specified version&#39;s format. If not supplied, or if any other value is supplied, the current version&#39;s file format will be used.</p>\n\
<h3 id=\"file-asset-types\">File Asset Types</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a></p>\n\
<p>Two new methods have been added to the existing interface to provide access to Asset Types.</p>\n\
<h3 id=\"getclassinstances-function-improvements-and-rootscene-access\">getClassInstances Function Improvements And rootScene Access</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/getClassInstances.html\">getClassInstances()</a></p>\n\
<p>In versions prior to <strong>3ds Max 2011</strong>, the <code>getClassInstances()</code> function was looking for the class instances by enumerating the animatable tree. There are many cases where the set of subAnims of an object is a subset of the references held by an object, so instances present in the scene were being missed. To solve this, the function now searches for class instances in a variety of ways depending on its arguments, including two new arguments.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/rootScene-System-Global-Variable.html\">rootScene System Global Variable</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#r\">Max System Globals - R</a></p>\n\
<p>Represents the scene root in scripts and the Macro Recorder. The subAnims of <code>rootScene</code> include the node hierarchy, the Material Editor, Track View, Scene Material Library etc.</p>\n\
<h3 id=\"number-values\">Number Values</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">64 Bit Values - Double, Integer64, IntegerPtr</a></p>\n\
<p>Printing of very small Double values has been improved.</p>\n\
<h3 id=\"maxscript-rendering-and-bitmap-pager-improvements\">MAXScript Rendering And Bitmap Pager Improvements</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IBitmapPager.html\"#maxscript-rendering-and-bitmap-pager-improvements\">MAXScript Rendering And Bitmap Pager Improvements in 3ds Max 2011</a></p>\n\
<p>In previous releases, if a MAXScript performed multiple render() calls, the result of previous renders remained in memory and were not released automatically. The user had to invoke a manual garbage collection to release them. This wasted memory and, because of the Bitmap Pager, disk space. This issue has been fixed in <strong>3ds Max 2011</strong> by performing periodic garbage collections automatically after rendering.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-9.html\">What was New in MAXScript in 3ds Max 2011</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-1.html\">Documentation Changes in 3ds Max 2011</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">What is New in MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";